function getBlkFiles() {
  var BLK_FILES = [
    {
      'FileName': 'Tank Base.blk',
      'Content': '<xml xmlns="https://developers.google.com/blockly/xml"><block type="procedures_defnoreturn" id="OpN8!1beqW{8Bw6M/?m+" deletable="false" editable="false" x="50" y="50"><field name="NAME">runOpMode</field><comment pinned="false" h="80" w="160">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="2E)2A*`b^PiWrgwVLCzD"><field name="COMMENT">Reverse one of the drive motors.</field><next><block type="dcMotor_setProperty_Direction" id="eq?6z=8[X(p{)!kj=ljm"><field name="IDENTIFIER">RightmotorAsDcMotor</field><field name="PROP">Direction</field><comment pinned="false" h="103" w="377">You will have to determine which motor to reverse for your robot.  In this example, the right motor was reversed so that positive applied power makes it move the robot in the forward direction.</comment><data>{"IDENTIFIER":"Right motor"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="fA5KX5L@6hypglpOh=^Z"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="*I5E-0Da^]iaSGdTyo$D"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="u53$~Kl$3%OYS=k)5OP8"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="linearOpMode_waitForStart" id=":K8^U;yjvZn8aWa~t|#1"><next><block type="controls_if" id="0#o7qH*u*qfz$Bq_V/`k"><value name="IF0"><block type="linearOpMode_opModeIsActive" id="[bChm|`3)2ph$xioy@{("/></value><statement name="DO0"><block type="comment" id=":*~E^;jympAIAK*1RqqM"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id=";?u-rJ#FN3IEUo%rzP0!"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="-(|WoGbw`fofYl;9=5+0"/></value><statement name="DO"><block type="comment" id="j%/]x0!:SV!7p5sYtU9W"><field name="COMMENT">Put loop blocks here.</field><next><block type="dcMotor_setDualProperty" id="?fu!mk[evxtjh1mAGC7J"><field name="PROP">Power</field><field name="IDENTIFIER1">LeftmotorAsDcMotor</field><field name="IDENTIFIER2">RightmotorAsDcMotor</field><comment pinned="false" h="101" w="394">The Y axis of a joystick ranges from -1 in its topmost position to +1 in its bottommost position.  We negate this value so that the topmost position corresponds to maximum forward power.</comment><data>{"IDENTIFIER1":"Left motor","IDENTIFIER2":"Right motor"}</data><value name="VALUE1"><shadow type="math_number" id="xm^!xz;E%A,_X6P[I?kY"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="TiQ?GW+aIf^v|bI#0HKc"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="VALUE2"><shadow type="math_number" id="uY}|nHkeXKe^U}8i.{%1"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="%hLr:R^XEGT#!okUP6gZ"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><next><block type="dcMotor_setProperty_Number" id="WobrNPp4a|fs2URuuNY+"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="Ja7FM8Ma$z}SdJ;qnmIi"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="Mxvfd0_cfSS#b14b1N;c"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><next><block type="telemetry_addNumericData" id="W+1aE{c:|#=LR8]UBy47"><value name="KEY"><block type="text" id="p=:S|#QapB@Y:~07]L~]"><field name="TEXT">Left Pow</field></block></value><value name="NUMBER"><block type="dcMotor_getProperty_Number" id=")l?bt;SeT)jw=H;h7K0G"><field name="IDENTIFIER">LeftmotorAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Left motor"}</data></block></value><next><block type="telemetry_addNumericData" id="fnTUd?),(XEI:}]:f}mN"><value name="KEY"><block type="text" id="aDU}G0=A7pmv3WM:ODA)"><field name="TEXT">Right Pow</field></block></value><value name="NUMBER"><block type="dcMotor_getProperty_Number" id="a.6ieWX3JB?^^b14yx0p"><field name="IDENTIFIER">RightmotorAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Right motor"}</data></block></value><next><block type="telemetry_addNumericData" id="?qX+(hden3eu/o9(wVFj"><value name="KEY"><block type="text" id="?WpxGE%]@.0AZOB7wpu0"><field name="TEXT">Shooter power</field></block></value><value name="NUMBER"><block type="dcMotor_getProperty_Number" id="QRTvHjD_C[iS-FdW72{,"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Shooter"}</data></block></value><next><block type="telemetry_update" id="Il/_Kv^vY42Foa}=N4Ix"/></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ',
      'name': 'Tank Base',
      'escapedName' : 'Tank Base',
      'dateModifiedMillis': 1602199790000,
      'enabled': true
    },
    {
      'FileName': 'Auto Test.blk',
      'Content': '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="ZHu7]h(iKQ-7Q9eq/q3X">i</variable><variable id="vP~n9zf$lW%hYD/C.j_-">recognition</variable><variable id="C-j=_t;@/fsV)+=e~^La">recognitions</variable><variable id="A7n%5a@8jC6}[rgS1GS8">index</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="0" y="0"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="532">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Sample TFOD Op Mode</field><next><block type="comment" id="#ul#WaXLbg~hUii+7AB_"><field name="COMMENT">Initialize Vuforia.</field><next><block type="vuforiaCurrentGame_initialize_withWebcam" id="6Xzo0d*2b_I.B:]B4+5q"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="Uztu;2eL:)g_#d6}G98K"><field name="WEBCAM_NAME">Webcam 1</field></shadow></value><value name="WEBCAM_CALIBRATION_FILE"><shadow type="text" id="znyjVw;:]}rr$Dq}XK!M"><field name="TEXT"/></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="_XSP5JKC^8OOw%V[(HR="><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="y/~?GcC]T),;cIU(d`Cc"><field name="BOOL">FALSE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id="TG%:#^SAd7#]OFj[V9K?"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="~PyI_z2IlCq!Uv~b9^=v"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="CWCmb0p(S96VKi%Kk(3W"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="5WhUGHWwt[OKb:2pH+~:"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="!C$T}|^{.b[TPj=vdHo$"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="=a{Eypfq::uaptXMi6Jq"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id=":|I95FQpD}bI]ECP-w/,"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="Ul5tBGCna_g*4C]X{s-w"><field name="BOOL">TRUE</field></shadow></value><next><block type="comment" id="{f-nucs}ixJh2%x:J{bE"><field name="COMMENT">Set min confidence threshold to 0.7</field><next><block type="tfodCurrentGame_initialize" id="S?6y8$gBQja5ehCJI6Pi"><value name="MINIMUM_CONFIDENCE"><shadow type="math_number" id="iXlEJA=*Aq^$z~;?.MCb"><field name="NUM">0.7</field></shadow></value><value name="USE_OBJECT_TRACKER"><shadow type="logic_boolean" id="U2-YX?NyBMWtwqm(aPh0"><field name="BOOL">TRUE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="^IoQ1ZVTCGdA3E5UYJTf"><field name="BOOL">TRUE</field></shadow></value><next><block type="comment" id="6]yP0{L.V#v3^DJf|2r="><field name="COMMENT">Initialize TFOD before waitForStart.</field><next><block type="tfodCurrentGame_activate" id="/B7!WNQ].FmwKj=}jsb|"><comment pinned="false" h="99" w="252">Init TFOD here so the object detection labels are visible in the Camera Stream preview window on the Driver Station.</comment><next><block type="comment" id=")fKii]4w!FY{pg5CmS{x"><field name="COMMENT">Enable following block to zoom in on target.</field><next><block type="tfodCurrentGame_setZoom" id="aB1GwzHR*MIIKAnQObG!" disabled="true"><value name="MAGNIFICATION"><shadow type="math_number" id="$|tmDEP2DSJ6saa+-BMd"><field name="NUM">2.5</field></shadow></value><value name="ASPECT_RATIO"><block type="math_arithmetic" id="(u]Z~xR.UJ[]:XrF7)-i"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id="mYh$IgooC{KNzBhqm.$T"><field name="NUM">16</field></shadow></value><value name="B"><shadow type="math_number" id="jLY!cjK}`7a6T:-$]=:I"><field name="NUM">9</field></shadow></value></block></value><next><block type="telemetry_addTextData_All" id="/Zm[n8^)(`(S}Ab9j!;|"><value name="KEY"><shadow type="text" id="E)4aB(Zb2,Da/0v0AiN="><field name="TEXT">&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="^u5_oh+s(.Vs1Kk;$yw9"><field name="TEXT">Press Play to start</field></shadow></value><next><block type="telemetry_update" id="CcM7+$syN,5p}u1NCi8q"><next><block type="comment" id="ucY]w(tl5$!{2RX}=X;C"><field name="COMMENT">Wait for start command from Driver Station.</field><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Put loop blocks here.</field><next><block type="variables_set" id="G3vz:RD7CO6.%Sw)ZFK_"><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field><comment pinned="false" h="66" w="177">Get a list of recognitions from TFOD.</comment><value name="VALUE"><block type="tfodCurrentGame_getRecognitions" id="%d}Eg`]Tl,|WPcgQ%t)3"/></value><next><block type="controls_if" id="ca@sg0@jzk|H6L@P2e^L"><mutation else="1"/><comment pinned="false" h="102" w="202">If list is empty, inform the user. Otherwise, go through list and display info for each recognition.</comment><value name="IF0"><block type="logic_compare" id="=%o)vlFkvhu-xL,X/eo$"><field name="OP">EQ</field><value name="A"><block type="lists_length" id="t!{SnHLGoo~PaP6awyK."><value name="VALUE"><block type="variables_get" id="ZNj(tw{-HQNlj-7{iU]("><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field></block></value></block></value><value name="B"><block type="math_number" id="4XseN,4~X=LIU%~64FvC"><field name="NUM">0</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="GlID$m:#pV1$]_9Xwr2R"><value name="KEY"><shadow type="text" id="M^km_K-P,B!{$$O:vELn"><field name="TEXT">TFOD</field></shadow></value><value name="TEXT"><shadow type="text" id="p48vyO#GC!;Z;9]M-St7"><field name="TEXT">No items detected.</field></shadow></value></block></statement><statement name="ELSE"><block type="variables_set" id="-$r0NK]~Nh7SKIq7SfSd"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field><value name="VALUE"><block type="math_number" id="P1f]4HSIe|E0?Cj7x0B["><field name="NUM">0</field></block></value><next><block type="controls_forEach" id="|@Y$y8D~],V(MRQ+Cyv{"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field><comment pinned="false" h="81" w="199">Iterate through list and call a function to display info for each recognized object.</comment><value name="LIST"><block type="variables_get" id="W,d1s!eFWeDT0X}~eq,n"><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field></block></value><statement name="DO"><block type="comment" id="U@Dkpel-LMa.00jJsqA-"><field name="COMMENT">Display info.</field><next><block type="procedures_callnoreturn" id="}Ed*Qv]2hqyM9x`y/=fq"><mutation name="displayInfo"><arg name="i"/></mutation><value name="ARG0"><block type="variables_get" id="1ynw+j_dMgW{E_t3}D|E"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field></block></value><next><block type="comment" id=",1(:%n^0JKFq_SFwTg^H"><field name="COMMENT">Increment index.</field><next><block type="variables_set" id="}(~W?+spH%5lnSN8((?="><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field><value name="VALUE"><block type="math_arithmetic" id="?6nQyMGz}aU1fC+utj9g"><field name="OP">ADD</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="A(cWTP6GX-7F%pan2;S:"><field name="NUM">1</field></shadow><block type="variables_get" id="_Qa|p#!QpQ?:hR:4$)Ki"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field></block></value><value name="B"><shadow type="math_number" id="cZn5/PfoHlpMu|xN+~eL"><field name="NUM">1</field></shadow></value></block></value></block></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="comment" id="x3Da[L*)xMh=3e7zy7*{"><field name="COMMENT">Deactivate TFOD.</field><next><block type="tfodCurrentGame_deactivate" id=")#LnjM-c3n?~scY$Z!@Y"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id=")21zCFQOO-Q6a!/Wu4LO" x="0" y="1485"><mutation><arg name="i" varid="ZHu7]h(iKQ-7Q9eq/q3X"/></mutation><field name="NAME">displayInfo</field><comment pinned="false" h="80" w="160">Display info (using telemetry) for a recognized object.</comment><statement name="STACK"><block type="comment" id="tlc0F80BdB`b([Xp;XEc"><field name="COMMENT">Display label info.</field><next><block type="telemetry_addTextData_All" id=";6SFb8haRI5qo45n}iJ8"><comment pinned="false" h="80" w="160">Display the label and index number for the recognition.</comment><value name="KEY"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="_f._U;/kb2{Yz0e76KNN"><mutation items="2"/><value name="ADD0"><block type="text" id="y,9e7qml,YyEJ*rPPJ%p"><field name="TEXT">label </field></block></value><value name="ADD1"><block type="variables_get" id="PCpqfPlom*4,p~ehCda9"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="tfodRecognition_getProperty_String" id="d7@$bcm+3wluc1@Wtq|u"><field name="PROP">Label</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="}u)$1QfMPe1)p,Qs5Ku;"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><next><block type="comment" id="_98!oDhsOCBdhLYUP4uf"><field name="COMMENT">Display upper corner info.</field><next><block type="telemetry_addTextData_All" id="8nKd8v-zW;`u5BOb+C%9"><comment pinned="false" h="100" w="200">Display the location of the top left corner of the detection boundary for the recognition</comment><value name="KEY"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="7Fn(t/Mm3i1ur(2xaI_X"><mutation items="2"/><value name="ADD0"><block type="text" id="}g`_FiJaZ]3s$^FeZvgx"><field name="TEXT">Left, Top </field></block></value><value name="ADD1"><block type="variables_get" id="NL:]G/H7.SZ1!=:D3{/C"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="text_join" id="DT/!lFr4vq[1YesUPQ_T"><mutation items="2"/><value name="ADD0"><block type="tfodRecognition_getProperty_Number" id="VeL$%e^~N33.uZUiGhUK"><field name="PROP">Left</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="89kTVFyI498d3Mlqk$Do"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD1"><block type="text_join" id="q.3D]XGo9g91,_!4]O`-"><mutation items="2"/><value name="ADD0"><block type="text" id="ZhFl#/Fk+I)t}s)TnQ_?"><field name="TEXT">, </field></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_Number" id="G~K_0Bp1F20i`4CU,PE{"><field name="PROP">Top</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="M]Nj%yp]N-HH{kA|-PC!"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value></block></value><next><block type="comment" id="~bRVN`9q9$vf6w0BSW@}"><field name="COMMENT">Display lower corner info.</field><next><block type="telemetry_addTextData_All" id="Q+UdE@m8P2B.yiwA.w%$"><comment pinned="false" h="100" w="200">Display the location of the bottom right corner of the detection boundary for the recognition</comment><value name="KEY"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="zJv0lB`hN,S+t!Xt,0_l"><mutation items="2"/><value name="ADD0"><block type="text" id="c7F~1],4bXjo0h].?:7C"><field name="TEXT">Right, Bottom </field></block></value><value name="ADD1"><block type="variables_get" id="/s^!~P|}^wPc#v+J8bg6"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="text_join" id="o8Gtc?kcbG~`#vx!7ck^"><mutation items="2"/><value name="ADD0"><block type="tfodRecognition_getProperty_Number" id="B-6W%AK(jO!ur3t$S!h@"><field name="PROP">Right</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="I%pBUv`--i6Yr0iXNPT4"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD1"><block type="text_join" id="%4fe?X`$FHM%a~B4le^)"><mutation items="2"/><value name="ADD0"><block type="text" id="okN|sYW[pdiqWcyAv-66"><field name="TEXT">, </field></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_Number" id="F%|Lo.;yf5Od/%EqOuf)"><field name="PROP">Bottom</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="TA34*WE*L([F@%Yk_x*4"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value></block></value></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="AUTONOMOUS" group="" /><Enabled value="true" /></Extra> ',
      'name': 'Auto Test',
      'escapedName' : 'Auto Test',
      'dateModifiedMillis': 1601941395000,
      'enabled': true
    },
    {
      'FileName': 'test program.blk',
      'Content': '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="4d3*bZYp$0M=1X#+S/x^">CurrentColor</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="-18" y="-3"><field name="NAME">runOpMode</field><comment pinned="true" h="32" w="532.09375">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Put initialization blocks here.</field><next><block type="dcMotor_setProperty_Direction" id="m7l_tP=JIS/XN(5~0UTZ"><field name="IDENTIFIER">FrontRightAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"FrontRight"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="|hZB$^6bm]0FKgvKnFju"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="6d)vvuX+!4m#DowY[FZl"><field name="IDENTIFIER">BackRightAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"BackRight"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="E]#;,2k?js2g%vdnT!Z#"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="colorSensor_enableLed_Boolean" id="y?{]BsqeG=VD?n(njbU~"><field name="IDENTIFIER">frontcolorsensorAsColorSensor</field><data>{"IDENTIFIER":"front color sensor"}</data><value name="ENABLE"><shadow type="logic_boolean" id="ma^Z#C8M|HsgjUo,Y.:M"><field name="BOOL">TRUE</field></shadow></value><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Put loop blocks here.</field><next><block type="dcMotor_setDualProperty_Number" id="(9PnwSP*kuGErYT!]XL)"><field name="PROP">Power</field><field name="IDENTIFIER1">FrontLeftAsDcMotor</field><field name="IDENTIFIER2">FrontRightAsDcMotor</field><data>{"IDENTIFIER1":"FrontLeft","IDENTIFIER2":"FrontRight"}</data><value name="VALUE1"><shadow type="math_number" id="vawkqwz~XSKZ6yRHx%=G"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="a/*T]]1OD(x]kbWYWeUd"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="-!%`B,/$k#a1#(I+^*{o"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="[wq-]fOCErRFKsntr[Po"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="0n?_lb/[#UXYz^]ZU@!("><field name="NUM">1</field></shadow><block type="math_single" id="g{_BJ)W,A%w%VOb[#:]@"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="SDaa5Ge4HNVLT7!Eyl8A"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id=";q15E-2[Oq/h%@DX#UAV"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="1?{CD%]l3AElbJ{l/Mga"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="h)$}FR[Ssr/F:lv*Q*iD"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="wFxuj9K()v]wB8QbcT/p"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="?^XvcnFy0uVPSJaT)Gxn"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="?vVQ{]@7RFzwjM27N;o:"><field name="NUM">1</field></shadow><block type="math_single" id="=xn;|{InUgjGxSGktw|,"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="Kbv}9$[Aqj?_]q^lv-Hp"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id=",Z@@kIJU!RiWm2i:)jMb"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="fzskFFdOA9a!1UmJu{(."><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="^2a)Thin1hYS:9aWtq|/"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="U;vkh#a;0tr$U$(:GR5D"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="L_6C.sl6XZO.#rX6ArJF"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="kG}I#:1;]{tSsL^,#zEN"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="ZuZ%%%`yZ^n)x2)a`r{X"><field name="OP">MINUS</field><value name="A"><shadow type="math_number" id="V%~DDUJQcB/kpKS5n|~="><field name="NUM">1</field></shadow><block type="math_single" id="]d!Or-5;`*+^/GHooj}K"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="5/b%D=r!uwdVKK8U78%f"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="Gl|[Hp+NKU90YD;V#Nlp"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="zaJwy:Q:8mbpwiRRVCYt"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="H`r(i$tmrquZ,A4HmIU$"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="c[)e5ZWPm@W:O!*xw,5U"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="tmjFrrs8rV0`$s3VB6y0"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="nj@dg):wy0)HU!I#}DUh"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="{)e:W=UD!fG0x({,G9p3"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value><next><block type="dcMotor_setDualProperty_Number" id="n-i~s{C0zO*tI##BDM{,"><field name="PROP">Power</field><field name="IDENTIFIER1">BackLeftAsDcMotor</field><field name="IDENTIFIER2">BackRightAsDcMotor</field><data>{"IDENTIFIER1":"BackLeft","IDENTIFIER2":"BackRight"}</data><value name="VALUE1"><shadow type="math_number" id="|:eL/Xg2if{jy]l`yVeR"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="zc!#h5pTqQvb1/ZW5oRf"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="*$,x1NjsZS6XqgN7*(@H"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="syQAGyInlP.mZ^D*Gx7n"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="B#,h-0Nx5OGISqa@P@8o"><field name="NUM">1</field></shadow><block type="math_single" id="hE@9m1:Baqz(FQ47UzX~"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="$_Ej7r33x}u|QA7hVV]l"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="rTs}[fanh%iSsUqwO3Z3"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="SsaR0)O/IrcdfN9DbrT]"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="~:S~^AZ;@ZZJLJa0O5U7"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="(Etq@#a4{?ir=7JbUO77"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="LBhyI-v[?4Q{4mGZVZme"><field name="OP">MINUS</field><value name="A"><shadow type="math_number" id="H8=y7E7NlF@Z5xHQB$q;"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="SK||5@{zVlgKDe?!xctu"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id=";bHbn|3=MWmjXy-Q)$Qr"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="D.$1LL/#ZbHL;GosZu@j"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="B*+db3.`j!?N+ZIZD[AX"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="B+d2=0:DY)K,n(wV{%H."><field name="NUM">1</field></shadow><block type="math_arithmetic" id="?A4~4iC:s,g~BO^G5QWl"><field name="OP">MINUS</field><value name="A"><shadow type="math_number" id="r#[+2J9*(a=?`I3ykI3Q"><field name="NUM">1</field></shadow><block type="math_single" id="DE~A{@@D~hq!Z]T28szD"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="7u,[?i${Mv]Dii#u_w%_"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id=",%}I`.^tb.y(xeUA$%$0"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="s^z8VCco0wAc#nM!1aco"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="T^wFq~4j~-BtU4bO5t^0"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="5ABY$la_I.,%rXL;c{?Y"><field name="NUM">1</field></shadow><block type="math_single" id="vZ`[e*`+;zkp|TOw7;)_"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="U)5D8k|}Z5B#bk5v/B-}"><field name="NUM">9</field></shadow><block type="math_arithmetic" id="_z:j|$C~GSd7/|v2`/lE"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="r}T6MGfaG@mk-QSX-A6N"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="2p.M,k+BcHfo5x7-zC$R"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value></block></value><next><block type="variables_set" id="g+E(RWx%z20mB0nYVsGS"><field name="VAR" id="4d3*bZYp$0M=1X#+S/x^">CurrentColor</field><value name="VALUE"><block type="color_rgbToColor_Number" id="cnJ^;YL;efX8@iOLF=Z5"><value name="RED"><shadow type="math_number" id="*e0{z^u|yrjInu]JnaNb"><field name="NUM">255</field></shadow><block type="colorSensor_getProperty_Number" id="2Dkj_V53-pzTP.!]cB4#"><field name="IDENTIFIER">frontcolorsensorAsColorSensor</field><field name="PROP">Red</field><data>{"IDENTIFIER":"front color sensor"}</data></block></value><value name="GREEN"><shadow type="math_number" id="QW?%~vV!Mt^b,(%YL@Mb"><field name="NUM">255</field></shadow><block type="colorSensor_getProperty_Number" id="IGpDEHI7B^(gtMD)Ku=?"><field name="IDENTIFIER">frontcolorsensorAsColorSensor</field><field name="PROP">Green</field><data>{"IDENTIFIER":"front color sensor"}</data></block></value><value name="BLUE"><shadow type="math_number" id="K^{SH%59*WyH1!DkOmo`"><field name="NUM">255</field></shadow><block type="colorSensor_getProperty_Number" id="|8SDH87wpV$i[c2UFeu;"><field name="IDENTIFIER">frontcolorsensorAsColorSensor</field><field name="PROP">Blue</field><data>{"IDENTIFIER":"front color sensor"}</data></block></value></block></value><next><block type="controls_if" id="y9or!=Bd%`iMFR9Yx;LD"><value name="IF0"><block type="logic_operation" id="`36L`;BEoLyFwH*H-/er"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="d0CdBN+sqJe??THTX;_N"><field name="OP">GTE</field><value name="A"><block type="color_getProperty_Number" id="2U**z:*yxDw|l`3Ks|QJ"><field name="PROP">Saturation</field><value name="COLOR"><block type="variables_get" id="t/VG8Q.l$d.SID`evL/|"><field name="VAR" id="4d3*bZYp$0M=1X#+S/x^">CurrentColor</field></block></value></block></value><value name="B"><block type="math_number" id="j-D)/8R;jZ-^~=%YH~Nk"><field name="NUM">0.6</field></block></value></block></value><value name="B"><block type="logic_operation" id="Km+b(=B7#ZJJ%/@.K,2c"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="=UhXftj:}.VFqv:_U37w"><field name="OP">LT</field><value name="A"><block type="color_getProperty_Number" id="TlO@Z}^Y]#|`Qbhs4^9d"><field name="PROP">Hue</field><value name="COLOR"><block type="variables_get" id="R$5HQKBc!p}*x_cE4laT"><field name="VAR" id="4d3*bZYp$0M=1X#+S/x^">CurrentColor</field></block></value></block></value><value name="B"><block type="math_number" id="_:j04XJOXP4aCKXJ1d|p"><field name="NUM">275</field></block></value></block></value><value name="B"><block type="logic_compare" id="m]W5@lolO06-$au2A+WD"><field name="OP">GT</field><value name="A"><block type="color_getProperty_Number" id="$[o+NLQan*V.`55?c#pa"><field name="PROP">Hue</field><value name="COLOR"><block type="variables_get" id="9MC3x43[BGcxcd}T?Vn."><field name="VAR" id="4d3*bZYp$0M=1X#+S/x^">CurrentColor</field></block></value></block></value><value name="B"><block type="math_number" id=")~P@acMg~q}P^uLCmPjA"><field name="NUM">210</field></block></value></block></value></block></value></block></value></block></next></block></next></block></next></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ',
      'name': 'test program',
      'escapedName' : 'test program',
      'dateModifiedMillis': 1601941804000,
      'enabled': true
    },
    {
      'FileName': 'CompSetup.blk',
      'Content': '<xml xmlns="https://developers.google.com/blockly/xml"><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="50" y="50"><field name="NAME">runOpMode</field><comment pinned="true" h="32" w="532.09375">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Put initialization blocks here.</field><next><block type="dcMotor_setProperty_Direction" id="y3eD?]7z=TXfeYpc7^N/"><field name="IDENTIFIER">DriveMotorLFAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Drive Motor LF"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id=";aGPL?.weh5H{c3h]:T$"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="5pYv#DN}ea}m6,NqTxTy"><field name="IDENTIFIER">DriveMotorLBAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Drive Motor LB"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="RXD?^T98nDO-R+*zYX,6"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id=")M3;Kcz/hpbJWf1C~CXQ"><field name="IDENTIFIER">DriveMotorRFAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Drive Motor RF"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="TR}S1K%Mppq`iaSf$UFk"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="U_tNk3+_!`lWZCOCgT)O"><field name="IDENTIFIER">DriveMotorRBAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Drive Motor RB"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="3;xz*_IdWK_|B$m$A1ju"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Put loop blocks here.</field><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"><next><block type="dcMotor_setDualProperty_Number" id="1TbPpyP^]q-/G9[}b^mV"><field name="PROP">Power</field><field name="IDENTIFIER1">DriveMotorLBAsDcMotor</field><field name="IDENTIFIER2">DriveMotorLFAsDcMotor</field><data>{"IDENTIFIER1":"Drive Motor LB","IDENTIFIER2":"Drive Motor LF"}</data><value name="VALUE1"><shadow type="math_number" id="z.?ADj|v!4gJMu0uZ[?F"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="Ta+)R(N9A_:k9*LD$PgK"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="VALUE2"><shadow type="math_number" id="a3QSc}QgQ6dB=$p}rjCz"><field name="NUM">1</field></shadow><block type="math_single" id="hux*~%MbxN?6H3(1i_M`"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="T0guNZD.UrOLvvv!DF!="><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="JBlHHQQ7T3%q[@eFysPW"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><next><block type="dcMotor_setDualProperty_Number" id="B9P~7GQwf#]5,a#joFj^"><field name="PROP">Power</field><field name="IDENTIFIER1">DriveMotorRFAsDcMotor</field><field name="IDENTIFIER2">DriveMotorRBAsDcMotor</field><data>{"IDENTIFIER1":"Drive Motor RF","IDENTIFIER2":"Drive Motor RB"}</data><value name="VALUE1"><shadow type="math_number" id="J/}$(W;GXA)]q{h5bf?x"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="=ugqAc2+eT7Dnjfh|Lg0"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="VY$-/rwK$xQuA+Jtllx1"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="$e.ld!-`d-AhJ_?Mw6v5"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number" id="8DKPNOev[t^UbhwhM-VI"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="9pRi3%%T:G)D=B]$[!Z,"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="aM4(HGU61`j`w~4W6(yV"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="k!0kUB(5+n?XvP/|@~3~"><field name="OP">ADD</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="dex-_DMw)4mG(Sf,`L}R"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="P{gsqD8;uk{oC2@MXE3w"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></next></block></next></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="math_single" id="Qk;T@:ur`bIv]0/fg)gS" x="381" y="447"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="DjzIQo**-d+85AH`=o6@"><field name="NUM">9</field></shadow></value></block><block type="math_single" id="|9a9CGH?NfMRj=.B+mn+" x="361" y="461"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="VyZQy.v2Bb63#)~bJ.4A"><field name="NUM">9</field></shadow></value></block><block type="math_single" id="zzj#;d(e(%VQI-cO*0Ci" x="656" y="467"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="NwAH-#~_miIF{rpC*A8{"><field name="NUM">9</field></shadow></value></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ',
      'name': 'CompSetup',
      'escapedName' : 'CompSetup',
      'dateModifiedMillis': 1603843061000,
      'enabled': true
    },
    {
      'FileName': 'Kevin Da Blob.blk',
      'Content': '<xml xmlns="https://developers.google.com/blockly/xml"><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="130" y="23"><field name="NAME">runOpMode</field><comment pinned="true" h="32" w="531.9166870117188">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Put initialization blocks here.</field><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="dcMotor_setProperty_Direction" id="?d!OoA0([^u.$X2CV@?%"><field name="IDENTIFIER">FrontLeftAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"FrontLeft"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="4YCz2Snn@za@RPMlep:o"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="GfnAD:~%D40A4|PoGps["><field name="IDENTIFIER">FrontRightAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"FrontRight"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="^5Z{/VHTT=rqq+Da+V95"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="WKW2rtv,JPPn*pm`/G)6"><field name="IDENTIFIER">BackLeftAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"BackLeft "}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="*7=pBmKFNK~.*F*A0%Cz"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="4uo!g/4971$p-k]$G=Lh"><field name="IDENTIFIER">BackRightAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"BackRight"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id=";Dzxx5yq*JJj{=_sX)5B"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="+U!eMRjLI5*EGZ,eaI.`"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="vaQV%fIxI58?%{]Xd#~f"/></value><statement name="DO"><block type="dcMotor_setDualProperty_Number" id="n{l)-zX#wky},{Y0S7s`"><field name="PROP">Power</field><field name="IDENTIFIER1">FrontLeftAsDcMotor</field><field name="IDENTIFIER2">FrontRightAsDcMotor</field><data>{"IDENTIFIER1":"FrontLeft","IDENTIFIER2":"FrontRight"}</data><value name="VALUE1"><shadow type="math_number" id="pnz6H,X6E_IMz2+~0nh{"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="wwB0Oih^;4Xh/lHG{P{t"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="Tq6(.n9lQ#@0_J^Nw~4:"><field name="NUM">1</field></shadow><block type="math_single" id="TEkXc?43X9y]4../EhRk"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="{a5/HhI$-n|Ye!jbsAqb"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="7f}w+36,r;.:$BZ9-fV~"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id=":3)s07zHd#KRi~?S1b[V"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="Vywjb72,cD(45NA}E#}g"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="^S/;!gy;,O?]sS;x16yV"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="MT4vLMF2k6T#Q!9!XJa)"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="aotpT}fZgGMR`V7cXOBZ"><field name="NUM">1</field></shadow><block type="math_single" id="ju()!MYysdiA).tXfGl."><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="?:|:Iyki]x=]iB+1D}q="><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="[6kx4@o4e*+EI3BKNJ@3"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="D]~[;N~OdQf/~jU:A)]N"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="!/o^I3:{m_TgO=3,9vD$"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><next><block type="dcMotor_setDualProperty_Number" id=")U(R]2R$)2F?*nXS/3AV"><field name="PROP">Power</field><field name="IDENTIFIER1">BackLeftAsDcMotor</field><field name="IDENTIFIER2">BackRightAsDcMotor</field><data>{"IDENTIFIER1":"BackLeft ","IDENTIFIER2":"BackRight"}</data><value name="VALUE1"><shadow type="math_number" id="w[QX5L:zn?J!..C?}a}R"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="C,.2bq3==RX.Ud_wqbZ|"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="Gp;x0cvZ]sSyWYt~g6A6"><field name="NUM">1</field></shadow><block type="math_single" id="n1hmf5:uGUnp/6_t[A/%"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="=[Ut]A6-5t(cP[nkrX+K"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="(XBnfVA2mWv0m=nfz@:S"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="k:yp.^X^etW)*D(mvl|H"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="$nu1,=dv-wR.*Pc6EC|I"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="GpnM[Us;U5Ea%UOM6;K+"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="?}a6-(CWi1BqK#kWWhE/"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="ycO6P(N?,6z{V$8@)7P5"><field name="NUM">1</field></shadow><block type="math_single" id="sP-F[:`+8f|3T$KDP(;P"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="lq)zOd)go0Qz2*YFbqTk"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="KB6=`,:S5{L6HE]afkWQ"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="`zsYZqW_561$[93x#+4u"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="kwfPHm.MnEKtJ/h*Z`|3"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ',
      'name': 'Kevin Da Blob',
      'escapedName' : 'Kevin Da Blob',
      'dateModifiedMillis': 1605834589000,
      'enabled': true
    },
    {
      'FileName': 'test program(1).blk',
      'Content': '<xml xmlns="https://developers.google.com/blockly/xml"><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="35" y="71"><field name="NAME">runOpMode</field><comment pinned="true" h="32" w="531.9166870117188">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Put initialization blocks here.</field><next><block type="dcMotor_setProperty_Direction" id="m7l_tP=JIS/XN(5~0UTZ"><field name="IDENTIFIER">FrontRightAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"FrontRight"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="|hZB$^6bm]0FKgvKnFju"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="6d)vvuX+!4m#DowY[FZl"><field name="IDENTIFIER">BackRightAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"BackRight"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="E]#;,2k?js2g%vdnT!Z#"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="/s`e0bHKNzX9Q:BZ)_KG"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="7PSV:0@pc0?vZB^,c)TN"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_RunMode" id="opPkzKI;!gq_OqR7i?N7"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="v~=xN]bl$1NulFB[+gI_"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="$ogb{_~5`-{G7s$JQG`W"><field name="IDENTIFIER">WobbleLifterAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Wobble Lifter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="(#x5GRGIaRfzvMiaDQQX"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="dcMotor_setProperty_RunMode" id="@_kTOZw(BI3.$a?T;sm%"><field name="IDENTIFIER">WobbleLifterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Wobble Lifter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="7];;p,Q/5EB,CXv#r5gC"><field name="RUN_MODE">STOP_AND_RESET_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_RunMode" id=";z@`EOFQqiiOM/};#b8@"><field name="IDENTIFIER">WobbleLifterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Wobble Lifter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="VGWq#o}_pH)%l~cd_ocd"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="servo_setProperty_Direction" id="#Pj(p(3p?|qI2OL9_C8f"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Shooter Servo"}</data><value name="VALUE"><shadow type="servo_typedEnum_direction" id="8F7JDUY5?Me*I!#Nvy$c"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="servo_setProperty_Number" id="`N,|^$}CKq{G+PAVC;WQ"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Shooter Servo"}</data><value name="VALUE"><shadow type="math_number" id="dDWJD34J4BVH{E(IB+T8"><field name="NUM">0</field></shadow></value><next><block type="servo_setProperty_Direction" id="{[2%G$0/f(6OhZE#]W0f"><field name="IDENTIFIER">WobbleGrabberAsServo</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Wobble Grabber"}</data><value name="VALUE"><shadow type="servo_typedEnum_direction" id="VPNlR{_)YD],1BNdo`+q"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="servo_setProperty_Number" id="|d0p54c^GHTWTNC!]Z=f"><field name="IDENTIFIER">WobbleGrabberAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Wobble Grabber"}</data><value name="VALUE"><shadow type="math_number" id="uvxOc,`Imwd@U6JWihHj"><field name="NUM">0</field></shadow></value><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Put loop blocks here.</field><next><block type="dcMotor_setDualProperty_Number" id="(9PnwSP*kuGErYT!]XL)"><field name="PROP">Power</field><field name="IDENTIFIER1">FrontLeftAsDcMotor</field><field name="IDENTIFIER2">FrontRightAsDcMotor</field><data>{"IDENTIFIER1":"FrontLeft","IDENTIFIER2":"FrontRight"}</data><value name="VALUE1"><shadow type="math_number" id="vawkqwz~XSKZ6yRHx%=G"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="a/*T]]1OD(x]kbWYWeUd"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="-!%`B,/$k#a1#(I+^*{o"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="[wq-]fOCErRFKsntr[Po"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="0n?_lb/[#UXYz^]ZU@!("><field name="NUM">1</field></shadow><block type="math_single" id="g{_BJ)W,A%w%VOb[#:]@"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="SDaa5Ge4HNVLT7!Eyl8A"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id=";q15E-2[Oq/h%@DX#UAV"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="1?{CD%]l3AElbJ{l/Mga"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="h)$}FR[Ssr/F:lv*Q*iD"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="wFxuj9K()v]wB8QbcT/p"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="?^XvcnFy0uVPSJaT)Gxn"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="?vVQ{]@7RFzwjM27N;o:"><field name="NUM">1</field></shadow><block type="math_single" id="=xn;|{InUgjGxSGktw|,"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="Kbv}9$[Aqj?_]q^lv-Hp"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id=",Z@@kIJU!RiWm2i:)jMb"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="fzskFFdOA9a!1UmJu{(."><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="^2a)Thin1hYS:9aWtq|/"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="U;vkh#a;0tr$U$(:GR5D"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="L_6C.sl6XZO.#rX6ArJF"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="kG}I#:1;]{tSsL^,#zEN"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="ZuZ%%%`yZ^n)x2)a`r{X"><field name="OP">MINUS</field><value name="A"><shadow type="math_number" id="V%~DDUJQcB/kpKS5n|~="><field name="NUM">1</field></shadow><block type="math_single" id="]d!Or-5;`*+^/GHooj}K"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="5/b%D=r!uwdVKK8U78%f"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="Gl|[Hp+NKU90YD;V#Nlp"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="zaJwy:Q:8mbpwiRRVCYt"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="H`r(i$tmrquZ,A4HmIU$"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="c[)e5ZWPm@W:O!*xw,5U"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="tmjFrrs8rV0`$s3VB6y0"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="nj@dg):wy0)HU!I#}DUh"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="{)e:W=UD!fG0x({,G9p3"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value><next><block type="dcMotor_setDualProperty_Number" id="n-i~s{C0zO*tI##BDM{,"><field name="PROP">Power</field><field name="IDENTIFIER1">BackLeftAsDcMotor</field><field name="IDENTIFIER2">BackRightAsDcMotor</field><data>{"IDENTIFIER1":"BackLeft ","IDENTIFIER2":"BackRight"}</data><value name="VALUE1"><shadow type="math_number" id="|:eL/Xg2if{jy]l`yVeR"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="zc!#h5pTqQvb1/ZW5oRf"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="*$,x1NjsZS6XqgN7*(@H"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="syQAGyInlP.mZ^D*Gx7n"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="B#,h-0Nx5OGISqa@P@8o"><field name="NUM">1</field></shadow><block type="math_single" id="hE@9m1:Baqz(FQ47UzX~"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="$_Ej7r33x}u|QA7hVV]l"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="rTs}[fanh%iSsUqwO3Z3"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="SsaR0)O/IrcdfN9DbrT]"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="~:S~^AZ;@ZZJLJa0O5U7"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="(Etq@#a4{?ir=7JbUO77"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="LBhyI-v[?4Q{4mGZVZme"><field name="OP">MINUS</field><value name="A"><shadow type="math_number" id="H8=y7E7NlF@Z5xHQB$q;"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="SK||5@{zVlgKDe?!xctu"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id=";bHbn|3=MWmjXy-Q)$Qr"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="D.$1LL/#ZbHL;GosZu@j"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="B*+db3.`j!?N+ZIZD[AX"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="B+d2=0:DY)K,n(wV{%H."><field name="NUM">1</field></shadow><block type="math_arithmetic" id="?A4~4iC:s,g~BO^G5QWl"><field name="OP">MINUS</field><value name="A"><shadow type="math_number" id="r#[+2J9*(a=?`I3ykI3Q"><field name="NUM">1</field></shadow><block type="math_single" id="DE~A{@@D~hq!Z]T28szD"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="7u,[?i${Mv]Dii#u_w%_"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id=",%}I`.^tb.y(xeUA$%$0"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="s^z8VCco0wAc#nM!1aco"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="T^wFq~4j~-BtU4bO5t^0"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="5ABY$la_I.,%rXL;c{?Y"><field name="NUM">1</field></shadow><block type="math_single" id="vZ`[e*`+;zkp|TOw7;)_"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="U)5D8k|}Z5B#bk5v/B-}"><field name="NUM">9</field></shadow><block type="math_arithmetic" id="_z:j|$C~GSd7/|v2`/lE"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="r}T6MGfaG@mk-QSX-A6N"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="2p.M,k+BcHfo5x7-zC$R"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value></block></value><next><block type="controls_if" id="dm]Cx0ZdxCX|1U}S]FKO"><mutation elseif="5" else="1"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id="6`DX@T_DyW=ael;rNhaa"><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadRight</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO0"><block type="dcMotor_setProperty_RunMode" id="~~y^iYrHk^2qGy}PBON."><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="}`BuH4Mc2]}xdFA+!uge"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="G#7YBdP)vbj+0Ga85f=|"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="gG-=;:9q#^jirXQyoc1E"><field name="NUM">1700</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="[%cUy9bleN^JPB%*8i)V"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryColor" id="_]?/|xRn;77?:{d4K=TD"><field name="CATEGORY">BREATH</field><field name="COLOR">RED</field></block></value></block></next></block></next></block></statement><value name="IF1"><block type="gamepad_getProperty_Boolean" id="VW,[Hm_tpBfvRIER`h5e"><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadUp</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO1"><block type="dcMotor_setProperty_RunMode" id="MMOhJdNaIRd)]1-alp6W"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="ldN#,$;`]o%HOB6aaJR9"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="#~rT9s7f3uViu0H;@q:!"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="mjsL%9VbV9G{af;a+qM."><field name="NUM">1400</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="a[#-ajVy.}OFN,U5gl|5"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternFire" id="BO!I)3R|lFj2O.VaV[^+"><field name="SIZE">LARGE</field></block></value></block></next></block></next></block></statement><value name="IF2"><block type="gamepad_getProperty_Boolean" id="Op`:+jEa0+]auLwUig*["><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadLeft</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO2"><block type="dcMotor_setProperty_RunMode" id="oPNf=1NC{q8limwR+8BY"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="VhxgJ5?U@3`T+hq`.8B,"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="Spv[7k*miWDuG+b{acZw"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id=",K`s.D2S_~}:FHNKX7Xa"><field name="NUM">1000</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="}=ZP$Q4L/:4phXqh*i:d"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternLarsonScanner" id="ty$6$Ng@bMT5J,Z0o2*v"><field name="COLOR">RED</field></block></value></block></next></block></next></block></statement><value name="IF3"><block type="gamepad_getProperty_Boolean" id="Y(60BD2r0v`5.2Ce:!c7"><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadDown</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO3"><block type="dcMotor_setProperty_RunMode" id="S:c_;mP#uNG3xXil^Ka%"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="{$;=v;EppiR3ZUg/(lZa"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="gj{11plqUc)m.MLSq8_7"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="9cKz+beuQC,ZP4#:=.lo"><field name="NUM">1800</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="!W`HyVcBbijYFS934{2]"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryColor" id="C41}%]$`:n0!L4{_/hZ3"><field name="CATEGORY">LIGHT_CHASE</field><field name="COLOR">RED</field></block></value></block></next></block></next></block></statement><value name="IF4"><block type="gamepad_getProperty_Boolean" id="g,20Q`WRVs)CrgO4~~XA"><field name="IDENTIFIER">gamepad2</field><field name="PROP">RightBumper</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO4"><block type="dcMotor_setProperty_RunMode" id="`j/!`u|~CC+Q]+RucOSw"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="lLPXlW`AZjKxc,pO.y~h"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="W..Y6Ii|tv;G@ftcM[F?"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="u}Cb(+S|RA$D$g#O6og5"><field name="NUM">1600</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="b2:SENOx38g%[lq~eTU%"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternStrobe" id="39Ag$yJh$Xi[)!n8t-F4"><field name="COLOR">RED</field></block></value></block></next></block></next></block></statement><value name="IF5"><block type="gamepad_getProperty_Boolean" id="70^^6V1Ec{/#A4rjIjQ1"><field name="IDENTIFIER">gamepad2</field><field name="PROP">LeftBumper</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO5"><block type="dcMotor_setProperty_RunMode" id="@L=y,zQK}zqUks93QGF#"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="kydy1qeRwS!}*#U*f3O:"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="X{kanSI8tX1)rwS|(HC$"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="0)m^3Yp:]Q=aZz$:y)7`"><field name="NUM">1200</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="NH|Oh3I/hAOyt63ILo];"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryPalette" id="gmDnGa,Gi}38=UveMb8i"><field name="CATEGORY">SINELON</field><field name="PALETTE">LAVA_PALETTE</field></block></value></block></next></block></next></block></statement><statement name="ELSE"><block type="dcMotor_setProperty_RunMode" id="DRaSXdm8qCaDMN0m0+]+"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="d}%hkL=`]iTz]TJHKJkp"><field name="RUN_MODE">RUN_WITHOUT_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="V0@6bM7AIgvpuPaom/?0"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="V@,!%a2)a3i:jhw.XK@:"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="?/i73ypHZw5]yX5o6BP!"><field name="IDENTIFIER">gamepad2</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value></block></next></block></statement><next><block type="controls_if" id="58Kn,22)^|z14ZE$ZrI;"><mutation else="1"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id="B%dg}Hxk`xVmOiiR}B@Y"><field name="IDENTIFIER">gamepad2</field><field name="PROP">A</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO0"><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="+%l]ut$|k+xF7#{d:4%v"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternShot" id="nz(==`W~G5nI#W9tkGbL"><field name="COLOR">BLUE</field></block></value><next><block type="servo_setProperty_Number" id="0]|5Vf#g_,M#ESJIy./0"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Shooter Servo"}</data><value name="VALUE"><shadow type="math_number" id="{p+(OIE}fK.-/e!SfYl^"><field name="NUM">0.5</field></shadow></value></block></next></block></statement><statement name="ELSE"><block type="servo_setProperty_Number" id="*Oie!8=$W!)ZMlnlv{k;"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Shooter Servo"}</data><value name="VALUE"><shadow type="math_number" id="19}#0`[zOAc0SMoeQpVC"><field name="NUM">0</field></shadow></value></block></statement><next><block type="controls_if" id="d{k(n_8#-M@B+QrEVu*F"><mutation elseif="1"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id="*.?xAAh3-kLlX|aA+@_Z"><field name="IDENTIFIER">gamepad2</field><field name="PROP">X</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO0"><block type="servo_setProperty_Number" id=";nUEdM;L:bWQ;*{x.2Tz"><field name="IDENTIFIER">WobbleGrabberAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Wobble Grabber"}</data><value name="VALUE"><shadow type="math_number" id="1/$eTB-ESq{qI8%oF(Of"><field name="NUM">0</field></shadow></value></block></statement><value name="IF1"><block type="gamepad_getProperty_Boolean" id="DvJiN6@@NnKbwR]{(#rg"><field name="IDENTIFIER">gamepad2</field><field name="PROP">Y</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO1"><block type="servo_setProperty_Number" id="Mm]4U*HV68!zU?:3=eqQ"><field name="IDENTIFIER">WobbleGrabberAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Wobble Grabber"}</data><value name="VALUE"><shadow type="math_number" id="%})=[5RYhQ)1eY-,A?L9"><field name="NUM">0.5</field></shadow></value></block></statement><next><block type="controls_if" id="(7JM$j2XuUxN}6;bB[H,"><mutation else="1"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id="fV:W$%Eu[bywhqGmI4mq"><field name="IDENTIFIER">gamepad1</field><field name="PROP">A</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO0"><block type="dcMotor_setDualProperty_Number" id="2agRYKGaI#SYTO3Aar|y"><field name="PROP">Power</field><field name="IDENTIFIER1">Intake2AsDcMotor</field><field name="IDENTIFIER2">Intake1AsDcMotor</field><data>{"IDENTIFIER1":"Intake 2","IDENTIFIER2":"Intake 1"}</data><value name="VALUE1"><shadow type="math_number" id="EUZ`4a[At-{hzP%,l.HK"><field name="NUM">1</field></shadow></value><value name="VALUE2"><shadow type="math_number" id="lq^D/hAZxd%D54kMn(s;"><field name="NUM">1</field></shadow></value></block></statement><statement name="ELSE"><block type="dcMotor_setDualProperty_Number" id="u{E*6KVC(d7294Kk8|p|"><field name="PROP">Power</field><field name="IDENTIFIER1">Intake2AsDcMotor</field><field name="IDENTIFIER2">Intake1AsDcMotor</field><data>{"IDENTIFIER1":"Intake 2","IDENTIFIER2":"Intake 1"}</data><value name="VALUE1"><shadow type="math_number" id="rq5o)[Pp{OK=+kHp*8N8"><field name="NUM">0</field></shadow></value><value name="VALUE2"><shadow type="math_number" id="m#*rtr~%7Gd+0`d@*?K]"><field name="NUM">0</field></shadow></value></block></statement><next><block type="dcMotor_setProperty_Number" id="f[mDnGaLh-Mr*^,;k;`t"><field name="IDENTIFIER">WobbleLifterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Wobble Lifter"}</data><value name="VALUE"><shadow type="math_number" id="%78G.^SX~9dIPw]pbGB}"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="2qXE=(b`?gX]h.$;|$Cg"><field name="IDENTIFIER">gamepad2</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><next><block type="telemetry_addNumericData_Number" id="y!SgyMbgT*W2tgl]s^{p"><value name="KEY"><shadow type="text" id="g~BbPxzYq6v([x.NEket"><field name="TEXT">Shooter Power</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="[c41ZZZ{hsod#YVehm,)"><field name="NUM">123</field></shadow><block type="dcMotor_getProperty_Number" id="7yWrKaZV3bANp53AJcl9"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Shooter"}</data></block></value><next><block type="telemetry_addNumericData_Number" id="UTx[lJw|vEkpA/W)kf:/"><value name="KEY"><shadow type="text" id="`}DE_^g0~.RB4go?RRMd"><field name="TEXT">Shooter Velocity</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow><block type="dcMotor_getProperty_Number" id="xP#n6L[UE6L$iyQPUNYV"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data></block></value><next><block type="telemetry_addNumericData_Number" id="FPA7|1dJfhXX=eWvk)RH"><value name="KEY"><shadow type="text" id="{H~FuFdvnYIG-FwofpQI"><field name="TEXT">Wooble position</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow><block type="dcMotor_getProperty_Number" id="rLbe6-Xw#o=9`%b/N`P."><field name="IDENTIFIER">WobbleLifterAsDcMotor</field><field name="PROP">CurrentPosition</field><data>{"IDENTIFIER":"Wobble Lifter"}</data></block></value><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ',
      'name': 'test program(1)',
      'escapedName' : 'test program(1)',
      'dateModifiedMillis': 1605835235000,
      'enabled': true
    },
    {
      'FileName': 'camera test.blk',
      'Content': '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="Q3J-AM0*4@;V}.Qq#{4:">trackableName</variable><variable id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</variable><variable id="vnzi@NEjzGfjUg_15|.^">units</variable><variable id="k{/Z,{`B)g209@q/f+o9">isVisible</variable><variable id="HIz#-Z71#^ZUrea`q$!B">convertedValue</variable><variable id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="0" y="0"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="532">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Initialize Vuforia</field><next><block type="telemetry_addTextData_All" id="ete.WtXMLI/z9FPQ.COt"><value name="KEY"><shadow type="text" id="`8y{3{Jpj}%YpDKJ7i~}"><field name="TEXT">Status</field></shadow></value><value name="TEXT"><shadow type="text" id="v41Z~ZEH]ZVoW.Z#[/ow"><field name="TEXT">Initializing Vuforia. Please wait...</field></shadow></value><next><block type="telemetry_update" id="~95C|o%i{8M,d[ge|OAN"><next><block type="procedures_callnoreturn" id="5DLDfOE_)-RWdX`zcMBB"><mutation name="initVuforia"/><next><block type="comment" id="}wMpV9y3]nb,i=*N.SW{"><field name="COMMENT">Activate here for camera preview.</field><next><block type="vuforiaCurrentGame_activate" id="1P`RMhpPHX25nYUmVd4r"><next><block type="telemetry_addTextData_All" id="-X[+{_wuOEMuW`#3T*Ei"><value name="KEY"><shadow type="text" id="KtBev%HW.82IJ$k,R[d$"><field name="TEXT">&gt;&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="Ilq^_*dgjMew$B5g%DU/"><field name="TEXT">Vuforia initialized, press start to continue...</field></shadow></value><next><block type="telemetry_update" id=".NTGnqiSI1Hf13w.Sge*"><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="3[l]BI{p^hbNdQpcWJ|,"><field name="COMMENT">Are the targets visible?</field><next><block type="comment" id="=cOa^;#bgHniPd55e8wY"><field name="COMMENT">(Note we only process first visible target).</field><next><block type="controls_if" id="?z[AWydC?Ypi|8W~IL(E"><mutation elseif="4" else="1"/><value name="IF0"><block type="procedures_callreturn" id="ZCr0Hub{+C-?NNX){ete"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="I^C(6*4wS[c!C~=qU5^I"><field name="TRACKABLE_NAME">Red Alliance Target</field></block></value></block></value><statement name="DO0"><block type="procedures_callnoreturn" id="Y.AnfaMMlS@S%MBZD3BZ"><mutation name="processTarget"/></block></statement><value name="IF1"><block type="procedures_callreturn" id="b#sc3wiu2+H@Y_|MCCAJ"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="kGly,#j?1@;!pX^@n_lV"><field name="TRACKABLE_NAME">Blue Alliance Target</field></block></value></block></value><statement name="DO1"><block type="procedures_callnoreturn" id="PJY+H:uab^~D5-93IGyQ"><mutation name="processTarget"/></block></statement><value name="IF2"><block type="procedures_callreturn" id="~gT4{3gBzVs?Gl5XG3i`"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="z+i+S6WP`l+Ku1!]815o"><field name="TRACKABLE_NAME">Front Wall Target</field></block></value></block></value><statement name="DO2"><block type="procedures_callnoreturn" id="BjQW8{cl4SZZn{`p@A0`"><mutation name="processTarget"/></block></statement><value name="IF3"><block type="procedures_callreturn" id="Q?gwdr{fxd/{uk=Lb)yI"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="@zukx]XD6dmQj8hc!{f="><field name="TRACKABLE_NAME">Red Tower Goal Target</field></block></value></block></value><statement name="DO3"><block type="procedures_callnoreturn" id=":P1`F3E?Bb`e2d)0k3i["><mutation name="processTarget"/></block></statement><value name="IF4"><block type="procedures_callreturn" id="u{`x#15!ExxbiNL-eMjZ"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="*{Fl~/tAYX3/|L}`M=Gn"><field name="TRACKABLE_NAME">Blue Tower Goal Target</field></block></value></block></value><statement name="DO4"><block type="procedures_callnoreturn" id="i}{)pf^i{LA)8fE[[L?@"><mutation name="processTarget"/></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="ku2^Hrd`M6B:)T4qkO{*"><value name="KEY"><shadow type="text" id="3.,BfqV`Dwe%_=$~Yyz:"><field name="TEXT">No Targets Detected</field></shadow></value><value name="TEXT"><shadow type="text" id="+cNM6lxmY-U:hCKv9hww"><field name="TEXT">Targets are not visible.</field></shadow></value></block></statement><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="comment" id="]ycr.8yTY1_SpWPXogDK"><field name="COMMENT">Don\'t forget to deactivate Vuforia.</field><next><block type="vuforiaCurrentGame_deactivate" id="LK?,98R2um*/j^+`!_eP"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="[(GpkWXZgWK4B(,r2hB1" x="0" y="1131"><field name="NAME">initVuforia</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="t1$uJER0JJ.uJ38KBL|l"><field name="COMMENT">Initialize using external web camera.</field><next><block type="vuforiaCurrentGame_initialize_withWebcam" id=":yq#].beRmrst^iA=#vv"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id=",!n|V,Oj|m%h^zrr]_2{"><field name="WEBCAM_NAME">Webcam 1</field></shadow></value><value name="WEBCAM_CALIBRATION_FILE"><shadow type="text" id="0GfygqDjd!{i{aH*d$V-"><field name="TEXT"/></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="XMKZnDj,w=Nu9ZUaU:}l"><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="I4{9#11o-6b*)9G173Ln"><field name="BOOL">TRUE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id=",VVeZac-4iKgpGvnsc1?"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="TY+Y@|)q84F63.]g?a+*"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="9$Px?(Z6mGTU7CR5],O6"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="}woJe,5c0n@}ROg*ZeEf"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="PwPq+;Rv(AGqd^.q,G)Q"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="36$sm[KjSu)}+NwK2#Ex"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id="RvVb,^Y29HRH5=e9ZmEU"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="?q=D_n]WWIXlaIS%VQ]J"><field name="BOOL">TRUE</field></shadow></value></block></next></block></statement></block><block type="procedures_defreturn" id="oKsCkghuw*qaT$-YC)37" x="0" y="1560"><mutation><arg name="trackableName" varid="Q3J-AM0*4@;V}.Qq#{4:"/></mutation><field name="NAME">isTargetVisible</field><comment pinned="false" h="52" w="238">Check to see if the target is visible.</comment><statement name="STACK"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Get vuforia results for target.</field><next><block type="variables_set" id="DgJptUz.B#Fy5PZ(|;{F"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field><value name="VALUE"><block type="vuforiaCurrentGame_track" id="4jZQVo^K@])BLe3f~lUi"><value name="TRACKABLE_NAME"><shadow xmlns="http://www.w3.org/1999/xhtml" type="vuforiaCurrentGame_typedEnum_trackableName" id="rg.#y[B/+7C=n6YeRc__"><field name="TRACKABLE_NAME">blueRearBridge</field></shadow><block type="variables_get" id="#iCxj]yw%~i6|giT1)gf"><field name="VAR" id="Q3J-AM0*4@;V}.Qq#{4:">trackableName</field></block></value></block></value><next><block type="comment" id="guv9joc,cFQ`)I,r_n_y"><field name="COMMENT">Is this target visible?</field><next><block type="controls_if" id=")A?uaN?Z3LXnN=a)dK|m"><mutation else="1"/><value name="IF0"><block type="vuforiaTrackingResults_getProperty_Boolean" id="zsLNaCOf2n_J7/!;q$H*"><field name="PROP">IsVisible</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="mP#]nb.LYi8#x3JLQcse"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="Qj%5#`!iX[}34TA(xA~R"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field><value name="VALUE"><block type="logic_boolean" id="x78dIgV^.Ybn#53#s_!~"><field name="BOOL">TRUE</field></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="*xkWpT/py!:C)ok|E_Yx"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field><value name="VALUE"><block type="logic_boolean" id="%D[7pqoXYT{+qOS8PKG)"><field name="BOOL">FALSE</field></block></value></block></statement></block></next></block></next></block></next></block></statement><value name="RETURN"><block type="variables_get" id="MtovXx1;~{2m,F=(*M?i"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field></block></value></block><block type="procedures_defnoreturn" id=";*]}?=r{sc?CCElk_mgq" x="0" y="1875"><field name="NAME">processTarget</field><comment pinned="false" h="84" w="352">This function displays location on the field and rotation about the Z axis on the field.  It uses results from the isTargetVisible function.</comment><statement name="STACK"><block type="telemetry_addTextData_All" id="*op$7df9@`8HF,3y!oQT"><comment pinned="false" h="46" w="193">Display the target name.</comment><value name="KEY"><shadow type="text" id="t9,7Ks@T8SH*dy|tHkHq"><field name="TEXT">Target Detected</field></shadow></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="+cNM6lxmY-U:hCKv9hww"><field name="TEXT">text</field></shadow><block type="text_join" id="%%A8if3K;T=XwljtQ.)T"><mutation items="2"/><value name="ADD0"><block type="vuforiaTrackingResults_getProperty_String" id="qG[xAfhDkvvfZqv4]qo+"><field name="PROP">Name</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="sLt4i5}PCcct$qg^6grI"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ADD1"><block type="text" id="1[RG(9aJzwlw*p@,FBAN"><field name="TEXT"> is visible.</field></block></value></block></value><next><block type="telemetry_addNumericData_Number" id=":X]T2-42}uWR@U{BkzXe"><value name="KEY"><shadow type="text" id="-%2{Mr#|RIwnK6d-gc21"><field name="TEXT">X (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="Ji|suZVk!CVu[qTnm;YP"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="ii_-]6Q?djjGbdkQ$%%U"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="cVik)]n{yXKX1his}P,{"><field name="PROP">X</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id=",IMxhcnfo-.jFD`$ABG:"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="7.c]SmD=BC@X@:6DuYQw"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="bW8KB(!h!Yk?cCf,1N%G"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="!B$E|*|O-@@B{D3YnN$f"><value name="KEY"><shadow type="text" id="1-@aL7p=u]3%@({-.7h8"><field name="TEXT">Y (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="de0qxeEu|SAMb1KA;?Ap"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="*h%`SUTY9+=$iGeDhcz:"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="!D:AV|xngpdw{2=;w7WP"><field name="PROP">Y</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="aXV?:CO3vd4Nw7`2GV6k"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="pZfS+)U*~]jH`nF{~tnj"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id=",vD^a.D.{~:H/A-^./T?"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="C7*jmX.1S(#sT,N7rL{$"><value name="KEY"><shadow type="text" id="S)#1)WQzDvqtI8yDFvaI"><field name="TEXT">Z (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="yEecPQK{3D:~Tsqp+2fF"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="I|M;]U?#Z~2_l2-zCCc:"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="UG(.R$Nf;h:YpaNa{Fw+"><field name="PROP">Z</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="}b?SdvjsL94Xov(g%kjk"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="#.7vbpM8NzmB;.xG6a:R"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="ZMlDDXGi|{UVn8E]%CU|"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="?^]5b={D6@iSk}(W{i*j"><value name="KEY"><shadow type="text" id="l`rNt@r5XhAxL/|/VCvI"><field name="TEXT">Rotation about Z (deg)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="Hb]p0GvSqX^3mDk(__Wz"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="vuforiaTrackingResults_getProperty_Number" id=")YV-!nFEqr|N3R$7%F_p"><field name="PROP">ZAngle</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="C-no5cneFFnsmVpGP0qC"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="5r)#L]MfDI2wa|Te;8+^"><field name="NUM">2</field></shadow></value></block></value></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defreturn" id="UxB8d%{1-udCaf4Tj)kr" x="0" y="2834"><mutation><arg name="originalValue" varid="s{Rq{9YGZ4tOu8[:y0RX"/><arg name="units" varid="vnzi@NEjzGfjUg_15|.^"/></mutation><field name="NAME">displayValue</field><comment pinned="false" h="85" w="283">By default, distances are returned in millimeters by Vuforia.  Convert to other distance units (CM, M, IN, and FT).</comment><statement name="STACK"><block type="comment" id="?T+Go=(x2mS~57g!.{YZ"><field name="COMMENT">Vuforia returns distances in mm.</field><next><block type="controls_if" id="8-Yy+lpuI^qfQD7*QY9b"><mutation elseif="3" else="1"/><value name="IF0"><block type="logic_compare" id="~?@J/Zi%/GF-upKP^{wu"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="8-pAQ#r?@0w}?M,Kc?zy"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="B:*~#:jz!jrId|JS)2X3"><field name="TEXT">CM</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="#*HJVFH|28[3eZ*5JzBu"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="tXW[(.uBZ6Eg6ELp5#@s"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="rdF=lbNGq{mH45k|2.+Y"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="0c)]t]*6-ZlZ5-HBfnCk"><field name="NUM">10</field></shadow></value></block></value></block></statement><value name="IF1"><block type="logic_compare" id="DzjY}!CSQBI_axTAFTpV"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="/#%-NJ~_xCGCO73JX5R0"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="RT`bLCgLRjOd4#@jy!v2"><field name="TEXT">M</field></block></value></block></value><statement name="DO1"><block type="variables_set" id="Vf!Ge{e1L5,,}`]+?ya-"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="[z|7a=#Sa{+bRy#(Rv7g"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="qKd|8N)3`M.JkQ?G@.T7"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="HvkMy!a*.|3{S@L~0|^D"><field name="NUM">1000</field></shadow></value></block></value></block></statement><value name="IF2"><block type="logic_compare" id="xYh]j[`C%.q8gIBUwyQl"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="v@[:7Z+/W#p:%RgnN2j="><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="bLU-!OyV5U=L+|k:,}[c"><field name="TEXT">IN</field></block></value></block></value><statement name="DO2"><block type="variables_set" id="|jedk+WURgCc(]R4qQa/"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="MFH65avKr,B`e$Kbn%dy"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="o@b2/8n)Z32{/#CQ$MLO"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="5YQl@j0r0MleBEC_i?sK"><field name="NUM">25.4</field></shadow></value></block></value></block></statement><value name="IF3"><block type="logic_compare" id="X}Ov?ZCj/[0bKU`-_+_n"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="5QgL#n*,*8YCl:~p~}S)"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="nj{]+$y[Wn1_Q6ZNAqDS"><field name="TEXT">FT</field></block></value></block></value><statement name="DO3"><block type="variables_set" id="9M4J[T)8AxnW2Ti|R!(U"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="3=}w!zfQi()nRcCHO?)A"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="B4E.Ac=eBh1w7D%H=p5f"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="cbqkU;sc$1+`ve$kWPpb"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="NcQ_6Ec*!Nj1TQ*R8Bn9"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="![m{]/$lBl%*4rZtQW[l"><field name="NUM">25.4</field></shadow></value></block></value><value name="B"><shadow type="math_number" id="t:Z);e`h^RxOS=jc)@pS"><field name="NUM">12</field></shadow></value></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="L7?P|bWhJC%Tg=Z]t{~u"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="variables_get" id="x(XLLRh.-:p$CP^7jiX}"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value></block></statement></block></next></block></statement><value name="RETURN"><block type="variables_get" id="+TTq_;:Zq6=uxru5NfoW"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field></block></value></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ',
      'name': 'camera test',
      'escapedName' : 'camera test',
      'dateModifiedMillis': 1606866668000,
      'enabled': true
    },
    {
      'FileName': 'test program12.blk',
      'Content': '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="OYKa12)#^alrSM0(WT9c">Intake</variable><variable id="Xuz*Go?gpCW6E#6O3Xx2">ShooterVelocity</variable><variable id="]%jS(]l,6uXh%}*4.){K">originalValue</variable><variable id="?*b)AHt~YxlX^P)s(pB6">Units</variable><variable id="1dy()f(J5GYYPp#S]Qfb">TrackableName</variable><variable id="l8/|y+p($CYwrERdBR[0">LEDpattern</variable><variable id=":Q]j.]:I2.cYH/`@:+WA">convertedValue</variable><variable id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</variable><variable id="Y3IhJ/AX?!J7hlH0@_Vf">isVisable</variable><variable id="{s(NK#a?I#M%t`}U9d@9">Hue</variable><variable id="Bp|AwD9[8k=(=uNv,Oi?">Hue2</variable><variable id="V2wduJ-=yIc]#M0zbjG$">Team</variable><variable id="V{UPrdEEmJH{3!6n1s.b">Rings</variable><variable id="]Vwf?21{vJL5xPqh9yN_">ShotType</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="0" y="0"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="531">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Put initialization blocks here.</field><next><block type="procedures_callnoreturn" id="tjgWP^%GS]e]=31{9XWu"><mutation name="InitializeMotors"/><next><block type="procedures_callnoreturn" id="KDb3/@;t[COHm}G9@jO;"><mutation name="InitializeServos"/><next><block type="procedures_callnoreturn" id="/{WYW5CewDdV7pN|L)7!"><mutation name="InitVuforia"/><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Put loop blocks here.</field><next><block type="controls_if" id="vrRWv#|63xv*cuf[NX_r"><mutation else="1"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id="OkxOo4x/5jOue5{7X+0@"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightBumper</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO0"><block type="dcMotor_setDualProperty_Number" id="YcSlT5!b3S#m#MJ;$h^7"><field name="PROP">Power</field><field name="IDENTIFIER1">FrontLeftAsDcMotor</field><field name="IDENTIFIER2">FrontRightAsDcMotor</field><data>{"IDENTIFIER1":"FrontLeft","IDENTIFIER2":"FrontRight"}</data><value name="VALUE1"><shadow type="math_number" id="8M{_j3MP{E3TQjZOV5/7"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="h0x+If#D8A$`Vqf,^p;j"><field name="OP">MULTIPLY</field><value name="A"><shadow type="math_number" id=":4dE`$pB;25*5rWh:?JM"><field name="NUM">0.5</field></shadow></value><value name="B"><shadow type="math_number" id="6cdCjn+-GsMI1e!]klB/"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="t8@PTUauCWc,J5wtU)7T"><field name="OP">ADD</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="-ljAQ8|68}iOje33DsZ+"><field name="OP">ADD</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_single" id="49(qg0a?~i)[G!49k:#("><field name="OP">NEG</field><value name="NUM"><shadow type="math_number"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="V*}f%kQg}Z#eTnck_kLr"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="_F%k`]82|uAZI,-`/mtq"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="db!1Y2QYMh:N.8Nw7GOw"><field name="OP">ADD</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_single" id="26~:cIt@r4wyIGT:Yc?%"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="FPDxp}h@A:@)D/%yL6~2"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="gRV2j+9Z0;yA[iMO2Vaz"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value></block></value><value name="VALUE2"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="]G_{,TNfIHGlh2(rF-8Z"><field name="OP">MULTIPLY</field><value name="A"><shadow type="math_number" id="H:NQiJhD0Rc2D0zlIkfF"><field name="NUM">0.5</field></shadow></value><value name="B"><shadow type="math_number" id="c@|tqfqbX;YZZWQ]9)cs"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="WeG~GUVO$/B%SvZzG^y6"><field name="OP">ADD</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="Udj97i012.`duZ!K]39["><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_single" id="P-fVt{DCBJm0OxG=rDUg"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="!^c2~V[AkJ=5LgC]u}=4"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="R$g~Ar@:#O;t=hK!34Gm"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="rb%)Gr$YV2/YM0eK69LB"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="fjY`VD:8/oic%A$Y0VPN"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="MtoSc68Lqn[0Hs0r`;qv"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value></block></value><next><block type="dcMotor_setDualProperty_Number" id="gRK0V39VbA|h.2t5LnpS"><field name="PROP">Power</field><field name="IDENTIFIER1">BackLeftAsDcMotor</field><field name="IDENTIFIER2">BackRightAsDcMotor</field><data>{"IDENTIFIER1":"BackLeft ","IDENTIFIER2":"BackRight"}</data><value name="VALUE1"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="SlTVhjUO9;w)j;XWM)~T"><field name="OP">MULTIPLY</field><value name="A"><shadow type="math_number" id="h/I0cxWe2O=IYoIkJ%3V"><field name="NUM">0.5</field></shadow></value><value name="B"><shadow type="math_number" id="g+`Db+1kIuXikYg?#Y[x"><field name="NUM">1</field></shadow><block type="math_arithmetic" id=",5sc-YVa4KFY65M@PNYJ"><field name="OP">ADD</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="i4OW)m:CY;dcmCxEOZLB"><field name="OP">ADD</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_single" id=";a4PMfLF^[xYN,AN^i8r"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="O64IX/1y41xQ=[G;y(hR"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="uX23GbD@TT~uXuSyuWo#"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="e|EA?#h%}-|!XshQlKRn"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="g7+janXN`YwN4]aS[/xS"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="T#5xnOT?4R6=G]vBJtN;"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value></block></value><value name="VALUE2"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="K3Ib6xC2IOEodisg(*yJ"><field name="OP">MULTIPLY</field><value name="A"><shadow type="math_number" id="|YuBP65iRW5/kLA=M.2E"><field name="NUM">0.5</field></shadow></value><value name="B"><shadow type="math_number" id="::xrA:6-x.Flr;EK*?(w"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="xZ7jW;mXWY4WnKcE/e:z"><field name="OP">ADD</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="*^[;fQ}J.@Bdq$Kd^=6k"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_single" id="zW*J`vDg|)q3M5n,pYXh"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="*qD0mNDXuB8^B#HDNKNJ"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="J37@ZL0Z!xO{badn^HSY"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="math_single" id=")D6Ex{+!g5-Q}S*phw=i"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number"><field name="NUM">9</field></shadow><block type="math_arithmetic" id="^yEVT4zEs(K]7bCD%#q;"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="%G#Njt/Mu?d31ng^-SE9"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="C*TR7D?Yz?Pcw!$t5TM+"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value></block></value></block></value></block></next></block></statement><statement name="ELSE"><block type="dcMotor_setDualProperty_Number" id="(9PnwSP*kuGErYT!]XL)"><field name="PROP">Power</field><field name="IDENTIFIER1">FrontLeftAsDcMotor</field><field name="IDENTIFIER2">FrontRightAsDcMotor</field><data>{"IDENTIFIER1":"FrontLeft","IDENTIFIER2":"FrontRight"}</data><value name="VALUE1"><shadow type="math_number" id="vawkqwz~XSKZ6yRHx%=G"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="a/*T]]1OD(x]kbWYWeUd"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="-!%`B,/$k#a1#(I+^*{o"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="[wq-]fOCErRFKsntr[Po"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="0n?_lb/[#UXYz^]ZU@!("><field name="NUM">1</field></shadow><block type="math_single" id="g{_BJ)W,A%w%VOb[#:]@"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="SDaa5Ge4HNVLT7!Eyl8A"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id=";q15E-2[Oq/h%@DX#UAV"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="1?{CD%]l3AElbJ{l/Mga"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="h)$}FR[Ssr/F:lv*Q*iD"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="wFxuj9K()v]wB8QbcT/p"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="?^XvcnFy0uVPSJaT)Gxn"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="?vVQ{]@7RFzwjM27N;o:"><field name="NUM">1</field></shadow><block type="math_single" id="=xn;|{InUgjGxSGktw|,"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="Kbv}9$[Aqj?_]q^lv-Hp"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id=",Z@@kIJU!RiWm2i:)jMb"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="fzskFFdOA9a!1UmJu{(."><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="^2a)Thin1hYS:9aWtq|/"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="U;vkh#a;0tr$U$(:GR5D"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="L_6C.sl6XZO.#rX6ArJF"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="kG}I#:1;]{tSsL^,#zEN"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="ZuZ%%%`yZ^n)x2)a`r{X"><field name="OP">MINUS</field><value name="A"><shadow type="math_number" id="V%~DDUJQcB/kpKS5n|~="><field name="NUM">1</field></shadow><block type="math_single" id="]d!Or-5;`*+^/GHooj}K"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="5/b%D=r!uwdVKK8U78%f"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="Gl|[Hp+NKU90YD;V#Nlp"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="zaJwy:Q:8mbpwiRRVCYt"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="H`r(i$tmrquZ,A4HmIU$"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="c[)e5ZWPm@W:O!*xw,5U"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="tmjFrrs8rV0`$s3VB6y0"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="nj@dg):wy0)HU!I#}DUh"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="{)e:W=UD!fG0x({,G9p3"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value><next><block type="dcMotor_setDualProperty_Number" id="n-i~s{C0zO*tI##BDM{,"><field name="PROP">Power</field><field name="IDENTIFIER1">BackLeftAsDcMotor</field><field name="IDENTIFIER2">BackRightAsDcMotor</field><data>{"IDENTIFIER1":"BackLeft ","IDENTIFIER2":"BackRight"}</data><value name="VALUE1"><shadow type="math_number" id="|:eL/Xg2if{jy]l`yVeR"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="zc!#h5pTqQvb1/ZW5oRf"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="*$,x1NjsZS6XqgN7*(@H"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="syQAGyInlP.mZ^D*Gx7n"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="B#,h-0Nx5OGISqa@P@8o"><field name="NUM">1</field></shadow><block type="math_single" id="hE@9m1:Baqz(FQ47UzX~"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="$_Ej7r33x}u|QA7hVV]l"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id="rTs}[fanh%iSsUqwO3Z3"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="SsaR0)O/IrcdfN9DbrT]"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="~:S~^AZ;@ZZJLJa0O5U7"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="(Etq@#a4{?ir=7JbUO77"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="LBhyI-v[?4Q{4mGZVZme"><field name="OP">MINUS</field><value name="A"><shadow type="math_number" id="H8=y7E7NlF@Z5xHQB$q;"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="SK||5@{zVlgKDe?!xctu"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id=";bHbn|3=MWmjXy-Q)$Qr"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="D.$1LL/#ZbHL;GosZu@j"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="B*+db3.`j!?N+ZIZD[AX"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="B+d2=0:DY)K,n(wV{%H."><field name="NUM">1</field></shadow><block type="math_arithmetic" id="?A4~4iC:s,g~BO^G5QWl"><field name="OP">MINUS</field><value name="A"><shadow type="math_number" id="r#[+2J9*(a=?`I3ykI3Q"><field name="NUM">1</field></shadow><block type="math_single" id="DE~A{@@D~hq!Z]T28szD"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="7u,[?i${Mv]Dii#u_w%_"><field name="NUM">9</field></shadow><block type="gamepad_getProperty_Number" id=",%}I`.^tb.y(xeUA$%$0"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="s^z8VCco0wAc#nM!1aco"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="T^wFq~4j~-BtU4bO5t^0"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="5ABY$la_I.,%rXL;c{?Y"><field name="NUM">1</field></shadow><block type="math_single" id="vZ`[e*`+;zkp|TOw7;)_"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="U)5D8k|}Z5B#bk5v/B-}"><field name="NUM">9</field></shadow><block type="math_arithmetic" id="_z:j|$C~GSd7/|v2`/lE"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="r}T6MGfaG@mk-QSX-A6N"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="2p.M,k+BcHfo5x7-zC$R"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value></block></value></block></value></block></next></block></statement><next><block type="controls_if" id="~Rl!Ml*l62:vz8L2OpRJ"><mutation elseif="2"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id=")erl3+/S4(}qsa;A,^+8"><field name="IDENTIFIER">gamepad1</field><field name="PROP">A</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO0"><block type="procedures_callnoreturn" id="a4{KkU8=8^d|-rk3@qHd"><mutation name="Intake"><arg name="Intake"/></mutation><value name="ARG0"><block type="math_number" id="*:/4O?w8{?u`OE@9MW8]"><field name="NUM">1</field></block></value></block></statement><value name="IF1"><block type="gamepad_getProperty_Boolean" id="!+L{L;Uwqs8hwp8?iTll"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Y</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO1"><block type="procedures_callnoreturn" id="knae|%5Dg8@|#5?],f=,"><mutation name="Intake"><arg name="Intake"/></mutation><value name="ARG0"><block type="math_number" id="}%JxS3)d26TKMGqhYt3k"><field name="NUM">-1</field></block></value></block></statement><value name="IF2"><block type="logic_operation" id="J]~Pg{r9|]!l+2b`}*)%"><field name="OP">OR</field><value name="A"><block type="gamepad_getProperty_Boolean" id="PJ.,dBpHMEqy%/xXT!Fj"><field name="IDENTIFIER">gamepad1</field><field name="PROP">B</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><block type="logic_operation" id="ts(sXN=kVRhr]dET/Qxs"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="nB`092dfq6KQi*U)UNzR"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="HL_~QIv]-p`[Ju5D3g2R"><field name="VAR" id="OYKa12)#^alrSM0(WT9c">Intake</field></block></value><value name="B"><block type="math_number" id="[k+oJ]z7.wv[j9abFRqv"><field name="NUM">1</field></block></value></block></value><value name="B"><block type="logic_compare" id="pR~5sXG6l{Gzks]W2|D*"><field name="OP">EQ</field><value name="A"><block type="variables_get" id=")#mM|}UB9x)09@L[8U|9"><field name="VAR" id="V{UPrdEEmJH{3!6n1s.b">Rings</field></block></value><value name="B"><block type="text" id="p#bO:aIjTv`*Bkz|o~j/"><field name="TEXT">Three</field></block></value></block></value></block></value></block></value><statement name="DO2"><block type="procedures_callnoreturn" id="P7@Rnpiw%F}B},!M#mXX"><mutation name="Intake"><arg name="Intake"/></mutation><value name="ARG0"><block type="math_number" id="/2i%LB7kkP6JFb`KSfjq"><field name="NUM">0</field></block></value></block></statement><next><block type="procedures_callnoreturn" id="8X8AKmaxcN,Y,)l1!#uU"><mutation name="Ring Counter"/><next><block type="controls_if" id="XmjKSTK|Q^)7Pv@$y/uV"><mutation elseif="3" else="1"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id="0#aAe1_zEchNs1$gKcpy"><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadUp</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO0"><block type="variables_set" id="3A{isocXQd1l=4YUy,u?"><field name="VAR" id="]Vwf?21{vJL5xPqh9yN_">ShotType</field><value name="VALUE"><block type="text" id="sEN`K:=`)VhMk?%CQZ97"><field name="TEXT">Top</field></block></value><next><block type="procedures_callnoreturn" id="415d%tg|H#ac!a/y4uWc"><mutation name="Vuforia"/></block></next></block></statement><value name="IF1"><block type="gamepad_getProperty_Boolean" id="HO$!(WVTc@c!U_7rYZhs"><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadLeft</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO1"><block type="variables_set" id="M[qC**/u=W,pt-p(uPS."><field name="VAR" id="]Vwf?21{vJL5xPqh9yN_">ShotType</field><value name="VALUE"><block type="text" id="xaA(Zen)Rs/7N;)qgLiQ"><field name="TEXT">Mid</field></block></value><next><block type="procedures_callnoreturn" id="Z}06/BptNA8wsoe8}%=w"><mutation name="Vuforia"/></block></next></block></statement><value name="IF2"><block type="gamepad_getProperty_Boolean" id="?OKEgpm~Ln,1C2:i8#*g"><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadRight</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO2"><block type="variables_set" id="Q~Ak6o|(2Z*9@/C2i1_L"><field name="VAR" id="]Vwf?21{vJL5xPqh9yN_">ShotType</field><value name="VALUE"><block type="text" id="[B%l1Lj]Bg~WnIDk=g{O"><field name="TEXT">Power</field></block></value><next><block type="procedures_callnoreturn" id=",,W7|8`74;]IbmYT8b/1"><mutation name="Vuforia"/></block></next></block></statement><value name="IF3"><block type="gamepad_getProperty_Boolean" id="wIp/wkkzjnU/iWU71k=j"><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadDown</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO3"><block type="variables_set" id="dlN55SD~O2Zq4!hEo1%j"><field name="VAR" id="]Vwf?21{vJL5xPqh9yN_">ShotType</field><value name="VALUE"><block type="text" id="oYo+$Z|BX=_a;VV0M=C7"><field name="TEXT">Lower</field></block></value><next><block type="procedures_callnoreturn" id="l2=Bq`p?oBaN:**|`$FH"><mutation name="Vuforia"/></block></next></block></statement><statement name="ELSE"><block type="dcMotor_setProperty_RunMode" id="DRaSXdm8qCaDMN0m0+]+"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="d}%hkL=`]iTz]TJHKJkp"><field name="RUN_MODE">RUN_WITHOUT_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="V0@6bM7AIgvpuPaom/?0"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="V@,!%a2)a3i:jhw.XK@:"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="?/i73ypHZw5]yX5o6BP!"><field name="IDENTIFIER">gamepad2</field><field name="PROP">RightTrigger</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value></block></next></block></statement><next><block type="controls_if" id="58Kn,22)^|z14ZE$ZrI;"><mutation else="1"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id="B%dg}Hxk`xVmOiiR}B@Y"><field name="IDENTIFIER">gamepad2</field><field name="PROP">A</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO0"><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="+%l]ut$|k+xF7#{d:4%v"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternShot" id="nz(==`W~G5nI#W9tkGbL"><field name="COLOR">BLUE</field></block></value><next><block type="servo_setProperty_Number" id="0]|5Vf#g_,M#ESJIy./0"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Shooter Servo"}</data><value name="VALUE"><shadow type="math_number" id="{p+(OIE}fK.-/e!SfYl^"><field name="NUM">0.5</field></shadow></value></block></next></block></statement><statement name="ELSE"><block type="servo_setProperty_Number" id="*Oie!8=$W!)ZMlnlv{k;"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Shooter Servo"}</data><value name="VALUE"><shadow type="math_number" id="19}#0`[zOAc0SMoeQpVC"><field name="NUM">0</field></shadow></value></block></statement><next><block type="controls_if" id="d{k(n_8#-M@B+QrEVu*F"><mutation elseif="1"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id="*.?xAAh3-kLlX|aA+@_Z"><field name="IDENTIFIER">gamepad2</field><field name="PROP">X</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO0"><block type="servo_setProperty_Number" id=";nUEdM;L:bWQ;*{x.2Tz"><field name="IDENTIFIER">WobbleGrabberAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Wobble Grabber"}</data><value name="VALUE"><shadow type="math_number" id="1/$eTB-ESq{qI8%oF(Of"><field name="NUM">0</field></shadow></value></block></statement><value name="IF1"><block type="gamepad_getProperty_Boolean" id="DvJiN6@@NnKbwR]{(#rg"><field name="IDENTIFIER">gamepad2</field><field name="PROP">Y</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO1"><block type="servo_setProperty_Number" id="Mm]4U*HV68!zU?:3=eqQ"><field name="IDENTIFIER">WobbleGrabberAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Wobble Grabber"}</data><value name="VALUE"><shadow type="math_number" id="%})=[5RYhQ)1eY-,A?L9"><field name="NUM">0.75</field></shadow></value></block></statement><next><block type="dcMotor_setProperty_Number" id="f[mDnGaLh-Mr*^,;k;`t"><field name="IDENTIFIER">WobbleLifterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Wobble Lifter"}</data><value name="VALUE"><shadow type="math_number" id="%78G.^SX~9dIPw]pbGB}"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="2qXE=(b`?gX]h.$;|$Cg"><field name="IDENTIFIER">gamepad2</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><next><block type="telemetry_addNumericData_Number" id="y!SgyMbgT*W2tgl]s^{p"><value name="KEY"><shadow type="text" id="g~BbPxzYq6v([x.NEket"><field name="TEXT">Shooter Power</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="[c41ZZZ{hsod#YVehm,)"><field name="NUM">123</field></shadow><block type="dcMotor_getProperty_Number" id="7yWrKaZV3bANp53AJcl9"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Shooter"}</data></block></value><next><block type="telemetry_addNumericData_Number" id="UTx[lJw|vEkpA/W)kf:/"><value name="KEY"><shadow type="text" id="`}DE_^g0~.RB4go?RRMd"><field name="TEXT">Shooter Velocity</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow><block type="dcMotor_getProperty_Number" id="xP#n6L[UE6L$iyQPUNYV"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data></block></value><next><block type="telemetry_addNumericData_Number" id="FPA7|1dJfhXX=eWvk)RH"><value name="KEY"><shadow type="text" id="{H~FuFdvnYIG-FwofpQI"><field name="TEXT">Wooble position</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow><block type="dcMotor_getProperty_Number" id="rLbe6-Xw#o=9`%b/N`P."><field name="IDENTIFIER">WobbleLifterAsDcMotor</field><field name="PROP">CurrentPosition</field><data>{"IDENTIFIER":"Wobble Lifter"}</data></block></value><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="I)yfK2ib[.i)GbiNCKyU" x="0" y="2117"><mutation><arg name="Intake" varid="OYKa12)#^alrSM0(WT9c"/></mutation><field name="NAME">Intake</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="dcMotor_setDualProperty_Number" id="ea#B:SW^uk^yNan37$c6"><field name="PROP">Power</field><field name="IDENTIFIER1">Intake1AsDcMotor</field><field name="IDENTIFIER2">Intake2AsDcMotor</field><data>{"IDENTIFIER1":"Intake 1","IDENTIFIER2":"Intake 2"}</data><value name="VALUE1"><shadow type="math_number" id="dQoG{wAnmTwET5CgZDl["><field name="NUM">0</field></shadow><block type="variables_get" id="05)Mku4QD%XNkIax{z@j"><field name="VAR" id="OYKa12)#^alrSM0(WT9c">Intake</field></block></value><value name="VALUE2"><shadow type="math_number" id="5J:|K#yBwwQ%cks*X)D%"><field name="NUM">0</field></shadow><block type="variables_get" id="|ln@[u=]OyUJ,j5l)Cmm"><field name="VAR" id="OYKa12)#^alrSM0(WT9c">Intake</field></block></value></block></statement></block><block type="procedures_defnoreturn" id="cJv2/t.f}rc#y1HM^C{K" x="0" y="2260"><field name="NAME">Vuforia</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="vuforiaCurrentGame_activate" id="fUXeR-^#~jg#1nc$j*yJ"><next><block type="controls_if" id=":Fvme~UlbYY}p4G)TsDv"><mutation elseif="4" else="1"/><value name="IF0"><block type="procedures_callreturn" id="Z37U[tetdMU[:UVOj$3N"><mutation name="isTargetVisable"><arg name="TrackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="+]!ufxkV_@yM?4~LW9tq"><field name="TRACKABLE_NAME">Blue Tower Goal Target</field></block></value></block></value><statement name="DO0"><block type="procedures_callnoreturn" id="MuXiHzK+15}QrkJ/=[0c"><mutation name="ProcessTarget"/></block></statement><value name="IF1"><block type="procedures_callreturn" id="C9g9P=EmYV=kjg,e_)b#"><mutation name="isTargetVisable"><arg name="TrackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="s}hB$N%eVE9TwERy;})("><field name="TRACKABLE_NAME">Red Tower Goal Target</field></block></value></block></value><statement name="DO1"><block type="procedures_callnoreturn" id="e}=B@hF1Xm43N82j9DBM"><mutation name="ProcessTarget"/></block></statement><value name="IF2"><block type="procedures_callreturn" id="4#x@Ne+4y(7XBDqq,fY?"><mutation name="isTargetVisable"><arg name="TrackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="IFr_o1sEjksV`o;[pIAz"><field name="TRACKABLE_NAME">Blue Alliance Target</field></block></value></block></value><statement name="DO2"><block type="procedures_callnoreturn" id="-?u[8c[QBB7V3S$ki+~$"><mutation name="ProcessTarget"/></block></statement><value name="IF3"><block type="procedures_callreturn" id="qVh^,*)d,kw7pR5U[Nr."><mutation name="isTargetVisable"><arg name="TrackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id=",Bi=N?rGF,)+!iDc]p1?"><field name="TRACKABLE_NAME">Red Alliance Target</field></block></value></block></value><statement name="DO3"><block type="procedures_callnoreturn" id="T{JAc/iVobxAbgc4W6@."><mutation name="ProcessTarget"/></block></statement><value name="IF4"><block type="procedures_callreturn" id="Q+9`b..4IeD.a5yxG,l6"><mutation name="isTargetVisable"><arg name="TrackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="RWMsrFAp9qebv6h=w$7W"><field name="TRACKABLE_NAME">Front Wall Target</field></block></value></block></value><statement name="DO4"><block type="procedures_callnoreturn" id="Xofb|:/yA_KPp(pTb+tG"><mutation name="ProcessTarget"/></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="jx6SG]GJNDZ6E21oE4ud"><value name="KEY"><shadow type="text" id="q%N~xef3[F[*L~v}WQO9"><field name="TEXT">No Targets Detected</field></shadow></value><value name="TEXT"><shadow type="text" id="9hAaL?).2M{mi1A?3Rh)"><field name="TEXT">Targets are not visable</field></shadow></value></block></statement><next><block type="telemetry_update" id="8JV`)4haN##0%`~+Ks,F"><next><block type="vuforiaCurrentGame_deactivate" id="FuizT0{v](~%X4a:GS:G"/></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="CD+dhTyP+oh8gI|iz39U" x="0" y="2900"><mutation><arg name="ShooterVelocity" varid="Xuz*Go?gpCW6E#6O3Xx2"/></mutation><field name="NAME">ShootTop</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="[atEe$SL:Zt9h[?(;5pb"><field name="COMMENT">From starting wall shot velocities</field><next><block type="comment" id="6OU~gG[OT_Zx!/Q,#l_h"><field name="COMMENT">1700 = top tower</field><next><block type="comment" id="n:`G{aE08%n!c7ZjDQns"><field name="COMMENT">1600 = power shots and middle tower</field><next><block type="comment" id="pJ9rd#=KfxQ-q,I|=!(#"><field name="COMMENT">1500 = low tower</field><next><block type="dcMotor_setProperty_RunMode" id="~~y^iYrHk^2qGy}PBON."><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="}`BuH4Mc2]}xdFA+!uge"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="G#7YBdP)vbj+0Ga85f=|"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="gG-=;:9q#^jirXQyoc1E"><field name="NUM">1700</field></shadow><block type="variables_get" id="`LC^Vpn6YyJ%BoKV=)kY"><field name="VAR" id="Xuz*Go?gpCW6E#6O3Xx2">ShooterVelocity</field></block></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="[%cUy9bleN^JPB%*8i)V"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryColor" id="_]?/|xRn;77?:{d4K=TD"><field name="CATEGORY">BREATH</field><field name="COLOR">RED</field></block></value></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defreturn" id="]H0p/-1VXrA.(88pYJYM" x="0" y="3148"><mutation><arg name="originalValue" varid="]%jS(]l,6uXh%}*4.){K"/><arg name="Units" varid="?*b)AHt~YxlX^P)s(pB6"/></mutation><field name="NAME">displayValue</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="controls_if" id="/lkA(q={^*_kA~$NEWVg"><mutation elseif="1" else="1"/><value name="IF0"><block type="logic_compare" id="`+K;EZp}6.KploLb?J}}"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="d|9znND4$hj:-!Qia_)B"><field name="VAR" id="?*b)AHt~YxlX^P)s(pB6">Units</field></block></value><value name="B"><block type="text" id="lbn{BhQX=4K!dmm$iX#T"><field name="TEXT">CM</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="QHC7=?o6(0cuXLtOgPvH"><field name="VAR" id=":Q]j.]:I2.cYH/`@:+WA">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="BgmDjetkT]gPyay*L(sn"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id="*vS*HOQ~kv^7wtmGqp~:"><field name="NUM">1</field></shadow><block type="variables_get" id="v1oAEw3G~B0G8MB$R/[/"><field name="VAR" id="]%jS(]l,6uXh%}*4.){K">originalValue</field></block></value><value name="B"><shadow type="math_number" id="M@H8S,JaHff@U_6om~(^"><field name="NUM">10</field></shadow></value></block></value></block></statement><value name="IF1"><block type="logic_compare" id="0n^vS$g?:]Prw;pG83:o"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="S?nvwHco[P.Daow}LJ1,"><field name="VAR" id="?*b)AHt~YxlX^P)s(pB6">Units</field></block></value><value name="B"><block type="text" id="WiAkOO2T+^$Px]b#j}_="><field name="TEXT">IN</field></block></value></block></value><statement name="DO1"><block type="variables_set" id="vJtu5I+^QVlSWIjR;,Bf"><field name="VAR" id=":Q]j.]:I2.cYH/`@:+WA">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="/FHTj:,3^/PE+Wv*/3wP"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="variables_get" id="#a}I.jia]mFxDwn6r%.a"><field name="VAR" id="]%jS(]l,6uXh%}*4.){K">originalValue</field></block></value><value name="B"><shadow type="math_number" id="9-=Ky5$M^W|y8AQwjo$`"><field name="NUM">25.4</field></shadow></value></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="Kcjwxp5b,S=H:I5N)m5i"><field name="VAR" id=":Q]j.]:I2.cYH/`@:+WA">convertedValue</field><value name="VALUE"><block type="variables_get" id="O4JIbL1SGlzwQAx/G1GQ"><field name="VAR" id="]%jS(]l,6uXh%}*4.){K">originalValue</field></block></value></block></statement></block></statement><value name="RETURN"><block type="variables_get" id="w8+iGR04O$Ov~w!(9v.4"><field name="VAR" id=":Q]j.]:I2.cYH/`@:+WA">convertedValue</field></block></value></block><block type="procedures_defreturn" id="{${[Y~7*pD`=l=fuht,a" x="0" y="3599"><mutation><arg name="TrackableName" varid="1dy()f(J5GYYPp#S]Qfb"/></mutation><field name="NAME">isTargetVisable</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="variables_set" id="6?5=/MTScbYr1%oMj[}S"><field name="VAR" id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</field><value name="VALUE"><block type="vuforiaCurrentGame_track" id="T*zCg%iQX2!WhLtDxn)u"><value name="TRACKABLE_NAME"><shadow type="vuforiaCurrentGame_typedEnum_trackableName" id="_i5Lr*mf=-,Mx8j9P?,X"><field name="TRACKABLE_NAME">Blue Tower Goal Target</field></shadow><block type="variables_get" id="_+$Jx5SX;iy2t~[lKKd-"><field name="VAR" id="1dy()f(J5GYYPp#S]Qfb">TrackableName</field></block></value></block></value><next><block type="controls_if" id="^vie=:Ujp{57Sxb4q3p6"><mutation else="1"/><value name="IF0"><block type="vuforiaTrackingResults_getProperty_Boolean" id="?.|M(B8;ZeTJJ7RhZ:J;"><field name="PROP">IsVisible</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="5FO!B.inTO*3@r2Q:[6t"><field name="VAR" id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="0]qtilvJUBqRiFI~0B[U"><field name="VAR" id="Y3IhJ/AX?!J7hlH0@_Vf">isVisable</field><value name="VALUE"><block type="logic_boolean" id="3xr/@UDgK[3:#7^/iT*;"><field name="BOOL">TRUE</field></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="bf/`n)|$`fL@Ck.!X|iq"><field name="VAR" id="Y3IhJ/AX?!J7hlH0@_Vf">isVisable</field><value name="VALUE"><block type="logic_boolean" id="L]/Uf`fO^bOdK}-8rR(X"><field name="BOOL">FALSE</field></block></value></block></statement></block></next></block></statement><value name="RETURN"><block type="variables_get" id="DSQAlvbu]4l6?UR`PrXv"><field name="VAR" id="Y3IhJ/AX?!J7hlH0@_Vf">isVisable</field></block></value></block><block type="controls_if" id="dm]Cx0ZdxCX|1U}S]FKO" disabled="true" x="0" y="3862"><mutation elseif="5" else="1"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id="6`DX@T_DyW=ael;rNhaa"><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadRight</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><value name="IF1"><block type="gamepad_getProperty_Boolean" id="VW,[Hm_tpBfvRIER`h5e"><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadUp</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO1"><block type="dcMotor_setProperty_RunMode" id="MMOhJdNaIRd)]1-alp6W"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="ldN#,$;`]o%HOB6aaJR9"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="#~rT9s7f3uViu0H;@q:!"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="mjsL%9VbV9G{af;a+qM."><field name="NUM">1400</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="a[#-ajVy.}OFN,U5gl|5"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternFire" id="BO!I)3R|lFj2O.VaV[^+"><field name="SIZE">LARGE</field></block></value></block></next></block></next></block></statement><value name="IF2"><block type="gamepad_getProperty_Boolean" id="Op`:+jEa0+]auLwUig*["><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadLeft</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO2"><block type="dcMotor_setProperty_RunMode" id="oPNf=1NC{q8limwR+8BY"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="VhxgJ5?U@3`T+hq`.8B,"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="Spv[7k*miWDuG+b{acZw"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id=",K`s.D2S_~}:FHNKX7Xa"><field name="NUM">1000</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="}=ZP$Q4L/:4phXqh*i:d"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternLarsonScanner" id="ty$6$Ng@bMT5J,Z0o2*v"><field name="COLOR">RED</field></block></value></block></next></block></next></block></statement><value name="IF3"><block type="gamepad_getProperty_Boolean" id="Y(60BD2r0v`5.2Ce:!c7"><field name="IDENTIFIER">gamepad2</field><field name="PROP">DpadDown</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO3"><block type="dcMotor_setProperty_RunMode" id="S:c_;mP#uNG3xXil^Ka%"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="{$;=v;EppiR3ZUg/(lZa"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="gj{11plqUc)m.MLSq8_7"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="9cKz+beuQC,ZP4#:=.lo"><field name="NUM">1800</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="!W`HyVcBbijYFS934{2]"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryColor" id="C41}%]$`:n0!L4{_/hZ3"><field name="CATEGORY">LIGHT_CHASE</field><field name="COLOR">RED</field></block></value></block></next></block></next></block></statement><value name="IF4"><block type="gamepad_getProperty_Boolean" id="g,20Q`WRVs)CrgO4~~XA"><field name="IDENTIFIER">gamepad2</field><field name="PROP">RightBumper</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO4"><block type="dcMotor_setProperty_RunMode" id="`j/!`u|~CC+Q]+RucOSw"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="lLPXlW`AZjKxc,pO.y~h"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="W..Y6Ii|tv;G@ftcM[F?"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="u}Cb(+S|RA$D$g#O6og5"><field name="NUM">1600</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="b2:SENOx38g%[lq~eTU%"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternStrobe" id="39Ag$yJh$Xi[)!n8t-F4"><field name="COLOR">RED</field></block></value></block></next></block></next></block></statement><value name="IF5"><block type="gamepad_getProperty_Boolean" id="70^^6V1Ec{/#A4rjIjQ1"><field name="IDENTIFIER">gamepad2</field><field name="PROP">LeftBumper</field><data>{"IDENTIFIER":"gamepad2"}</data></block></value><statement name="DO5"><block type="dcMotor_setProperty_RunMode" id="@L=y,zQK}zqUks93QGF#"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="kydy1qeRwS!}*#U*f3O:"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Number" id="X{kanSI8tX1)rwS|(HC$"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="math_number" id="0)m^3Yp:]Q=aZz$:y)7`"><field name="NUM">1200</field></shadow></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="NH|Oh3I/hAOyt63ILo];"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryPalette" id="gmDnGa,Gi}38=UveMb8i"><field name="CATEGORY">SINELON</field><field name="PALETTE">LAVA_PALETTE</field></block></value></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="QvS2U7xYHkAlc.H6?N?y" x="0" y="4521"><field name="NAME">ProcessTarget</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="telemetry_addTextData_All" id="q7b}3x]V#hEMZhwwkWs:"><value name="KEY"><shadow type="text" id="KFBq.=r9emi`Nj%V]iQB"><field name="TEXT">Target Detected</field></shadow></value><value name="TEXT"><shadow type="text" id="=:uY3do9}]2jPuj_gy_e"><field name="TEXT">text</field></shadow><block type="text_join" id="g(Xk4IW9vjXfQJYd+#vj"><mutation items="2"/><value name="ADD0"><block type="vuforiaTrackingResults_getProperty_String" id="M4-lG_mc]a%.hj{h!=tt"><field name="PROP">Name</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="cd]g8A{y`Trf;`AqPIVd"><field name="VAR" id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</field></block></value></block></value><value name="ADD1"><block type="text" id="Wq(ab0c)lP}@E2w?e)%."><field name="TEXT">is visible.</field></block></value></block></value><next><block type="telemetry_addNumericData_Number" id="0SGZ)Gc`}%lg07]e5[IJ"><value name="KEY"><shadow type="text" id="xCh5f=8CpG-I;s:0S!tb"><field name="TEXT">X (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id=":ralgGvUq$guUMj^Uu,6"><value name="NUMBER"><shadow type="math_number" id="U*H_ExK^|Wl+P5BJM;_Y"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="|aiQwntlq0r2cPj5VO[I"><mutation name="displayValue"><arg name="originalValue"/><arg name="Units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="id:mgnZ4htSeUwL}^3n}"><field name="PROP">X</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="sBOC{TcOCwaS/OpxuxYM"><field name="VAR" id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="z,Oyy8H!f5SbQf1gPL*Z"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id=";Hn)8|y^JAq$9O{s7CAm"><field name="NUM">2</field></shadow></value></block></value><next><block type="controls_if" id="OA)n=YWfC-Qf4*?N7H:)"><mutation elseif="2"/><value name="IF0"><block type="logic_operation" id="VYt-Fbz^jg#@r8}6yn^o"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="(:ltC}r2ek$%*}=|Z/*t"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="G%!N)Z)!P4$g5u(oZ@eT"><field name="VAR" id="]Vwf?21{vJL5xPqh9yN_">ShotType</field></block></value><value name="B"><block type="text" id="|xU2vi6TiUiyTIXxrbJi"><field name="TEXT">Top</field></block></value></block></value><value name="B"><block type="logic_compare" id="xuLxpW8[WOsR(cOb%#T("><field name="OP">GTE</field><value name="A"><block type="vuforiaTrackingResults_getProperty_Number" id="(:@D1aksSap(C!U:v;Kq"><field name="PROP">X</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id=";uOmT.U+|mC`3BqbNY/-"><field name="VAR" id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</field></block></value></block></value><value name="B"><block type="math_number" id="##Zz/W$mHF8ts!bLJoA3"><field name="NUM">0</field></block></value></block></value></block></value><statement name="DO0"><block type="variables_set" id="0tLb+cYt}9WStBEDz/JG"><field name="VAR" id="Xuz*Go?gpCW6E#6O3Xx2">ShooterVelocity</field><value name="VALUE"><block type="math_number" id="WM0Oaj91NqIpqT^~D#Pd"><field name="NUM">1700</field></block></value></block></statement><value name="IF1"><block type="logic_operation" id="HK05u24.`2d2)r!e_n]5"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="bw;29:I5@lzKH3-lCJDW"><field name="OP">GTE</field><value name="A"><block type="vuforiaTrackingResults_getProperty_Number" id="l0RWPQIn8aKE(CmLU:qG"><field name="PROP">X</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="$,;l+n?`dX|Ggkt223)="><field name="VAR" id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</field></block></value></block></value><value name="B"><block type="math_number" id="QC!z|)bE{^pO6samIDEc"><field name="NUM">0</field></block></value></block></value><value name="B"><block type="logic_operation" id="s05r8M2yjq$0FVb9pH6#"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="|2{Cj]+-({k@Ntfm%uW7"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="iQz(p79m(z}%Fi0le4K7"><field name="VAR" id="]Vwf?21{vJL5xPqh9yN_">ShotType</field></block></value><value name="B"><block type="text" id="#dloQ[QvH1THN|K(QMdS"><field name="TEXT">Mid</field></block></value></block></value><value name="B"><block type="logic_compare" id="[RidQhhB]}h~_6SE1OyK"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="fMJKWX%O-}^zB*=}I3fz"><field name="VAR" id="]Vwf?21{vJL5xPqh9yN_">ShotType</field></block></value><value name="B"><block type="text" id="S.CFgcevOR!/zteb`kYm"><field name="TEXT">Power</field></block></value></block></value></block></value></block></value><statement name="DO1"><block type="variables_set" id="s.[]#H)(dlDzqXFN^={M"><field name="VAR" id="Xuz*Go?gpCW6E#6O3Xx2">ShooterVelocity</field><value name="VALUE"><block type="math_number" id="JJE5~C:aZdin_z(rn_ib"><field name="NUM">1600</field></block></value></block></statement><value name="IF2"><block type="logic_operation" id="bO%TVA+owRvs.Mvx_oH:"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="axJf,gc?2yeiM`J#2d$k"><field name="OP">GTE</field><value name="A"><block type="vuforiaTrackingResults_getProperty_Number" id="fu+tR{TKLP7?@p_v:aq|"><field name="PROP">X</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="94=Ow!SCBqs$wfZ~r2vo"><field name="VAR" id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</field></block></value></block></value><value name="B"><block type="math_number" id="51Zclk4Sy+,9LfM:0W|]"><field name="NUM">0</field></block></value></block></value><value name="B"><block type="logic_operation" id="@vXu13sw!.BV?$5:E;h="><field name="OP">AND</field><value name="A"><block type="logic_compare" id="4zX34acNEWK8`o$*q;l@"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="*c|n0QVXvaux_*G|=O9y"><field name="VAR" id="]Vwf?21{vJL5xPqh9yN_">ShotType</field></block></value><value name="B"><block type="text" id="#_4?u2u$b1k)3$x{UC0L"><field name="TEXT">Mid</field></block></value></block></value><value name="B"><block type="logic_compare" id="!DUlml2Pc$`=h)hn%`Z_"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="Kq/^z$z3{S=D)~!CnRPo"><field name="VAR" id="]Vwf?21{vJL5xPqh9yN_">ShotType</field></block></value><value name="B"><block type="text" id="`i~Q2wzPOoE:h?+J{hH^"><field name="TEXT">Power</field></block></value></block></value></block></value></block></value><statement name="DO2"><block type="variables_set" id="0e!UNQ;tT:|6Kp[v(_;X"><field name="VAR" id="Xuz*Go?gpCW6E#6O3Xx2">ShooterVelocity</field><value name="VALUE"><block type="math_number" id="mBzJc;?q:SjkrQ%vs:S/"><field name="NUM">1500</field></block></value></block></statement><next><block type="telemetry_addNumericData_Number" id="D_mNSJ[o}L[^Tby]-HOT"><value name="KEY"><shadow type="text" id=";fm68;QR!i*WZAq1^$G@"><field name="TEXT">Y (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="~T`1!`bZ#:tF1!rj*.P."><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="/.T#nqBoA^Ke[PSvzIX!"><mutation name="displayValue"><arg name="originalValue"/><arg name="Units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="=|gA9](Q]}`=(L%ttRcV"><field name="PROP">Y</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="B~jH@d9--(;L%q$;d%=C"><field name="VAR" id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="G-3aZbfXO:Ndwprnn9JT"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="_hy`2FNpzx30q|`OB]*_"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="Am~Qv}T3Nh1WEm1+4Q*."><value name="KEY"><shadow type="text" id="Bl)IQGU*a7fI|LiEQH,:"><field name="TEXT">Z (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="~{g{,ClXH!FI.m,*zUI5"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="!a6fo6n1$Jo!kxZOzsR2"><mutation name="displayValue"><arg name="originalValue"/><arg name="Units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="!A^pg9Cc#;J:DRM#y),7"><field name="PROP">Z</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="D88muQ*!_46~_QP$54qC"><field name="VAR" id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="DhUSdn%1kR]9!bLR6|-_"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="#sEeTgD0EVPX9whc9NNk"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="eW4M-_PK7Op`E4d;wxj|"><value name="KEY"><shadow type="text" id="ab//ge1!6=w9`?YI/3tJ"><field name="TEXT">Rotation about Z (deg)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="cmYp3p^lG/iF$(ch]6Zm"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="4U30*Dlcv(NMASbp~AdJ"><mutation name="displayValue"><arg name="originalValue"/><arg name="Units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id=")M0G(MJHrk5BHcAm)bQT"><field name="PROP">ZAngle</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="iskz=HRpVq?t5w1n!Mr4"><field name="VAR" id="SKzS[ETW)Y`+(z_f%c-0">VuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="$2Ha9JZIzH(b(wQxFpl~"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="yE#mpkex170T{.hSx_5`"><field name="NUM">2</field></shadow></value></block></value></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="kiq*w+tOJ4F|8Yrhj]*M" x="0" y="5847"><field name="NAME">InitVuforia</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="vuforiaCurrentGame_initialize_withWebcam" id="VpuS+dQOOo6ixnQ$gqT/"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="LA-Nz{ms/q?eDjW2-L[}"><field name="WEBCAM_NAME">Webcam 1</field></shadow></value><value name="WEBCAM_CALIBRATION_FILE"><shadow type="text" id="suk:I^8=a2}Aw6.r|mbi"><field name="TEXT"/></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="6.d;IS8@-1z4{O)wQP@C"><field name="BOOL">TRUE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="@B(k;m?uBQZqj#:.?ECD"><field name="BOOL">TRUE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id="+KVC)pTI:b#Ta2R]ZW}X"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="]q=Lj!]TD#,q.+S}a:;5"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="FkaGis$~b6#5X|4t*I^9"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="HvhaN)D[/TqhgRSs(pg/"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="ZfFl5C[Ik5Ph:A2:{Ecz"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="G$wlgm!4TNY76@G]%+o!"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id="=u|^3AX{@+eN2UYrlVPg"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="OA~KfYUW?r_S2UxJJnK("><field name="BOOL">TRUE</field></shadow></value></block></statement></block><block type="procedures_defnoreturn" id="zLG}DIg:VwFb/tM31:f0" x="0" y="6250"><field name="NAME">InitializeMotors</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="dcMotor_setProperty_Direction" id="m7l_tP=JIS/XN(5~0UTZ"><field name="IDENTIFIER">FrontRightAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"FrontRight"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="|hZB$^6bm]0FKgvKnFju"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="R0ndM/7+|QQ?Bw[LKVKG"><field name="IDENTIFIER">FrontLeftAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"FrontLeft"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="-Jq9M.#Yx{HI/kY.gPw9"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="6d)vvuX+!4m#DowY[FZl"><field name="IDENTIFIER">BackRightAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"BackRight"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="E]#;,2k?js2g%vdnT!Z#"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="hYXVz+j~K(a[L)){is.7"><field name="IDENTIFIER">BackLeftAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"BackLeft "}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="2eLxP07S(bgTtMay@!k_"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="d(+`D4q{RfwcYCJMX}!f"><field name="IDENTIFIER">Intake1AsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Intake 1"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="F=zd;1[K.K,O~0_AcU{B"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="EC=r|1*$wcQa)k{1ynt_"><field name="IDENTIFIER">Intake2AsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Intake 2"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="KJy[?@Ne/jNm*HRY:O^*"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="/s`e0bHKNzX9Q:BZ)_KG"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="7PSV:0@pc0?vZB^,c)TN"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="dcMotor_setProperty_RunMode" id="opPkzKI;!gq_OqR7i?N7"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Shooter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="v~=xN]bl$1NulFB[+gI_"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_Direction" id="$ogb{_~5`-{G7s$JQG`W"><field name="IDENTIFIER">WobbleLifterAsDcMotor</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Wobble Lifter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="(#x5GRGIaRfzvMiaDQQX"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="dcMotor_setProperty_RunMode" id="@_kTOZw(BI3.$a?T;sm%"><field name="IDENTIFIER">WobbleLifterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Wobble Lifter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="7];;p,Q/5EB,CXv#r5gC"><field name="RUN_MODE">STOP_AND_RESET_ENCODER</field></shadow></value><next><block type="dcMotor_setProperty_RunMode" id=";z@`EOFQqiiOM/};#b8@"><field name="IDENTIFIER">WobbleLifterAsDcMotor</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"Wobble Lifter"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode" id="VGWq#o}_pH)%l~cd_ocd"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><next><block type="variables_set" id="v(T1cgLZeiNSg?z2ZT0n"><field name="VAR" id="V{UPrdEEmJH{3!6n1s.b">Rings</field><value name="VALUE"><block type="text" id="oM!kA$r+Yu?k+(9cviuC"><field name="TEXT"/></block></value></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="s$EGqI;@5am`|Zl!o+P:" x="0" y="6602"><field name="NAME">InitializeServos</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="servo_setProperty_Direction" id="#Pj(p(3p?|qI2OL9_C8f"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Shooter Servo"}</data><value name="VALUE"><shadow type="servo_typedEnum_direction" id="8F7JDUY5?Me*I!#Nvy$c"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="servo_setProperty_Number" id="`N,|^$}CKq{G+PAVC;WQ"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Shooter Servo"}</data><value name="VALUE"><shadow type="math_number" id="dDWJD34J4BVH{E(IB+T8"><field name="NUM">0</field></shadow></value><next><block type="servo_setProperty_Direction" id="{[2%G$0/f(6OhZE#]W0f"><field name="IDENTIFIER">WobbleGrabberAsServo</field><field name="PROP">Direction</field><data>{"IDENTIFIER":"Wobble Grabber"}</data><value name="VALUE"><shadow type="servo_typedEnum_direction" id="VPNlR{_)YD],1BNdo`+q"><field name="DIRECTION">FORWARD</field></shadow></value><next><block type="servo_setProperty_Number" id="|d0p54c^GHTWTNC!]Z=f"><field name="IDENTIFIER">WobbleGrabberAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"Wobble Grabber"}</data><value name="VALUE"><shadow type="math_number" id="uvxOc,`Imwd@U6JWihHj"><field name="NUM">0</field></shadow></value></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="IA%*i9,x.Nv63VVJs)A2" x="0" y="6772"><field name="NAME">Team Color</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="variables_set" id="@.x^Uwue*D+Ng@j7mLui"><field name="VAR" id="{s(NK#a?I#M%t`}U9d@9">Hue</field><value name="VALUE"><block type="procedures_callreturn" id="*/a)^J4(}B}EfcH.5U/%"><mutation name="Returnhue"/></block></value><next><block type="controls_if" id="*fYq=afWY5aT`ovX{taj"><mutation elseif="1" else="1"/><value name="IF0"><block type="logic_operation" id="IJZ-RjRNSaSlwo)0bDI7"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="GRnXpI!]hZS5zoi@NE%="><field name="OP">GTE</field><value name="A"><block type="variables_get" id="h]1)ZjtS$xFX84Rut)%="><field name="VAR" id="{s(NK#a?I#M%t`}U9d@9">Hue</field></block></value><value name="B"><block type="math_number" id="xsgTu2]l0{W!5d6F(s1G"><field name="NUM">150</field></block></value></block></value><value name="B"><block type="logic_compare" id=",3B]a;*TiSl2fD55t%[G"><field name="OP">LTE</field><value name="A"><block type="variables_get" id="dIZxP=u#|GK!IKDc/Y|}"><field name="VAR" id="{s(NK#a?I#M%t`}U9d@9">Hue</field></block></value><value name="B"><block type="math_number" id="p,#96gpzu~)EV89G;Mm("><field name="NUM">225</field></block></value></block></value></block></value><statement name="DO0"><block type="variables_set" id="%y#2]3y6[3gA^;xXCqNy"><field name="VAR" id="V2wduJ-=yIc]#M0zbjG$">Team</field><value name="VALUE"><block type="text" id="%E_^kc8m,r$j^vR^4q7x"><field name="TEXT">Blue</field></block></value></block></statement><value name="IF1"><block type="logic_operation" id="Z@}Wi{=N@KIsh`Z6|v?Z"><field name="OP">OR</field><value name="A"><block type="logic_compare" id="[KOutZvMbJ,L%LfVQ[?n"><field name="OP">GTE</field><value name="A"><block type="variables_get" id="iqOXY-ci=ZjCK%,9A@#x"><field name="VAR" id="{s(NK#a?I#M%t`}U9d@9">Hue</field></block></value><value name="B"><block type="math_number" id="-T5.w*m[p~KIKL1_8.C7"><field name="NUM">340</field></block></value></block></value><value name="B"><block type="logic_compare" id="X?]Lq)y5s(x`kN1N/|},"><field name="OP">LTE</field><value name="A"><block type="variables_get" id=";TU5;trc.~Afl9vdq4Bt"><field name="VAR" id="{s(NK#a?I#M%t`}U9d@9">Hue</field></block></value><value name="B"><block type="math_number" id="rx^kk~dX:er^|[~PA:~3"><field name="NUM">30</field></block></value></block></value></block></value><statement name="DO1"><block type="variables_set" id="]V272A+^4}dWAe}1]~fn"><field name="VAR" id="V2wduJ-=yIc]#M0zbjG$">Team</field><value name="VALUE"><block type="text" id="]]AG?g`Fo.W`4r:tTA-t"><field name="TEXT">Red</field></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="[;XNSe)%uy*Z~ebf`qcm"><field name="VAR" id="V2wduJ-=yIc]#M0zbjG$">Team</field><value name="VALUE"><block type="text" id=")#W/:^$/.fEEs-GB;O;l"><field name="TEXT">Green</field></block></value></block></statement></block></next></block></statement></block><block type="procedures_defnoreturn" id="F((w;5:bUC*$@Y1/B@64" x="380" y="7009"><mutation><arg name="LEDpattern" varid="l8/|y+p($CYwrERdBR[0"/></mutation><field name="NAME">Lights</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="Ta7%WDKM9_DeFt1flm^f"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"Lights"}</data><value name="VALUE"><block type="revBlinkinLedDriver_blinkinPattern_fromNumber" id="8Y.d4_]-*s}lg$5gMh;?"><value name="NUMBER"><shadow type="math_number" id="?r/2^36JgiXOOVtu*+ZL"><field name="NUM">0</field></shadow><block type="variables_get" id="XM:CLt`fKNfYiKv-s+qp"><field name="VAR" id="l8/|y+p($CYwrERdBR[0">LEDpattern</field></block></value></block></value></block></statement></block><block type="procedures_defreturn" id="wDCG4,m(/}o[dv9Mp`ew" x="0" y="7068"><field name="NAME">Returnhue</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="K10,;IO`X5q]-G$dU9cs"><field name="COMMENT">Color to Hue value</field></block></statement><value name="RETURN"><block type="color_getProperty_Number" id="jPAizI`[,`;0360#)%g?"><field name="PROP">Hue</field><value name="COLOR"><block type="color_argbToColor_Number" id="01|XNd8aftNz$g+O,QLJ"><value name="ALPHA"><shadow type="math_number" id="Lu==4ZlMj_Fdn1JZu]MW"><field name="NUM">255</field></shadow><block type="lynxI2cColorRangeSensor_getProperty_Number" id=".f6`dnB*gc%G%@TJLQne"><field name="IDENTIFIER">RightLineSensorAsREVColorRangeSensor</field><field name="PROP">Alpha</field><data>{"IDENTIFIER":"Right Line Sensor"}</data></block></value><value name="RED"><shadow type="math_number" id="M1H;bV+QM?#^o=biOCyB"><field name="NUM">255</field></shadow><block type="lynxI2cColorRangeSensor_getProperty_Number" id="}|sc@x(Qpd.Ym^dN_Wv9"><field name="IDENTIFIER">RightLineSensorAsREVColorRangeSensor</field><field name="PROP">Red</field><data>{"IDENTIFIER":"Right Line Sensor"}</data></block></value><value name="GREEN"><shadow type="math_number" id="+EZf:{]bD_Jf@B-Y)O.N"><field name="NUM">0</field></shadow><block type="lynxI2cColorRangeSensor_getProperty_Number" id="yllDZo#EEd$vU00)TWnJ"><field name="IDENTIFIER">RightLineSensorAsREVColorRangeSensor</field><field name="PROP">Green</field><data>{"IDENTIFIER":"Right Line Sensor"}</data></block></value><value name="BLUE"><shadow type="math_number" id="bxz]#plvB-VuDsE,;=ra"><field name="NUM">0</field></shadow><block type="lynxI2cColorRangeSensor_getProperty_Number" id="Bu@DtxB6Rb1tN1^bc!q1"><field name="IDENTIFIER">RightLineSensorAsREVColorRangeSensor</field><field name="PROP">Blue</field><data>{"IDENTIFIER":"Right Line Sensor"}</data></block></value></block></value></block></value></block><block type="procedures_defnoreturn" id="o*l|t{`BnPpF?g:~+X)J" x="0" y="7304"><field name="NAME">Ring Counter</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="variables_set" id="AA%}NlG[,%;lTrehkT_m"><field name="VAR" id="Bp|AwD9[8k=(=uNv,Oi?">Hue2</field><value name="VALUE"><block type="procedures_callreturn" id="5A/qXJu32QSUfWja1tRz"><mutation name="Returnhue2"/></block></value><next><block type="controls_if" id="QVVI]IJ@_eZ*Hpk:a09n"><mutation elseif="2" else="1"/><value name="IF0"><block type="logic_operation" id="^KoBYHa^AQaf0g.N@wsS"><field name="OP">AND</field><value name="A"><block type="logic_operation" id="fUc0eOM-uA52X$=~rjAH"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="wHNuti#NzGb-(Lysb9aD"><field name="OP">GTE</field><value name="A"><block type="variables_get" id="kmWOOOe0^KerCSbJ{DM^"><field name="VAR" id="Bp|AwD9[8k=(=uNv,Oi?">Hue2</field></block></value><value name="B"><block type="math_number" id="O@QM}_zBQ**yd(4O)WsH"><field name="NUM">20</field></block></value></block></value><value name="B"><block type="logic_compare" id="t!75#whlX;a9cB5loHf*"><field name="OP">LTE</field><value name="A"><block type="variables_get" id="a=3h`kbA0e[k8ocm-QVu"><field name="VAR" id="Bp|AwD9[8k=(=uNv,Oi?">Hue2</field></block></value><value name="B"><block type="math_number" id="V)_O_F!w~71/bPueG@K!"><field name="NUM">60</field></block></value></block></value></block></value><value name="B"><block type="logic_compare" id=").OEJp=o?q@=,2EfUuCJ"><field name="OP">GTE</field><value name="A"><block type="lynxI2cColorRangeSensor_getDistance_Number" id="iF?f|zj+1RxgWyPT!I]1"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><data>{"IDENTIFIER":"Ring Sensor"}</data><value name="UNIT"><shadow type="navigation_typedEnum_distanceUnit" id=",+Bf1Big+F`(=y7bOtYZ"><field name="DISTANCE_UNIT">INCH</field></shadow></value></block></value><value name="B"><block type="math_number" id="bOqu{-1:2+?O[oFUM3Zk"><field name="NUM">2.25</field></block></value></block></value></block></value><statement name="DO0"><block type="variables_set" id="d+%UR=R7582h@-HVqy-C"><field name="VAR" id="V{UPrdEEmJH{3!6n1s.b">Rings</field><value name="VALUE"><block type="text" id="IyG*u11j;ubxa8P=,tVk"><field name="TEXT">One</field></block></value></block></statement><value name="IF1"><block type="logic_operation" id="[QaLp|D{lkr?1XQdOJ?n"><field name="OP">AND</field><value name="A"><block type="logic_operation" id="(GP@?5X88xkRk|fZr#]@"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="+r(]n!d(O)2I!J7vQzd["><field name="OP">GTE</field><value name="A"><block type="variables_get" id="Gu/:z]oC=m`VF^EcHR%f"><field name="VAR" id="Bp|AwD9[8k=(=uNv,Oi?">Hue2</field></block></value><value name="B"><block type="math_number" id="~;sfU1[V**lk2;OFG_Kk"><field name="NUM">20</field></block></value></block></value><value name="B"><block type="logic_compare" id="[%(yA.8%^;u~jGaZ#l{("><field name="OP">LTE</field><value name="A"><block type="variables_get" id="/fs9~[IOpAlShV7Vi[,?"><field name="VAR" id="Bp|AwD9[8k=(=uNv,Oi?">Hue2</field></block></value><value name="B"><block type="math_number" id="@`k(Uc6kNlBLxXl/_WhE"><field name="NUM">60</field></block></value></block></value></block></value><value name="B"><block type="logic_operation" id="w!KxY5Yi+f`Z[T@.5K+_"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="T;PznrlmClVFAzcv;hdf"><field name="OP">LTE</field><value name="A"><block type="lynxI2cColorRangeSensor_getDistance_Number" id="Pu4Amf[U[2ZV24~c0(B6"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><data>{"IDENTIFIER":"Ring Sensor"}</data><value name="UNIT"><shadow type="navigation_typedEnum_distanceUnit" id="95P:[v8I/Ds}qYsn@#!M"><field name="DISTANCE_UNIT">INCH</field></shadow></value></block></value><value name="B"><block type="math_number" id="Zz|tPrgYurX^OY;#6UCg"><field name="NUM">2.25</field></block></value></block></value><value name="B"><block type="logic_compare" id="0@S6`;S_@j0%RmbtX,jk"><field name="OP">GTE</field><value name="A"><block type="lynxI2cColorRangeSensor_getDistance_Number" id="1P.EM_.yAv:-]m{oW[Ea"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><data>{"IDENTIFIER":"Ring Sensor"}</data><value name="UNIT"><shadow type="navigation_typedEnum_distanceUnit" id="kcSZJ_(Jb*^$)=wO=[}X"><field name="DISTANCE_UNIT">INCH</field></shadow></value></block></value><value name="B"><block type="math_number" id="q;V/cYORpvw/zD*HUKj="><field name="NUM">1.5</field></block></value></block></value></block></value></block></value><statement name="DO1"><block type="variables_set" id="a3Em:2#SPDMV/4_*7LE="><field name="VAR" id="V{UPrdEEmJH{3!6n1s.b">Rings</field><value name="VALUE"><block type="text" id="H]dYo1,Hy8^U=qC#tT2D"><field name="TEXT">Two</field></block></value></block></statement><value name="IF2"><block type="logic_operation" id=";)Bv*0{gn|kaAo0yDTa%"><field name="OP">AND</field><value name="A"><block type="logic_operation" id="aUKKgSk^v*TA6F5:N:7Z"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="XkmW!bxWoyA#h_v:fggS"><field name="OP">GTE</field><value name="A"><block type="variables_get" id=";5i[zccR~+|#^KW6g6dD"><field name="VAR" id="Bp|AwD9[8k=(=uNv,Oi?">Hue2</field></block></value><value name="B"><block type="math_number" id="wk{GxJQZn`^XUoyZ:YUz"><field name="NUM">20</field></block></value></block></value><value name="B"><block type="logic_compare" id="Dkc1^Q-P#8!Mg/j1fALC"><field name="OP">LTE</field><value name="A"><block type="variables_get" id="9AsUR:L-MsIPDAhL`,.m"><field name="VAR" id="Bp|AwD9[8k=(=uNv,Oi?">Hue2</field></block></value><value name="B"><block type="math_number" id="5d.~hu*j6i/P,{)QdAU2"><field name="NUM">60</field></block></value></block></value></block></value><value name="B"><block type="logic_compare" id="bo3EC6C{Uk2eso1Q28%1"><field name="OP">LTE</field><value name="A"><block type="lynxI2cColorRangeSensor_getDistance_Number" id="nQafz!:7.PSQ9Ntw-;$t"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><data>{"IDENTIFIER":"Ring Sensor"}</data><value name="UNIT"><shadow type="navigation_typedEnum_distanceUnit" id="YKi[[9ZKzEl5bJl?VnqZ"><field name="DISTANCE_UNIT">INCH</field></shadow></value></block></value><value name="B"><block type="math_number" id="xB1atZ-Aj]TASu`cF[K="><field name="NUM">1.5</field></block></value></block></value></block></value><statement name="DO2"><block type="variables_set" id="OW]GE@?QeELlG#%_gX;T"><field name="VAR" id="V{UPrdEEmJH{3!6n1s.b">Rings</field><value name="VALUE"><block type="text" id="O4tc)fXqdZL.hN-j@lkk"><field name="TEXT">Three</field></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="n#30^sM;A352!kWC?(I$"><field name="VAR" id="V{UPrdEEmJH{3!6n1s.b">Rings</field><value name="VALUE"><block type="text" id="GThes6:Rq(mrZi)+Bt2i"><field name="TEXT">No Rings</field></block></value></block></statement></block></next></block></statement></block><block type="procedures_defreturn" id="GNsY`z${mf.3+9vRxRTf" x="0" y="7763"><field name="NAME">Returnhue2</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="pzg2M:.cd/MnWjOd#/.v"><field name="COMMENT">Color to Hue value</field></block></statement><value name="RETURN"><block type="color_getProperty_Number" id="Jv,?z.;_|ey6seA7[GSa"><field name="PROP">Hue</field><value name="COLOR"><block type="color_argbToColor_Number" id="6q(YL}Ccu88o31AYUj@R"><value name="ALPHA"><shadow type="math_number"><field name="NUM">255</field></shadow><block type="lynxI2cColorRangeSensor_getProperty_Number" id="~nQ2f^r}ifxC{DXXnXOj"><field name="IDENTIFIER">LeftLineSensorAsREVColorRangeSensor</field><field name="PROP">Alpha</field><data>{"IDENTIFIER":"Left Line Sensor"}</data></block></value><value name="RED"><shadow type="math_number"><field name="NUM">255</field></shadow><block type="lynxI2cColorRangeSensor_getProperty_Number" id="}ST0W+u[|Vc9-k6(=8;W"><field name="IDENTIFIER">LeftLineSensorAsREVColorRangeSensor</field><field name="PROP">Red</field><data>{"IDENTIFIER":"Left Line Sensor"}</data></block></value><value name="GREEN"><shadow type="math_number"><field name="NUM">0</field></shadow><block type="lynxI2cColorRangeSensor_getProperty_Number" id="|OISfHZKz/|!3jO*RVI`"><field name="IDENTIFIER">LeftLineSensorAsREVColorRangeSensor</field><field name="PROP">Green</field><data>{"IDENTIFIER":"Left Line Sensor"}</data></block></value><value name="BLUE"><shadow type="math_number"><field name="NUM">0</field></shadow><block type="lynxI2cColorRangeSensor_getProperty_Number" id="{=0h@0qUuDZ49rufBXVy"><field name="IDENTIFIER">LeftLineSensorAsREVColorRangeSensor</field><field name="PROP">Blue</field><data>{"IDENTIFIER":"Left Line Sensor"}</data></block></value></block></value></block></value></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ',
      'name': 'test program12',
      'escapedName' : 'test program12',
      'dateModifiedMillis': 75000,
      'enabled': true
    }
  ];
  return BLK_FILES;
}

function getOfflineConfigurationName() {
  return 'Competition';
}

function getSampleNamesJson() {
  var SAMPLE_NAMES = '[{"name":"BasicPOVDrive", "escapedName":"BasicPOVDrive", "requestedCapabilities":[]},{"name":"BasicTankDrive", "escapedName":"BasicTankDrive", "requestedCapabilities":[]},{"name":"ConceptDeviceInteraction", "escapedName":"ConceptDeviceInteraction", "requestedCapabilities":[]},{"name":"ConceptSmoothServo", "escapedName":"ConceptSmoothServo", "requestedCapabilities":[]},{"name":"ConceptTensorFlowObjectDetection", "escapedName":"ConceptTensorFlowObjectDetection", "requestedCapabilities":["TFOD","VUFORIA","CAMERA"]},{"name":"ConceptTensorFlowObjectDetectionCustomModel", "escapedName":"ConceptTensorFlowObjectDetectionCustomModel", "requestedCapabilities":["TFOD","VUFORIA","WEBCAM","CAMERA"]},{"name":"ConceptTensorFlowObjectDetectionSwitchableCameras", "escapedName":"ConceptTensorFlowObjectDetectionSwitchableCameras", "requestedCapabilities":["TFOD","VUFORIA","SWITCHABLE_CAMERA","WEBCAM"]},{"name":"ConceptTensorFlowObjectDetectionWebcam", "escapedName":"ConceptTensorFlowObjectDetectionWebcam", "requestedCapabilities":["TFOD","VUFORIA","WEBCAM"]},{"name":"ConceptTextToSpeech", "escapedName":"ConceptTextToSpeech", "requestedCapabilities":[]},{"name":"ConceptVuMarkDetection", "escapedName":"ConceptVuMarkDetection", "requestedCapabilities":["VUFORIA"]},{"name":"ConceptVuforiaNav", "escapedName":"ConceptVuforiaNav", "requestedCapabilities":["VUFORIA","CAMERA"]},{"name":"ConceptVuforiaNavSwitchableCameras", "escapedName":"ConceptVuforiaNavSwitchableCameras", "requestedCapabilities":["VUFORIA","SWITCHABLE_CAMERA","WEBCAM"]},{"name":"ConceptVuforiaNavWebcam", "escapedName":"ConceptVuforiaNavWebcam", "requestedCapabilities":["VUFORIA","WEBCAM"]},{"name":"RevBlinkinLed", "escapedName":"RevBlinkinLed", "requestedCapabilities":[]},{"name":"SensorDigitalTouch", "escapedName":"SensorDigitalTouch", "requestedCapabilities":[]},{"name":"SensorIMU", "escapedName":"SensorIMU", "requestedCapabilities":[]},{"name":"SensorREVColorDistance", "escapedName":"SensorREVColorDistance", "requestedCapabilities":[]}]';
  return SAMPLE_NAMES;
}

function getSampleBlkFileContent(sampleName) {
  switch (sampleName) {
    default:
    case '':
      return '<xml xmlns="http://www.w3.org/1999/xhtml"><variables></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="50" y="50"><field name="NAME">runOpMode</field><comment pinned="true" h="32" w="532.078125">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Put initialization blocks here.</field><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"></block></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="></block></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Put loop blocks here.</field><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"></block></next></block></statement></block></next></block></statement></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'BasicPOVDrive':
      return '<xml xmlns="http://www.w3.org/1999/xhtml"><variables></variables><block type="procedures_defnoreturn" id="OpN8!1beqW{8Bw6M/?m+" deletable="false" editable="false" x="50" y="50"><field name="NAME">runOpMode</field><comment pinned="false" h="80" w="160">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="2E)2A*`b^PiWrgwVLCzD"><field name="COMMENT">Reverse one of the drive motors.</field><next><block type="dcMotor_setProperty_Direction" id="eq?6z=8[X(p{)!kj=ljm"><field name="IDENTIFIER">FrontRightAsDcMotor</field><field name="PROP">Direction</field><comment pinned="false" h="103" w="377">You will have to determine which motor to reverse for your robot.  In this example, the right motor was reversed so that positive applied power makes it move the robot in the forward direction.</comment><data>{"IDENTIFIER":"right_drive"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="fA5KX5L@6hypglpOh=^Z"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="linearOpMode_waitForStart" id=":K8^U;yjvZn8aWa~t|#1"><next><block type="controls_if" id="V4vcz1^;$q.ACQvg4=Rg"><value name="IF0"><block type="linearOpMode_opModeIsActive" id="oU;fZnTXMMPG@9M!vA8m"></block></value><statement name="DO0"><block type="comment" id=":*~E^;jympAIAK*1RqqM"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id=";?u-rJ#FN3IEUo%rzP0!"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="-(|WoGbw`fofYl;9=5+0"></block></value><statement name="DO"><block type="comment" id="j%/]x0!:SV!7p5sYtU9W"><field name="COMMENT">Put loop blocks here.</field><next><block type="comment" id="GYF?0k4U+-_GRnGUn8Up"><field name="COMMENT">Use left stick to drive and right stick to turn</field><next><block type="dcMotor_setDualProperty" id="?fu!mk[evxtjh1mAGC7J"><field name="PROP">Power</field><field name="IDENTIFIER1">FrontLeftAsDcMotor</field><field name="IDENTIFIER2">FrontRightAsDcMotor</field><comment pinned="false" h="101" w="394">The Y axis of a joystick ranges from -1 in its topmost position to +1 in its bottommost position.  We negate this value so that the topmost position corresponds to maximum forward power.</comment><data>{"IDENTIFIER1":"left_drive","IDENTIFIER2":"right_drive"}</data><value name="VALUE1"><shadow type="math_number" id="xm^!xz;E%A,_X6P[I?kY"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="@iu-t#!(RXM43cESpo$M"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id=":a.te,,^cvTYbh-a}v~A"><field name="NUM">1</field></shadow><block type="math_single" id="SrYF^hB64S[%K63,nM+l"><field name="OP">NEG</field><value name="NUM"><block type="gamepad_getProperty_Number" id="TiQ?GW+aIf^v|bI#0HKc"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="C;,.h{kpniw%goDjhfTO"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="%hLr:R^XEGT#!okUP6gZ"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="uY}|nHkeXKe^U}8i.{%1"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="hI$g`r+3o$k^$IrLoi7k"><field name="OP">MINUS</field><value name="A"><shadow type="math_number" id=":a.te,,^cvTYbh-a}v~A"><field name="NUM">1</field></shadow><block type="math_single" id="LNLrd%mg]xnGj{bHA))4"><field name="OP">NEG</field><value name="NUM"><block type="gamepad_getProperty_Number" id="L/n@U_sJ$(?DYIqcQ#6*"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="B"><shadow type="math_number" id="C;,.h{kpniw%goDjhfTO"><field name="NUM">1</field></shadow><block type="gamepad_getProperty_Number" id="*JcwdS|52/Parjsm]9*_"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><next><block type="telemetry_addNumericData" id="W+1aE{c:|#=LR8]UBy47"><value name="KEY"><block type="text" id="p=:S|#QapB@Y:~07]L~]"><field name="TEXT">Left Pow</field></block></value><value name="NUMBER"><block type="dcMotor_getProperty_Number" id=")l?bt;SeT)jw=H;h7K0G"><field name="IDENTIFIER">FrontLeftAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"left_drive"}</data></block></value><next><block type="telemetry_addNumericData" id="fnTUd?),(XEI:}]:f}mN"><value name="KEY"><block type="text" id="aDU}G0=A7pmv3WM:ODA)"><field name="TEXT">Right Pow</field></block></value><value name="NUMBER"><block type="dcMotor_getProperty_Number" id="a.6ieWX3JB?^^b14yx0p"><field name="IDENTIFIER">FrontRightAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"right_drive"}</data></block></value><next><block type="telemetry_update" id="Il/_Kv^vY42Foa}=N4Ix"></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'BasicTankDrive':
      return '<xml xmlns="http://www.w3.org/1999/xhtml"><variables></variables><block type="procedures_defnoreturn" id="OpN8!1beqW{8Bw6M/?m+" deletable="false" editable="false" x="50" y="50"><field name="NAME">runOpMode</field><comment pinned="false" h="80" w="160">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="2E)2A*`b^PiWrgwVLCzD"><field name="COMMENT">Reverse one of the drive motors.</field><next><block type="dcMotor_setProperty_Direction" id="eq?6z=8[X(p{)!kj=ljm"><field name="IDENTIFIER">FrontRightAsDcMotor</field><field name="PROP">Direction</field><comment pinned="false" h="103" w="377">You will have to determine which motor to reverse for your robot.  In this example, the right motor was reversed so that positive applied power makes it move the robot in the forward direction.</comment><data>{"IDENTIFIER":"right_drive"}</data><value name="VALUE"><shadow type="dcMotor_typedEnum_direction" id="fA5KX5L@6hypglpOh=^Z"><field name="DIRECTION">REVERSE</field></shadow></value><next><block type="linearOpMode_waitForStart" id=":K8^U;yjvZn8aWa~t|#1"><next><block type="controls_if" id="0#o7qH*u*qfz$Bq_V/`k"><value name="IF0"><block type="linearOpMode_opModeIsActive" id="[bChm|`3)2ph$xioy@{("></block></value><statement name="DO0"><block type="comment" id=":*~E^;jympAIAK*1RqqM"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id=";?u-rJ#FN3IEUo%rzP0!"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="-(|WoGbw`fofYl;9=5+0"></block></value><statement name="DO"><block type="comment" id="j%/]x0!:SV!7p5sYtU9W"><field name="COMMENT">Put loop blocks here.</field><next><block type="dcMotor_setDualProperty" id="?fu!mk[evxtjh1mAGC7J"><field name="PROP">Power</field><field name="IDENTIFIER1">FrontLeftAsDcMotor</field><field name="IDENTIFIER2">FrontRightAsDcMotor</field><comment pinned="false" h="101" w="394">The Y axis of a joystick ranges from -1 in its topmost position to +1 in its bottommost position.  We negate this value so that the topmost position corresponds to maximum forward power.</comment><data>{"IDENTIFIER1":"left_drive","IDENTIFIER2":"right_drive"}</data><value name="VALUE1"><shadow type="math_number" id="xm^!xz;E%A,_X6P[I?kY"><field name="NUM">1</field></shadow><block type="math_single" id="SrYF^hB64S[%K63,nM+l"><field name="OP">NEG</field><value name="NUM"><block type="gamepad_getProperty_Number" id="TiQ?GW+aIf^v|bI#0HKc"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><value name="VALUE2"><shadow type="math_number" id="uY}|nHkeXKe^U}8i.{%1"><field name="NUM">1</field></shadow><block type="math_single" id="sX2K4DKCe4cQg^3_3rUs"><field name="OP">NEG</field><value name="NUM"><block type="gamepad_getProperty_Number" id="%hLr:R^XEGT#!okUP6gZ"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><next><block type="telemetry_addNumericData" id="W+1aE{c:|#=LR8]UBy47"><value name="KEY"><block type="text" id="p=:S|#QapB@Y:~07]L~]"><field name="TEXT">Left Pow</field></block></value><value name="NUMBER"><block type="dcMotor_getProperty_Number" id=")l?bt;SeT)jw=H;h7K0G"><field name="IDENTIFIER">FrontLeftAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"left_drive"}</data></block></value><next><block type="telemetry_addNumericData" id="fnTUd?),(XEI:}]:f}mN"><value name="KEY"><block type="text" id="aDU}G0=A7pmv3WM:ODA)"><field name="TEXT">Right Pow</field></block></value><value name="NUMBER"><block type="dcMotor_getProperty_Number" id="a.6ieWX3JB?^^b14yx0p"><field name="IDENTIFIER">FrontRightAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"right_drive"}</data></block></value><next><block type="telemetry_update" id="Il/_Kv^vY42Foa}=N4Ix"></block></next></block></next></block></next></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptDeviceInteraction':
      return '<xml xmlns="http://www.w3.org/1999/xhtml"><variables><variable type="" id="Ivr#pnFgCLh`6~Jkb4fl">tgtPower</variable></variables><block type="procedures_defnoreturn" id="^h|yUs(BfxI3Q4gJLPyE" deletable="false" editable="false" x="40" y="18"><field name="NAME">runOpMode</field><comment pinned="false" h="80" w="160">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="EF:o+CCvmWfm*_:7q[ff"><field name="COMMENT">This is an example op mode.</field><comment pinned="false" h="109" w="311">This example op mode is used in the FTC Blocks Programming Tool training tutorial. It shows how to control a motor, a servo, and to read a couple of sensors.</comment><next><block type="digitalChannel_setProperty_DigitalChannelMode" id="jf~%z/q]FR]fmT+F^K0R"><field name="IDENTIFIER">digitalTouchAsDigitalChannel</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"digitalTouch"}</data><value name="VALUE"><shadow type="digitalChannel_typedEnum_mode" id="!Lzj`p9[%o~T*sRY`_n1"><field name="MODE">INPUT</field></shadow></value><next><block type="servo_setProperty_Number" id="$xmGqzwi[Z@!^z-[7al4"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"servoTest"}</data><value name="VALUE"><shadow type="math_number" id="$qcK(((c`oTX/`JfE3wr"><field name="NUM">0.5</field></shadow></value><next><block type="linearOpMode_waitForStart" id="c^eumD;dUj@vs71`.e/}"><next><block type="controls_if" id="gO!YDHikFW@^;bL=U_5."><value name="IF0"><block type="linearOpMode_opModeIsActive" id="8Sb:CZk(aIDXx,9+:qAR"></block></value><statement name="DO0"><block type="comment" id="?E~uw6.~Oa^:W`B$^biu"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="4$@D9zIq}sl]_e8u$+6E"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="4xhxcBEpm^bvQ!kFDo{3"></block></value><statement name="DO"><block type="comment" id="F2^8Sr@ITQ!EJjqk@~]K"><field name="COMMENT">Put loop blocks here.</field><next><block type="controls_if" id="zx|Wm#DyzS86AvCv8T!{"><mutation elseif="2"></mutation><value name="IF0"><block type="gamepad_getProperty_Boolean" id="5hRp7C*)=QqKr)lKSI{/"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Y</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO0"><block type="servo_setProperty_Number" id="R@bPFyEdkAn%7,F6eBsC"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"servoTest"}</data><value name="VALUE"><shadow type="math_number" id="6V*eT|Z0qAXoj](d41vH"><field name="NUM">0</field></shadow></value></block></statement><value name="IF1"><block type="logic_operation" id="~*+*|mP`F7ddaGfC:j2U"><field name="OP">OR</field><value name="A"><block type="gamepad_getProperty_Boolean" id="dSV^6FqvdH:MChUCl,:k"><field name="IDENTIFIER">gamepad1</field><field name="PROP">X</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><block type="gamepad_getProperty_Boolean" id="0/FGao6OgeEVaSC:}xHk"><field name="IDENTIFIER">gamepad1</field><field name="PROP">B</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value></block></value><statement name="DO1"><block type="servo_setProperty_Number" id="4oQ;}zJ/E3ibIUXP!8uN"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"servoTest"}</data><value name="VALUE"><shadow type="math_number" id="_jf[,u{B(vXnF~)!Rn_}"><field name="NUM">0.5</field></shadow></value></block></statement><value name="IF2"><block type="gamepad_getProperty_Boolean" id=";Ue{+uKr+?q@T)Opg}NU"><field name="IDENTIFIER">gamepad1</field><field name="PROP">A</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO2"><block type="servo_setProperty_Number" id="PEmEEf2`[R~C@RB|)Bc~"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"servoTest"}</data><value name="VALUE"><shadow type="math_number" id="kgEFU_qL^`MM.^op;@{0"><field name="NUM">1</field></shadow></value></block></statement><next><block type="variables_set" id="j`mK$4nsmjpcs-z@bSqa"><field name="VAR" id="Ivr#pnFgCLh`6~Jkb4fl" variabletype="">tgtPower</field><value name="VALUE"><block type="gamepad_getProperty_Number" id="jx:2*hbNL%dF]RS3]80R"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><next><block type="dcMotor_setProperty_Number" id="T3+%rH:9k)`BhpKY.B~#"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"motorTest"}</data><value name="VALUE"><shadow type="math_number" id="@vXY?/wC*kUZmBE)G.ZF"><field name="NUM">1</field></shadow><block type="variables_get" id="_mc[sQCU]hj;5R,atTzC"><field name="VAR" id="Ivr#pnFgCLh`6~Jkb4fl" variabletype="">tgtPower</field></block></value><next><block type="telemetry_addNumericData_Number" id="Nan]1kvB$nO3n+C,T8j^"><value name="KEY"><shadow type="text" id="I3)*8hwCC%~O]}#dEubS"><field name="TEXT">Target Power</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="ORI.t:(O|zcJz!Q0rj_q"><field name="NUM">123</field></shadow><block type="variables_get" id="_{`]`fn6}(rW9C%FtEAe"><field name="VAR" id="Ivr#pnFgCLh`6~Jkb4fl" variabletype="">tgtPower</field></block></value><next><block type="telemetry_addNumericData_Number" id="|Y0N5~Ct)io-uvM)#XV$"><value name="KEY"><shadow type="text" id="Djn+0$j_B!=+1?9Zd6f@"><field name="TEXT">Motor Power</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="4MZ9{*iC,cviS$1{4Wdd"><field name="NUM">123</field></shadow><block type="dcMotor_getProperty_Number" id="enzD;*zf?%K:;GJGLzw@"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><data>{"IDENTIFIER":"motorTest"}</data></block></value><next><block type="telemetry_addNumericData_Number" id="2;*eyX3N5]/KRegiI1js"><value name="KEY"><shadow type="text" id="l~6zb,H@@RP:l91GFF37"><field name="TEXT">Servo Position</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="@r:u{A0lbyg98lLHf4zT"><field name="NUM">123</field></shadow><block type="servo_getProperty_Number" id="v@tOCe6rROfae/)I}/j;"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"servoTest"}</data></block></value><next><block type="telemetry_addNumericData_Number" id="5u_N97$Qk(d,p7:M*BT]"><value name="KEY"><shadow type="text" id="adX3jtz!Lr[Jy_R8CUKl"><field name="TEXT">Distance (cm)</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="e=~9IUx|3N:Wk?pOlByi"><field name="NUM">123</field></shadow><block type="lynxI2cColorRangeSensor_getDistance_Number" id="M_nC.00aZ8fEN=#^RY%d"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><data>{"IDENTIFIER":"sensorColorRange"}</data><value name="UNIT"><shadow type="navigation_typedEnum_distanceUnit" id=",5!M6Mj(h$S^`__gT|G1"><field name="DISTANCE_UNIT">CM</field></shadow></value></block></value><next><block type="controls_if" id="}|D4x6EOr`OHSwZVg=A_"><mutation else="1"></mutation><value name="IF0"><block type="digitalChannel_getProperty_Boolean" id="kP[|(lNx0J}@RjMo^ee1"><field name="IDENTIFIER">digitalTouchAsDigitalChannel</field><field name="PROP">State</field><data>{"IDENTIFIER":"digitalTouch"}</data></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="r*5WDNIL8.@8HP;mO.~D"><value name="KEY"><shadow type="text" id="3Fct8r8qG/n{:SwDPsEO"><field name="TEXT">digitalTouch</field></shadow></value><value name="TEXT"><shadow type="text" id="g0p2|%].-]N?qt9N64#="><field name="TEXT">NOT pressed (HIGH)</field></shadow></value></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="u:ed|M20%[m)qJ*H/!fT"><value name="KEY"><shadow type="text" id=":qXttmR^TwMMif|)?vbg"><field name="TEXT">digitalTouch</field></shadow></value><value name="TEXT"><shadow type="text" id="bjSl5!}V86jUV2y1]_RB"><field name="TEXT">PRESSED (LOW)</field></shadow></value></block></statement><next><block type="telemetry_update" id="$icUyacQB1}?t_YzvC3m"></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptSmoothServo':
      return '<xml xmlns="http://www.w3.org/1999/xhtml"><variables><variable type="" id="c::G;KT~vDU3W?qLiS5t">ServoPosition</variable><variable type="" id="`^NMNM,9eBuc=VxXBMuy">ServoSpeed</variable></variables><block type="procedures_defnoreturn" id="OpN8!1beqW{8Bw6M/?m+" deletable="false" editable="false" x="50" y="50"><field name="NAME">runOpMode</field><comment pinned="false" h="80" w="160">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="58)EXia1!J_|7).;^Mbm"><field name="COMMENT">Set servo to mid position</field><next><block type="variables_set" id="ct:hh}7Si%.lsz==X^y2"><field name="VAR" id="c::G;KT~vDU3W?qLiS5t" variabletype="">ServoPosition</field><value name="VALUE"><block type="math_number" id="Bnm~@psjB+UWa/68o`tl"><field name="NUM">0.5</field></block></value><next><block type="variables_set" id="cLEO8f/lC2cn^zSY/mW;"><field name="VAR" id="`^NMNM,9eBuc=VxXBMuy" variabletype="">ServoSpeed</field><value name="VALUE"><block type="math_number" id="xV`2i?|1G;qGlL^kl9o("><field name="NUM">0.01</field></block></value><next><block type="linearOpMode_waitForStart" id=":K8^U;yjvZn8aWa~t|#1"><next><block type="controls_whileUntil" id=";?u-rJ#FN3IEUo%rzP0!"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="-(|WoGbw`fofYl;9=5+0"></block></value><statement name="DO"><block type="comment" id="}%t.Rrj7FK/QeSo)9sF="><field name="COMMENT">Use gamepad X and B to open close servo</field><next><block type="controls_if" id="vD[nYvp^pjM/xh?Ha/Xc"><value name="IF0"><block type="gamepad_getProperty_Boolean" id="/qKLph4pP@n*|A8?$L.G"><field name="IDENTIFIER">gamepad1</field><field name="PROP">B</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO0"><block type="math_change" id="}8~egl3CQ0BE=LrKYK2/"><field name="VAR" id="c::G;KT~vDU3W?qLiS5t" variabletype="">ServoPosition</field><value name="DELTA"><shadow type="math_number" id="$4rAV:L.0FnnQZ(b[_wT"><field name="NUM">1</field></shadow><block type="variables_get" id="aF|.,N{$=8{bne%VQCWX"><field name="VAR" id="`^NMNM,9eBuc=VxXBMuy" variabletype="">ServoSpeed</field></block></value></block></statement><next><block type="controls_if" id="snbTPwJH8B3/%{AybaP;"><value name="IF0"><block type="gamepad_getProperty_Boolean" id="Ay9iah13`httI@e2Qy#:"><field name="IDENTIFIER">gamepad1</field><field name="PROP">X</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO0"><block type="math_change" id="JfpUm-~fxh?xuhZETO?}"><field name="VAR" id="c::G;KT~vDU3W?qLiS5t" variabletype="">ServoPosition</field><value name="DELTA"><shadow type="math_number" id="$4rAV:L.0FnnQZ(b[_wT"><field name="NUM">1</field></shadow><block type="math_single" id="0[H}N50~H]OhsY^}N]wM"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number" id="z-QCJNhBEohqnuV_%5H3"><field name="NUM">9</field></shadow><block type="variables_get" id="!GIk9%;^?|{#_~^OtTt4"><field name="VAR" id="`^NMNM,9eBuc=VxXBMuy" variabletype="">ServoSpeed</field></block></value></block></value></block></statement><next><block type="comment" id="[fn0?jZlOgO%AXGascY!"><field name="COMMENT">Keep Servo position in valid range</field><next><block type="variables_set" id="~/86=d?=NH5J3[`LNPiT"><field name="VAR" id="c::G;KT~vDU3W?qLiS5t" variabletype="">ServoPosition</field><value name="VALUE"><block type="math_constrain" id="l%(m!j2%~){WJ#$1`)Sv"><value name="VALUE"><shadow type="math_number" id="aSJt%N@U!|_KB^ml=2VP"><field name="NUM">50</field></shadow><block type="variables_get" id="_R)UFl@4b81imZsJ#@25"><field name="VAR" id="c::G;KT~vDU3W?qLiS5t" variabletype="">ServoPosition</field></block></value><value name="LOW"><shadow type="math_number" id="BUZe}xj=e]X(8%8PI4CM"><field name="NUM">0</field></shadow></value><value name="HIGH"><shadow type="math_number" id="+gyV?17}:n@)-50-i^Y+"><field name="NUM">1</field></shadow></value></block></value><next><block type="servo_setProperty_Number" id="A/XQW=0I}=j?ubS%dI!D"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><data>{"IDENTIFIER":"left_hand"}</data><value name="VALUE"><shadow type="math_number" id="ka1-!?g/GmU))xwHzaey"><field name="NUM">0</field></shadow><block type="variables_get" id="bG2QRs91.%dyjAfm`:Vv"><field name="VAR" id="c::G;KT~vDU3W?qLiS5t" variabletype="">ServoPosition</field></block></value><next><block type="telemetry_addNumericData" id="aDlFW;zesgYYJH~5;l^T"><value name="KEY"><block type="text" id="T48d)n0!BWe^1yn8|?y/"><field name="TEXT">Servo</field></block></value><value name="NUMBER"><block type="variables_get" id="vU2.mg%bFlu/YLqFO5kR"><field name="VAR" id="c::G;KT~vDU3W?qLiS5t" variabletype="">ServoPosition</field></block></value><next><block type="telemetry_update" id="ilQjGY.P,97uT8{M3P:T"><next><block type="linearOpMode_sleep_Number" id=";2g=IxHuQ=vwHg$s]~kA"><value name="MILLISECONDS"><shadow type="math_number" id="MO8!qTrHtUQ!!P}k,0A5"><field name="NUM">20</field></shadow></value></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptTensorFlowObjectDetection':
      return '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="ZHu7]h(iKQ-7Q9eq/q3X">i</variable><variable id="vP~n9zf$lW%hYD/C.j_-">recognition</variable><variable id="C-j=_t;@/fsV)+=e~^La">recognitions</variable><variable id="A7n%5a@8jC6}[rgS1GS8">index</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="0" y="0"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="532">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Sample TFOD Op Mode</field><next><block type="comment" id="#ul#WaXLbg~hUii+7AB_"><field name="COMMENT">Initialize Vuforia.</field><next><block type="comment" id="iEid;.{ghFI`0QF/I/Gz"><field name="COMMENT">This sample assumes phone is in landscape mode.</field><next><block type="comment" id="t1$uJER0JJ.uJ38KBL|l"><field name="COMMENT">Rotate phone -90 so back camera faces "forward" direction on robot.</field><next><block type="vuforiaCurrentGame_initialize_withCameraDirection" id="Wy1VYWYqC;ag4RonA9Q{"><comment pinned="false" h="80" w="160">We need Vuforia to provide TFOD with camera images.</comment><value name="CAMERA_DIRECTION"><shadow type="navigation_typedEnum_cameraDirection" id="pXJI=x[Q,S!#tM!Tp)Dz"><field name="CAMERA_DIRECTION">BACK</field></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="67+vN;e-rbS+Pkx#;!{5"><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="lHb:T[4h{E:~U)6(3{1b"><field name="BOOL">FALSE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id="N0Q*_r4#UU`7N#x$%ng="><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="9`Bdk77gog6m|qMgZvP|"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="%j)4r,Wk?_EmTOCHRUi{"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="XGWG3rvNh?9GM}Cc%,wG"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="Ggf9xVad$xKx*;~Yk-/3"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="Y5NPS+^lsZ}s4DA+;)a0"><field name="NUM">-90</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id="UcehAfLhlyOrzf{EWGz:"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="D|1~:n~#$~7^:=^u!p)u"><field name="BOOL">TRUE</field></shadow></value><next><block type="comment" id="{f-nucs}ixJh2%x:J{bE"><field name="COMMENT">Set min confidence threshold to 0.7</field><next><block type="tfodCurrentGame_initialize" id="S?6y8$gBQja5ehCJI6Pi"><value name="MINIMUM_CONFIDENCE"><shadow type="math_number" id="iXlEJA=*Aq^$z~;?.MCb"><field name="NUM">0.7</field></shadow></value><value name="USE_OBJECT_TRACKER"><shadow type="logic_boolean" id="U2-YX?NyBMWtwqm(aPh0"><field name="BOOL">TRUE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="^IoQ1ZVTCGdA3E5UYJTf"><field name="BOOL">TRUE</field></shadow></value><next><block type="comment" id="6]yP0{L.V#v3^DJf|2r="><field name="COMMENT">Initialize TFOD before waitForStart.</field><next><block type="tfodCurrentGame_activate" id="/B7!WNQ].FmwKj=}jsb|"><comment pinned="false" h="99" w="252">Init TFOD here so the object detection labels are visible in the Camera Stream preview window on the Driver Station.</comment><next><block type="comment" id="?ryUWB49!GNw,hl6=SGT"><field name="COMMENT">Enable following block to zoom in on target.</field><next><block type="tfodCurrentGame_setZoom" id="wc!x$n$!eF21(Z6Cu:iN" disabled="true"><value name="MAGNIFICATION"><shadow type="math_number" id="1KoG{M+xaV:C|)KGJ!_]"><field name="NUM">2.5</field></shadow></value><value name="ASPECT_RATIO"><block type="math_arithmetic" id="0vAVAm!,?m*$}9IoLZ%-"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id="IDh%CG{YAl#~F;d6CgD?"><field name="NUM">16</field></shadow></value><value name="B"><shadow type="math_number" id="zWFio}4;50N@]ZqY^_qC"><field name="NUM">9</field></shadow></value></block></value><next><block type="telemetry_addTextData_All" id="/Zm[n8^)(`(S}Ab9j!;|"><value name="KEY"><shadow type="text" id="E)4aB(Zb2,Da/0v0AiN="><field name="TEXT">&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="^u5_oh+s(.Vs1Kk;$yw9"><field name="TEXT">Press Play to start</field></shadow></value><next><block type="telemetry_update" id="CcM7+$syN,5p}u1NCi8q"><next><block type="comment" id="ucY]w(tl5$!{2RX}=X;C"><field name="COMMENT">Wait for start command from Driver Station.</field><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Put loop blocks here.</field><next><block type="variables_set" id="G3vz:RD7CO6.%Sw)ZFK_"><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field><comment pinned="false" h="66" w="177">Get a list of recognitions from TFOD.</comment><value name="VALUE"><block type="tfodCurrentGame_getRecognitions" id="%d}Eg`]Tl,|WPcgQ%t)3"/></value><next><block type="controls_if" id="ca@sg0@jzk|H6L@P2e^L"><mutation else="1"/><comment pinned="false" h="102" w="202">If list is empty, inform the user. Otherwise, go through list and display info for each recognition.</comment><value name="IF0"><block type="logic_compare" id="=%o)vlFkvhu-xL,X/eo$"><field name="OP">EQ</field><value name="A"><block type="lists_length" id="t!{SnHLGoo~PaP6awyK."><value name="VALUE"><block type="variables_get" id="ZNj(tw{-HQNlj-7{iU]("><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field></block></value></block></value><value name="B"><block type="math_number" id="4XseN,4~X=LIU%~64FvC"><field name="NUM">0</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="GlID$m:#pV1$]_9Xwr2R"><value name="KEY"><shadow type="text" id="M^km_K-P,B!{$$O:vELn"><field name="TEXT">TFOD</field></shadow></value><value name="TEXT"><shadow type="text" id="p48vyO#GC!;Z;9]M-St7"><field name="TEXT">No items detected.</field></shadow></value></block></statement><statement name="ELSE"><block type="variables_set" id="-$r0NK]~Nh7SKIq7SfSd"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field><value name="VALUE"><block type="math_number" id="P1f]4HSIe|E0?Cj7x0B["><field name="NUM">0</field></block></value><next><block type="controls_forEach" id="|@Y$y8D~],V(MRQ+Cyv{"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field><comment pinned="false" h="81" w="199">Iterate through list and call a function to display info for each recognized object.</comment><value name="LIST"><block type="variables_get" id="W,d1s!eFWeDT0X}~eq,n"><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field></block></value><statement name="DO"><block type="comment" id="U@Dkpel-LMa.00jJsqA-"><field name="COMMENT">Display info.</field><next><block type="procedures_callnoreturn" id="}Ed*Qv]2hqyM9x`y/=fq"><mutation name="displayInfo"><arg name="i"/></mutation><value name="ARG0"><block type="variables_get" id="1ynw+j_dMgW{E_t3}D|E"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field></block></value><next><block type="comment" id=",1(:%n^0JKFq_SFwTg^H"><field name="COMMENT">Increment index.</field><next><block type="variables_set" id="}(~W?+spH%5lnSN8((?="><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field><value name="VALUE"><block type="math_arithmetic" id="?6nQyMGz}aU1fC+utj9g"><field name="OP">ADD</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="A(cWTP6GX-7F%pan2;S:"><field name="NUM">1</field></shadow><block type="variables_get" id="_Qa|p#!QpQ?:hR:4$)Ki"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field></block></value><value name="B"><shadow type="math_number" id="cZn5/PfoHlpMu|xN+~eL"><field name="NUM">1</field></shadow></value></block></value></block></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="comment" id="x3Da[L*)xMh=3e7zy7*{"><field name="COMMENT">Deactivate TFOD.</field><next><block type="tfodCurrentGame_deactivate" id=")#LnjM-c3n?~scY$Z!@Y"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id=")21zCFQOO-Q6a!/Wu4LO" x="0" y="1511"><mutation><arg name="i" varid="ZHu7]h(iKQ-7Q9eq/q3X"/></mutation><field name="NAME">displayInfo</field><comment pinned="false" h="80" w="160">Display info (using telemetry) for a recognized object.</comment><statement name="STACK"><block type="comment" id="tlc0F80BdB`b([Xp;XEc"><field name="COMMENT">Display label info.</field><next><block type="telemetry_addTextData_All" id=";6SFb8haRI5qo45n}iJ8"><comment pinned="false" h="80" w="160">Display the label and index number for the recognition.</comment><value name="KEY"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="_f._U;/kb2{Yz0e76KNN"><mutation items="2"/><value name="ADD0"><block type="text" id="y,9e7qml,YyEJ*rPPJ%p"><field name="TEXT">label </field></block></value><value name="ADD1"><block type="variables_get" id="PCpqfPlom*4,p~ehCda9"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="tfodRecognition_getProperty_String" id="d7@$bcm+3wluc1@Wtq|u"><field name="PROP">Label</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="}u)$1QfMPe1)p,Qs5Ku;"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><next><block type="comment" id="_98!oDhsOCBdhLYUP4uf"><field name="COMMENT">Display upper corner info.</field><next><block type="telemetry_addTextData_All" id="8nKd8v-zW;`u5BOb+C%9"><comment pinned="false" h="100" w="200">Display the location of the top left corner of the detection boundary for the recognition</comment><value name="KEY"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="7Fn(t/Mm3i1ur(2xaI_X"><mutation items="2"/><value name="ADD0"><block type="text" id="}g`_FiJaZ]3s$^FeZvgx"><field name="TEXT">Left, Top </field></block></value><value name="ADD1"><block type="variables_get" id="NL:]G/H7.SZ1!=:D3{/C"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="text_join" id="DT/!lFr4vq[1YesUPQ_T"><mutation items="2"/><value name="ADD0"><block type="tfodRecognition_getProperty_Number" id="VeL$%e^~N33.uZUiGhUK"><field name="PROP">Left</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="89kTVFyI498d3Mlqk$Do"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD1"><block type="text_join" id="q.3D]XGo9g91,_!4]O`-"><mutation items="2"/><value name="ADD0"><block type="text" id="ZhFl#/Fk+I)t}s)TnQ_?"><field name="TEXT">, </field></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_Number" id="G~K_0Bp1F20i`4CU,PE{"><field name="PROP">Top</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="M]Nj%yp]N-HH{kA|-PC!"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value></block></value><next><block type="comment" id="~bRVN`9q9$vf6w0BSW@}"><field name="COMMENT">Display lower corner info.</field><next><block type="telemetry_addTextData_All" id="Q+UdE@m8P2B.yiwA.w%$"><comment pinned="false" h="100" w="200">Display the location of the bottom right corner of the detection boundary for the recognition</comment><value name="KEY"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="zJv0lB`hN,S+t!Xt,0_l"><mutation items="2"/><value name="ADD0"><block type="text" id="c7F~1],4bXjo0h].?:7C"><field name="TEXT">Right, Bottom </field></block></value><value name="ADD1"><block type="variables_get" id="/s^!~P|}^wPc#v+J8bg6"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="text_join" id="o8Gtc?kcbG~`#vx!7ck^"><mutation items="2"/><value name="ADD0"><block type="tfodRecognition_getProperty_Number" id="B-6W%AK(jO!ur3t$S!h@"><field name="PROP">Right</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="I%pBUv`--i6Yr0iXNPT4"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD1"><block type="text_join" id="%4fe?X`$FHM%a~B4le^)"><mutation items="2"/><value name="ADD0"><block type="text" id="okN|sYW[pdiqWcyAv-66"><field name="TEXT">, </field></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_Number" id="F%|Lo.;yf5Od/%EqOuf)"><field name="PROP">Bottom</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="TA34*WE*L([F@%Yk_x*4"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value></block></value></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptTensorFlowObjectDetectionCustomModel':
      return '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="ZHu7]h(iKQ-7Q9eq/q3X">i</variable><variable id="vP~n9zf$lW%hYD/C.j_-">recognition</variable><variable id="C-j=_t;@/fsV)+=e~^La">recognitions</variable><variable id="A7n%5a@8jC6}[rgS1GS8">index</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="0" y="0"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="532">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Sample TFOD Op Mode using a Custom Model</field><next><block type="comment" id="#ul#WaXLbg~hUii+7AB_"><field name="COMMENT">Initialize Vuforia to provide TFOD with camera</field><next><block type="comment" id="pPGDw!e4C3d-Twgqi%I~"><field name="COMMENT">images.</field><next><block type="comment" id="TkA;N4Hsf2KmM0v=I6.R"><field name="COMMENT">The following block uses the device\'s back camera.</field><next><block type="vuforiaCurrentGame_initialize_withCameraDirection" id="Wy1VYWYqC;ag4RonA9Q{"><value name="CAMERA_DIRECTION"><shadow type="navigation_typedEnum_cameraDirection" id="pXJI=x[Q,S!#tM!Tp)Dz"><field name="CAMERA_DIRECTION">BACK</field></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="67+vN;e-rbS+Pkx#;!{5"><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="lHb:T[4h{E:~U)6(3{1b"><field name="BOOL">FALSE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id="N0Q*_r4#UU`7N#x$%ng="><field name="CAMERA_MONITOR_FEEDBACK">NONE</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="9`Bdk77gog6m|qMgZvP|"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="%j)4r,Wk?_EmTOCHRUi{"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="XGWG3rvNh?9GM}Cc%,wG"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="Ggf9xVad$xKx*;~Yk-/3"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="Y5NPS+^lsZ}s4DA+;)a0"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id="UcehAfLhlyOrzf{EWGz:"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="D|1~:n~#$~7^:=^u!p)u"><field name="BOOL">FALSE</field></shadow></value><next><block type="comment" id="85/da`3R16Z~@4ac,}/8"><field name="COMMENT">The following block uses a webcam.</field><next><block type="vuforiaCurrentGame_initialize_withWebcam" id="]~OR:C{OyWXtCwfS%:fP" disabled="true"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="32g~KH3`b0dG7fagWdd%"><field name="WEBCAM_NAME">Webcam 1</field></shadow></value><value name="WEBCAM_CALIBRATION_FILE"><shadow type="text" id="MgsI)~c@;rq=Z0GlCZo_"><field name="TEXT"/></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="z{BoY:4N:*#qDfe_Tyz3"><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="=h,@fq5L_6,vfP$M0Z)s"><field name="BOOL">FALSE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id="-A(kt^^YJc9oq67beLV5"><field name="CAMERA_MONITOR_FEEDBACK">NONE</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id=",Npd_U=q6dRDBHT.J^aJ"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="K5^:kR~,!7Eg^Ae:x:LW"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="VN2,7TEqOK`l+)GsY;^1"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="+aNa@=cO/?6eIW,%o$+r"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="O#s$+}n$jOw-|O)nuJ]^"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id="EDq!cUQhy?[CRU4x~wX;"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="(]@r~]Q4BJ%Fo`rZgKNI"><field name="BOOL">FALSE</field></shadow></value><next><block type="comment" id="6]yP0{L.V#v3^DJf|2r="><field name="COMMENT">Initialize TFOD before waitForStart.</field><next><block type="comment" id="XlE/;@YYr^-3vdxC4+Pe"><field name="COMMENT">Use the Manage page to upload your custom model.</field><next><block type="comment" id="Qr5~Qa,$Z#iJut$E0%^R"><field name="COMMENT">In the next block, replace WiffleBalls.tflite with</field><next><block type="comment" id="|~%NoB+=4G55S{BbQys*"><field name="COMMENT"> the name of your custom model. </field><next><block type="tfodCustomModel_setModelFromFile" id="Sw6c{!M{a`ZMz?;csW~q"><value name="TFLITE_MODEL_FILENAME"><shadow type="text" id="D`9]8n/m+e#.r*O#xytH"><field name="TEXT">WiffleBalls.tflite</field></shadow></value><value name="LABELS"><block type="lists_create_with" id="Ori_)Jr.cKV}4jq.I-hf"><mutation items="1"/><value name="ADD0"><block type="text" id="U~,X}*5FU70=Y_r%01%C"><field name="TEXT">ball</field></block></value></block></value><next><block type="tfodCustomModel_initialize" id="Kqpz:y8Rludu#89T~ejA"><value name="MINIMUM_CONFIDENCE"><shadow type="math_number" id="d#u_1ZQ+%VL/cJQCBHpP"><field name="NUM">0.7</field></shadow></value><value name="USE_OBJECT_TRACKER"><shadow type="logic_boolean" id="|^vO@~%=0C7;3XQqSS,T"><field name="BOOL">TRUE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="K.:h%}*0a/jDFxS.O:Ce"><field name="BOOL">TRUE</field></shadow></value><next><block type="tfodCustomModel_setClippingMargins" id=".CQnt}kl=fP#LdfVsFIf"><value name="LEFT"><shadow type="math_number" id="-6u^{E:qs^yC]V__,XwN"><field name="NUM">0</field></shadow></value><value name="TOP"><shadow type="math_number" id="!nJ`QBA~DM]M.kbPyA7T"><field name="NUM">80</field></shadow></value><value name="RIGHT"><shadow type="math_number" id="ixMQyc0i)Vl+x_s:?}hc"><field name="NUM">0</field></shadow></value><value name="BOTTOM"><shadow type="math_number" id="g7pW?3GL;Dj-w$1uwPi("><field name="NUM">0</field></shadow></value><next><block type="tfodCustomModel_activate" id="~9Y*gMfDaQ{gG4u/UR7V"><next><block type="comment" id="4STF*QQxm)}IL3p2W3er"><field name="COMMENT">Enable following block to zoom in on target.</field><next><block type="tfodCurrentGame_setZoom" id=";ZJ]=-U*#}KtN^c{*n}K" disabled="true"><value name="MAGNIFICATION"><shadow type="math_number" id="U|o7?|l{@X,7N?tnx+E."><field name="NUM">2.5</field></shadow></value><value name="ASPECT_RATIO"><block type="math_arithmetic" id="mdf0^71{?/M@kO30(70C"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id="6mS-L.w#!5)aD@_hoPN."><field name="NUM">16</field></shadow></value><value name="B"><shadow type="math_number" id="(.+dP;ZceagGlKdWAZEj"><field name="NUM">9</field></shadow></value></block></value><next><block type="telemetry_addTextData_All" id="/Zm[n8^)(`(S}Ab9j!;|"><value name="KEY"><shadow type="text" id="E)4aB(Zb2,Da/0v0AiN="><field name="TEXT">&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="^u5_oh+s(.Vs1Kk;$yw9"><field name="TEXT">Press Play to start</field></shadow></value><next><block type="telemetry_update" id="CcM7+$syN,5p}u1NCi8q"><next><block type="comment" id="ucY]w(tl5$!{2RX}=X;C"><field name="COMMENT">Wait for start command from Driver Station.</field><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Put loop blocks here.</field><next><block type="variables_set" id="G3vz:RD7CO6.%Sw)ZFK_"><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field><comment pinned="false" h="66" w="177">Get a list of recognitions from TFOD.</comment><value name="VALUE"><block type="tfodCustomModel_getRecognitions" id="GX+3lS*1)2{~?7v^L,E?"/></value><next><block type="controls_if" id="ca@sg0@jzk|H6L@P2e^L"><mutation else="1"/><comment pinned="false" h="102" w="202">If list is empty, inform the user. Otherwise, go through list and display info for each recognition.</comment><value name="IF0"><block type="logic_compare" id="=%o)vlFkvhu-xL,X/eo$"><field name="OP">EQ</field><value name="A"><block type="lists_length" id="t!{SnHLGoo~PaP6awyK."><value name="VALUE"><block type="variables_get" id="ZNj(tw{-HQNlj-7{iU]("><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field></block></value></block></value><value name="B"><block type="math_number" id="4XseN,4~X=LIU%~64FvC"><field name="NUM">0</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="GlID$m:#pV1$]_9Xwr2R"><value name="KEY"><shadow type="text" id="M^km_K-P,B!{$$O:vELn"><field name="TEXT">TFOD</field></shadow></value><value name="TEXT"><shadow type="text" id="p48vyO#GC!;Z;9]M-St7"><field name="TEXT">No items detected.</field></shadow></value></block></statement><statement name="ELSE"><block type="variables_set" id="-$r0NK]~Nh7SKIq7SfSd"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field><value name="VALUE"><block type="math_number" id="P1f]4HSIe|E0?Cj7x0B["><field name="NUM">0</field></block></value><next><block type="controls_forEach" id="|@Y$y8D~],V(MRQ+Cyv{"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field><comment pinned="false" h="81" w="199">Iterate through list and call a function to display info for each recognized object.</comment><value name="LIST"><block type="variables_get" id="W,d1s!eFWeDT0X}~eq,n"><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field></block></value><statement name="DO"><block type="comment" id="U@Dkpel-LMa.00jJsqA-"><field name="COMMENT">Display info.</field><next><block type="procedures_callnoreturn" id="}Ed*Qv]2hqyM9x`y/=fq"><mutation name="displayInfo"><arg name="i"/></mutation><value name="ARG0"><block type="variables_get" id="1ynw+j_dMgW{E_t3}D|E"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field></block></value><next><block type="comment" id=",1(:%n^0JKFq_SFwTg^H"><field name="COMMENT">Increment index.</field><next><block type="variables_set" id="}(~W?+spH%5lnSN8((?="><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field><value name="VALUE"><block type="math_arithmetic" id="?6nQyMGz}aU1fC+utj9g"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="A(cWTP6GX-7F%pan2;S:"><field name="NUM">1</field></shadow><block type="variables_get" id="_Qa|p#!QpQ?:hR:4$)Ki"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field></block></value><value name="B"><shadow type="math_number" id="cZn5/PfoHlpMu|xN+~eL"><field name="NUM">1</field></shadow></value></block></value></block></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="comment" id="x3Da[L*)xMh=3e7zy7*{"><field name="COMMENT">Deactivate TFOD.</field><next><block type="tfodCustomModel_deactivate" id="`zBI4[E-mb|Bi4MFMvKz"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="yrA.?,jSqW-)W/]41!C6" x="32" y="2070"><mutation><arg name="i" varid="ZHu7]h(iKQ-7Q9eq/q3X"/></mutation><field name="NAME">displayInfo</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="telemetry_addTextData_All" id="U%F6}J/e;@8*9amXGPRG"><comment pinned="false" h="100" w="200">Display the location of the top left corner of the detection boundary for the recognition</comment><value name="KEY"><shadow type="text"><field name="TEXT">key</field></shadow><block type="text_join" id="K?}daHI2}i-4!gsOplGK"><mutation items="4"/><value name="ADD0"><block type="text" id="z{$EV%koW41DYu.kQ~{6"><field name="TEXT">Label: </field></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_String" id="SmTm]y1r9B$,*)Yjr+#|"><field name="PROP">Label</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="uivMa?2B?u#.[wMadtZk"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD2"><block type="text" id="v0^^#8(;hN8/QSdG{e9F"><field name="TEXT">, Confidence: </field></block></value><value name="ADD3"><block type="tfodRecognition_getProperty_Number" id="Y.)KMB9G./%n*{#~Bs.S"><field name="PROP">Confidence</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="s|5(ZhdfO=TvI9jZ_z`L"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value><value name="TEXT"><shadow type="text"><field name="TEXT">text</field></shadow><block type="text_join" id="]X~uiYr4E$KJ|)73O,Ek"><mutation items="4"/><value name="ADD0"><block type="text" id="`CAH%K7JJ{|dt/#B%]Y`"><field name="TEXT">X: </field></block></value><value name="ADD1"><block type="math_round" id="H+o;zgwai5n9jv:0=;a0"><field name="OP">ROUND</field><value name="NUM"><shadow type="math_number" id="XG!I5%g=dPGmbZ;Ha2mU"><field name="NUM">3.1</field></shadow><block type="math_on_list" id="lKYNl(bY|%Na/,uEq54,"><mutation op="AVERAGE"/><field name="OP">AVERAGE</field><value name="LIST"><block type="lists_create_with" id="Wp~!n`}g$|OonQ`BjnIP"><mutation items="2"/><value name="ADD0"><block type="tfodRecognition_getProperty_Number" id="(6zhMz{afQqO[I*+(D$i"><field name="PROP">Left</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="[$/f[S./+#l:-uz9qqR/"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_Number" id="5@(iY];4~JxtdossZXJ+"><field name="PROP">Right</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="BH3{*x||X~DIzbRLNJ{2"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value></block></value></block></value><value name="ADD2"><block type="text" id="Svq@4yq!_BLxeqDwRVBP"><field name="TEXT">, Y: </field></block></value><value name="ADD3"><block type="math_round" id="/`LAIwHrwqVD=Iex%m0y"><field name="OP">ROUND</field><value name="NUM"><shadow type="math_number" id="Y}~`tvUQW45;Tott(e/j"><field name="NUM">3.1</field></shadow><block type="math_on_list" id="8ZMfitgBP@D8~iBddH[M"><mutation op="AVERAGE"/><field name="OP">AVERAGE</field><value name="LIST"><block type="lists_create_with" id="ro!NGm#U#S/o0K5o@OqL"><mutation items="2"/><value name="ADD0"><block type="tfodRecognition_getProperty_Number" id="Xw;4h_a[H.|e2AhEKb_j"><field name="PROP">Top</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="Kc9XqVJ/e.6?GyuM/$ER"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_Number" id="2tlx0TtHa`(M/drPg/~="><field name="PROP">Bottom</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="#$RH{~.?D+$?-)|1xRb~"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value></block></value></block></value></block></value></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptTensorFlowObjectDetectionSwitchableCameras':
      return '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="ZHu7]h(iKQ-7Q9eq/q3X">i</variable><variable id="Q*iA|9#K!{XA^=I9_17j">oldLeftBumper</variable><variable id="c`]!=7;YrY~6u71AMNH^">newLeftBumper</variable><variable id="s?w(#5R5EX{f*aL$a3yX">oldRightBumper</variable><variable id="|RX@0yH!W}g7-GDnzqn[">newRightBumper</variable><variable id="vP~n9zf$lW%hYD/C.j_-">recognition</variable><variable id="{]~kbEWmbW]Z@~_NlaB4">activeCamera</variable><variable id="C-j=_t;@/fsV)+=e~^La">recognitions</variable><variable id="A7n%5a@8jC6}[rgS1GS8">index</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="41" y="15"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="532">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Sample TFOD Op Mode</field><next><block type="comment" id="#ul#WaXLbg~hUii+7AB_"><field name="COMMENT">Initialize Vuforia using SwitchableCamera</field><next><block type="vuforiaCurrentGame_initialize_withWebcam" id="6Xzo0d*2b_I.B:]B4+5q"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="Uztu;2eL:)g_#d6}G98K"><field name="WEBCAM_NAME">C270</field></shadow><block type="navigation_switchableCamera" id="KvwXc`?Zj:Xz!4!YBg8c"/></value><value name="WEBCAM_CALIBRATION_FILE"><shadow type="text" id="znyjVw;:]}rr$Dq}XK!M"><field name="TEXT"/></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="_XSP5JKC^8OOw%V[(HR="><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="y/~?GcC]T),;cIU(d`Cc"><field name="BOOL">FALSE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id="TG%:#^SAd7#]OFj[V9K?"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="~PyI_z2IlCq!Uv~b9^=v"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="CWCmb0p(S96VKi%Kk(3W"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="5WhUGHWwt[OKb:2pH+~:"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="!C$T}|^{.b[TPj=vdHo$"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="=a{Eypfq::uaptXMi6Jq"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id=":|I95FQpD}bI]ECP-w/,"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="Ul5tBGCna_g*4C]X{s-w"><field name="BOOL">TRUE</field></shadow></value><next><block type="comment" id="{f-nucs}ixJh2%x:J{bE"><field name="COMMENT">Set min confidence threshold to 0.7</field><next><block type="tfodCurrentGame_initialize" id="S?6y8$gBQja5ehCJI6Pi"><value name="MINIMUM_CONFIDENCE"><shadow type="math_number" id="iXlEJA=*Aq^$z~;?.MCb"><field name="NUM">0.7</field></shadow></value><value name="USE_OBJECT_TRACKER"><shadow type="logic_boolean" id="U2-YX?NyBMWtwqm(aPh0"><field name="BOOL">TRUE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="^IoQ1ZVTCGdA3E5UYJTf"><field name="BOOL">TRUE</field></shadow></value><next><block type="comment" id="6]yP0{L.V#v3^DJf|2r="><field name="COMMENT">Initialize TFOD before waitForStart.</field><next><block type="tfodCurrentGame_activate" id="/B7!WNQ].FmwKj=}jsb|"><comment pinned="false" h="99" w="252">Init TFOD here so the object detection labels are visible in the Camera Stream preview window on the Driver Station.</comment><next><block type="comment" id="+@TZM(mo3uc]tk0n|MtT"><field name="COMMENT">Enable following block to zoom in on target.</field><next><block type="tfodCurrentGame_setZoom" id="vSb=@hTz=nXMZN-T0R7r" disabled="true"><value name="MAGNIFICATION"><shadow type="math_number" id="qKv3X|N=wOGF@rg4S`u#"><field name="NUM">2.5</field></shadow></value><value name="ASPECT_RATIO"><block type="math_arithmetic" id="j}U1dw[).[}4|K9)U/Cx"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id="7S(+T{qMJvIBnLR+]{9p"><field name="NUM">16</field></shadow></value><value name="B"><shadow type="math_number" id="4CK5^:Rvun%oSK`i^n*m"><field name="NUM">9</field></shadow></value></block></value><next><block type="telemetry_addTextData_All" id="/Zm[n8^)(`(S}Ab9j!;|"><value name="KEY"><shadow type="text" id="E)4aB(Zb2,Da/0v0AiN="><field name="TEXT">&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="^u5_oh+s(.Vs1Kk;$yw9"><field name="TEXT">Press Play to start</field></shadow></value><next><block type="telemetry_update" id="CcM7+$syN,5p}u1NCi8q"><next><block type="comment" id="ucY]w(tl5$!{2RX}=X;C"><field name="COMMENT">Wait for start command from Driver Station.</field><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="procedures_callnoreturn" id="3Ka%+yf*,blDpO!LE6R-"><mutation name="initCameraSwitching"/><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Put loop blocks here.</field><next><block type="procedures_callnoreturn" id="qGK[SHqYm+/{jp+`8(DN"><mutation name="doCameraSwitching"/><next><block type="variables_set" id="G3vz:RD7CO6.%Sw)ZFK_"><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field><comment pinned="false" h="66" w="177">Get a list of recognitions from TFOD.</comment><value name="VALUE"><block type="tfodCurrentGame_getRecognitions" id="%d}Eg`]Tl,|WPcgQ%t)3"/></value><next><block type="controls_if" id="ca@sg0@jzk|H6L@P2e^L"><mutation else="1"/><comment pinned="false" h="102" w="202">If list is empty, inform the user. Otherwise, go through list and display info for each recognition.</comment><value name="IF0"><block type="logic_compare" id="=%o)vlFkvhu-xL,X/eo$"><field name="OP">EQ</field><value name="A"><block type="lists_length" id="t!{SnHLGoo~PaP6awyK."><value name="VALUE"><block type="variables_get" id="ZNj(tw{-HQNlj-7{iU]("><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field></block></value></block></value><value name="B"><block type="math_number" id="4XseN,4~X=LIU%~64FvC"><field name="NUM">0</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="GlID$m:#pV1$]_9Xwr2R"><value name="KEY"><shadow type="text" id="M^km_K-P,B!{$$O:vELn"><field name="TEXT">TFOD</field></shadow></value><value name="TEXT"><shadow type="text" id="p48vyO#GC!;Z;9]M-St7"><field name="TEXT">No items detected.</field></shadow></value></block></statement><statement name="ELSE"><block type="variables_set" id="-$r0NK]~Nh7SKIq7SfSd"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field><value name="VALUE"><block type="math_number" id="P1f]4HSIe|E0?Cj7x0B["><field name="NUM">0</field></block></value><next><block type="controls_forEach" id="|@Y$y8D~],V(MRQ+Cyv{"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field><comment pinned="false" h="81" w="199">Iterate through list and call a function to display info for each recognized object.</comment><value name="LIST"><block type="variables_get" id="W,d1s!eFWeDT0X}~eq,n"><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field></block></value><statement name="DO"><block type="comment" id="U@Dkpel-LMa.00jJsqA-"><field name="COMMENT">Display info.</field><next><block type="procedures_callnoreturn" id="}Ed*Qv]2hqyM9x`y/=fq"><mutation name="displayInfo"><arg name="i"/></mutation><value name="ARG0"><block type="variables_get" id="1ynw+j_dMgW{E_t3}D|E"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field></block></value><next><block type="comment" id=",1(:%n^0JKFq_SFwTg^H"><field name="COMMENT">Increment index.</field><next><block type="variables_set" id="}(~W?+spH%5lnSN8((?="><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field><value name="VALUE"><block type="math_arithmetic" id="?6nQyMGz}aU1fC+utj9g"><field name="OP">ADD</field><value name="A"><shadow type="math_number" id="A(cWTP6GX-7F%pan2;S:"><field name="NUM">1</field></shadow><block type="variables_get" id="_Qa|p#!QpQ?:hR:4$)Ki"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field></block></value><value name="B"><shadow type="math_number" id="cZn5/PfoHlpMu|xN+~eL"><field name="NUM">1</field></shadow></value></block></value></block></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></next></block></statement></block></next></block></next></block></statement><next><block type="comment" id="x3Da[L*)xMh=3e7zy7*{"><field name="COMMENT">Deactivate TFOD.</field><next><block type="tfodCurrentGame_deactivate" id=")#LnjM-c3n?~scY$Z!@Y"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="HHH^d!x/myA,@3fd`I:B" x="811" y="21"><field name="NAME">initCameraSwitching</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="Pk][ED*wW[=s3o_SuA!N"><field name="COMMENT">After Vuforia is initialized, set the</field><next><block type="comment" id="bf@{y$j7,1ySoio*L)[l"><field name="COMMENT">active camera to Webcam 1.</field><next><block type="variables_set" id="kI8wEmk3F`66o%Fd:t68"><field name="VAR" id="Q*iA|9#K!{XA^=I9_17j">oldLeftBumper</field><value name="VALUE"><block type="logic_boolean" id="x=-dY`Bu/1Pe;H1R]l6j"><field name="BOOL">FALSE</field></block></value><next><block type="variables_set" id="JW,mlD7E6vpl9z|PPs.5"><field name="VAR" id="s?w(#5R5EX{f*aL$a3yX">oldRightBumper</field><value name="VALUE"><block type="logic_boolean" id=")jD)xk;BeYHQBkGK2h4_"><field name="BOOL">FALSE</field></block></value><next><block type="variables_set" id="?X=NRH*o0#dz}`Y)0DQ."><field name="VAR" id="{]~kbEWmbW]Z@~_NlaB4">activeCamera</field><value name="VALUE"><block type="text" id="{GHdNn?8kq$/@$Geab_8"><field name="TEXT">Webcam 1</field></block></value><next><block type="vuforiaCurrentGame_setActiveCamera" id=":~I{@Y0vdF|PW5l,z$CF"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="Sm!pl_P{n8}`ph+.1**3"><field name="WEBCAM_NAME">Webcam 1</field></shadow></value></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="o]}dNy}(*{/3:X!lY[(-" x="811" y="274"><field name="NAME">doCameraSwitching</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="kU^4+1MSNa$cf.z^.L;d"><field name="COMMENT">If the left bumper is pressed, use Webcam 1.</field><next><block type="comment" id="oN0C@X:cf01ts_voi*e-"><field name="COMMENT">If the right bumper is pressed, use Webcam 2.</field><next><block type="variables_set" id="kvP=+tC9Gztov$e8G]^_"><field name="VAR" id="c`]!=7;YrY~6u71AMNH^">newLeftBumper</field><value name="VALUE"><block type="gamepad_getProperty_Boolean" id="kkp(-yHU]/2g}*[%LUoF"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftBumper</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><next><block type="variables_set" id="9gU()I$cEx-}qGyGk3#0"><field name="VAR" id="|RX@0yH!W}g7-GDnzqn[">newRightBumper</field><value name="VALUE"><block type="gamepad_getProperty_Boolean" id="E(4@JtfXix}$a^rY{zE#"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightBumper</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><next><block type="controls_if" id="ke706Zdq.o@[+cL;rj4P"><mutation elseif="1"/><value name="IF0"><block type="logic_operation" id="I3G4wmq$jE*fN:[i}~gO" inline="false"><field name="OP">AND</field><value name="A"><block type="variables_get" id="BoFCo:[F$[IsXoI]]Iv2"><field name="VAR" id="c`]!=7;YrY~6u71AMNH^">newLeftBumper</field></block></value><value name="B"><block type="logic_negate" id="9yp50Js[/%E`}?)9@$iI"><value name="BOOL"><block type="variables_get" id="fZDphq~I[OO41M[Z%WT["><field name="VAR" id="Q*iA|9#K!{XA^=I9_17j">oldLeftBumper</field></block></value></block></value></block></value><statement name="DO0"><block type="variables_set" id="4H#ZX`VJ6,b;p!m~O|Jk"><field name="VAR" id="{]~kbEWmbW]Z@~_NlaB4">activeCamera</field><value name="VALUE"><block type="text" id="lINby5Q:d7Jzr$bul-J}"><field name="TEXT">Webcam 1</field></block></value><next><block type="vuforiaCurrentGame_setActiveCamera" id="4P%fmT=@C[@1p|e6h;jG"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="]hfdKaK(-SCWl4bh,e6C"><field name="WEBCAM_NAME">Webcam 1</field></shadow></value></block></next></block></statement><value name="IF1"><block type="logic_operation" id="C@Gg2Uax)~XH_*g!@!vl" inline="false"><field name="OP">AND</field><value name="A"><block type="variables_get" id="Bx{x?7z1^7^L^%yNn1R!"><field name="VAR" id="|RX@0yH!W}g7-GDnzqn[">newRightBumper</field></block></value><value name="B"><block type="logic_negate" id="1m!T%NonP@RN.4iUp6-Q"><value name="BOOL"><block type="variables_get" id="C8/6)I/5x8[_C$)0:j7N"><field name="VAR" id="s?w(#5R5EX{f*aL$a3yX">oldRightBumper</field></block></value></block></value></block></value><statement name="DO1"><block type="variables_set" id="--|+MyNU-jjuH1b:s)t*"><field name="VAR" id="{]~kbEWmbW]Z@~_NlaB4">activeCamera</field><value name="VALUE"><block type="text" id="nUl09cDH0cBsSj[wFl5a"><field name="TEXT">Webcam 2</field></block></value><next><block type="vuforiaCurrentGame_setActiveCamera" id="ps45Td39JaR:ttDqD+zf"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="Ul9c.BZtCKB]mJz*ACSL"><field name="WEBCAM_NAME">Webcam 2</field></shadow></value></block></next></block></statement><next><block type="variables_set" id="/8xW_XUADjxs{X+~~5=t"><field name="VAR" id="Q*iA|9#K!{XA^=I9_17j">oldLeftBumper</field><value name="VALUE"><block type="variables_get" id="3%*gBX`Pxa(c7],=bw`e"><field name="VAR" id="c`]!=7;YrY~6u71AMNH^">newLeftBumper</field></block></value><next><block type="variables_set" id="KA1bQINw#6m2l5;?~wn4"><field name="VAR" id="s?w(#5R5EX{f*aL$a3yX">oldRightBumper</field><value name="VALUE"><block type="variables_get" id="l-OalHnYm%?9)oZi)Ic="><field name="VAR" id="|RX@0yH!W}g7-GDnzqn[">newRightBumper</field></block></value><next><block type="controls_if" id="h0oH_qredgS/xaLT=ju?"><mutation else="1"/><value name="IF0"><block type="logic_compare" id="kdd$WZd|-X?X$mDZOIfq"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="zE1y$_)rv{j1tv8GyleS"><field name="VAR" id="{]~kbEWmbW]Z@~_NlaB4">activeCamera</field></block></value><value name="B"><block type="text" id="hNonG]Tx@UGPAv2@c(jN"><field name="TEXT">Webcam 1</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="ZN0_8b.iOxQ.gaYdHJ,J"><value name="KEY"><shadow type="text" id="aIhebK*7{!JW!1EV0Zg$"><field name="TEXT">activeCamera</field></shadow></value><value name="TEXT"><shadow type="text" id="BfW]T_$j;7%h+X{hh@pi"><field name="TEXT">Webcam 1</field></shadow></value><next><block type="telemetry_addTextData_All" id="fS8S5sZS$MOg6#ca(W4J"><value name="KEY"><shadow type="text" id="*F^UcWkw7~T?uS3o:W`A"><field name="TEXT">Press RightBumper</field></shadow></value><value name="TEXT"><shadow type="text" id="KaX3_NhaMcmd[%AOB:FZ"><field name="TEXT">to switch to Webcam 2</field></shadow></value></block></next></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="]nB)2!0NmT=y?/hzcf*?"><value name="KEY"><shadow type="text" id="S_~%pM#0w,)*2Ob7[j,8"><field name="TEXT">activeCamera</field></shadow></value><value name="TEXT"><shadow type="text" id="Yi*SuGr#mO7CY+Ug]l}?"><field name="TEXT">Webcam 2</field></shadow></value><next><block type="telemetry_addTextData_All" id="*5Wj@o9cz.iDLtM5S`CJ"><value name="KEY"><shadow type="text" id="e/CVS5}#c^@KbU21Mtdt"><field name="TEXT">Press LeftBumper</field></shadow></value><value name="TEXT"><shadow type="text" id="vodz_CMXHAFf8=8YrmXT"><field name="TEXT">to switch to Webcam 1</field></shadow></value></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id=")21zCFQOO-Q6a!/Wu4LO" x="817" y="1158"><mutation><arg name="i" varid="ZHu7]h(iKQ-7Q9eq/q3X"/></mutation><field name="NAME">displayInfo</field><comment pinned="false" h="80" w="160">Display info (using telemetry) for a recognized object.</comment><statement name="STACK"><block type="comment" id="tlc0F80BdB`b([Xp;XEc"><field name="COMMENT">Display label info.</field><next><block type="telemetry_addTextData_All" id=";6SFb8haRI5qo45n}iJ8"><comment pinned="false" h="80" w="160">Display the label and index number for the recognition.</comment><value name="KEY"><shadow type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="_f._U;/kb2{Yz0e76KNN"><mutation items="2"/><value name="ADD0"><block type="text" id="y,9e7qml,YyEJ*rPPJ%p"><field name="TEXT">label </field></block></value><value name="ADD1"><block type="variables_get" id="PCpqfPlom*4,p~ehCda9"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="tfodRecognition_getProperty_String" id="d7@$bcm+3wluc1@Wtq|u"><field name="PROP">Label</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="}u)$1QfMPe1)p,Qs5Ku;"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><next><block type="comment" id="_98!oDhsOCBdhLYUP4uf"><field name="COMMENT">Display upper corner info.</field><next><block type="telemetry_addTextData_All" id="8nKd8v-zW;`u5BOb+C%9"><comment pinned="false" h="100" w="200">Display the location of the top left corner of the detection boundary for the recognition</comment><value name="KEY"><shadow type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="7Fn(t/Mm3i1ur(2xaI_X"><mutation items="2"/><value name="ADD0"><block type="text" id="}g`_FiJaZ]3s$^FeZvgx"><field name="TEXT">Left, Top </field></block></value><value name="ADD1"><block type="variables_get" id="NL:]G/H7.SZ1!=:D3{/C"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="text_join" id="DT/!lFr4vq[1YesUPQ_T"><mutation items="2"/><value name="ADD0"><block type="tfodRecognition_getProperty_Number" id="VeL$%e^~N33.uZUiGhUK"><field name="PROP">Left</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="89kTVFyI498d3Mlqk$Do"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD1"><block type="text_join" id="q.3D]XGo9g91,_!4]O`-"><mutation items="2"/><value name="ADD0"><block type="text" id="ZhFl#/Fk+I)t}s)TnQ_?"><field name="TEXT">, </field></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_Number" id="G~K_0Bp1F20i`4CU,PE{"><field name="PROP">Top</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="M]Nj%yp]N-HH{kA|-PC!"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value></block></value><next><block type="comment" id="~bRVN`9q9$vf6w0BSW@}"><field name="COMMENT">Display lower corner info.</field><next><block type="telemetry_addTextData_All" id="Q+UdE@m8P2B.yiwA.w%$"><comment pinned="false" h="100" w="200">Display the location of the bottom right corner of the detection boundary for the recognition</comment><value name="KEY"><shadow type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="zJv0lB`hN,S+t!Xt,0_l"><mutation items="2"/><value name="ADD0"><block type="text" id="c7F~1],4bXjo0h].?:7C"><field name="TEXT">Right, Bottom </field></block></value><value name="ADD1"><block type="variables_get" id="/s^!~P|}^wPc#v+J8bg6"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="text_join" id="o8Gtc?kcbG~`#vx!7ck^"><mutation items="2"/><value name="ADD0"><block type="tfodRecognition_getProperty_Number" id="B-6W%AK(jO!ur3t$S!h@"><field name="PROP">Right</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="I%pBUv`--i6Yr0iXNPT4"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD1"><block type="text_join" id="%4fe?X`$FHM%a~B4le^)"><mutation items="2"/><value name="ADD0"><block type="text" id="okN|sYW[pdiqWcyAv-66"><field name="TEXT">, </field></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_Number" id="F%|Lo.;yf5Od/%EqOuf)"><field name="PROP">Bottom</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="TA34*WE*L([F@%Yk_x*4"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value></block></value></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptTensorFlowObjectDetectionWebcam':
      return '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="ZHu7]h(iKQ-7Q9eq/q3X">i</variable><variable id="vP~n9zf$lW%hYD/C.j_-">recognition</variable><variable id="C-j=_t;@/fsV)+=e~^La">recognitions</variable><variable id="A7n%5a@8jC6}[rgS1GS8">index</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="0" y="0"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="532">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Sample TFOD Op Mode</field><next><block type="comment" id="#ul#WaXLbg~hUii+7AB_"><field name="COMMENT">Initialize Vuforia.</field><next><block type="vuforiaCurrentGame_initialize_withWebcam" id="6Xzo0d*2b_I.B:]B4+5q"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="Uztu;2eL:)g_#d6}G98K"><field name="WEBCAM_NAME">Webcam 1</field></shadow></value><value name="WEBCAM_CALIBRATION_FILE"><shadow type="text" id="znyjVw;:]}rr$Dq}XK!M"><field name="TEXT"/></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="_XSP5JKC^8OOw%V[(HR="><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="y/~?GcC]T),;cIU(d`Cc"><field name="BOOL">FALSE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id="TG%:#^SAd7#]OFj[V9K?"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="~PyI_z2IlCq!Uv~b9^=v"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="CWCmb0p(S96VKi%Kk(3W"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="5WhUGHWwt[OKb:2pH+~:"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="!C$T}|^{.b[TPj=vdHo$"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="=a{Eypfq::uaptXMi6Jq"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id=":|I95FQpD}bI]ECP-w/,"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="Ul5tBGCna_g*4C]X{s-w"><field name="BOOL">TRUE</field></shadow></value><next><block type="comment" id="{f-nucs}ixJh2%x:J{bE"><field name="COMMENT">Set min confidence threshold to 0.7</field><next><block type="tfodCurrentGame_initialize" id="S?6y8$gBQja5ehCJI6Pi"><value name="MINIMUM_CONFIDENCE"><shadow type="math_number" id="iXlEJA=*Aq^$z~;?.MCb"><field name="NUM">0.7</field></shadow></value><value name="USE_OBJECT_TRACKER"><shadow type="logic_boolean" id="U2-YX?NyBMWtwqm(aPh0"><field name="BOOL">TRUE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="^IoQ1ZVTCGdA3E5UYJTf"><field name="BOOL">TRUE</field></shadow></value><next><block type="comment" id="6]yP0{L.V#v3^DJf|2r="><field name="COMMENT">Initialize TFOD before waitForStart.</field><next><block type="tfodCurrentGame_activate" id="/B7!WNQ].FmwKj=}jsb|"><comment pinned="false" h="99" w="252">Init TFOD here so the object detection labels are visible in the Camera Stream preview window on the Driver Station.</comment><next><block type="comment" id=")fKii]4w!FY{pg5CmS{x"><field name="COMMENT">Enable following block to zoom in on target.</field><next><block type="tfodCurrentGame_setZoom" id="aB1GwzHR*MIIKAnQObG!" disabled="true"><value name="MAGNIFICATION"><shadow type="math_number" id="$|tmDEP2DSJ6saa+-BMd"><field name="NUM">2.5</field></shadow></value><value name="ASPECT_RATIO"><block type="math_arithmetic" id="(u]Z~xR.UJ[]:XrF7)-i"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id="mYh$IgooC{KNzBhqm.$T"><field name="NUM">16</field></shadow></value><value name="B"><shadow type="math_number" id="jLY!cjK}`7a6T:-$]=:I"><field name="NUM">9</field></shadow></value></block></value><next><block type="telemetry_addTextData_All" id="/Zm[n8^)(`(S}Ab9j!;|"><value name="KEY"><shadow type="text" id="E)4aB(Zb2,Da/0v0AiN="><field name="TEXT">&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="^u5_oh+s(.Vs1Kk;$yw9"><field name="TEXT">Press Play to start</field></shadow></value><next><block type="telemetry_update" id="CcM7+$syN,5p}u1NCi8q"><next><block type="comment" id="ucY]w(tl5$!{2RX}=X;C"><field name="COMMENT">Wait for start command from Driver Station.</field><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Put loop blocks here.</field><next><block type="variables_set" id="G3vz:RD7CO6.%Sw)ZFK_"><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field><comment pinned="false" h="66" w="177">Get a list of recognitions from TFOD.</comment><value name="VALUE"><block type="tfodCurrentGame_getRecognitions" id="%d}Eg`]Tl,|WPcgQ%t)3"/></value><next><block type="controls_if" id="ca@sg0@jzk|H6L@P2e^L"><mutation else="1"/><comment pinned="false" h="102" w="202">If list is empty, inform the user. Otherwise, go through list and display info for each recognition.</comment><value name="IF0"><block type="logic_compare" id="=%o)vlFkvhu-xL,X/eo$"><field name="OP">EQ</field><value name="A"><block type="lists_length" id="t!{SnHLGoo~PaP6awyK."><value name="VALUE"><block type="variables_get" id="ZNj(tw{-HQNlj-7{iU]("><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field></block></value></block></value><value name="B"><block type="math_number" id="4XseN,4~X=LIU%~64FvC"><field name="NUM">0</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="GlID$m:#pV1$]_9Xwr2R"><value name="KEY"><shadow type="text" id="M^km_K-P,B!{$$O:vELn"><field name="TEXT">TFOD</field></shadow></value><value name="TEXT"><shadow type="text" id="p48vyO#GC!;Z;9]M-St7"><field name="TEXT">No items detected.</field></shadow></value></block></statement><statement name="ELSE"><block type="variables_set" id="-$r0NK]~Nh7SKIq7SfSd"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field><value name="VALUE"><block type="math_number" id="P1f]4HSIe|E0?Cj7x0B["><field name="NUM">0</field></block></value><next><block type="controls_forEach" id="|@Y$y8D~],V(MRQ+Cyv{"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field><comment pinned="false" h="81" w="199">Iterate through list and call a function to display info for each recognized object.</comment><value name="LIST"><block type="variables_get" id="W,d1s!eFWeDT0X}~eq,n"><field name="VAR" id="C-j=_t;@/fsV)+=e~^La">recognitions</field></block></value><statement name="DO"><block type="comment" id="U@Dkpel-LMa.00jJsqA-"><field name="COMMENT">Display info.</field><next><block type="procedures_callnoreturn" id="}Ed*Qv]2hqyM9x`y/=fq"><mutation name="displayInfo"><arg name="i"/></mutation><value name="ARG0"><block type="variables_get" id="1ynw+j_dMgW{E_t3}D|E"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field></block></value><next><block type="comment" id=",1(:%n^0JKFq_SFwTg^H"><field name="COMMENT">Increment index.</field><next><block type="variables_set" id="}(~W?+spH%5lnSN8((?="><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field><value name="VALUE"><block type="math_arithmetic" id="?6nQyMGz}aU1fC+utj9g"><field name="OP">ADD</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="A(cWTP6GX-7F%pan2;S:"><field name="NUM">1</field></shadow><block type="variables_get" id="_Qa|p#!QpQ?:hR:4$)Ki"><field name="VAR" id="A7n%5a@8jC6}[rgS1GS8">index</field></block></value><value name="B"><shadow type="math_number" id="cZn5/PfoHlpMu|xN+~eL"><field name="NUM">1</field></shadow></value></block></value></block></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="comment" id="x3Da[L*)xMh=3e7zy7*{"><field name="COMMENT">Deactivate TFOD.</field><next><block type="tfodCurrentGame_deactivate" id=")#LnjM-c3n?~scY$Z!@Y"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id=")21zCFQOO-Q6a!/Wu4LO" x="0" y="1485"><mutation><arg name="i" varid="ZHu7]h(iKQ-7Q9eq/q3X"/></mutation><field name="NAME">displayInfo</field><comment pinned="false" h="80" w="160">Display info (using telemetry) for a recognized object.</comment><statement name="STACK"><block type="comment" id="tlc0F80BdB`b([Xp;XEc"><field name="COMMENT">Display label info.</field><next><block type="telemetry_addTextData_All" id=";6SFb8haRI5qo45n}iJ8"><comment pinned="false" h="80" w="160">Display the label and index number for the recognition.</comment><value name="KEY"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="_f._U;/kb2{Yz0e76KNN"><mutation items="2"/><value name="ADD0"><block type="text" id="y,9e7qml,YyEJ*rPPJ%p"><field name="TEXT">label </field></block></value><value name="ADD1"><block type="variables_get" id="PCpqfPlom*4,p~ehCda9"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="tfodRecognition_getProperty_String" id="d7@$bcm+3wluc1@Wtq|u"><field name="PROP">Label</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="}u)$1QfMPe1)p,Qs5Ku;"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><next><block type="comment" id="_98!oDhsOCBdhLYUP4uf"><field name="COMMENT">Display upper corner info.</field><next><block type="telemetry_addTextData_All" id="8nKd8v-zW;`u5BOb+C%9"><comment pinned="false" h="100" w="200">Display the location of the top left corner of the detection boundary for the recognition</comment><value name="KEY"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="7Fn(t/Mm3i1ur(2xaI_X"><mutation items="2"/><value name="ADD0"><block type="text" id="}g`_FiJaZ]3s$^FeZvgx"><field name="TEXT">Left, Top </field></block></value><value name="ADD1"><block type="variables_get" id="NL:]G/H7.SZ1!=:D3{/C"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="text_join" id="DT/!lFr4vq[1YesUPQ_T"><mutation items="2"/><value name="ADD0"><block type="tfodRecognition_getProperty_Number" id="VeL$%e^~N33.uZUiGhUK"><field name="PROP">Left</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="89kTVFyI498d3Mlqk$Do"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD1"><block type="text_join" id="q.3D]XGo9g91,_!4]O`-"><mutation items="2"/><value name="ADD0"><block type="text" id="ZhFl#/Fk+I)t}s)TnQ_?"><field name="TEXT">, </field></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_Number" id="G~K_0Bp1F20i`4CU,PE{"><field name="PROP">Top</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="M]Nj%yp]N-HH{kA|-PC!"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value></block></value><next><block type="comment" id="~bRVN`9q9$vf6w0BSW@}"><field name="COMMENT">Display lower corner info.</field><next><block type="telemetry_addTextData_All" id="Q+UdE@m8P2B.yiwA.w%$"><comment pinned="false" h="100" w="200">Display the location of the bottom right corner of the detection boundary for the recognition</comment><value name="KEY"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="_dKJensTqN?qDeXC6vm|"><field name="TEXT">key</field></shadow><block type="text_join" id="zJv0lB`hN,S+t!Xt,0_l"><mutation items="2"/><value name="ADD0"><block type="text" id="c7F~1],4bXjo0h].?:7C"><field name="TEXT">Right, Bottom </field></block></value><value name="ADD1"><block type="variables_get" id="/s^!~P|}^wPc#v+J8bg6"><field name="VAR" id="ZHu7]h(iKQ-7Q9eq/q3X">i</field></block></value></block></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="#+^2[kj(=_-pPWHzSDN^"><field name="TEXT">text</field></shadow><block type="text_join" id="o8Gtc?kcbG~`#vx!7ck^"><mutation items="2"/><value name="ADD0"><block type="tfodRecognition_getProperty_Number" id="B-6W%AK(jO!ur3t$S!h@"><field name="PROP">Right</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="I%pBUv`--i6Yr0iXNPT4"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value><value name="ADD1"><block type="text_join" id="%4fe?X`$FHM%a~B4le^)"><mutation items="2"/><value name="ADD0"><block type="text" id="okN|sYW[pdiqWcyAv-66"><field name="TEXT">, </field></block></value><value name="ADD1"><block type="tfodRecognition_getProperty_Number" id="F%|Lo.;yf5Od/%EqOuf)"><field name="PROP">Bottom</field><value name="TFOD_RECOGNITION"><block type="variables_get" id="TA34*WE*L([F@%Yk_x*4"><field name="VAR" id="vP~n9zf$lW%hYD/C.j_-">recognition</field></block></value></block></value></block></value></block></value></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptTextToSpeech':
      return '<xml xmlns="http://www.w3.org/1999/xhtml"><variables></variables><block type="procedures_defnoreturn" id="H!go*_Z;1K?9#9))FEed" deletable="false" editable="false" x="50" y="50"><field name="NAME">runOpMode</field><comment pinned="false" h="80" w="160">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="w(Nzkr97MLp17lL!xo|R"><field name="COMMENT">Example on using text to speech function.</field><next><block type="comment" id="VZI:ovXY]^e#w(L@A74B"><field name="COMMENT">Make sure to turn up volume on Robot Controller.</field><next><block type="comment" id="p~KtOMx9H#)F?sM3_Z^P"><field name="COMMENT">Initialize the text to speech function.</field><next><block type="androidTextToSpeech_initialize" id="1[~MAO!ab)TP_TJpVxR~"><next><block type="comment" id="-~Tj=0,FyFmyK7_[oQiy"><field name="COMMENT">Set the language and country codes.</field><next><block type="androidTextToSpeech_setLanguageAndCountry_String" id="Q#ah2CYrPrN2*u4%@bjD"><value name="LANGUAGE_CODE"><shadow type="text" id="c[E]vfl}Fp#5rgem[xY$"><field name="TEXT">en</field></shadow></value><value name="COUNTRY_CODE"><shadow type="text" id="l|`oL30?t:aRar6,^-Kg"><field name="TEXT">US</field></shadow></value><next><block type="comment" id="+?DG;bSTHMG+[WpEMioE"><field name="COMMENT">Wait for user to push start button.</field><next><block type="telemetry_addTextData_All" id="y%t/W_|u825nb)ed.Y7L"><value name="KEY"><shadow type="text" id="}uLs]3LV94[9s,gtmb+4"><field name="TEXT">Text to Speech</field></shadow></value><value name="TEXT"><shadow type="text" id="??n9CORiUp;8hFrV*cy6"><field name="TEXT">Press start to continue..</field></shadow></value><next><block type="telemetry_update" id="X_yKq:zDZERw61~}syTx"><next><block type="linearOpMode_waitForStart" id="!-IG,TLn{fFP$aL^3B#~"><next><block type="controls_if" id="HM)KnCAUCXiuoIRx4FxB"><value name="IF0"><block type="linearOpMode_opModeIsActive" id="#Y+4%6h3{Sqvzu]zkQ2u"></block></value><statement name="DO0"><block type="comment" id="4=K4lhrc_NEZ^Ab7X!;G"><field name="COMMENT">Speak!</field><next><block type="androidTextToSpeech_speak_String" id="8ge#IkSDDHt5?BD8Xkf$"><value name="TEXT"><shadow type="text" id="29vv=,Xaj;C%v$N$89[r"><field name="TEXT">The FIRST Tech Challenge is the bees knees!</field></shadow></value><next><block type="comment" id="vZs(3GfyQ=`qlX#0_S[^"><field name="COMMENT">Loop while the device is still speaking.</field><next><block type="controls_whileUntil" id="WF0xX($t)aX(hh%!o$#v"><field name="MODE">WHILE</field><value name="BOOL"><block type="logic_operation" id="cm7t,O(HwYvCN,oaW|ir"><field name="OP">AND</field><value name="A"><block type="androidTextToSpeech_getProperty_Boolean" id="TR(^2v:UA9I`.j@^@b9l"><field name="PROP">IsSpeaking</field></block></value><value name="B"><block type="linearOpMode_opModeIsActive" id="H}W0L1LwwW7*t2KJJa[W"></block></value></block></value><statement name="DO"><block type="comment" id="u%kwiV-zd[IW!^tcw)QF"><field name="COMMENT">Let the user know we are speaking</field><next><block type="telemetry_addTextData_All" id="qJ0v[-,fYQ`E)usQ$n5_"><value name="KEY"><shadow type="text" id="L]:=sGo/9!XMQxdkrU$,"><field name="TEXT">Status</field></shadow></value><value name="TEXT"><shadow type="text" id="vh%8u|br8IK4,/2X[CE)"><field name="TEXT">Speaking...</field></shadow></value><next><block type="telemetry_update" id="2_mXG|]qhc)GHzC39PUx"><next><block type="linearOpMode_idle" id="U]m~i728B9rk$zx.%H^*"></block></next></block></next></block></next></block></statement><next><block type="comment" id="iC,V4B=}.){Bl*#Q[:di"><field name="COMMENT">We are done speaking.</field></block></next></block></next></block></next></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptVuMarkDetection':
      return '<xml xmlns="http://www.w3.org/1999/xhtml"><variables><variable type="" id="7`zMcU}w*CkSykfVvKG)">vuMarkResult</variable></variables><block type="procedures_defnoreturn" id="N*M{p%}:8-pPlJKxdIgc" deletable="false" editable="false" x="140" y="24"><field name="NAME">runOpMode</field><comment pinned="false" h="80" w="160">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="rk2a#)7|7|j82W$ibE^]"><field name="COMMENT">Initialize Vuforia (use default settings).</field><next><block type="vuforia_initializeExtendedNoKey" id="T]g3g_[U]H%?eE-k$(+."><value name="CAMERA_DIRECTION"><shadow type="navigation_typedEnum_cameraDirection" id="@i=3NekM$IhNe)d(m:M["><field name="CAMERA_DIRECTION">BACK</field></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="TF@+@0gc]IC:Lj]Vak{s"><field name="BOOL">TRUE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="3H[4^6E9(DbL[b6|gCR~"><field name="BOOL">TRUE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id="kujeSHyc?0U89MynWFaV"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="mq%`ubV-b5O#-CTanMXg"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="c5.pW!Wd}lrnB6(*TJJZ"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="ZkQY]l)3S0k+Ww;8b#}D"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="-/-.e-w*v`nG6xR%n~~s"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="Cn%ph!]n{E!.*F]fcDUH"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id="KL[.T!PhgYk{s[YC/V:7"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="Yz(JU5C/U+a]z-wLgx88"><field name="BOOL">TRUE</field></shadow></value><next><block type="comment" id="D%=GkMHtW$7B:YS=BVcc"><field name="COMMENT">Prompt user to push start button.</field><next><block type="telemetry_addTextData_All" id="P*SLdm%D3)pWI@J[i$Ch"><value name="KEY"><shadow type="text" id="jmDHQN:=j7WVqVnpi8^?"><field name="TEXT">VuMark Example</field></shadow></value><value name="TEXT"><shadow type="text" id="_vH7|LAJ{DVcL:Ghl+}2"><field name="TEXT">Press start to continue...</field></shadow></value><next><block type="telemetry_update" id="[!H83e2rvvgS#ul6]M;8"><next><block type="comment" id="/c[GNY]#[eZa8+mMND::"><field name="COMMENT">Wait until user pushes start button.</field><next><block type="linearOpMode_waitForStart" id=")1TNFnB.yi0gm4YBq(vw"><next><block type="controls_if" id="n@TS]GJCZjBilv15~q,,"><value name="IF0"><block type="linearOpMode_opModeIsActive" id="#@m8iE0yB-OBmgP+O~rL"></block></value><statement name="DO0"><block type="comment" id="#{-%0^j,-3LY.=7}ZA6s"><field name="COMMENT">Activate Vuforia software.</field><next><block type="vuforia_activate" id="}DClP+le{OHV!2ND.wSa"><next><block type="controls_whileUntil" id="wdP^q/N(4swC$zvj7+D/"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="S|7HQ@_xE!|$?X[wb2V+"></block></value><statement name="DO"><block type="comment" id="l%3wT:XF/{J0eKu(Y[,;"><field name="COMMENT">Get the tracking results.</field><next><block type="variables_set" id="`XxEMEBk2pPH#JSa~1nf"><field name="VAR" id="7`zMcU}w*CkSykfVvKG)" variabletype="">vuMarkResult</field><value name="VALUE"><block type="vuforia_track" id="u@a*pL9IT~~^9]mSv^!S"><value name="TRACKABLE_NAME"><shadow type="vuforia_typedEnum_trackableName" id="neQ#@]NC%^eKJr)/FlzX"><field name="TRACKABLE_NAME">RELIC</field></shadow></value></block></value><next><block type="comment" id="PW_M#~FwAtdS^U)jbsOE"><field name="COMMENT">Is a VuMark visible?</field><next><block type="controls_if" id="Yn+b`-8sAOs;j?.9S}pD"><mutation else="1"></mutation><value name="IF0"><block type="vuforiaTrackingResults_getProperty_Boolean" id="?;xSoqn:AYpoj+hZx^u("><field name="PROP">IsVisible</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="=w6?hRxpAyj;kWQ42r1]"><field name="VAR" id="7`zMcU}w*CkSykfVvKG)" variabletype="">vuMarkResult</field></block></value></block></value><statement name="DO0"><block type="comment" id="l!J.z[{KVULF).nqBW7#"><field name="COMMENT">Yes, we see one.</field><next><block type="telemetry_addTextData_All" id="T3A:`t[^2xa?ckGaLoO^"><value name="KEY"><shadow type="text" id="HPqg-EQ@QI]g(J3:*iZ*"><field name="TEXT">VuMark</field></shadow></value><value name="TEXT"><shadow type="text" id="*;d[?cJ]-P)Buq$uN{YS"><field name="TEXT">A VuMark is visible.</field></shadow></value><next><block type="comment" id="4N_vD,B=f731ju0C76dE"><field name="COMMENT">What type of Relic VuMark is it?</field><next><block type="controls_if" id="YnVA-V8y:9zj}M.H.F,v"><mutation elseif="2" else="1"></mutation><value name="IF0"><block type="logic_compare" id="JVui-yF?;OpCtJP5QNTI"><field name="OP">EQ</field><value name="A"><block type="vuforiaTrackingResults_getProperty_RelicRecoveryVuMark" id="J8:n0Dn;AL,Nb#FCH`3^"><field name="PROP">RelicRecoveryVuMark</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="UjUcfXHA$HZJJNy5tV1T"><field name="VAR" id="7`zMcU}w*CkSykfVvKG)" variabletype="">vuMarkResult</field></block></value></block></value><value name="B"><block type="vuMarks_typedEnum_relicRecoveryVuMark" id="w|7mKE;C;wi[7o)-k/1x"><field name="RELIC_RECOVERY_VU_MARK">LEFT</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="y/aks`%haiL%N`UaMX|q"><value name="KEY"><shadow type="text" id="V]?7LEY_MaZa20e!1)~O"><field name="TEXT">Relic Target</field></shadow></value><value name="TEXT"><shadow type="text" id="um1CrYJ?emc+wzN~dDx`"><field name="TEXT">Go for the LEFT goal!</field></shadow></value></block></statement><value name="IF1"><block type="logic_compare" id="w3$Eb|ZpUUbr:=@Y2-HJ"><field name="OP">EQ</field><value name="A"><block type="vuforiaTrackingResults_getProperty_RelicRecoveryVuMark" id="oNkn_TV*Q(=|.2g*_4$5"><field name="PROP">RelicRecoveryVuMark</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="Jj{%?Aee[BGpMCCNZ|q+"><field name="VAR" id="7`zMcU}w*CkSykfVvKG)" variabletype="">vuMarkResult</field></block></value></block></value><value name="B"><block type="vuMarks_typedEnum_relicRecoveryVuMark" id="AN`WWl`:[K~.qAPFKvZa"><field name="RELIC_RECOVERY_VU_MARK">CENTER</field></block></value></block></value><statement name="DO1"><block type="telemetry_addTextData_All" id="pJMm^-Ye.%T[wqt^vuCB"><value name="KEY"><shadow type="text" id=":{_Nq@bl;!?BJQ_c@_V:"><field name="TEXT">Relic Target</field></shadow></value><value name="TEXT"><shadow type="text" id="D4c7^.sifL;2ee?;{-_."><field name="TEXT">Go for the CENTER goal!</field></shadow></value></block></statement><value name="IF2"><block type="logic_compare" id="S9U=EZr#m(CbLcievE)X"><field name="OP">EQ</field><value name="A"><block type="vuforiaTrackingResults_getProperty_RelicRecoveryVuMark" id="jw)OBdfwHEPmijnnpw|,"><field name="PROP">RelicRecoveryVuMark</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="FfXG3qtTlX@bG9;_Ne`t"><field name="VAR" id="7`zMcU}w*CkSykfVvKG)" variabletype="">vuMarkResult</field></block></value></block></value><value name="B"><block type="vuMarks_typedEnum_relicRecoveryVuMark" id=")MxU*.Z|k*x8zM3dIo#_"><field name="RELIC_RECOVERY_VU_MARK">RIGHT</field></block></value></block></value><statement name="DO2"><block type="telemetry_addTextData_All" id="IGthyv~oU#?)S=j)gm7m"><value name="KEY"><shadow type="text" id="MOw5=fdH^Xg!k0o(72z="><field name="TEXT">Relic Target</field></shadow></value><value name="TEXT"><shadow type="text" id="Q6]3/U41@F~nM|x:vAM1"><field name="TEXT">Go for the RIGHT goal!</field></shadow></value></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="Bly4EQED}{`ybR($-c4O"><value name="KEY"><shadow type="text" id="CAyS#?b;.hep=rF6_1%E"><field name="TEXT">Relic Target</field></shadow></value><value name="TEXT"><shadow type="text" id="Tl}RmH[=@1T`)(=EFImG"><field name="TEXT">VuMark of UNKNOWN type...</field></shadow></value></block></statement></block></next></block></next></block></next></block></statement><statement name="ELSE"><block type="comment" id="ehGfAop%)~]lrsF5JYC:"><field name="COMMENT">No, we don\'t see one.</field><next><block type="telemetry_addTextData_All" id="r0,(U6L=~m`iEFBRl^Uu"><value name="KEY"><shadow type="text" id="tRtZiMfzi$fq21Q,$T^3"><field name="TEXT">VuMark</field></shadow></value><value name="TEXT"><shadow type="text" id=")M(#._U(Hmwi7Y9/EtoF"><field name="TEXT">No VuMarks are visible.</field></shadow></value></block></next></block></statement><next><block type="telemetry_update" id="0o(_GV]E)GZHVpPm:((J"></block></next></block></next></block></next></block></next></block></statement><next><block type="comment" id="2cdQ84@S0m$vmfIu?o/J"><field name="COMMENT">Deactivate before exiting.</field><next><block type="vuforia_deactivate" id="FLBO?xO[hw`n0@,?=-=M"></block></next></block></next></block></next></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptVuforiaNav':
      return '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="Q3J-AM0*4@;V}.Qq#{4:">trackableName</variable><variable id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</variable><variable id="vnzi@NEjzGfjUg_15|.^">units</variable><variable id="k{/Z,{`B)g209@q/f+o9">isVisible</variable><variable id="HIz#-Z71#^ZUrea`q$!B">convertedValue</variable><variable id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="0" y="0"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="532">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="TAyH+q(.q?v(LwtIpi5-"><field name="COMMENT">For best results, lock phone in portrait mode</field><next><block type="comment" id="Z(Q)(?KOW-3.s/^$K3(u"><field name="COMMENT">and mount phone in a landscape orientation.</field><next><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Initialize Vuforia</field><next><block type="telemetry_addTextData_All" id="ete.WtXMLI/z9FPQ.COt"><value name="KEY"><shadow type="text" id="`8y{3{Jpj}%YpDKJ7i~}"><field name="TEXT">Status</field></shadow></value><value name="TEXT"><shadow type="text" id="v41Z~ZEH]ZVoW.Z#[/ow"><field name="TEXT">Initializing Vuforia. Please wait...</field></shadow></value><next><block type="telemetry_update" id="~95C|o%i{8M,d[ge|OAN"><next><block type="procedures_callnoreturn" id="5DLDfOE_)-RWdX`zcMBB"><mutation name="initVuforia"/><next><block type="comment" id="}wMpV9y3]nb,i=*N.SW{"><field name="COMMENT">Activate here for camera preview.</field><next><block type="vuforiaCurrentGame_activate" id="1P`RMhpPHX25nYUmVd4r"><next><block type="telemetry_addTextData_All" id="-X[+{_wuOEMuW`#3T*Ei"><value name="KEY"><shadow type="text" id="KtBev%HW.82IJ$k,R[d$"><field name="TEXT">&gt;&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="Ilq^_*dgjMew$B5g%DU/"><field name="TEXT">Vuforia initialized, press start to continue...</field></shadow></value><next><block type="telemetry_update" id=".NTGnqiSI1Hf13w.Sge*"><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="3[l]BI{p^hbNdQpcWJ|,"><field name="COMMENT">Are the targets visible?</field><next><block type="comment" id="=cOa^;#bgHniPd55e8wY"><field name="COMMENT">(Note we only process first visible target).</field><next><block type="controls_if" id="?z[AWydC?Ypi|8W~IL(E"><mutation elseif="4" else="1"/><value name="IF0"><block type="procedures_callreturn" id="ZCr0Hub{+C-?NNX){ete"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="I^C(6*4wS[c!C~=qU5^I"><field name="TRACKABLE_NAME">Red Alliance Target</field></block></value></block></value><statement name="DO0"><block type="procedures_callnoreturn" id="Y.AnfaMMlS@S%MBZD3BZ"><mutation name="processTarget"/></block></statement><value name="IF1"><block type="procedures_callreturn" id="b#sc3wiu2+H@Y_|MCCAJ"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="kGly,#j?1@;!pX^@n_lV"><field name="TRACKABLE_NAME">Blue Alliance Target</field></block></value></block></value><statement name="DO1"><block type="procedures_callnoreturn" id="PJY+H:uab^~D5-93IGyQ"><mutation name="processTarget"/></block></statement><value name="IF2"><block type="procedures_callreturn" id="~gT4{3gBzVs?Gl5XG3i`"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="z+i+S6WP`l+Ku1!]815o"><field name="TRACKABLE_NAME">Front Wall Target</field></block></value></block></value><statement name="DO2"><block type="procedures_callnoreturn" id="BjQW8{cl4SZZn{`p@A0`"><mutation name="processTarget"/></block></statement><value name="IF3"><block type="procedures_callreturn" id="Q?gwdr{fxd/{uk=Lb)yI"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="@zukx]XD6dmQj8hc!{f="><field name="TRACKABLE_NAME">Red Tower Goal Target</field></block></value></block></value><statement name="DO3"><block type="procedures_callnoreturn" id=":P1`F3E?Bb`e2d)0k3i["><mutation name="processTarget"/></block></statement><value name="IF4"><block type="procedures_callreturn" id="u{`x#15!ExxbiNL-eMjZ"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="*{Fl~/tAYX3/|L}`M=Gn"><field name="TRACKABLE_NAME">Blue Tower Goal Target</field></block></value></block></value><statement name="DO4"><block type="procedures_callnoreturn" id="i}{)pf^i{LA)8fE[[L?@"><mutation name="processTarget"/></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="ku2^Hrd`M6B:)T4qkO{*"><value name="KEY"><shadow type="text" id="3.,BfqV`Dwe%_=$~Yyz:"><field name="TEXT">No Targets Detected</field></shadow></value><value name="TEXT"><shadow type="text" id="+cNM6lxmY-U:hCKv9hww"><field name="TEXT">Targets are not visible.</field></shadow></value></block></statement><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="comment" id="]ycr.8yTY1_SpWPXogDK"><field name="COMMENT">Don\'t forget to deactivate Vuforia.</field><next><block type="vuforiaCurrentGame_deactivate" id="LK?,98R2um*/j^+`!_eP"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="[(GpkWXZgWK4B(,r2hB1" x="0" y="1183"><field name="NAME">initVuforia</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="t1$uJER0JJ.uJ38KBL|l"><field name="COMMENT">Rotate phone -90 so back camera faces "forward" direction on robot.</field><next><block type="comment" id="1Nsg;]^g]iC[_+jTe*7$"><field name="COMMENT">Assumes landscape orientation</field><next><block type="vuforiaCurrentGame_initialize_withCameraDirection" id="1MwVS(W(2Y3/R.9XCP}T"><value name="CAMERA_DIRECTION"><shadow type="navigation_typedEnum_cameraDirection" id="0*`.kO(~2OI*h=!gasO]"><field name="CAMERA_DIRECTION">BACK</field></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="9va?VpW~cULAO|1m_cJi"><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="q9H%k-M2ePX0~$|mfSIn"><field name="BOOL">TRUE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id="=jY$$BLgprY8pCk-dC~P"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="6D^9xcP4GaNVY6=dNeqf"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="FC=%(?iHdU5V4C@J,cZN"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="coz0bd,K5dd^~?Hof;(p"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="8gC]T3!EbK^;bR^F$$~g"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="y*,cyt=~+y^+z3u-ibWM"><field name="NUM">-90</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id="+w-_5)EBWxeJ8}Ng=z`s"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="]jKFsf~isCGU8B^IhJ6?"><field name="BOOL">TRUE</field></shadow></value></block></next></block></next></block></statement></block><block type="procedures_defreturn" id="oKsCkghuw*qaT$-YC)37" x="0" y="1612"><mutation><arg name="trackableName" varid="Q3J-AM0*4@;V}.Qq#{4:"/></mutation><field name="NAME">isTargetVisible</field><comment pinned="false" h="52" w="238">Check to see if the target is visible.</comment><statement name="STACK"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Get vuforia results for target.</field><next><block type="variables_set" id="DgJptUz.B#Fy5PZ(|;{F"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field><value name="VALUE"><block type="vuforiaCurrentGame_track" id="4jZQVo^K@])BLe3f~lUi"><value name="TRACKABLE_NAME"><shadow xmlns="http://www.w3.org/1999/xhtml" type="vuforiaCurrentGame_typedEnum_trackableName" id="rg.#y[B/+7C=n6YeRc__"><field name="TRACKABLE_NAME">blueRearBridge</field></shadow><block type="variables_get" id="#iCxj]yw%~i6|giT1)gf"><field name="VAR" id="Q3J-AM0*4@;V}.Qq#{4:">trackableName</field></block></value></block></value><next><block type="comment" id="guv9joc,cFQ`)I,r_n_y"><field name="COMMENT">Is this target visible?</field><next><block type="controls_if" id=")A?uaN?Z3LXnN=a)dK|m"><mutation else="1"/><value name="IF0"><block type="vuforiaTrackingResults_getProperty_Boolean" id="zsLNaCOf2n_J7/!;q$H*"><field name="PROP">IsVisible</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="mP#]nb.LYi8#x3JLQcse"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="Qj%5#`!iX[}34TA(xA~R"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field><value name="VALUE"><block type="logic_boolean" id="x78dIgV^.Ybn#53#s_!~"><field name="BOOL">TRUE</field></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="*xkWpT/py!:C)ok|E_Yx"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field><value name="VALUE"><block type="logic_boolean" id="%D[7pqoXYT{+qOS8PKG)"><field name="BOOL">FALSE</field></block></value></block></statement></block></next></block></next></block></next></block></statement><value name="RETURN"><block type="variables_get" id="MtovXx1;~{2m,F=(*M?i"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field></block></value></block><block type="procedures_defnoreturn" id=";*]}?=r{sc?CCElk_mgq" x="0" y="1927"><field name="NAME">processTarget</field><comment pinned="false" h="84" w="352">This function displays location on the field and rotation about the Z axis on the field.  It uses results from the isTargetVisible function.</comment><statement name="STACK"><block type="telemetry_addTextData_All" id="*op$7df9@`8HF,3y!oQT"><comment pinned="false" h="46" w="193">Display the target name.</comment><value name="KEY"><shadow type="text" id="t9,7Ks@T8SH*dy|tHkHq"><field name="TEXT">Target Detected</field></shadow></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="+cNM6lxmY-U:hCKv9hww"><field name="TEXT">text</field></shadow><block type="text_join" id="%%A8if3K;T=XwljtQ.)T"><mutation items="2"/><value name="ADD0"><block type="vuforiaTrackingResults_getProperty_String" id="qG[xAfhDkvvfZqv4]qo+"><field name="PROP">Name</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="sLt4i5}PCcct$qg^6grI"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ADD1"><block type="text" id="1[RG(9aJzwlw*p@,FBAN"><field name="TEXT"> is visible.</field></block></value></block></value><next><block type="telemetry_addNumericData_Number" id=":X]T2-42}uWR@U{BkzXe"><value name="KEY"><shadow type="text" id="-%2{Mr#|RIwnK6d-gc21"><field name="TEXT">X (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="Ji|suZVk!CVu[qTnm;YP"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="ii_-]6Q?djjGbdkQ$%%U"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="cVik)]n{yXKX1his}P,{"><field name="PROP">X</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id=",IMxhcnfo-.jFD`$ABG:"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="7.c]SmD=BC@X@:6DuYQw"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="bW8KB(!h!Yk?cCf,1N%G"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="!B$E|*|O-@@B{D3YnN$f"><value name="KEY"><shadow type="text" id="1-@aL7p=u]3%@({-.7h8"><field name="TEXT">Y (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="de0qxeEu|SAMb1KA;?Ap"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="*h%`SUTY9+=$iGeDhcz:"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="!D:AV|xngpdw{2=;w7WP"><field name="PROP">Y</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="aXV?:CO3vd4Nw7`2GV6k"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="pZfS+)U*~]jH`nF{~tnj"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id=",vD^a.D.{~:H/A-^./T?"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="C7*jmX.1S(#sT,N7rL{$"><value name="KEY"><shadow type="text" id="S)#1)WQzDvqtI8yDFvaI"><field name="TEXT">Z (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="yEecPQK{3D:~Tsqp+2fF"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="I|M;]U?#Z~2_l2-zCCc:"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="UG(.R$Nf;h:YpaNa{Fw+"><field name="PROP">Z</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="}b?SdvjsL94Xov(g%kjk"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="#.7vbpM8NzmB;.xG6a:R"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="ZMlDDXGi|{UVn8E]%CU|"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="?^]5b={D6@iSk}(W{i*j"><value name="KEY"><shadow type="text" id="l`rNt@r5XhAxL/|/VCvI"><field name="TEXT">Rotation about Z (deg)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="Hb]p0GvSqX^3mDk(__Wz"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="vuforiaTrackingResults_getProperty_Number" id=")YV-!nFEqr|N3R$7%F_p"><field name="PROP">ZAngle</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="C-no5cneFFnsmVpGP0qC"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="5r)#L]MfDI2wa|Te;8+^"><field name="NUM">2</field></shadow></value></block></value></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defreturn" id="UxB8d%{1-udCaf4Tj)kr" x="0" y="2886"><mutation><arg name="originalValue" varid="s{Rq{9YGZ4tOu8[:y0RX"/><arg name="units" varid="vnzi@NEjzGfjUg_15|.^"/></mutation><field name="NAME">displayValue</field><comment pinned="false" h="85" w="283">By default, distances are returned in millimeters by Vuforia.  Convert to other distance units (CM, M, IN, and FT).</comment><statement name="STACK"><block type="comment" id="?T+Go=(x2mS~57g!.{YZ"><field name="COMMENT">Vuforia returns distances in mm.</field><next><block type="controls_if" id="8-Yy+lpuI^qfQD7*QY9b"><mutation elseif="3" else="1"/><value name="IF0"><block type="logic_compare" id="~?@J/Zi%/GF-upKP^{wu"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="8-pAQ#r?@0w}?M,Kc?zy"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="B:*~#:jz!jrId|JS)2X3"><field name="TEXT">CM</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="#*HJVFH|28[3eZ*5JzBu"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="tXW[(.uBZ6Eg6ELp5#@s"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="rdF=lbNGq{mH45k|2.+Y"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="0c)]t]*6-ZlZ5-HBfnCk"><field name="NUM">10</field></shadow></value></block></value></block></statement><value name="IF1"><block type="logic_compare" id="DzjY}!CSQBI_axTAFTpV"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="/#%-NJ~_xCGCO73JX5R0"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="RT`bLCgLRjOd4#@jy!v2"><field name="TEXT">M</field></block></value></block></value><statement name="DO1"><block type="variables_set" id="Vf!Ge{e1L5,,}`]+?ya-"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="[z|7a=#Sa{+bRy#(Rv7g"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="qKd|8N)3`M.JkQ?G@.T7"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="HvkMy!a*.|3{S@L~0|^D"><field name="NUM">1000</field></shadow></value></block></value></block></statement><value name="IF2"><block type="logic_compare" id="xYh]j[`C%.q8gIBUwyQl"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="v@[:7Z+/W#p:%RgnN2j="><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="bLU-!OyV5U=L+|k:,}[c"><field name="TEXT">IN</field></block></value></block></value><statement name="DO2"><block type="variables_set" id="|jedk+WURgCc(]R4qQa/"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="MFH65avKr,B`e$Kbn%dy"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="o@b2/8n)Z32{/#CQ$MLO"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="5YQl@j0r0MleBEC_i?sK"><field name="NUM">25.4</field></shadow></value></block></value></block></statement><value name="IF3"><block type="logic_compare" id="X}Ov?ZCj/[0bKU`-_+_n"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="5QgL#n*,*8YCl:~p~}S)"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="nj{]+$y[Wn1_Q6ZNAqDS"><field name="TEXT">FT</field></block></value></block></value><statement name="DO3"><block type="variables_set" id="9M4J[T)8AxnW2Ti|R!(U"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="3=}w!zfQi()nRcCHO?)A"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="B4E.Ac=eBh1w7D%H=p5f"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="cbqkU;sc$1+`ve$kWPpb"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="NcQ_6Ec*!Nj1TQ*R8Bn9"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="![m{]/$lBl%*4rZtQW[l"><field name="NUM">25.4</field></shadow></value></block></value><value name="B"><shadow type="math_number" id="t:Z);e`h^RxOS=jc)@pS"><field name="NUM">12</field></shadow></value></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="L7?P|bWhJC%Tg=Z]t{~u"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="variables_get" id="x(XLLRh.-:p$CP^7jiX}"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value></block></statement></block></next></block></statement><value name="RETURN"><block type="variables_get" id="+TTq_;:Zq6=uxru5NfoW"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field></block></value></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptVuforiaNavSwitchableCameras':
      return '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="Q3J-AM0*4@;V}.Qq#{4:">trackableName</variable><variable id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</variable><variable id="vnzi@NEjzGfjUg_15|.^">units</variable><variable id="k{/Z,{`B)g209@q/f+o9">isVisible</variable><variable id="HIz#-Z71#^ZUrea`q$!B">convertedValue</variable><variable id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</variable><variable id="Q*iA|9#K!{XA^=I9_17j">oldLeftBumper</variable><variable id="c`]!=7;YrY~6u71AMNH^">newLeftBumper</variable><variable id="s?w(#5R5EX{f*aL$a3yX">oldRightBumper</variable><variable id="|RX@0yH!W}g7-GDnzqn[">newRightBumper</variable><variable id="{]~kbEWmbW]Z@~_NlaB4">activeCamera</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="-593" y="-182"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="532">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Initialize Vuforia</field><next><block type="telemetry_addTextData_All" id="ete.WtXMLI/z9FPQ.COt"><value name="KEY"><shadow type="text" id="`8y{3{Jpj}%YpDKJ7i~}"><field name="TEXT">Status</field></shadow></value><value name="TEXT"><shadow type="text" id="v41Z~ZEH]ZVoW.Z#[/ow"><field name="TEXT">Initializing Vuforia. Please wait...</field></shadow></value><next><block type="telemetry_update" id="~95C|o%i{8M,d[ge|OAN"><next><block type="procedures_callnoreturn" id="5DLDfOE_)-RWdX`zcMBB"><mutation name="initVuforia"/><next><block type="comment" id="}wMpV9y3]nb,i=*N.SW{"><field name="COMMENT">Activate here for camera preview.</field><next><block type="vuforiaCurrentGame_activate" id="1P`RMhpPHX25nYUmVd4r"><next><block type="telemetry_addTextData_All" id="-X[+{_wuOEMuW`#3T*Ei"><value name="KEY"><shadow type="text" id="KtBev%HW.82IJ$k,R[d$"><field name="TEXT">&gt;&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="Ilq^_*dgjMew$B5g%DU/"><field name="TEXT">Vuforia initialized, press start to continue...</field></shadow></value><next><block type="telemetry_update" id=".NTGnqiSI1Hf13w.Sge*"><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="procedures_callnoreturn" id="W~o.p8btmMhW-R-::iq#"><mutation name="initCameraSwitching"/><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="procedures_callnoreturn" id="MrN8{CWB1(b+^].`Au6%"><mutation name="doCameraSwitching"/><next><block type="comment" id="3[l]BI{p^hbNdQpcWJ|,"><field name="COMMENT">Are the targets visible?</field><next><block type="comment" id="=cOa^;#bgHniPd55e8wY"><field name="COMMENT">(Note we only process first visible target).</field><next><block type="controls_if" id="?z[AWydC?Ypi|8W~IL(E"><mutation elseif="4" else="1"/><value name="IF0"><block type="procedures_callreturn" id="ZCr0Hub{+C-?NNX){ete"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="I^C(6*4wS[c!C~=qU5^I"><field name="TRACKABLE_NAME">Red Alliance Target</field></block></value></block></value><statement name="DO0"><block type="procedures_callnoreturn" id="Y.AnfaMMlS@S%MBZD3BZ"><mutation name="processTarget"/></block></statement><value name="IF1"><block type="procedures_callreturn" id="b#sc3wiu2+H@Y_|MCCAJ"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="kGly,#j?1@;!pX^@n_lV"><field name="TRACKABLE_NAME">Blue Alliance Target</field></block></value></block></value><statement name="DO1"><block type="procedures_callnoreturn" id="PJY+H:uab^~D5-93IGyQ"><mutation name="processTarget"/></block></statement><value name="IF2"><block type="procedures_callreturn" id="~gT4{3gBzVs?Gl5XG3i`"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="z+i+S6WP`l+Ku1!]815o"><field name="TRACKABLE_NAME">Front Wall Target</field></block></value></block></value><statement name="DO2"><block type="procedures_callnoreturn" id="BjQW8{cl4SZZn{`p@A0`"><mutation name="processTarget"/></block></statement><value name="IF3"><block type="procedures_callreturn" id="Q?gwdr{fxd/{uk=Lb)yI"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="@zukx]XD6dmQj8hc!{f="><field name="TRACKABLE_NAME">Red Tower Goal Target</field></block></value></block></value><statement name="DO3"><block type="procedures_callnoreturn" id=":P1`F3E?Bb`e2d)0k3i["><mutation name="processTarget"/></block></statement><value name="IF4"><block type="procedures_callreturn" id="u{`x#15!ExxbiNL-eMjZ"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="*{Fl~/tAYX3/|L}`M=Gn"><field name="TRACKABLE_NAME">Blue Tower Goal Target</field></block></value></block></value><statement name="DO4"><block type="procedures_callnoreturn" id="i}{)pf^i{LA)8fE[[L?@"><mutation name="processTarget"/></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="ku2^Hrd`M6B:)T4qkO{*"><value name="KEY"><shadow type="text" id="3.,BfqV`Dwe%_=$~Yyz:"><field name="TEXT">No Targets Detected</field></shadow></value><value name="TEXT"><shadow type="text" id="+cNM6lxmY-U:hCKv9hww"><field name="TEXT">Targets are not visible.</field></shadow></value></block></statement><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></next></block></statement></block></next></block></next></block></statement><next><block type="comment" id="]ycr.8yTY1_SpWPXogDK"><field name="COMMENT">Don\'t forget to deactivate Vuforia.</field><next><block type="vuforiaCurrentGame_deactivate" id="LK?,98R2um*/j^+`!_eP"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="[(GpkWXZgWK4B(,r2hB1" x="120" y="14"><field name="NAME">initVuforia</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="t1$uJER0JJ.uJ38KBL|l"><field name="COMMENT">Initialize using SwitchableCamera.</field><next><block type="vuforiaCurrentGame_initialize_withWebcam" id=":yq#].beRmrst^iA=#vv"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id=",!n|V,Oj|m%h^zrr]_2{"><field name="WEBCAM_NAME">C270</field></shadow><block type="navigation_switchableCamera" id="Ehz8|G)fRg7N!T5d/`zh"/></value><value name="WEBCAM_CALIBRATION_FILE"><shadow type="text" id="0GfygqDjd!{i{aH*d$V-"><field name="TEXT"/></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="XMKZnDj,w=Nu9ZUaU:}l"><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="I4{9#11o-6b*)9G173Ln"><field name="BOOL">TRUE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id=",VVeZac-4iKgpGvnsc1?"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="TY+Y@|)q84F63.]g?a+*"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="9$Px?(Z6mGTU7CR5],O6"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="}woJe,5c0n@}ROg*ZeEf"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="PwPq+;Rv(AGqd^.q,G)Q"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="36$sm[KjSu)}+NwK2#Ex"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id="RvVb,^Y29HRH5=e9ZmEU"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="?q=D_n]WWIXlaIS%VQ]J"><field name="BOOL">TRUE</field></shadow></value></block></next></block></statement></block><block type="procedures_defreturn" id="oKsCkghuw*qaT$-YC)37" x="802" y="35"><mutation><arg name="trackableName" varid="Q3J-AM0*4@;V}.Qq#{4:"/></mutation><field name="NAME">isTargetVisible</field><comment pinned="false" h="52" w="238">Check to see if the target is visible.</comment><statement name="STACK"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Get vuforia results for target.</field><next><block type="variables_set" id="DgJptUz.B#Fy5PZ(|;{F"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field><value name="VALUE"><block type="vuforiaCurrentGame_track" id="4jZQVo^K@])BLe3f~lUi"><value name="TRACKABLE_NAME"><shadow type="vuforiaCurrentGame_typedEnum_trackableName" id="rg.#y[B/+7C=n6YeRc__"><field name="TRACKABLE_NAME">blueRearBridge</field></shadow><block type="variables_get" id="#iCxj]yw%~i6|giT1)gf"><field name="VAR" id="Q3J-AM0*4@;V}.Qq#{4:">trackableName</field></block></value></block></value><next><block type="comment" id="guv9joc,cFQ`)I,r_n_y"><field name="COMMENT">Is this target visible?</field><next><block type="controls_if" id=")A?uaN?Z3LXnN=a)dK|m"><mutation else="1"/><value name="IF0"><block type="vuforiaTrackingResults_getProperty_Boolean" id="zsLNaCOf2n_J7/!;q$H*"><field name="PROP">IsVisible</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="mP#]nb.LYi8#x3JLQcse"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="Qj%5#`!iX[}34TA(xA~R"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field><value name="VALUE"><block type="logic_boolean" id="x78dIgV^.Ybn#53#s_!~"><field name="BOOL">TRUE</field></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="*xkWpT/py!:C)ok|E_Yx"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field><value name="VALUE"><block type="logic_boolean" id="%D[7pqoXYT{+qOS8PKG)"><field name="BOOL">FALSE</field></block></value></block></statement></block></next></block></next></block></next></block></statement><value name="RETURN"><block type="variables_get" id="MtovXx1;~{2m,F=(*M?i"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field></block></value></block><block type="procedures_defreturn" id="UxB8d%{1-udCaf4Tj)kr" x="812" y="390"><mutation><arg name="originalValue" varid="s{Rq{9YGZ4tOu8[:y0RX"/><arg name="units" varid="vnzi@NEjzGfjUg_15|.^"/></mutation><field name="NAME">displayValue</field><comment pinned="false" h="85" w="283">By default, distances are returned in millimeters by Vuforia.  Convert to other distance units (CM, M, IN, and FT).</comment><statement name="STACK"><block type="comment" id="?T+Go=(x2mS~57g!.{YZ"><field name="COMMENT">Vuforia returns distances in mm.</field><next><block type="controls_if" id="8-Yy+lpuI^qfQD7*QY9b"><mutation elseif="3" else="1"/><value name="IF0"><block type="logic_compare" id="~?@J/Zi%/GF-upKP^{wu"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="8-pAQ#r?@0w}?M,Kc?zy"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="B:*~#:jz!jrId|JS)2X3"><field name="TEXT">CM</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="#*HJVFH|28[3eZ*5JzBu"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="tXW[(.uBZ6Eg6ELp5#@s"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="rdF=lbNGq{mH45k|2.+Y"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="0c)]t]*6-ZlZ5-HBfnCk"><field name="NUM">10</field></shadow></value></block></value></block></statement><value name="IF1"><block type="logic_compare" id="DzjY}!CSQBI_axTAFTpV"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="/#%-NJ~_xCGCO73JX5R0"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="RT`bLCgLRjOd4#@jy!v2"><field name="TEXT">M</field></block></value></block></value><statement name="DO1"><block type="variables_set" id="Vf!Ge{e1L5,,}`]+?ya-"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="[z|7a=#Sa{+bRy#(Rv7g"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="qKd|8N)3`M.JkQ?G@.T7"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="HvkMy!a*.|3{S@L~0|^D"><field name="NUM">1000</field></shadow></value></block></value></block></statement><value name="IF2"><block type="logic_compare" id="xYh]j[`C%.q8gIBUwyQl"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="v@[:7Z+/W#p:%RgnN2j="><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="bLU-!OyV5U=L+|k:,}[c"><field name="TEXT">IN</field></block></value></block></value><statement name="DO2"><block type="variables_set" id="|jedk+WURgCc(]R4qQa/"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="MFH65avKr,B`e$Kbn%dy"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="o@b2/8n)Z32{/#CQ$MLO"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="5YQl@j0r0MleBEC_i?sK"><field name="NUM">25.4</field></shadow></value></block></value></block></statement><value name="IF3"><block type="logic_compare" id="X}Ov?ZCj/[0bKU`-_+_n"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="5QgL#n*,*8YCl:~p~}S)"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="nj{]+$y[Wn1_Q6ZNAqDS"><field name="TEXT">FT</field></block></value></block></value><statement name="DO3"><block type="variables_set" id="9M4J[T)8AxnW2Ti|R!(U"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="3=}w!zfQi()nRcCHO?)A"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id="B4E.Ac=eBh1w7D%H=p5f"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="cbqkU;sc$1+`ve$kWPpb"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="NcQ_6Ec*!Nj1TQ*R8Bn9"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="![m{]/$lBl%*4rZtQW[l"><field name="NUM">25.4</field></shadow></value></block></value><value name="B"><shadow type="math_number" id="t:Z);e`h^RxOS=jc)@pS"><field name="NUM">12</field></shadow></value></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="L7?P|bWhJC%Tg=Z]t{~u"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="variables_get" id="x(XLLRh.-:p$CP^7jiX}"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value></block></statement></block></next></block></statement><value name="RETURN"><block type="variables_get" id="+TTq_;:Zq6=uxru5NfoW"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field></block></value></block><block type="procedures_defnoreturn" id="S$$l=X2/ze`~xVmuwzHu" x="120" y="435"><field name="NAME">initCameraSwitching</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="f(tYWA3:T}VVdPC;tF_8"><field name="COMMENT">After Vuforia is initialized, set the</field><next><block type="comment" id="*r#!!T^tD?/x=~--{uO-"><field name="COMMENT">active camera to Webcam 1.</field><next><block type="variables_set" id="~9951g9z2qK{Pb;x)g)-"><field name="VAR" id="Q*iA|9#K!{XA^=I9_17j">oldLeftBumper</field><value name="VALUE"><block type="logic_boolean" id="mS+NP6h$=^@d6xyhEBF6"><field name="BOOL">FALSE</field></block></value><next><block type="variables_set" id="hJBI^60oE46x$UzIhFs2"><field name="VAR" id="s?w(#5R5EX{f*aL$a3yX">oldRightBumper</field><value name="VALUE"><block type="logic_boolean" id="z1Os`ngqfX^.KE$Kh/R}"><field name="BOOL">FALSE</field></block></value><next><block type="variables_set" id="fdhIwHq7a}n:mECZRIv^"><field name="VAR" id="{]~kbEWmbW]Z@~_NlaB4">activeCamera</field><value name="VALUE"><block type="text" id="0{3hgxDEk3]L7h0+Bk1l"><field name="TEXT">Webcam 1</field></block></value><next><block type="vuforiaCurrentGame_setActiveCamera" id="rsLY]lVz8-o~qSrB?3ek"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="QK!`56TZNAhlVf6]zrSN"><field name="WEBCAM_NAME">Webcam 1</field></shadow></value></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="Eh#d:5etCIl6$Sw#C$c}" x="121" y="805"><field name="NAME">doCameraSwitching</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="lA6q#:C^q@u@}ZDOmR)T"><field name="COMMENT">If the left bumper is pressed, use Webcam 1.</field><next><block type="comment" id="B4jf_TGXJ}@;^O+5KbI?"><field name="COMMENT">If the right bumper is pressed, use Webcam 2.</field><next><block type="variables_set" id="}QF1Z6ILfaLevQ)Au)`X"><field name="VAR" id="c`]!=7;YrY~6u71AMNH^">newLeftBumper</field><value name="VALUE"><block type="gamepad_getProperty_Boolean" id=";T5CDg|lV~aDU-s_fDb*"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftBumper</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><next><block type="variables_set" id="|tjA_5?w19H:d_C_~9ea"><field name="VAR" id="|RX@0yH!W}g7-GDnzqn[">newRightBumper</field><value name="VALUE"><block type="gamepad_getProperty_Boolean" id="=f!6NlY,Cb/4~KsbET^D"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightBumper</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><next><block type="controls_if" id="AexuoJsm(E+kUY4=}j2`"><mutation elseif="1"/><value name="IF0"><block type="logic_operation" id="U1)AZ^z:0+$.ASx#P=[}" inline="false"><field name="OP">AND</field><value name="A"><block type="variables_get" id="%SSvEt|W-jM(Qal5.qgi"><field name="VAR" id="c`]!=7;YrY~6u71AMNH^">newLeftBumper</field></block></value><value name="B"><block type="logic_negate" id="#w./[i!/i;S)KgXLMc:D"><value name="BOOL"><block type="variables_get" id="YoB9.)iRf!X)|@Iqe^jb"><field name="VAR" id="Q*iA|9#K!{XA^=I9_17j">oldLeftBumper</field></block></value></block></value></block></value><statement name="DO0"><block type="variables_set" id="aPQLG5j{;`Q3(YQQDR)K"><field name="VAR" id="{]~kbEWmbW]Z@~_NlaB4">activeCamera</field><value name="VALUE"><block type="text" id="2}v]g3~5,O-g26.nIH`K"><field name="TEXT">Webcam 1</field></block></value><next><block type="vuforiaCurrentGame_setActiveCamera" id="1,j9xJT%89P8(hdLj@.8"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="(aR^EM40d_-aT(::T=60"><field name="WEBCAM_NAME">Webcam 1</field></shadow></value></block></next></block></statement><value name="IF1"><block type="logic_operation" id="M@ja2vb?BNa3k]U?61C." inline="false"><field name="OP">AND</field><value name="A"><block type="variables_get" id="GSV#tx1oT!6{L$oOpCe["><field name="VAR" id="|RX@0yH!W}g7-GDnzqn[">newRightBumper</field></block></value><value name="B"><block type="logic_negate" id="$0UFd+~uVd8Y#gA=%`Kd"><value name="BOOL"><block type="variables_get" id="9oi6h:sPMB5Ck@{vd}S-"><field name="VAR" id="s?w(#5R5EX{f*aL$a3yX">oldRightBumper</field></block></value></block></value></block></value><statement name="DO1"><block type="variables_set" id="F|5MJb=n?LjCuG,-#%In"><field name="VAR" id="{]~kbEWmbW]Z@~_NlaB4">activeCamera</field><value name="VALUE"><block type="text" id="tWVi}OScqhw9K7$D*)RC"><field name="TEXT">Webcam 2</field></block></value><next><block type="vuforiaCurrentGame_setActiveCamera" id="Vr8C_H(!8Mj{3uJ*/cr|"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id="QMTxz[gC`@yW-xxzax~n"><field name="WEBCAM_NAME">Webcam 2</field></shadow></value></block></next></block></statement><next><block type="variables_set" id="I=~`v46^($W)naV@.*|a"><field name="VAR" id="Q*iA|9#K!{XA^=I9_17j">oldLeftBumper</field><value name="VALUE"><block type="variables_get" id=";Rp_50kJuW]K3y/+SbqJ"><field name="VAR" id="c`]!=7;YrY~6u71AMNH^">newLeftBumper</field></block></value><next><block type="variables_set" id="cFkBqW,xs@RI+-AeVU%~"><field name="VAR" id="s?w(#5R5EX{f*aL$a3yX">oldRightBumper</field><value name="VALUE"><block type="variables_get" id="?n)XCPl5ke(5(X)?,NSt"><field name="VAR" id="|RX@0yH!W}g7-GDnzqn[">newRightBumper</field></block></value><next><block type="controls_if" id="MkPD9P:DP@,`hgXoQT`e"><mutation else="1"/><value name="IF0"><block type="logic_compare" id="VI_L.58;SQsj]~R;KBRN"><field name="OP">EQ</field><value name="A"><block type="variables_get" id=",i{,7|Yf8g1+2%vn@/aw"><field name="VAR" id="{]~kbEWmbW]Z@~_NlaB4">activeCamera</field></block></value><value name="B"><block type="text" id="k;/~?,SH*jIs?y)wTG+8"><field name="TEXT">Webcam 1</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="=Y[F/puW#-g?zr#DK;OP"><value name="KEY"><shadow type="text" id="]C0`R-OIpRzL^-fi|^l]"><field name="TEXT">activeCamera</field></shadow></value><value name="TEXT"><shadow type="text" id=",!l`|tiy:=yH3GY;K%;q"><field name="TEXT">Webcam 1</field></shadow></value><next><block type="telemetry_addTextData_All" id="s]AYdKAi2Z?6r;UGF+IZ"><value name="KEY"><shadow type="text" id="X[1S{0e,H%s8PscB~#(s"><field name="TEXT">Press RightBumper</field></shadow></value><value name="TEXT"><shadow type="text" id="Us`9`aJ!zIyRb{+wKM(o"><field name="TEXT">to switch to Webcam 2</field></shadow></value></block></next></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="jut_XV+Z1z~f8+TO0)k@"><value name="KEY"><shadow type="text" id="Ir[l@Y4Tf{)gB*J{{FLk"><field name="TEXT">activeCamera</field></shadow></value><value name="TEXT"><shadow type="text" id="YU?/eA(GWfzOLMAzErP+"><field name="TEXT">Webcam 2</field></shadow></value><next><block type="telemetry_addTextData_All" id="LaC%fu5*/GdKNNQ{,(.9"><value name="KEY"><shadow type="text" id="S1Ckbz}pv)A;[Ga.mkvN"><field name="TEXT">Press LeftBumper</field></shadow></value><value name="TEXT"><shadow type="text" id="w%/$~f-g]xOG/B1x}9ra"><field name="TEXT">to switch to Webcam 1</field></shadow></value></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id=";*]}?=r{sc?CCElk_mgq" x="808" y="915"><field name="NAME">processTarget</field><comment pinned="false" h="84" w="352">This function displays location on the field and rotation about the Z axis on the field.  It uses results from the isTargetVisible function.</comment><statement name="STACK"><block type="telemetry_addTextData_All" id="*op$7df9@`8HF,3y!oQT"><comment pinned="false" h="46" w="193">Display the target name.</comment><value name="KEY"><shadow type="text" id="t9,7Ks@T8SH*dy|tHkHq"><field name="TEXT">Target Detected</field></shadow></value><value name="TEXT"><shadow type="text" id="+cNM6lxmY-U:hCKv9hww"><field name="TEXT">text</field></shadow><block type="text_join" id="%%A8if3K;T=XwljtQ.)T"><mutation items="2"/><value name="ADD0"><block type="vuforiaTrackingResults_getProperty_String" id="qG[xAfhDkvvfZqv4]qo+"><field name="PROP">Name</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="sLt4i5}PCcct$qg^6grI"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ADD1"><block type="text" id="1[RG(9aJzwlw*p@,FBAN"><field name="TEXT"> is visible.</field></block></value></block></value><next><block type="telemetry_addNumericData_Number" id=":X]T2-42}uWR@U{BkzXe"><value name="KEY"><shadow type="text" id="-%2{Mr#|RIwnK6d-gc21"><field name="TEXT">X (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="Ji|suZVk!CVu[qTnm;YP"><value name="NUMBER"><shadow type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="ii_-]6Q?djjGbdkQ$%%U"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="cVik)]n{yXKX1his}P,{"><field name="PROP">X</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id=",IMxhcnfo-.jFD`$ABG:"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="7.c]SmD=BC@X@:6DuYQw"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="bW8KB(!h!Yk?cCf,1N%G"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="!B$E|*|O-@@B{D3YnN$f"><value name="KEY"><shadow type="text" id="1-@aL7p=u]3%@({-.7h8"><field name="TEXT">Y (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="de0qxeEu|SAMb1KA;?Ap"><value name="NUMBER"><shadow type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="*h%`SUTY9+=$iGeDhcz:"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="!D:AV|xngpdw{2=;w7WP"><field name="PROP">Y</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="aXV?:CO3vd4Nw7`2GV6k"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="pZfS+)U*~]jH`nF{~tnj"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id=",vD^a.D.{~:H/A-^./T?"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="C7*jmX.1S(#sT,N7rL{$"><value name="KEY"><shadow type="text" id="S)#1)WQzDvqtI8yDFvaI"><field name="TEXT">Z (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="yEecPQK{3D:~Tsqp+2fF"><value name="NUMBER"><shadow type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="I|M;]U?#Z~2_l2-zCCc:"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="UG(.R$Nf;h:YpaNa{Fw+"><field name="PROP">Z</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="}b?SdvjsL94Xov(g%kjk"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="#.7vbpM8NzmB;.xG6a:R"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="ZMlDDXGi|{UVn8E]%CU|"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="?^]5b={D6@iSk}(W{i*j"><value name="KEY"><shadow type="text" id="l`rNt@r5XhAxL/|/VCvI"><field name="TEXT">Rotation about Z (deg)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="Hb]p0GvSqX^3mDk(__Wz"><value name="NUMBER"><shadow type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="vuforiaTrackingResults_getProperty_Number" id=")YV-!nFEqr|N3R$7%F_p"><field name="PROP">ZAngle</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="C-no5cneFFnsmVpGP0qC"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="5r)#L]MfDI2wa|Te;8+^"><field name="NUM">2</field></shadow></value></block></value></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'ConceptVuforiaNavWebcam':
      return '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="Q3J-AM0*4@;V}.Qq#{4:">trackableName</variable><variable id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</variable><variable id="vnzi@NEjzGfjUg_15|.^">units</variable><variable id="k{/Z,{`B)g209@q/f+o9">isVisible</variable><variable id="HIz#-Z71#^ZUrea`q$!B">convertedValue</variable><variable id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</variable></variables><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="0" y="0"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="532">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">Initialize Vuforia</field><next><block type="telemetry_addTextData_All" id="ete.WtXMLI/z9FPQ.COt"><value name="KEY"><shadow type="text" id="`8y{3{Jpj}%YpDKJ7i~}"><field name="TEXT">Status</field></shadow></value><value name="TEXT"><shadow type="text" id="v41Z~ZEH]ZVoW.Z#[/ow"><field name="TEXT">Initializing Vuforia. Please wait...</field></shadow></value><next><block type="telemetry_update" id="~95C|o%i{8M,d[ge|OAN"><next><block type="procedures_callnoreturn" id="5DLDfOE_)-RWdX`zcMBB"><mutation name="initVuforia"/><next><block type="comment" id="}wMpV9y3]nb,i=*N.SW{"><field name="COMMENT">Activate here for camera preview.</field><next><block type="vuforiaCurrentGame_activate" id="1P`RMhpPHX25nYUmVd4r"><next><block type="telemetry_addTextData_All" id="-X[+{_wuOEMuW`#3T*Ei"><value name="KEY"><shadow type="text" id="KtBev%HW.82IJ$k,R[d$"><field name="TEXT">&gt;&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="Ilq^_*dgjMew$B5g%DU/"><field name="TEXT">Vuforia initialized, press start to continue...</field></shadow></value><next><block type="telemetry_update" id=".NTGnqiSI1Hf13w.Sge*"><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"/></value><statement name="DO0"><block type="comment" id="(rU-p_T_/B|vExcs}liL"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="/></value><statement name="DO"><block type="comment" id="3[l]BI{p^hbNdQpcWJ|,"><field name="COMMENT">Are the targets visible?</field><next><block type="comment" id="=cOa^;#bgHniPd55e8wY"><field name="COMMENT">(Note we only process first visible target).</field><next><block type="controls_if" id="?z[AWydC?Ypi|8W~IL(E"><mutation elseif="4" else="1"/><value name="IF0"><block type="procedures_callreturn" id="ZCr0Hub{+C-?NNX){ete"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="I^C(6*4wS[c!C~=qU5^I"><field name="TRACKABLE_NAME">Red Alliance Target</field></block></value></block></value><statement name="DO0"><block type="procedures_callnoreturn" id="Y.AnfaMMlS@S%MBZD3BZ"><mutation name="processTarget"/></block></statement><value name="IF1"><block type="procedures_callreturn" id="b#sc3wiu2+H@Y_|MCCAJ"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="kGly,#j?1@;!pX^@n_lV"><field name="TRACKABLE_NAME">Blue Alliance Target</field></block></value></block></value><statement name="DO1"><block type="procedures_callnoreturn" id="PJY+H:uab^~D5-93IGyQ"><mutation name="processTarget"/></block></statement><value name="IF2"><block type="procedures_callreturn" id="~gT4{3gBzVs?Gl5XG3i`"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="z+i+S6WP`l+Ku1!]815o"><field name="TRACKABLE_NAME">Front Wall Target</field></block></value></block></value><statement name="DO2"><block type="procedures_callnoreturn" id="BjQW8{cl4SZZn{`p@A0`"><mutation name="processTarget"/></block></statement><value name="IF3"><block type="procedures_callreturn" id="Q?gwdr{fxd/{uk=Lb)yI"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="@zukx]XD6dmQj8hc!{f="><field name="TRACKABLE_NAME">Red Tower Goal Target</field></block></value></block></value><statement name="DO3"><block type="procedures_callnoreturn" id=":P1`F3E?Bb`e2d)0k3i["><mutation name="processTarget"/></block></statement><value name="IF4"><block type="procedures_callreturn" id="u{`x#15!ExxbiNL-eMjZ"><mutation name="isTargetVisible"><arg name="trackableName"/></mutation><value name="ARG0"><block type="vuforiaCurrentGame_typedEnum_trackableName" id="*{Fl~/tAYX3/|L}`M=Gn"><field name="TRACKABLE_NAME">Blue Tower Goal Target</field></block></value></block></value><statement name="DO4"><block type="procedures_callnoreturn" id="i}{)pf^i{LA)8fE[[L?@"><mutation name="processTarget"/></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="ku2^Hrd`M6B:)T4qkO{*"><value name="KEY"><shadow type="text" id="3.,BfqV`Dwe%_=$~Yyz:"><field name="TEXT">No Targets Detected</field></shadow></value><value name="TEXT"><shadow type="text" id="+cNM6lxmY-U:hCKv9hww"><field name="TEXT">Targets are not visible.</field></shadow></value></block></statement><next><block type="telemetry_update" id="exvivmft-pX$n!1,8Ea$"/></next></block></next></block></next></block></statement></block></next></block></statement><next><block type="comment" id="]ycr.8yTY1_SpWPXogDK"><field name="COMMENT">Don\'t forget to deactivate Vuforia.</field><next><block type="vuforiaCurrentGame_deactivate" id="LK?,98R2um*/j^+`!_eP"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="[(GpkWXZgWK4B(,r2hB1" x="0" y="1131"><field name="NAME">initVuforia</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="comment" id="t1$uJER0JJ.uJ38KBL|l"><field name="COMMENT">Initialize using external web camera.</field><next><block type="vuforiaCurrentGame_initialize_withWebcam" id=":yq#].beRmrst^iA=#vv"><value name="CAMERA_NAME"><shadow type="navigation_webcamName" id=",!n|V,Oj|m%h^zrr]_2{"><field name="WEBCAM_NAME">Webcam 1</field></shadow></value><value name="WEBCAM_CALIBRATION_FILE"><shadow type="text" id="0GfygqDjd!{i{aH*d$V-"><field name="TEXT"/></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean" id="XMKZnDj,w=Nu9ZUaU:}l"><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean" id="I4{9#11o-6b*)9G173Ln"><field name="BOOL">TRUE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback" id=",VVeZac-4iKgpGvnsc1?"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DX"><shadow type="math_number" id="TY+Y@|)q84F63.]g?a+*"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DY"><shadow type="math_number" id="9$Px?(Z6mGTU7CR5],O6"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DZ"><shadow type="math_number" id="}woJe,5c0n@}ROg*ZeEf"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number" id="PwPq+;Rv(AGqd^.q,G)Q"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number" id="36$sm[KjSu)}+NwK2#Ex"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number" id="RvVb,^Y29HRH5=e9ZmEU"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean" id="?q=D_n]WWIXlaIS%VQ]J"><field name="BOOL">TRUE</field></shadow></value></block></next></block></statement></block><block type="procedures_defreturn" id="oKsCkghuw*qaT$-YC)37" x="0" y="1560"><mutation><arg name="trackableName" varid="Q3J-AM0*4@;V}.Qq#{4:"/></mutation><field name="NAME">isTargetVisible</field><comment pinned="false" h="52" w="238">Check to see if the target is visible.</comment><statement name="STACK"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Get vuforia results for target.</field><next><block type="variables_set" id="DgJptUz.B#Fy5PZ(|;{F"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field><value name="VALUE"><block type="vuforiaCurrentGame_track" id="4jZQVo^K@])BLe3f~lUi"><value name="TRACKABLE_NAME"><shadow xmlns="http://www.w3.org/1999/xhtml" type="vuforiaCurrentGame_typedEnum_trackableName" id="rg.#y[B/+7C=n6YeRc__"><field name="TRACKABLE_NAME">blueRearBridge</field></shadow><block type="variables_get" id="#iCxj]yw%~i6|giT1)gf"><field name="VAR" id="Q3J-AM0*4@;V}.Qq#{4:">trackableName</field></block></value></block></value><next><block type="comment" id="guv9joc,cFQ`)I,r_n_y"><field name="COMMENT">Is this target visible?</field><next><block type="controls_if" id=")A?uaN?Z3LXnN=a)dK|m"><mutation else="1"/><value name="IF0"><block type="vuforiaTrackingResults_getProperty_Boolean" id="zsLNaCOf2n_J7/!;q$H*"><field name="PROP">IsVisible</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="mP#]nb.LYi8#x3JLQcse"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="Qj%5#`!iX[}34TA(xA~R"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field><value name="VALUE"><block type="logic_boolean" id="x78dIgV^.Ybn#53#s_!~"><field name="BOOL">TRUE</field></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="*xkWpT/py!:C)ok|E_Yx"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field><value name="VALUE"><block type="logic_boolean" id="%D[7pqoXYT{+qOS8PKG)"><field name="BOOL">FALSE</field></block></value></block></statement></block></next></block></next></block></next></block></statement><value name="RETURN"><block type="variables_get" id="MtovXx1;~{2m,F=(*M?i"><field name="VAR" id="k{/Z,{`B)g209@q/f+o9">isVisible</field></block></value></block><block type="procedures_defnoreturn" id=";*]}?=r{sc?CCElk_mgq" x="0" y="1875"><field name="NAME">processTarget</field><comment pinned="false" h="84" w="352">This function displays location on the field and rotation about the Z axis on the field.  It uses results from the isTargetVisible function.</comment><statement name="STACK"><block type="telemetry_addTextData_All" id="*op$7df9@`8HF,3y!oQT"><comment pinned="false" h="46" w="193">Display the target name.</comment><value name="KEY"><shadow type="text" id="t9,7Ks@T8SH*dy|tHkHq"><field name="TEXT">Target Detected</field></shadow></value><value name="TEXT"><shadow xmlns="http://www.w3.org/1999/xhtml" type="text" id="+cNM6lxmY-U:hCKv9hww"><field name="TEXT">text</field></shadow><block type="text_join" id="%%A8if3K;T=XwljtQ.)T"><mutation items="2"/><value name="ADD0"><block type="vuforiaTrackingResults_getProperty_String" id="qG[xAfhDkvvfZqv4]qo+"><field name="PROP">Name</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="sLt4i5}PCcct$qg^6grI"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ADD1"><block type="text" id="1[RG(9aJzwlw*p@,FBAN"><field name="TEXT"> is visible.</field></block></value></block></value><next><block type="telemetry_addNumericData_Number" id=":X]T2-42}uWR@U{BkzXe"><value name="KEY"><shadow type="text" id="-%2{Mr#|RIwnK6d-gc21"><field name="TEXT">X (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="Ji|suZVk!CVu[qTnm;YP"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="ii_-]6Q?djjGbdkQ$%%U"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="cVik)]n{yXKX1his}P,{"><field name="PROP">X</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id=",IMxhcnfo-.jFD`$ABG:"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="7.c]SmD=BC@X@:6DuYQw"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="bW8KB(!h!Yk?cCf,1N%G"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="!B$E|*|O-@@B{D3YnN$f"><value name="KEY"><shadow type="text" id="1-@aL7p=u]3%@({-.7h8"><field name="TEXT">Y (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="de0qxeEu|SAMb1KA;?Ap"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="*h%`SUTY9+=$iGeDhcz:"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="!D:AV|xngpdw{2=;w7WP"><field name="PROP">Y</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="aXV?:CO3vd4Nw7`2GV6k"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="pZfS+)U*~]jH`nF{~tnj"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id=",vD^a.D.{~:H/A-^./T?"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="C7*jmX.1S(#sT,N7rL{$"><value name="KEY"><shadow type="text" id="S)#1)WQzDvqtI8yDFvaI"><field name="TEXT">Z (in)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="yEecPQK{3D:~Tsqp+2fF"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="procedures_callreturn" id="I|M;]U?#Z~2_l2-zCCc:"><mutation name="displayValue"><arg name="originalValue"/><arg name="units"/></mutation><value name="ARG0"><block type="vuforiaTrackingResults_getProperty_Number" id="UG(.R$Nf;h:YpaNa{Fw+"><field name="PROP">Z</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="}b?SdvjsL94Xov(g%kjk"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="ARG1"><block type="text" id="#.7vbpM8NzmB;.xG6a:R"><field name="TEXT">IN</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="ZMlDDXGi|{UVn8E]%CU|"><field name="NUM">2</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="?^]5b={D6@iSk}(W{i*j"><value name="KEY"><shadow type="text" id="l`rNt@r5XhAxL/|/VCvI"><field name="TEXT">Rotation about Z (deg)</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal" id="Hb]p0GvSqX^3mDk(__Wz"><value name="NUMBER"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="D]{88[Jx2MQFPR/L@QV7"><field name="NUM">3.14159265</field></shadow><block type="vuforiaTrackingResults_getProperty_Number" id=")YV-!nFEqr|N3R$7%F_p"><field name="PROP">ZAngle</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get" id="C-no5cneFFnsmVpGP0qC"><field name="VAR" id="1[x`VV3*WhRUmK(j1Swf">vuforiaResults</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="5r)#L]MfDI2wa|Te;8+^"><field name="NUM">2</field></shadow></value></block></value></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defreturn" id="UxB8d%{1-udCaf4Tj)kr" x="0" y="2834"><mutation><arg name="originalValue" varid="s{Rq{9YGZ4tOu8[:y0RX"/><arg name="units" varid="vnzi@NEjzGfjUg_15|.^"/></mutation><field name="NAME">displayValue</field><comment pinned="false" h="85" w="283">By default, distances are returned in millimeters by Vuforia.  Convert to other distance units (CM, M, IN, and FT).</comment><statement name="STACK"><block type="comment" id="?T+Go=(x2mS~57g!.{YZ"><field name="COMMENT">Vuforia returns distances in mm.</field><next><block type="controls_if" id="8-Yy+lpuI^qfQD7*QY9b"><mutation elseif="3" else="1"/><value name="IF0"><block type="logic_compare" id="~?@J/Zi%/GF-upKP^{wu"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="8-pAQ#r?@0w}?M,Kc?zy"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="B:*~#:jz!jrId|JS)2X3"><field name="TEXT">CM</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="#*HJVFH|28[3eZ*5JzBu"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="tXW[(.uBZ6Eg6ELp5#@s"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="rdF=lbNGq{mH45k|2.+Y"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="0c)]t]*6-ZlZ5-HBfnCk"><field name="NUM">10</field></shadow></value></block></value></block></statement><value name="IF1"><block type="logic_compare" id="DzjY}!CSQBI_axTAFTpV"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="/#%-NJ~_xCGCO73JX5R0"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="RT`bLCgLRjOd4#@jy!v2"><field name="TEXT">M</field></block></value></block></value><statement name="DO1"><block type="variables_set" id="Vf!Ge{e1L5,,}`]+?ya-"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="[z|7a=#Sa{+bRy#(Rv7g"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="qKd|8N)3`M.JkQ?G@.T7"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="HvkMy!a*.|3{S@L~0|^D"><field name="NUM">1000</field></shadow></value></block></value></block></statement><value name="IF2"><block type="logic_compare" id="xYh]j[`C%.q8gIBUwyQl"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="v@[:7Z+/W#p:%RgnN2j="><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="bLU-!OyV5U=L+|k:,}[c"><field name="TEXT">IN</field></block></value></block></value><statement name="DO2"><block type="variables_set" id="|jedk+WURgCc(]R4qQa/"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="MFH65avKr,B`e$Kbn%dy"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="o@b2/8n)Z32{/#CQ$MLO"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="5YQl@j0r0MleBEC_i?sK"><field name="NUM">25.4</field></shadow></value></block></value></block></statement><value name="IF3"><block type="logic_compare" id="X}Ov?ZCj/[0bKU`-_+_n"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="5QgL#n*,*8YCl:~p~}S)"><field name="VAR" id="vnzi@NEjzGfjUg_15|.^">units</field></block></value><value name="B"><block type="text" id="nj{]+$y[Wn1_Q6ZNAqDS"><field name="TEXT">FT</field></block></value></block></value><statement name="DO3"><block type="variables_set" id="9M4J[T)8AxnW2Ti|R!(U"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="math_arithmetic" id="3=}w!zfQi()nRcCHO?)A"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="B4E.Ac=eBh1w7D%H=p5f"><field name="NUM">1</field></shadow><block type="math_arithmetic" id="cbqkU;sc$1+`ve$kWPpb"><field name="OP">DIVIDE</field><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id=":3;dO2^un_oSWtaNDGnI"><field name="NUM">1</field></shadow><block type="variables_get" id="NcQ_6Ec*!Nj1TQ*R8Bn9"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value><value name="B"><shadow type="math_number" id="![m{]/$lBl%*4rZtQW[l"><field name="NUM">25.4</field></shadow></value></block></value><value name="B"><shadow type="math_number" id="t:Z);e`h^RxOS=jc)@pS"><field name="NUM">12</field></shadow></value></block></value></block></statement><statement name="ELSE"><block type="variables_set" id="L7?P|bWhJC%Tg=Z]t{~u"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field><value name="VALUE"><block type="variables_get" id="x(XLLRh.-:p$CP^7jiX}"><field name="VAR" id="s{Rq{9YGZ4tOu8[:y0RX">originalValue</field></block></value></block></statement></block></next></block></statement><value name="RETURN"><block type="variables_get" id="+TTq_;:Zq6=uxru5NfoW"><field name="VAR" id="HIz#-Z71#^ZUrea`q$!B">convertedValue</field></block></value></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'RevBlinkinLed':
      return '<xml xmlns="http://www.w3.org/1999/xhtml"><variables><variable type="" id="Kx;-bsrNjMPTZ?Gh/@;H">pattern</variable><variable type="" id="_A@%7_?t|;}7^yA)fZvM">autoDisplay</variable><variable type="" id="TX-ie,dW!;Uz#KaBSYkq">gamepadTimer</variable><variable type="" id="=Bru.PJ*T`.u=I{Pid,r">displayTimer</variable></variables><block type="procedures_defnoreturn" id="Ld(N:t}-_)RB?q]XK7je" x="421" y="-335"><field name="NAME">doTelemetry</field><comment pinned="false" h="80" w="239">This function sends telemetry info to Driver Station.</comment><statement name="STACK"><block type="telemetry_addTextData_All" id="{it?h_H/]S{-ol#8/Gel"><value name="KEY"><shadow type="text" id="KS18p:X=$lIqLaw`p^Dw"><field name="TEXT">&gt;&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="RF/;KiY=PRKj1,851BdS"><field name="TEXT">Press A for Manual Mode, Press B for Auto Mode.</field></shadow></value><next><block type="telemetry_addTextData_All" id=",uok$)dE1l,DT#*B@Su="><value name="KEY"><shadow type="text" id="/Z~D0CCcmZ-]NLt~k?VN"><field name="TEXT">Auto Display Mode</field></shadow></value><value name="TEXT"><shadow type="text" id="mYMt*?JK:xwcP/)L)2)G"><field name="TEXT">text</field></shadow><block type="variables_get" id="C%g8`G%jG0]6v+~jvcQa"><field name="VAR" id="_A@%7_?t|;}7^yA)fZvM" variabletype="">autoDisplay</field></block></value><next><block type="telemetry_addTextData_All" id="HY#yj-UIzT$UCytsP`fF"><value name="KEY"><shadow type="text" id="/pcqw,bdaje[5aw6U(n7"><field name="TEXT">Pattern</field></shadow></value><value name="TEXT"><shadow type="text" id="mYMt*?JK:xwcP/)L)2)G"><field name="TEXT">text</field></shadow><block type="revBlinkinLedDriver_blinkinPattern_toText" id="n|L[}OjH7v3ZmDFbux+("><value name="BLINKIN_PATTERN"><block type="variables_get" id="slq+cT|[y:vr(0r,j.]@"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field></block></value></block></value><next><block type="controls_if" id=":FA~CJN5#bSdtw[d^mX+"><value name="IF0"><block type="logic_negate" id="z{/gL[h3=cM69Nvt;(.("><value name="BOOL"><block type="variables_get" id="O$+7_uZJdN|cWX[%]_Ps"><field name="VAR" id="_A@%7_?t|;}7^yA)fZvM" variabletype="">autoDisplay</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="J;]ka5?Y^s*iTBNtwNe,"><value name="KEY"><shadow type="text" id="9vM/MJ{71Me~Iw30nRCa"><field name="TEXT">   &gt;&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="Crn@]CXsd*YYxM}#@J^:"><field name="TEXT">Left Bumper = Previous, Right Bumper = Next</field></shadow></value></block></statement></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="WtpyD@tEu+EoY=P9iY,D" deletable="false" editable="false" x="-476" y="-66"><field name="NAME">runOpMode</field><comment pinned="false" h="32" w="532">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Lc#BFtj*NTB48YL;eBl."><field name="COMMENT">This op mode shows how to use the Blinkin LED Controller.</field><next><block type="comment" id="uICR?i}RNr=wyhoY;u2)"><field name="COMMENT">Initialize the system.</field><next><block type="procedures_callnoreturn" id="2O+;LMUSNN4bDGCES|Z4"><mutation name="initializeSystem"></mutation><next><block type="comment" id=";Uuu+)?+@#/C)`l-meWY"><field name="COMMENT">Wait for user to push start button.</field><next><block type="linearOpMode_waitForStart" id=":`$wN_ci`O;o6P0~.(+g"><next><block type="comment" id="d+ECDojO_t6T:!``#COF"><field name="COMMENT">Check to make sure op mode is still active.</field><next><block type="controls_if" id="}Q?5mbxSO8Di;i!__6[y"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=")o%YFX/#9kvv^sgXr4~5"></block></value><statement name="DO0"><block type="comment" id="n^P/jv?T#14DDi]|.pC+"><field name="COMMENT">Start timer to lock out repeated button pushes.</field><next><block type="variables_set" id="(_])qQGly`?tpZ`oJY-X"><field name="VAR" id="TX-ie,dW!;Uz#KaBSYkq" variabletype="">gamepadTimer</field><value name="VALUE"><block type="elapsedTime2_create_withResolution" id="Ms+$|wNDH$cVw}[:|9y_"><value name="RESOLUTION"><shadow type="elapsedTime2_typedEnum_resolution" id=",z*P]E#~y[36vo:u([LA"><field name="RESOLUTION">MILLISECONDS</field></shadow></value></block></value><next><block type="comment" id="282cnSEvWA.]fp~bRs!$"><field name="COMMENT">Start timer to auto cycle through patterns</field><next><block type="variables_set" id="gJJ#@@wG|Iu5r41:G{Nf"><field name="VAR" id="=Bru.PJ*T`.u=I{Pid,r" variabletype="">displayTimer</field><value name="VALUE"><block type="elapsedTime2_create_withResolution" id="}olNC1B%F(G/-f6pGA/6"><value name="RESOLUTION"><shadow type="elapsedTime2_typedEnum_resolution" id="VH!TQV.|{bGaHki-v3ay"><field name="RESOLUTION">SECONDS</field></shadow></value></block></value><next><block type="comment" id="AL8[=;*GT}#h]S#pUKOe"><field name="COMMENT">Loop while the op mode is still active.</field><next><block type="controls_whileUntil" id="^0Kagy/e+Ea{rbZPv2G6"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="e)cr{!2VIET83s,JWC.="></block></value><statement name="DO"><block type="comment" id="Jh/;L$n@JuX8AQJDFCul"><field name="COMMENT">Handle gamepad input.</field><next><block type="procedures_callnoreturn" id="N5kKSeiNC1+pTvp=7U{@"><mutation name="handleGamepad"></mutation><next><block type="comment" id="U%P_79PouAVZ,47|A[bF"><field name="COMMENT">Check to see if in auto display mode.</field><next><block type="controls_if" id="[sdZLWB]ap!Y?~qJ-(gM"><value name="IF0"><block type="variables_get" id="3)CxhXo^CWKV!!z1#l{."><field name="VAR" id="_A@%7_?t|;}7^yA)fZvM" variabletype="">autoDisplay</field></block></value><statement name="DO0"><block type="comment" id="xgtm)8UgL4l+$u2NC({U"><field name="COMMENT">Is it time to toggle to next pattern?</field><next><block type="procedures_callnoreturn" id="Ua1^gT{*b_)tRbH1*y4,"><mutation name="doAutoDisplay"></mutation></block></next></block></statement><next><block type="comment" id="ieV~QtasSS@Gls$vZ4[o"><field name="COMMENT">Display telemetry info.</field><next><block type="procedures_callnoreturn" id="FQ@LE_;zv1q~.~pI*JV["><mutation name="doTelemetry"></mutation><next><block type="telemetry_update" id="P{2o+lx/01bYV0FsZsmc"></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id="-Wehr?^V+lU0VPol!CEo" x="425" y="103"><field name="NAME">initializeSystem</field><comment pinned="false" h="84" w="331">This function initializes the Blinkin pattern and prompts the user to push the start button.</comment><statement name="STACK"><block type="comment" id="~-iOh_IA^:wXPWDad#uU"><field name="COMMENT">Set the initial blink pattern of the LEDs.</field><next><block type="variables_set" id="l-l8Uan=%pvoj4i#S(Jf"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field><comment pinned="false" h="64" w="353">Set a variable called "pattern" to be a BlinkinPattern.</comment><value name="VALUE"><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryPalette" id="I{a2F7Aju]2=J#BsVK3k"><field name="CATEGORY">RAINBOW</field><field name="PALETTE">RAINBOW_PALETTE</field></block></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id=";4|/WV+UMmf$|(*5q,1r"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"blinkin"}</data><value name="VALUE"><block type="variables_get" id="6b7t,.O0vNTAGPj;K+r$"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field></block></value><next><block type="comment" id="8bniZ|fL|zl|0]N)_+9t"><field name="COMMENT">If autoDisplay is true, then automatically cycle through blink patterns.</field><next><block type="variables_set" id="glH8Rku~/sZ^a*`;PbI("><field name="VAR" id="_A@%7_?t|;}7^yA)fZvM" variabletype="">autoDisplay</field><comment pinned="false" h="69" w="381">If autoDisplay is true, then the op mode should cycle automatically through the blink patterns.</comment><value name="VALUE"><block type="logic_boolean" id="@M9~@55v6^u(JcDtPf+x"><field name="BOOL">TRUE</field></block></value><next><block type="comment" id="RZ^FIgj^89#gR!|NzM%Q"><field name="COMMENT">Send telemetry data and prompt user to push start</field><next><block type="telemetry_addTextData_All" id=")f5OAb)=HaP|X-x!U6?u"><value name="KEY"><shadow type="text" id=".2KW$zTXXh*bsLmZ1cFQ"><field name="TEXT">&gt;&gt;</field></shadow></value><value name="TEXT"><shadow type="text" id="mYMt*?JK:xwcP/)L)2)G"><field name="TEXT">Push start to run op mode...</field></shadow></value><next><block type="telemetry_addTextData_All" id="%YpchQvGgm5!nC!k~~p@"><value name="KEY"><shadow type="text" id="6ov5EpL`-9;P+9?)LXFh"><field name="TEXT">Auto Display Mode</field></shadow></value><value name="TEXT"><shadow type="text" id="mYMt*?JK:xwcP/)L)2)G"><field name="TEXT">text</field></shadow><block type="variables_get" id="efrf-c^XO%_gD2(!U8#g"><field name="VAR" id="_A@%7_?t|;}7^yA)fZvM" variabletype="">autoDisplay</field></block></value><next><block type="telemetry_addTextData_All" id="+gVte`.BsVS^73Vn+h;F"><value name="KEY"><shadow type="text" id="6q%caZViMQ9YSl1)IAs:"><field name="TEXT">Pattern</field></shadow></value><value name="TEXT"><shadow type="text" id="mYMt*?JK:xwcP/)L)2)G"><field name="TEXT">text</field></shadow><block type="revBlinkinLedDriver_blinkinPattern_toText" id="_`oL^C+v269DgoM,gt_3"><value name="BLINKIN_PATTERN"><block type="variables_get" id="yx73cWpeb@(Ks4qlo]SM"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field></block></value></block></value><next><block type="telemetry_update" id="HZci0a3lmk}oEM^11{*["></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="procedures_defnoreturn" id=".us7-@^,W@u1E3X*IJUq" x="428" y="624"><field name="NAME">handleGamepad</field><comment pinned="false" h="105" w="384">This function will check to see if the user wants to toggle between auto display mode and manual mode.  if it\'s in manual mode, the function will increment or decrement the blink pattern based on the button presses.</comment><statement name="STACK"><block type="comment" id="5A3_K-5KD+ql)w8~eJl#"><field name="COMMENT">Don\'t handle gamepad unless timer exceeds limit.</field><next><block type="controls_if" id="tk.eSLN.B7^@TQnXtPG~"><value name="IF0"><block type="logic_compare" id="q+cv_~V;fyIV05V1_dns"><field name="OP">GT</field><value name="A"><block type="elapsedTime2_getProperty_Number" id="p%m!kryY4I$r`9Bk}y7V"><field name="PROP">Milliseconds</field><value name="ELAPSED_TIME"><block type="variables_get" id="6K8,_rHpDZ$cTkaxY50L"><field name="VAR" id="TX-ie,dW!;Uz#KaBSYkq" variabletype="">gamepadTimer</field></block></value></block></value><value name="B"><block type="math_number" id="ndoPcI(3T#kq;-|]Y(ep"><field name="NUM">500</field></block></value></block></value><statement name="DO0"><block type="controls_if" id="vt`1]6Tk0son+8841)v-"><mutation elseif="2"></mutation><value name="IF0"><block type="gamepad_getProperty_Boolean" id="VA^r5-Z7`SPk!xto5a]F"><field name="IDENTIFIER">gamepad1</field><field name="PROP">A</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO0"><block type="comment" id="x@r*rr$Tp%,wX~|v]+lO"><field name="COMMENT">switch to manual mode.</field><next><block type="variables_set" id="o0^MF;6rB-umko^]]Y#C"><field name="VAR" id="_A@%7_?t|;}7^yA)fZvM" variabletype="">autoDisplay</field><value name="VALUE"><block type="logic_boolean" id="x)Zaf^T.KDk$*{p/g|QG"><field name="BOOL">FALSE</field></block></value><next><block type="elapsedTime2_reset" id="y8oKs|mA_Tm^+)U=Xme;"><value name="ELAPSED_TIME"><block type="variables_get" id="62)]hi_om`A8Nl/ylDr`"><field name="VAR" id="TX-ie,dW!;Uz#KaBSYkq" variabletype="">gamepadTimer</field></block></value></block></next></block></next></block></statement><value name="IF1"><block type="gamepad_getProperty_Boolean" id="=OrgWUaNlxnynm6E+Y*w"><field name="IDENTIFIER">gamepad1</field><field name="PROP">B</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO1"><block type="controls_if" id="ip+u[an^:lHx(PfV!2^?"><value name="IF0"><block type="logic_negate" id="9vZ%W=0qty?(F3];O^g."><value name="BOOL"><block type="variables_get" id="rksWn|f}+Cvh:W@6KOYp"><field name="VAR" id="_A@%7_?t|;}7^yA)fZvM" variabletype="">autoDisplay</field></block></value></block></value><statement name="DO0"><block type="comment" id="CVoX`-oZ$1l_n)sGf{iu"><field name="COMMENT">Reset display timer.</field><next><block type="elapsedTime2_reset" id=",-)d!)o7X7uilyi4YbZx"><value name="ELAPSED_TIME"><block type="variables_get" id="/Nx4%)s.`d[)%=)Kf+nb"><field name="VAR" id="=Bru.PJ*T`.u=I{Pid,r" variabletype="">displayTimer</field></block></value></block></next></block></statement><next><block type="comment" id="u@L1sl.Y_;nOv]IOaLnI"><field name="COMMENT">switch to auto display mode.</field><next><block type="variables_set" id=";6mBGig`GKVH8LHTt@GP"><field name="VAR" id="_A@%7_?t|;}7^yA)fZvM" variabletype="">autoDisplay</field><value name="VALUE"><block type="logic_boolean" id="j1fcSQ[`EkGt5~z(Z^^g"><field name="BOOL">TRUE</field></block></value><next><block type="elapsedTime2_reset" id="=V*15pm`|llo5]?@%zq]"><value name="ELAPSED_TIME"><block type="variables_get" id="`/BDN#PS`lv[cu+lB63y"><field name="VAR" id="TX-ie,dW!;Uz#KaBSYkq" variabletype="">gamepadTimer</field></block></value></block></next></block></next></block></next></block></statement><value name="IF2"><block type="logic_negate" id="b}.p~X6zm%Bq4Ye09C/g"><value name="BOOL"><block type="variables_get" id="miUQI?ep+~_~(ts5R~B:"><field name="VAR" id="_A@%7_?t|;}7^yA)fZvM" variabletype="">autoDisplay</field></block></value></block></value><statement name="DO2"><block type="comment" id="1(#sjl2P65pY@2@4t;QH"><field name="COMMENT">manual mode</field><next><block type="controls_if" id="fV^:0J%@l#GH{sK2{Dm#"><mutation elseif="1"></mutation><value name="IF0"><block type="gamepad_getProperty_Boolean" id="kkg_qAQ~W?P7mmmvh:C."><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftBumper</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO0"><block type="comment" id="Cncu/WA=8nttWvLlZUX5"><field name="COMMENT">change to previous pattern.</field><next><block type="variables_set" id="*m7o409h`gY1Ur^F`Z2I"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field><value name="VALUE"><block type="revBlinkinLedDriver_blinkinPattern_previous" id="uzuM2%Zi;ru#{/m7We;!"><value name="BLINKIN_PATTERN"><block type="variables_get" id="[O.i-#@~Bx10?;k,6nbJ"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field></block></value></block></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="75E@YsddAw$=T-xwv/Wo"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"blinkin"}</data><value name="VALUE"><block type="variables_get" id="k=L[IrIhdp8l2-GpSXJF"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field></block></value><next><block type="elapsedTime2_reset" id="r#f5lP(:mP0j`!gB.QMJ"><value name="ELAPSED_TIME"><block type="variables_get" id="[:a[WnQ9{X(~Np6]4}L("><field name="VAR" id="TX-ie,dW!;Uz#KaBSYkq" variabletype="">gamepadTimer</field></block></value></block></next></block></next></block></next></block></statement><value name="IF1"><block type="gamepad_getProperty_Boolean" id="c|ZO{=Tsl4F2U25U8d5+"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightBumper</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO1"><block type="comment" id="?YXkfOY%Djda-ZSy%M$,"><field name="COMMENT">change to next pattern.</field><next><block type="variables_set" id="LXl:bj@@j#a?L{Gie;=X"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field><value name="VALUE"><block type="revBlinkinLedDriver_blinkinPattern_next" id="X}!CH@Jv^lzeJMn:#?SF"><value name="BLINKIN_PATTERN"><block type="variables_get" id=":8m(N|CC?Ox4eJ!0PO1f"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field></block></value></block></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="ZzbYfh,WK=2a|q!C=|$A"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"blinkin"}</data><value name="VALUE"><block type="variables_get" id="b6@f;).ukVj6=OFENT~w"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field></block></value><next><block type="elapsedTime2_reset" id="]#Zf]W=]34)G#vKEf[d9"><value name="ELAPSED_TIME"><block type="variables_get" id="gkY=*8u}QXUt=g{1%ww["><field name="VAR" id="TX-ie,dW!;Uz#KaBSYkq" variabletype="">gamepadTimer</field></block></value></block></next></block></next></block></next></block></statement></block></next></block></statement></block></statement></block></next></block></statement></block><block type="procedures_defnoreturn" id="%,/=JE!=CrtG_CCGw^Zk" x="426" y="1647"><field name="NAME">doAutoDisplay</field><comment pinned="false" h="68" w="294">This function will cycle the pattern if the display timer has exceeded its limit.</comment><statement name="STACK"><block type="comment" id="SF{Y%c.5BGu#A2G,}*`m"><field name="COMMENT">does display timer exceed limit?</field><next><block type="controls_if" id="jP1Vk:-VJAF)4vpDk~$U"><value name="IF0"><block type="logic_compare" id="?c@mF?X[A1=O,~|iq3~X"><field name="OP">GT</field><value name="A"><block type="elapsedTime2_getProperty_Number" id="H^fQ^d9NV~PaDZl7h?`j"><field name="PROP">Seconds</field><value name="ELAPSED_TIME"><block type="variables_get" id="3-LMNQ:7x@ZMNYjezLJ]"><field name="VAR" id="=Bru.PJ*T`.u=I{Pid,r" variabletype="">displayTimer</field></block></value></block></value><value name="B"><block type="math_number" id="v)RZ*OJDFX0G{Zh)H*UF"><field name="NUM">5</field></block></value></block></value><statement name="DO0"><block type="comment" id="I]Fm5qX:@YtIgHnW{o4b"><field name="COMMENT">move to the next pattern</field><next><block type="variables_set" id="ic;OS~/pBmK~A2kus0g{"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field><value name="VALUE"><block type="revBlinkinLedDriver_blinkinPattern_next" id="j+d4[]YWXlZCe)c(i3wy"><value name="BLINKIN_PATTERN"><block type="variables_get" id="(MPXW{bQvV5uS9n5yxfQ"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field></block></value></block></value><next><block type="revBlinkinLedDriver_setProperty_BlinkinPattern" id="Pnhosf=i,c.9H`|K:bK;"><field name="IDENTIFIER">LightsAsRevBlinkinLedDriver</field><field name="PROP">Pattern</field><data>{"IDENTIFIER":"blinkin"}</data><value name="VALUE"><block type="variables_get" id="^_^DokO8=,w:mSsV|Ip/"><field name="VAR" id="Kx;-bsrNjMPTZ?Gh/@;H" variabletype="">pattern</field></block></value><next><block type="elapsedTime2_reset" id="P69K8*]C8^2/ldFTQ5=9"><value name="ELAPSED_TIME"><block type="variables_get" id="[(2UOi/Pb$,C!u8mgE@X"><field name="VAR" id="=Bru.PJ*T`.u=I{Pid,r" variabletype="">displayTimer</field></block></value></block></next></block></next></block></next></block></statement></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'SensorDigitalTouch':
      return '<xml xmlns="http://www.w3.org/1999/xhtml"><variables></variables><block type="procedures_defnoreturn" id="j8ZgQ%g4SuYqRpC%R1YD" deletable="false" editable="false" x="50" y="50"><field name="NAME">runOpMode</field><comment pinned="false" h="80" w="160">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="c0~A:hTaV~N(_?^N%Gj7"><field name="COMMENT">Configure digital pin for input mode.</field><next><block type="digitalChannel_setProperty_DigitalChannelMode" id=",-`xZf=E?2`Zlgn},e5="><field name="IDENTIFIER">digitalTouchAsDigitalChannel</field><field name="PROP">Mode</field><data>{"IDENTIFIER":"digitalTouch"}</data><value name="VALUE"><shadow type="digitalChannel_typedEnum_mode" id="cI2W{t_kB?W2BW8k45D5"><field name="MODE">INPUT</field></shadow></value><next><block type="telemetry_addTextData_All" id="uU3xSMpBB!op=0%z6%yp"><value name="KEY"><shadow type="text" id="Ln.QKK43H+d~BNWc0YVE"><field name="TEXT">DigitalTouchSensorExample</field></shadow></value><value name="TEXT"><shadow type="text" id="[2$N7H,F1(^$@.w3Ffv4"><field name="TEXT">Press start to continue...</field></shadow></value><next><block type="telemetry_update" id="!~*kS$O`fpWmIU5}eWBc"><next><block type="linearOpMode_waitForStart" id="=sPtSG1K{*0Jr?PtmNZx"><next><block type="controls_if" id="x|]Ev;PrXv+bb2^WiWT,"><value name="IF0"><block type="linearOpMode_opModeIsActive" id="@n$h]Fe:_AN$-MK1Nx|h"></block></value><statement name="DO0"><block type="comment" id="YL)uXK`goGn[?9caqBzB"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="CSu;n5wvSKluH][%;R,`"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="kz(;ttLuzp=.y7|:f/q#"></block></value><statement name="DO"><block type="comment" id="@S3wIhV}Uy/}xZi5:.:K"><field name="COMMENT">button is pressed if value returned is LOW or false.</field><next><block type="controls_if" id="6ji0;|;Br9C2Rm-u9*jx"><mutation else="1"></mutation><value name="IF0"><block type="logic_compare" id="c}K/An}Dq4+Y8i5Py]Pu"><field name="OP">EQ</field><value name="A"><block type="digitalChannel_getProperty_Boolean" id="@4k*`V]^5YyenOS(=tYn"><field name="IDENTIFIER">digitalTouchAsDigitalChannel</field><field name="PROP">State</field><data>{"IDENTIFIER":"digitalTouch"}</data></block></value><value name="B"><block type="logic_boolean" id="irz0i,sJy+{d6YF|Si~b"><field name="BOOL">FALSE</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="{U@+,:P)CmZ4YY7fa~cB"><value name="KEY"><shadow type="text" id="%SMre!wupR]rqRZ9:br6"><field name="TEXT">Button</field></shadow></value><value name="TEXT"><shadow type="text" id="b5X2/wen*6h)b:4DkKM."><field name="TEXT">PRESSED</field></shadow></value></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="aeS~sdb*)EZL_0EYp?@)"><value name="KEY"><shadow type="text" id="Zp:_NJRA:RR5#5bx%EFm"><field name="TEXT">Button</field></shadow></value><value name="TEXT"><shadow type="text" id="D9rgB:j.|PtA5=iR5yn*"><field name="TEXT">NOT PRESSED</field></shadow></value></block></statement><next><block type="telemetry_update" id="[|-6W}36MJS~b*_Zz_~r"></block></next></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'SensorIMU':
      return '<xml xmlns="http://www.w3.org/1999/xhtml"><variables><variable type="" id="FbaKvU!;|Tlp/}9nA2Ob">imuParameters</variable><variable type="" id="~LUL9~Z;enziZiH||`!?">angles</variable><variable type="" id="#]v^/7$}[x}*;PPYGOk(">gravity</variable></variables><block type="procedures_defnoreturn" id=".C5qAWP%TVp.hOLyFe(w" deletable="false" editable="false" x="50" y="50"><field name="NAME">runOpMode</field><comment pinned="false" h="80" w="160">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="Nza/1vCee@t2F,C[_^-o"><field name="COMMENT">Create new IMU Parameters object.</field><next><block type="variables_set" id="@Ya2R~P,E!RTmfG`+8Z5"><field name="VAR" id="FbaKvU!;|Tlp/}9nA2Ob" variabletype="">imuParameters</field><value name="VALUE"><block type="bno055imuParameters_create" id="Z|A~RqD{t/!0-~BAuY(["></block></value><next><block type="comment" id="`aq82cVD)Z5ENpXkSG3j"><field name="COMMENT">Use degrees as angle unit.</field><next><block type="bno055imuParameters_setAngleUnit" id="OB7Zsf$lb_)`GOa|T78t"><value name="BNO055IMU_PARAMETERS"><block type="variables_get" id="(S{nKP6y94;y_Ijayb{;"><field name="VAR" id="FbaKvU!;|Tlp/}9nA2Ob" variabletype="">imuParameters</field></block></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit" id="5vr(.`/7(ZF5b}E4e]L!"><field name="ANGLE_UNIT">DEGREES</field></shadow></value><next><block type="comment" id="nfyb[K5*`e=e;RtwdfT,"><field name="COMMENT">Express acceleration as m/s^2.</field><next><block type="bno055imuParameters_setAccelUnit" id="~H(Dw+r[l/.thWJRLXLb"><value name="BNO055IMU_PARAMETERS"><block type="variables_get" id="]ViYVMnx=*T`rx`~Nb6s"><field name="VAR" id="FbaKvU!;|Tlp/}9nA2Ob" variabletype="">imuParameters</field></block></value><value name="ACCEL_UNIT"><shadow type="bno055imuParameters_typedEnum_accelUnit" id="*Q]PM*$/r1}S#iu6NUIv"><field name="ACCEL_UNIT">METERS_PERSEC_PERSEC</field></shadow></value><next><block type="comment" id="zLU[PpU=;X+ob*uT6A]A"><field name="COMMENT">Disable logging.</field><next><block type="bno055imuParameters_setLoggingEnabled" id="v2AwUqW,@C-Xa:HsVCie"><value name="BNO055IMU_PARAMETERS"><block type="variables_get" id="IaGgzqdNi@ryST}]A$7X"><field name="VAR" id="FbaKvU!;|Tlp/}9nA2Ob" variabletype="">imuParameters</field></block></value><value name="LOGGING_ENABLED"><shadow type="logic_boolean" id="|*51eNRnb;%E*B;1U=Sm"><field name="BOOL">FALSE</field></shadow></value><next><block type="comment" id="}uxrcK{*_XRvt~Af0=Zh"><field name="COMMENT">Initialize IMU.</field><next><block type="bno055imu_initialize" id="L)mUPf_*~9K0lQKKU{7k"><field name="IDENTIFIER">imuAsBNO055IMU</field><data>{"IDENTIFIER":"imu"}</data><value name="PARAMETERS"><block type="variables_get" id="gi_FUMi?IOZAHjgYL|n!"><field name="VAR" id="FbaKvU!;|Tlp/}9nA2Ob" variabletype="">imuParameters</field></block></value><next><block type="comment" id="50963kz99wL?$qb1eCM#"><field name="COMMENT">Prompt user to press start buton.</field><next><block type="telemetry_addTextData_All" id="I|{*]NJnDWUu_sRNEJNc"><value name="KEY"><shadow type="text" id="nuSy%(#K?ju^!J({=p*$"><field name="TEXT">IMU Example</field></shadow></value><value name="TEXT"><shadow type="text" id="hNxd`A78U4TArXsSLyT%"><field name="TEXT">Press start to continue...</field></shadow></value><next><block type="telemetry_update" id="BVC0k!i2F8K?hA5wy1UO"><next><block type="linearOpMode_waitForStart" id="92MX!.#[AD#WNtKt4f+]"><next><block type="controls_if" id="(xE-t{ZSFBWrNyAt#(Lg"><value name="IF0"><block type="linearOpMode_opModeIsActive" id=",_L/yC`0GP5}rAw?:?l}"></block></value><statement name="DO0"><block type="comment" id="u(VJvZJERNpN$v^,:k%2"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="x+6xBn4:_+Iq]kCttUSS"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="B*pFK1@PI_JqfeALPI`M"></block></value><statement name="DO"><block type="comment" id="Hk{3u|gayGk}t4B[mn57"><field name="COMMENT">Get absolute orientation</field><next><block type="comment" id="2[b2S^TbBN|ZDKIPTCTx"><field name="COMMENT">Get acceleration due to force of gravity.</field><next><block type="variables_set" id="yL3ltwiBH4E(OD(%|WA!"><field name="VAR" id="~LUL9~Z;enziZiH||`!?" variabletype="">angles</field><value name="VALUE"><block type="bno055imu_getAngularOrientation" id="*~!pw]|@:UffO+DP~Oth"><field name="IDENTIFIER">imuAsBNO055IMU</field><data>{"IDENTIFIER":"imu"}</data><value name="AXES_REFERENCE"><shadow type="navigation_typedEnum_axesReference" id="!uSPH#9gEQjmYd!!L*Zu"><field name="AXES_REFERENCE">INTRINSIC</field></shadow></value><value name="AXES_ORDER"><shadow type="navigation_typedEnum_axesOrder" id="X.WQr`$_$z}qJl^!MPZ!"><field name="AXES_ORDER">ZYX</field></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit" id="KtGQBfDA`V1Jc:Yhq-5l"><field name="ANGLE_UNIT">DEGREES</field></shadow></value></block></value><next><block type="variables_set" id=":{xd3^F|e,)G+x3^(7Sn"><field name="VAR" id="#]v^/7$}[x}*;PPYGOk(" variabletype="">gravity</field><value name="VALUE"><block type="bno055imu_getProperty_Acceleration" id="sI7xC=zc);0tA95zW([5"><field name="IDENTIFIER">imuAsBNO055IMU</field><field name="PROP">Gravity</field><data>{"IDENTIFIER":"imu"}</data></block></value><next><block type="comment" id="*sfgJpD!TIi5%3,fIA$J"><field name="COMMENT">Display orientation info.</field><next><block type="telemetry_addNumericData_Number" id="?WegteK9LY3d`hTN(/F1"><value name="KEY"><shadow type="text" id="Q2#n6^-?]I;}CV*(|IEd"><field name="TEXT">rot about Z</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="Birj9wk*?|%Xk#1A2UM("><field name="NUM">123</field></shadow><block type="orientation_getProperty_Number" id="^}};qtD:W@};72f-;7z#"><field name="PROP">FirstAngle</field><value name="ORIENTATION"><block type="variables_get" id="(/6;@TJA5$EJRli0nLC8"><field name="VAR" id="~LUL9~Z;enziZiH||`!?" variabletype="">angles</field></block></value></block></value><next><block type="telemetry_addNumericData_Number" id="%~}fRo#A4(EGw?ZI87}K"><value name="KEY"><shadow type="text" id="!sqZY|J1xGR,U,u$su!P"><field name="TEXT">rot about Y</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="Birj9wk*?|%Xk#1A2UM("><field name="NUM">123</field></shadow><block type="orientation_getProperty_Number" id="rO1]S}q~z0;Rb^D7Yr#r"><field name="PROP">SecondAngle</field><value name="ORIENTATION"><block type="variables_get" id="yv}O,8]*ry(s#vlf)wX0"><field name="VAR" id="~LUL9~Z;enziZiH||`!?" variabletype="">angles</field></block></value></block></value><next><block type="telemetry_addNumericData_Number" id="H;TO|TLO5!UBZ0zZ||%f"><value name="KEY"><shadow type="text" id="}rTC/k;}NimSqXR2go?e"><field name="TEXT">rot about X</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="Birj9wk*?|%Xk#1A2UM("><field name="NUM">123</field></shadow><block type="orientation_getProperty_Number" id="SP5h7?{{Xk]R!W_W~C9["><field name="PROP">ThirdAngle</field><value name="ORIENTATION"><block type="variables_get" id="4,:;S9q3;(_BvCH89%yf"><field name="VAR" id="~LUL9~Z;enziZiH||`!?" variabletype="">angles</field></block></value></block></value><next><block type="comment" id="QNqIik:q|4ImPUc*9QG^"><field name="COMMENT">Display gravitational acceleration.</field><next><block type="telemetry_addNumericData_Number" id="Cqt(`TGwA/:Vq`[lBSm8"><value name="KEY"><shadow type="text" id="TDl$B-+(b^{|5EetSYa]"><field name="TEXT">gravity (Z)</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="Birj9wk*?|%Xk#1A2UM("><field name="NUM">123</field></shadow><block type="acceleration_getProperty_Number" id="k3Byi/mz|PuOKlHk9V{$"><field name="PROP">ZAccel</field><value name="ACCELERATION"><block type="variables_get" id="/^bCd^wy8tiTs9ty.tR#"><field name="VAR" id="#]v^/7$}[x}*;PPYGOk(" variabletype="">gravity</field></block></value></block></value><next><block type="telemetry_addNumericData_Number" id="v1^NT6W$)$lJP:7g49x3"><value name="KEY"><shadow type="text" id="#3j@_iX^rhy@m.qplD|}"><field name="TEXT">gravity (Y)</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="Birj9wk*?|%Xk#1A2UM("><field name="NUM">123</field></shadow><block type="acceleration_getProperty_Number" id="fl~%TFsKuPs)LoD.g].T"><field name="PROP">YAccel</field><value name="ACCELERATION"><block type="variables_get" id="cBwD@hwC*3D3kxz~~(9|"><field name="VAR" id="#]v^/7$}[x}*;PPYGOk(" variabletype="">gravity</field></block></value></block></value><next><block type="telemetry_addNumericData_Number" id="n7REFu]6eyX8QZTI[*J)"><value name="KEY"><shadow type="text" id="`xq]Prju_@MUh3hN%PQ@"><field name="TEXT">gravity (X)</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="Birj9wk*?|%Xk#1A2UM("><field name="NUM">123</field></shadow><block type="acceleration_getProperty_Number" id="a!9OOO-p+eldGtv:7~kj"><field name="PROP">XAccel</field><value name="ACCELERATION"><block type="variables_get" id="EybT[_@,K[*H=H[X#Hpq"><field name="VAR" id="#]v^/7$}[x}*;PPYGOk(" variabletype="">gravity</field></block></value></block></value><next><block type="telemetry_update" id="Dd6y4Mjx5+AfHM?TiUbT"></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
    case 'SensorREVColorDistance':
      return '<xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="0)52Pew1EzfSRGo:9}fh">gain</variable><variable id="gb`)x4HOn`wR:pPDMx9)">normalizedColors</variable><variable id="94iYu1dl`rTpW[1N1)|Q">color</variable><variable id="0;vj(c6!Mg]vk4()j5F]">hue</variable><variable id="9ApQ8KvDslXqv}4}DDr:">saturation</variable><variable id="B](w)xMp:/L@pXgq!?92">value</variable></variables><block type="procedures_defnoreturn" id="N5+,3)OebbE6UZcs_7Pq" deletable="false" editable="false" x="10" y="10"><field name="NAME">runOpMode</field><comment pinned="false" h="80" w="160">This function is executed when this Op Mode is selected from the Driver Station.</comment><statement name="STACK"><block type="comment" id="W[upihAQT8!:[,2wul*s"><field name="COMMENT">This op mode demonstrates the color and distance features of the REV sensor.</field><next><block type="variables_set" id="jsi_j`*08npd8T@Dj!2B"><field name="VAR" id="0)52Pew1EzfSRGo:9}fh">gain</field><value name="VALUE"><block type="math_number" id="Z03/t^[,[X03JVCyT_P%"><field name="NUM">2</field></block></value><next><block type="telemetry_addTextData_All" id="aSlTM9-ez!A,Z`unGn.`"><value name="KEY"><shadow type="text" id="Xtj,n`nXt`^Bpj$f2Adz"><field name="TEXT">Color Distance Example</field></shadow></value><value name="TEXT"><shadow type="text" id="7:+52]zaA^gw?Br)]@oK"><field name="TEXT">Press start to continue...</field></shadow></value><next><block type="telemetry_update" id="@Hz|E$ax/[Cs|A61Z;|%"><next><block type="linearOpMode_waitForStart" id="4t0$G]~F}W(gapkqf.[j"><next><block type="controls_if" id="3MplzZs9L9nVpiVq!9j$"><value name="IF0"><block type="linearOpMode_opModeIsActive" id="Nuc!1Q_C}64C,eh7u$]$"/></value><statement name="DO0"><block type="comment" id="#Kwr+=rj6!eW43Dp@GrJ"><field name="COMMENT">Put run blocks here.</field><next><block type="controls_whileUntil" id="i%lNsp|TaIiK9GA#+0G8"><field name="MODE">WHILE</field><value name="BOOL"><block type="linearOpMode_opModeIsActive" id="TLkpMw61x?e^]0$REbAq"/></value><statement name="DO"><block type="comment" id="Xe%Qm9[Gug.r!rx=O:QZ"><field name="COMMENT">Display distance info.</field><next><block type="telemetry_addNumericData_Number" id="cUj=G;(;9#F(7]BP9ci="><value name="KEY"><shadow type="text" id="k`(8hxVNoQ*CT[+Sxy$?"><field name="TEXT">Dist to tgt (cm)</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="R0kOd.7^wiNsCUI1,~1y"><field name="NUM">123</field></shadow><block type="lynxI2cColorRangeSensor_getDistance_Number" id="G::~+y1/s{x=rqtZR5F1"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><data>{"IDENTIFIER":"sensorColorRange"}</data><value name="UNIT"><shadow type="navigation_typedEnum_distanceUnit" id="MkE2VUev],.AI8t*YC)w"><field name="DISTANCE_UNIT">CM</field></shadow></value></block></value><next><block type="comment" id=")@tXp`N3pW.qK:+m^sMW"><field name="COMMENT">Display reflected light.</field><next><block type="telemetry_addNumericData_Number" id="`6K*(A|:vAp(I,uC]A~^"><value name="KEY"><shadow type="text" id="!5/(rk.;1IqKV@u~{N/`"><field name="TEXT">Light detected</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="R0kOd.7^wiNsCUI1,~1y"><field name="NUM">123</field></shadow><block type="lynxI2cColorRangeSensor_getProperty_Number" id="C@#iSBZd2CRv+p@dE;Xj"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">LightDetected</field><data>{"IDENTIFIER":"sensorColorRange"}</data></block></value><next><block type="comment" id="BJa{#wQtg8,YpvKUMoIw"><field name="COMMENT">Adjust the gain.</field><next><block type="controls_if" id="+|P|Lnkh42aHp/,{F7i?"><mutation elseif="1"/><value name="IF0"><block type="gamepad_getProperty_Boolean" id="nKV~wSJ4lRqoZ]Q!qwr="><field name="IDENTIFIER">gamepad1</field><field name="PROP">A</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><statement name="DO0"><block type="math_change" id="r-AAJpzYb$B^P-+[Bt44"><field name="VAR" id="0)52Pew1EzfSRGo:9}fh">gain</field><value name="DELTA"><shadow type="math_number" id="JL[@hnWG`0KmC_Gm8;f{"><field name="NUM">0.005</field></shadow></value></block></statement><value name="IF1"><block type="logic_operation" id="Zef#k`p8B`[a7irf$:cD" inline="false"><field name="OP">AND</field><value name="A"><block type="gamepad_getProperty_Boolean" id="mHi|gQi,yyeatl`]4u5!"><field name="IDENTIFIER">gamepad1</field><field name="PROP">B</field><data>{"IDENTIFIER":"gamepad1"}</data></block></value><value name="B"><block type="logic_compare" id="sU`o@QPL5,ELM%Wf?H$1"><field name="OP">GTE</field><value name="A"><block type="variables_get" id="Iy8,).|)OeQKOS^`,nG]"><field name="VAR" id="0)52Pew1EzfSRGo:9}fh">gain</field></block></value><value name="B"><block type="math_number" id="DGkTgxEA|yC}JWtb!@W6"><field name="NUM">1.005</field></block></value></block></value></block></value><statement name="DO1"><block type="math_change" id="G/pdN[U-(gc!U.[e?SaN"><field name="VAR" id="0)52Pew1EzfSRGo:9}fh">gain</field><value name="DELTA"><shadow type="math_number" id="AS@a?sx0rora?GBA--h3"><field name="NUM">-0.005</field></shadow></value></block></statement><next><block type="lynxI2cColorRangeSensor_setProperty_Number" id="V+-e3@.NtRNv}mF!FGdW"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">Gain</field><data>{"IDENTIFIER":"sensorColorRange"}</data><value name="VALUE"><shadow type="math_number" id="Sz#[#r*@z.vevGGOLz*u"><field name="NUM">2</field></shadow><block type="variables_get" id="f53,h?s|r=JV1+`#B[D%"><field name="VAR" id="0)52Pew1EzfSRGo:9}fh">gain</field></block></value><next><block type="telemetry_addNumericData_Number" id="9ArT{1qZSHxW-?t9:7TC"><value name="KEY"><shadow type="text" id="%-QEWNgWs,@3I26U3^dj"><field name="TEXT">Gain</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow><block type="lynxI2cColorRangeSensor_getProperty_Number" id="OM%K5kg9lD2X]@!v~y:o"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">Gain</field><data>{"IDENTIFIER":"sensorColorRange"}</data></block></value><next><block type="comment" id="YjkR-n:iuxeGZ53R)/HI"><field name="COMMENT">Read color from the sensor.</field><next><block type="variables_set" id="+9c$g^L;;GC|Kei!*Wy9"><field name="VAR" id="gb`)x4HOn`wR:pPDMx9)">normalizedColors</field><value name="VALUE"><block type="lynxI2cColorRangeSensor_getNormalizedColors" id="M?VZXiTlQYhCg{/=4Sg$"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><data>{"IDENTIFIER":"sensorColorRange"}</data></block></value><next><block type="telemetry_addNumericData_Number" id="6%Bp%RY$CFecoi?9(s-c"><value name="KEY"><shadow type="text" id="s~?*[+hs~:1EuD9hYP_("><field name="TEXT">Red</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow><block type="misc_roundDecimal" id=";|(xlJua*D1!xBaS),0U"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow><block type="normalizedColors_getProperty_Number" id="/`Nk)P|`RIa{EDi^#58B"><field name="PROP">Red</field><value name="NORMALIZED_COLORS"><block type="variables_get" id="|lJK/}2NVMTsiH_AH`Lh"><field name="VAR" id="gb`)x4HOn`wR:pPDMx9)">normalizedColors</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="=bF6?f!oFHQ;!-i8Z(F9"><field name="NUM">3</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="|NAqd/W7h@)n=A(5A5MC"><value name="KEY"><shadow type="text" id="oK5cq5W1%4=*2FL3Qr|q"><field name="TEXT">Green</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="1^iCK/Qr1vC{9Wir3R(A"><field name="NUM">123</field></shadow><block type="misc_roundDecimal" id=":1SHIC_n.wETQU?oWI$]"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow><block type="normalizedColors_getProperty_Number" id=";kuQ@nm;jtrj9^/Au+MI"><field name="PROP">Green</field><value name="NORMALIZED_COLORS"><block type="variables_get" id="}OKEyQp3rwvBl{3)$IDN"><field name="VAR" id="gb`)x4HOn`wR:pPDMx9)">normalizedColors</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="+TK.3py?:6sEX2,5XR8p"><field name="NUM">3</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="gI-7)r3E=hmU%r-k+ubi"><value name="KEY"><shadow type="text" id="Ft}xces@+Pxnxc[4xc4H"><field name="TEXT">Blue</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow><block type="misc_roundDecimal" id="o#N#h-Qua_gY1}8,u8;g"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow><block type="normalizedColors_getProperty_Number" id="1O.-EnQ=KMK$8dwi~26K"><field name="PROP">Blue</field><value name="NORMALIZED_COLORS"><block type="variables_get" id=":L|*?xKgXT9o^/HerKPb"><field name="VAR" id="gb`)x4HOn`wR:pPDMx9)">normalizedColors</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="$lrAqRary{cECdGKs3SW"><field name="NUM">3</field></shadow></value></block></value><next><block type="comment" id="xn`moI0ka%(z!w(+[l6p"><field name="COMMENT">Convert RGB values to Hue, Saturation, and Value.</field><next><block type="comment" id="uvmL.J2j$k:?.q#c9!}]"><field name="COMMENT">See https://en.wikipedia.org/wiki/HSL_and_HSV for details on HSV color model.</field><next><block type="variables_set" id="l7nH{~9o;.kFf~(-;uZQ"><field name="VAR" id="94iYu1dl`rTpW[1N1)|Q">color</field><value name="VALUE"><block type="normalizedColors_getProperty_Number" id="tP9.:/3:og[+rjJX/-ql"><field name="PROP">Color</field><value name="NORMALIZED_COLORS"><block type="variables_get" id="lt4r,GEFIJyDaMhu9~2c"><field name="VAR" id="gb`)x4HOn`wR:pPDMx9)">normalizedColors</field></block></value></block></value><next><block type="variables_set" id="`ZNO02.eI:q(6uD]q7Mw"><field name="VAR" id="0;vj(c6!Mg]vk4()j5F]">hue</field><value name="VALUE"><block type="color_getProperty_Number" id="ibwvnJ6;g34H78](HSPh"><field name="PROP">Hue</field><value name="COLOR"><block type="variables_get" id="*EEA+ou)mqOhov5$*vSb"><field name="VAR" id="94iYu1dl`rTpW[1N1)|Q">color</field></block></value></block></value><next><block type="variables_set" id="W=kSaM8olut}de9@p,x8"><field name="VAR" id="9ApQ8KvDslXqv}4}DDr:">saturation</field><value name="VALUE"><block type="color_getProperty_Number" id="J?pxAvJo09!CYqrvmcWr"><field name="PROP">Saturation</field><value name="COLOR"><block type="variables_get" id="~4T$WAcKV;$}5%8^9~dk"><field name="VAR" id="94iYu1dl`rTpW[1N1)|Q">color</field></block></value></block></value><next><block type="variables_set" id="2@6g5zVVN0[tcHN3]c50"><field name="VAR" id="B](w)xMp:/L@pXgq!?92">value</field><value name="VALUE"><block type="color_getProperty_Number" id="LYVy47vnlL:3C-dx3N7!"><field name="PROP">Value</field><value name="COLOR"><block type="variables_get" id="UEj{P5/e(9cB$8F?$*0#"><field name="VAR" id="94iYu1dl`rTpW[1N1)|Q">color</field></block></value></block></value><next><block type="telemetry_addNumericData_Number" id="aVWtXOPCm),;v}be.cz,"><value name="KEY"><shadow type="text" id="h_w,z657S+iNU+|a@gF/"><field name="TEXT">Hue</field></shadow></value><value name="NUMBER"><shadow type="math_number" id="R0kOd.7^wiNsCUI1,~1y"><field name="NUM">123</field></shadow><block type="misc_roundDecimal" id="7a!0%#O?:+{rM^z#pGv."><value name="NUMBER"><shadow type="math_number" id="?j]@M,OKJg#(kfdjUA~~"><field name="NUM">3.14159265</field></shadow><block type="variables_get" id="`],4GF8hy@#=on-5+a*A"><field name="VAR" id="0;vj(c6!Mg]vk4()j5F]">hue</field></block></value><value name="PRECISION"><shadow type="math_number" id="^5b#v(0WBsrsP@_O(b;F"><field name="NUM">0</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="LBFfdV[iq:q0]Qhq9ne]"><value name="KEY"><shadow type="text" id="6D*Fi+F?P7ntMXEopOi@"><field name="TEXT">Saturation</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow><block type="misc_roundDecimal" id="1KY@495:v8Ln~%9RZwV0"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow><block type="variables_get" id="fo:.T!.@|`k`fKGErF27"><field name="VAR" id="9ApQ8KvDslXqv}4}DDr:">saturation</field></block></value><value name="PRECISION"><shadow type="math_number" id="oVJDF|,dmJ5h|kCb14(="><field name="NUM">3</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="=lU-(=X#AJFB_WblLG4V"><value name="KEY"><shadow type="text" id="Hkkh05!b^eh@m(%#YEr0"><field name="TEXT">Value</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow><block type="misc_roundDecimal" id="jc6qp6z7SxHR^dH4~dJw"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow><block type="variables_get" id="a$aH32XZFP43A*{F:UNX"><field name="VAR" id="B](w)xMp:/L@pXgq!?92">value</field></block></value><value name="PRECISION"><shadow type="math_number" id="|VXmg@4OK%P2}Ey*!4;p"><field name="NUM">3</field></shadow></value></block></value><next><block type="telemetry_addNumericData_Number" id="FmIqG+Nt4jhf?ai{Gvpe"><value name="KEY"><shadow type="text" id="r/YOO35RfbB3:k2/*0RO"><field name="TEXT">Alpha</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow><block type="misc_roundDecimal" id="{+rM?0oS,qT3aB//peC4"><value name="NUMBER"><shadow type="math_number" id="AWVjj@CND$r8Zr=(w;]%"><field name="NUM">3.14159265</field></shadow><block type="normalizedColors_getProperty_Number" id="dY+hgMcujiAkJbfak6;W"><field name="PROP">Alpha</field><value name="NORMALIZED_COLORS"><block type="variables_get" id="D:^%h*OH5y(bOlMz7C$-"><field name="VAR" id="gb`)x4HOn`wR:pPDMx9)">normalizedColors</field></block></value></block></value><value name="PRECISION"><shadow type="math_number" id="D}SC6g?m7^R41h2|!JgS"><field name="NUM">3</field></shadow></value></block></value><next><block type="comment" id="9adHkcr,[[oB-ghF$kmT"><field name="COMMENT">Show the color on the Robot Controller screen.</field><next><block type="color_showColor" id="J;RvTP2(5?cW=*Uh8#xM"><value name="COLOR"><block type="variables_get" id="!Z-^n`[t[%dC6VF9^aI0"><field name="VAR" id="94iYu1dl`rTpW[1N1)|Q">color</field></block></value><next><block type="comment" id="QEaPmLs0~qUl0Z=;_QXu"><field name="COMMENT">Use hue to determine if it\'s red, green, blue, etc..</field><next><block type="controls_if" id="#;Z~Xt9Od?`KG@,D#;cW"><mutation elseif="5" else="1"/><value name="IF0"><block type="logic_compare" id="?]3*Duvcz]}yrHJXAWZa"><field name="OP">LT</field><value name="A"><block type="variables_get" id="B?27K.Ep`78%$B,wox]Q"><field name="VAR" id="0;vj(c6!Mg]vk4()j5F]">hue</field></block></value><value name="B"><block type="math_number" id="N_|OZ%apTi._Np@)9R6Z"><field name="NUM">30</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id=".?}~)7+J!.2zqL[j{(AF"><value name="KEY"><shadow type="text" id="e9LGVyd5RWy94h4pDK)?"><field name="TEXT">Color</field></shadow></value><value name="TEXT"><shadow type="text" id="-LgA8zq[|$7Any-uZJxL"><field name="TEXT">Red</field></shadow></value></block></statement><value name="IF1"><block type="logic_compare" id="l(`GtdFM:)3[ykwwUrFv"><field name="OP">LT</field><value name="A"><block type="variables_get" id="WYnC`_RSC*YN|P=pr8Qu"><field name="VAR" id="0;vj(c6!Mg]vk4()j5F]">hue</field></block></value><value name="B"><block type="math_number" id="8X$ZYI3K}u.YH07gA^tn"><field name="NUM">60</field></block></value></block></value><statement name="DO1"><block type="telemetry_addTextData_All" id="kxtizd0g#*xPPGwSV8cU"><value name="KEY"><shadow type="text" id="^~utPO+5gI4F0P1,?3+["><field name="TEXT">Color</field></shadow></value><value name="TEXT"><shadow type="text" id="JvM0eyV-$ULqO(~4*/Xh"><field name="TEXT">Orange</field></shadow></value></block></statement><value name="IF2"><block type="logic_compare" id="l=VF]7()]FVp}V:Ip=9*"><field name="OP">LT</field><value name="A"><block type="variables_get" id="jFeu^AGO.%vP--bErSD`"><field name="VAR" id="0;vj(c6!Mg]vk4()j5F]">hue</field></block></value><value name="B"><block type="math_number" id="+Z`.CvpkcP*UtTKN^fk8"><field name="NUM">90</field></block></value></block></value><statement name="DO2"><block type="telemetry_addTextData_All" id="OF4(ne1gb~P-1=4ep)xi"><value name="KEY"><shadow type="text" id="Wm/-t8^gmo-g^jd:%C6("><field name="TEXT">Color</field></shadow></value><value name="TEXT"><shadow type="text" id="tZ3w9-*Gl[E^DM6P2#GY"><field name="TEXT">Yellow</field></shadow></value></block></statement><value name="IF3"><block type="logic_compare" id="V~A|MF}#4d}qUe4gkGqu"><field name="OP">LT</field><value name="A"><block type="variables_get" id="2_{Lh0D01%M[URolksO,"><field name="VAR" id="0;vj(c6!Mg]vk4()j5F]">hue</field></block></value><value name="B"><block type="math_number" id="/s7BzS2#~OSwa`7%},V{"><field name="NUM">150</field></block></value></block></value><statement name="DO3"><block type="telemetry_addTextData_All" id="nyhB5ut8f,kVa]g*r~!x"><value name="KEY"><shadow type="text" id="Wu[YB3RpX.kE-x$_f$Be"><field name="TEXT">Color</field></shadow></value><value name="TEXT"><shadow type="text" id="~*{Xr*H0k.@/`:M^rlKb"><field name="TEXT">Green</field></shadow></value></block></statement><value name="IF4"><block type="logic_compare" id="[fK#@YU6hN2.,(WN^X%p"><field name="OP">LT</field><value name="A"><block type="variables_get" id="9+D)ynlZuXr*`nvF7vpY"><field name="VAR" id="0;vj(c6!Mg]vk4()j5F]">hue</field></block></value><value name="B"><block type="math_number" id="9X)H-dP]VsC*hsge=X4F"><field name="NUM">225</field></block></value></block></value><statement name="DO4"><block type="telemetry_addTextData_All" id="Bh5quO,PkdCI[*-+x/k7"><value name="KEY"><shadow type="text" id="M%dx#?YqQ}^h]C9kYqxd"><field name="TEXT">Color</field></shadow></value><value name="TEXT"><shadow type="text" id="h!8]O?i:VfO3n?7Q)NA."><field name="TEXT">Blue</field></shadow></value></block></statement><value name="IF5"><block type="logic_compare" id="/73VA@WYd/8OFJ$n%?3O"><field name="OP">LT</field><value name="A"><block type="variables_get" id="5pgngb/wO;+R2*Z*kQUT"><field name="VAR" id="0;vj(c6!Mg]vk4()j5F]">hue</field></block></value><value name="B"><block type="math_number" id="Fl-u0v?Jd`xFjCu2/AHt"><field name="NUM">350</field></block></value></block></value><statement name="DO5"><block type="telemetry_addTextData_All" id="k3_TrsjD$!j7s@z,Nj-%"><value name="KEY"><shadow type="text" id="qp6*FKShT5n|69Vlb(kb"><field name="TEXT">Color</field></shadow></value><value name="TEXT"><shadow type="text" id="RJPl@KVnZe+zpDuA1~E_"><field name="TEXT">purple</field></shadow></value></block></statement><statement name="ELSE"><block type="telemetry_addTextData_All" id="m]:i/RVYBP4vB2MvK5(J"><value name="KEY"><shadow type="text" id="I)w)ALb2!p}C)wpw#zT."><field name="TEXT">Color</field></shadow></value><value name="TEXT"><shadow type="text" id="(3Q2RV6b.otGAFT$p6L;"><field name="TEXT">Red</field></shadow></value></block></statement><next><block type="comment" id="(W%@iRoP*4?bRgvq}(D_"><field name="COMMENT">Check to see if it might be black or white.</field><next><block type="controls_if" id="4eM5VNL[9;F.8L|T9cyP"><value name="IF0"><block type="logic_compare" id="vw|s)BSsjBw}@fepOq`!"><field name="OP">LT</field><value name="A"><block type="variables_get" id="LD)J-Q$K(oTN{:ZM:`[/"><field name="VAR" id="9ApQ8KvDslXqv}4}DDr:">saturation</field></block></value><value name="B"><block type="math_number" id="g_kYWo${3CMqQ/B0)mHw"><field name="NUM">0.2</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="O#o|IgVHM.#wWuY^k%xd"><value name="KEY"><shadow type="text" id="nDtfd)p2Wl!*c;NbT%A-"><field name="TEXT">Check Sat</field></shadow></value><value name="TEXT"><shadow type="text" id="B@44$;:8k_L:=|XMuE?r"><field name="TEXT">Is surface white?</field></shadow></value></block></statement><next><block type="telemetry_update" id="AsecSxfzF5y,-la2Tqzf"><next><block type="controls_if" id="zsm$o#q+@l8dXK+/f?Lz"><value name="IF0"><block type="logic_compare" id="72+[@`1#!KS_JCKd9H?_"><field name="OP">LT</field><value name="A"><block type="variables_get" id="p_D]_DDHpEV8C:_yOk,{"><field name="VAR" id="B](w)xMp:/L@pXgq!?92">value</field></block></value><value name="B"><block type="math_number" id="_Q5kS.=s?IrrNA6ZE8|N"><field name="NUM">0.16</field></block></value></block></value><statement name="DO0"><block type="telemetry_addTextData_All" id="x]VBdr=^zmq#TL~YzFuu"><value name="KEY"><shadow type="text" id="c#uU5,K%/RCPfTE?{.o]"><field name="TEXT">Check Val</field></shadow></value><value name="TEXT"><shadow type="text" id="9@fCmu_X$?f|}*E6u%r4"><field name="TEXT">Is surface black?</field></shadow></value></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement><next><block type="comment" id="1@n-k/.ppH^Ga2Py(2[5"><field name="COMMENT">Show white on the Robot Controller screen.</field><next><block type="color_showColor" id="TUg2hmA/WE^w(s6`-0sX"><value name="COLOR"><block type="color_textToColor_Number" id="M,A1l5SYe.+VxE!xGV~O"><value name="TEXT"><shadow type="text" id="M-MPTf;`[]C[IV1%Lm6b"><field name="TEXT">white</field></shadow></value></block></value></block></next></block></next></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml><?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'yes\' ?><Extra><OpModeMeta flavor="TELEOP" group="" /><Enabled value="true" /></Extra> ';
  }
}

var currentGameName = 'Ultimate Goal';
var tfodCurrentGameBlocksFirstName = 'TensorFlowObjectDetectionUltimateGoal';
var vuforiaCurrentGameBlocksFirstName = 'VuforiaUltimateGoal';

var methodLookupStrings = [
];

function isValidProjectName(projectName) {
  if (projectName) {
    return /^[a-zA-Z0-9 \!\#\$\%\&\'\(\)\+\,\-\.\;\=\@\[\]\^_\{\}\~]+$/.test(projectName);
  }
  return false;
}

function isValidSoundName(soundName) {
  if (soundName) {
    return /^[a-zA-Z0-9 \!\#\$\%\&\'\(\)\+\,\-\.\;\=\@\[\]\^_\{\}\~]+$/.test(soundName);
  }
  return false;
}

var BLINKIN_PATTERN_TOOLTIPS = [
  ['RAINBOW_RAINBOW_PALETTE', 'The BlinkinPattern value RAINBOW_RAINBOW_PALETTE.'],
  ['RAINBOW_PARTY_PALETTE', 'The BlinkinPattern value RAINBOW_PARTY_PALETTE.'],
  ['RAINBOW_OCEAN_PALETTE', 'The BlinkinPattern value RAINBOW_OCEAN_PALETTE.'],
  ['RAINBOW_LAVA_PALETTE', 'The BlinkinPattern value RAINBOW_LAVA_PALETTE.'],
  ['RAINBOW_FOREST_PALETTE', 'The BlinkinPattern value RAINBOW_FOREST_PALETTE.'],
  ['RAINBOW_WITH_GLITTER', 'The BlinkinPattern value RAINBOW_WITH_GLITTER.'],
  ['CONFETTI', 'The BlinkinPattern value CONFETTI.'],
  ['SHOT_RED', 'The BlinkinPattern value SHOT_RED.'],
  ['SHOT_BLUE', 'The BlinkinPattern value SHOT_BLUE.'],
  ['SHOT_WHITE', 'The BlinkinPattern value SHOT_WHITE.'],
  ['SINELON_RAINBOW_PALETTE', 'The BlinkinPattern value SINELON_RAINBOW_PALETTE.'],
  ['SINELON_PARTY_PALETTE', 'The BlinkinPattern value SINELON_PARTY_PALETTE.'],
  ['SINELON_OCEAN_PALETTE', 'The BlinkinPattern value SINELON_OCEAN_PALETTE.'],
  ['SINELON_LAVA_PALETTE', 'The BlinkinPattern value SINELON_LAVA_PALETTE.'],
  ['SINELON_FOREST_PALETTE', 'The BlinkinPattern value SINELON_FOREST_PALETTE.'],
  ['BEATS_PER_MINUTE_RAINBOW_PALETTE', 'The BlinkinPattern value BEATS_PER_MINUTE_RAINBOW_PALETTE.'],
  ['BEATS_PER_MINUTE_PARTY_PALETTE', 'The BlinkinPattern value BEATS_PER_MINUTE_PARTY_PALETTE.'],
  ['BEATS_PER_MINUTE_OCEAN_PALETTE', 'The BlinkinPattern value BEATS_PER_MINUTE_OCEAN_PALETTE.'],
  ['BEATS_PER_MINUTE_LAVA_PALETTE', 'The BlinkinPattern value BEATS_PER_MINUTE_LAVA_PALETTE.'],
  ['BEATS_PER_MINUTE_FOREST_PALETTE', 'The BlinkinPattern value BEATS_PER_MINUTE_FOREST_PALETTE.'],
  ['FIRE_MEDIUM', 'The BlinkinPattern value FIRE_MEDIUM.'],
  ['FIRE_LARGE', 'The BlinkinPattern value FIRE_LARGE.'],
  ['TWINKLES_RAINBOW_PALETTE', 'The BlinkinPattern value TWINKLES_RAINBOW_PALETTE.'],
  ['TWINKLES_PARTY_PALETTE', 'The BlinkinPattern value TWINKLES_PARTY_PALETTE.'],
  ['TWINKLES_OCEAN_PALETTE', 'The BlinkinPattern value TWINKLES_OCEAN_PALETTE.'],
  ['TWINKLES_LAVA_PALETTE', 'The BlinkinPattern value TWINKLES_LAVA_PALETTE.'],
  ['TWINKLES_FOREST_PALETTE', 'The BlinkinPattern value TWINKLES_FOREST_PALETTE.'],
  ['COLOR_WAVES_RAINBOW_PALETTE', 'The BlinkinPattern value COLOR_WAVES_RAINBOW_PALETTE.'],
  ['COLOR_WAVES_PARTY_PALETTE', 'The BlinkinPattern value COLOR_WAVES_PARTY_PALETTE.'],
  ['COLOR_WAVES_OCEAN_PALETTE', 'The BlinkinPattern value COLOR_WAVES_OCEAN_PALETTE.'],
  ['COLOR_WAVES_LAVA_PALETTE', 'The BlinkinPattern value COLOR_WAVES_LAVA_PALETTE.'],
  ['COLOR_WAVES_FOREST_PALETTE', 'The BlinkinPattern value COLOR_WAVES_FOREST_PALETTE.'],
  ['LARSON_SCANNER_RED', 'The BlinkinPattern value LARSON_SCANNER_RED.'],
  ['LARSON_SCANNER_GRAY', 'The BlinkinPattern value LARSON_SCANNER_GRAY.'],
  ['LIGHT_CHASE_RED', 'The BlinkinPattern value LIGHT_CHASE_RED.'],
  ['LIGHT_CHASE_BLUE', 'The BlinkinPattern value LIGHT_CHASE_BLUE.'],
  ['LIGHT_CHASE_GRAY', 'The BlinkinPattern value LIGHT_CHASE_GRAY.'],
  ['HEARTBEAT_RED', 'The BlinkinPattern value HEARTBEAT_RED.'],
  ['HEARTBEAT_BLUE', 'The BlinkinPattern value HEARTBEAT_BLUE.'],
  ['HEARTBEAT_WHITE', 'The BlinkinPattern value HEARTBEAT_WHITE.'],
  ['HEARTBEAT_GRAY', 'The BlinkinPattern value HEARTBEAT_GRAY.'],
  ['BREATH_RED', 'The BlinkinPattern value BREATH_RED.'],
  ['BREATH_BLUE', 'The BlinkinPattern value BREATH_BLUE.'],
  ['BREATH_GRAY', 'The BlinkinPattern value BREATH_GRAY.'],
  ['STROBE_RED', 'The BlinkinPattern value STROBE_RED.'],
  ['STROBE_BLUE', 'The BlinkinPattern value STROBE_BLUE.'],
  ['STROBE_GOLD', 'The BlinkinPattern value STROBE_GOLD.'],
  ['STROBE_WHITE', 'The BlinkinPattern value STROBE_WHITE.'],
  ['CP1_END_TO_END_BLEND_TO_BLACK', 'The BlinkinPattern value CP1_END_TO_END_BLEND_TO_BLACK.'],
  ['CP1_LARSON_SCANNER', 'The BlinkinPattern value CP1_LARSON_SCANNER.'],
  ['CP1_LIGHT_CHASE', 'The BlinkinPattern value CP1_LIGHT_CHASE.'],
  ['CP1_HEARTBEAT_SLOW', 'The BlinkinPattern value CP1_HEARTBEAT_SLOW.'],
  ['CP1_HEARTBEAT_MEDIUM', 'The BlinkinPattern value CP1_HEARTBEAT_MEDIUM.'],
  ['CP1_HEARTBEAT_FAST', 'The BlinkinPattern value CP1_HEARTBEAT_FAST.'],
  ['CP1_BREATH_SLOW', 'The BlinkinPattern value CP1_BREATH_SLOW.'],
  ['CP1_BREATH_FAST', 'The BlinkinPattern value CP1_BREATH_FAST.'],
  ['CP1_SHOT', 'The BlinkinPattern value CP1_SHOT.'],
  ['CP1_STROBE', 'The BlinkinPattern value CP1_STROBE.'],
  ['CP2_END_TO_END_BLEND_TO_BLACK', 'The BlinkinPattern value CP2_END_TO_END_BLEND_TO_BLACK.'],
  ['CP2_LARSON_SCANNER', 'The BlinkinPattern value CP2_LARSON_SCANNER.'],
  ['CP2_LIGHT_CHASE', 'The BlinkinPattern value CP2_LIGHT_CHASE.'],
  ['CP2_HEARTBEAT_SLOW', 'The BlinkinPattern value CP2_HEARTBEAT_SLOW.'],
  ['CP2_HEARTBEAT_MEDIUM', 'The BlinkinPattern value CP2_HEARTBEAT_MEDIUM.'],
  ['CP2_HEARTBEAT_FAST', 'The BlinkinPattern value CP2_HEARTBEAT_FAST.'],
  ['CP2_BREATH_SLOW', 'The BlinkinPattern value CP2_BREATH_SLOW.'],
  ['CP2_BREATH_FAST', 'The BlinkinPattern value CP2_BREATH_FAST.'],
  ['CP2_SHOT', 'The BlinkinPattern value CP2_SHOT.'],
  ['CP2_STROBE', 'The BlinkinPattern value CP2_STROBE.'],
  ['CP1_2_SPARKLE_1_ON_2', 'The BlinkinPattern value CP1_2_SPARKLE_1_ON_2.'],
  ['CP1_2_SPARKLE_2_ON_1', 'The BlinkinPattern value CP1_2_SPARKLE_2_ON_1.'],
  ['CP1_2_COLOR_GRADIENT', 'The BlinkinPattern value CP1_2_COLOR_GRADIENT.'],
  ['CP1_2_BEATS_PER_MINUTE', 'The BlinkinPattern value CP1_2_BEATS_PER_MINUTE.'],
  ['CP1_2_END_TO_END_BLEND_1_TO_2', 'The BlinkinPattern value CP1_2_END_TO_END_BLEND_1_TO_2.'],
  ['CP1_2_END_TO_END_BLEND', 'The BlinkinPattern value CP1_2_END_TO_END_BLEND.'],
  ['CP1_2_NO_BLENDING', 'The BlinkinPattern value CP1_2_NO_BLENDING.'],
  ['CP1_2_TWINKLES', 'The BlinkinPattern value CP1_2_TWINKLES.'],
  ['CP1_2_COLOR_WAVES', 'The BlinkinPattern value CP1_2_COLOR_WAVES.'],
  ['CP1_2_SINELON', 'The BlinkinPattern value CP1_2_SINELON.'],
  ['HOT_PINK', 'The BlinkinPattern value HOT_PINK.'],
  ['DARK_RED', 'The BlinkinPattern value DARK_RED.'],
  ['RED', 'The BlinkinPattern value RED.'],
  ['RED_ORANGE', 'The BlinkinPattern value RED_ORANGE.'],
  ['ORANGE', 'The BlinkinPattern value ORANGE.'],
  ['GOLD', 'The BlinkinPattern value GOLD.'],
  ['YELLOW', 'The BlinkinPattern value YELLOW.'],
  ['LAWN_GREEN', 'The BlinkinPattern value LAWN_GREEN.'],
  ['LIME', 'The BlinkinPattern value LIME.'],
  ['DARK_GREEN', 'The BlinkinPattern value DARK_GREEN.'],
  ['GREEN', 'The BlinkinPattern value GREEN.'],
  ['BLUE_GREEN', 'The BlinkinPattern value BLUE_GREEN.'],
  ['AQUA', 'The BlinkinPattern value AQUA.'],
  ['SKY_BLUE', 'The BlinkinPattern value SKY_BLUE.'],
  ['DARK_BLUE', 'The BlinkinPattern value DARK_BLUE.'],
  ['BLUE', 'The BlinkinPattern value BLUE.'],
  ['BLUE_VIOLET', 'The BlinkinPattern value BLUE_VIOLET.'],
  ['VIOLET', 'The BlinkinPattern value VIOLET.'],
  ['WHITE', 'The BlinkinPattern value WHITE.'],
  ['GRAY', 'The BlinkinPattern value GRAY.'],
  ['DARK_GRAY', 'The BlinkinPattern value DARK_GRAY.'],
];

var BLINKIN_PATTERN_FROM_TEXT_TOOLTIP =
    'Returns the pattern associated with the given text. Valid input is ' +
    'RAINBOW_RAINBOW_PALETTE, ' +
    'RAINBOW_PARTY_PALETTE, ' +
    'RAINBOW_OCEAN_PALETTE, ' +
    'RAINBOW_LAVA_PALETTE, ' +
    'RAINBOW_FOREST_PALETTE, ' +
    'RAINBOW_WITH_GLITTER, ' +
    'CONFETTI, ' +
    'SHOT_RED, ' +
    'SHOT_BLUE, ' +
    'SHOT_WHITE, ' +
    'SINELON_RAINBOW_PALETTE, ' +
    'SINELON_PARTY_PALETTE, ' +
    'SINELON_OCEAN_PALETTE, ' +
    'SINELON_LAVA_PALETTE, ' +
    'SINELON_FOREST_PALETTE, ' +
    'BEATS_PER_MINUTE_RAINBOW_PALETTE, ' +
    'BEATS_PER_MINUTE_PARTY_PALETTE, ' +
    'BEATS_PER_MINUTE_OCEAN_PALETTE, ' +
    'BEATS_PER_MINUTE_LAVA_PALETTE, ' +
    'BEATS_PER_MINUTE_FOREST_PALETTE, ' +
    'FIRE_MEDIUM, ' +
    'FIRE_LARGE, ' +
    'TWINKLES_RAINBOW_PALETTE, ' +
    'TWINKLES_PARTY_PALETTE, ' +
    'TWINKLES_OCEAN_PALETTE, ' +
    'TWINKLES_LAVA_PALETTE, ' +
    'TWINKLES_FOREST_PALETTE, ' +
    'COLOR_WAVES_RAINBOW_PALETTE, ' +
    'COLOR_WAVES_PARTY_PALETTE, ' +
    'COLOR_WAVES_OCEAN_PALETTE, ' +
    'COLOR_WAVES_LAVA_PALETTE, ' +
    'COLOR_WAVES_FOREST_PALETTE, ' +
    'LARSON_SCANNER_RED, ' +
    'LARSON_SCANNER_GRAY, ' +
    'LIGHT_CHASE_RED, ' +
    'LIGHT_CHASE_BLUE, ' +
    'LIGHT_CHASE_GRAY, ' +
    'HEARTBEAT_RED, ' +
    'HEARTBEAT_BLUE, ' +
    'HEARTBEAT_WHITE, ' +
    'HEARTBEAT_GRAY, ' +
    'BREATH_RED, ' +
    'BREATH_BLUE, ' +
    'BREATH_GRAY, ' +
    'STROBE_RED, ' +
    'STROBE_BLUE, ' +
    'STROBE_GOLD, ' +
    'STROBE_WHITE, ' +
    'CP1_END_TO_END_BLEND_TO_BLACK, ' +
    'CP1_LARSON_SCANNER, ' +
    'CP1_LIGHT_CHASE, ' +
    'CP1_HEARTBEAT_SLOW, ' +
    'CP1_HEARTBEAT_MEDIUM, ' +
    'CP1_HEARTBEAT_FAST, ' +
    'CP1_BREATH_SLOW, ' +
    'CP1_BREATH_FAST, ' +
    'CP1_SHOT, ' +
    'CP1_STROBE, ' +
    'CP2_END_TO_END_BLEND_TO_BLACK, ' +
    'CP2_LARSON_SCANNER, ' +
    'CP2_LIGHT_CHASE, ' +
    'CP2_HEARTBEAT_SLOW, ' +
    'CP2_HEARTBEAT_MEDIUM, ' +
    'CP2_HEARTBEAT_FAST, ' +
    'CP2_BREATH_SLOW, ' +
    'CP2_BREATH_FAST, ' +
    'CP2_SHOT, ' +
    'CP2_STROBE, ' +
    'CP1_2_SPARKLE_1_ON_2, ' +
    'CP1_2_SPARKLE_2_ON_1, ' +
    'CP1_2_COLOR_GRADIENT, ' +
    'CP1_2_BEATS_PER_MINUTE, ' +
    'CP1_2_END_TO_END_BLEND_1_TO_2, ' +
    'CP1_2_END_TO_END_BLEND, ' +
    'CP1_2_NO_BLENDING, ' +
    'CP1_2_TWINKLES, ' +
    'CP1_2_COLOR_WAVES, ' +
    'CP1_2_SINELON, ' +
    'HOT_PINK, ' +
    'DARK_RED, ' +
    'RED, ' +
    'RED_ORANGE, ' +
    'ORANGE, ' +
    'GOLD, ' +
    'YELLOW, ' +
    'LAWN_GREEN, ' +
    'LIME, ' +
    'DARK_GREEN, ' +
    'GREEN, ' +
    'BLUE_GREEN, ' +
    'AQUA, ' +
    'SKY_BLUE, ' +
    'DARK_BLUE, ' +
    'BLUE, ' +
    'BLUE_VIOLET, ' +
    'VIOLET, ' +
    'WHITE, ' +
    'GRAY, ' +
    'DARK_GRAY, ' +
    'or BLACK.';

function createLanguageCodeDropdown() {
  var CHOICES = [
      ['en', 'en'],
  ];
  return createFieldDropdown(CHOICES);
}

var LANGUAGE_CODE_TOOLTIPS = [
  ['en', 'The language code for English.'],
];

function createCountryCodeDropdown() {
  var CHOICES = [
      ['US', 'US'],
  ];
  return createFieldDropdown(CHOICES);
}

var COUNTRY_CODE_TOOLTIPS = [
  ['US', 'The country code for United States.'],
];

function createSkyStoneSoundResourceDropdown() {
  var CHOICES = [
      ['ss_alarm', 'ss_alarm'],
      ['ss_bb8_down', 'ss_bb8_down'],
      ['ss_bb8_up', 'ss_bb8_up'],
      ['ss_darth_vader', 'ss_darth_vader'],
      ['ss_fly_by', 'ss_fly_by'],
      ['ss_laser', 'ss_laser'],
      ['ss_laser_burst', 'ss_laser_burst'],
      ['ss_light_saber', 'ss_light_saber'],
      ['ss_light_saber_long', 'ss_light_saber_long'],
      ['ss_light_saber_short', 'ss_light_saber_short'],
      ['ss_light_speed', 'ss_light_speed'],
      ['ss_mf_fail', 'ss_mf_fail'],
      ['ss_mine', 'ss_mine'],
      ['ss_power_up', 'ss_power_up'],
      ['ss_r2d2_up', 'ss_r2d2_up'],
      ['ss_roger_roger', 'ss_roger_roger'],
      ['ss_siren', 'ss_siren'],
      ['ss_wookie', 'ss_wookie'],
  ];
  return createFieldDropdown(CHOICES);
}

var SKY_STONE_SOUND_RESOURCE_TOOLTIPS = [
  ['ss_alarm', 'The SoundResource value ss_alarm.'],
  ['ss_bb8_down', 'The SoundResource value ss_bb8_down.'],
  ['ss_bb8_up', 'The SoundResource value ss_bb8_up.'],
  ['ss_darth_vader', 'The SoundResource value ss_darth_vader.'],
  ['ss_fly_by', 'The SoundResource value ss_fly_by.'],
  ['ss_laser', 'The SoundResource value ss_laser.'],
  ['ss_laser_burst', 'The SoundResource value ss_laser_burst.'],
  ['ss_light_saber', 'The SoundResource value ss_light_saber.'],
  ['ss_light_saber_long', 'The SoundResource value ss_light_saber_long.'],
  ['ss_light_saber_short', 'The SoundResource value ss_light_saber_short.'],
  ['ss_light_speed', 'The SoundResource value ss_light_speed.'],
  ['ss_mf_fail', 'The SoundResource value ss_mf_fail.'],
  ['ss_mine', 'The SoundResource value ss_mine.'],
  ['ss_power_up', 'The SoundResource value ss_power_up.'],
  ['ss_r2d2_up', 'The SoundResource value ss_r2d2_up.'],
  ['ss_roger_roger', 'The SoundResource value ss_roger_roger.'],
  ['ss_siren', 'The SoundResource value ss_siren.'],
  ['ss_wookie', 'The SoundResource value ss_wookie.'],
];

var androidSoundPoolRawResPrefix = 'RawRes:';
var accelerationIdentifierForJavaScript = 'accelerationAccess';
var androidAccelerometerIdentifierForJavaScript = 'androidAccelerometerAccess';
var androidAccelerometerIdentifierForFtcJava = 'androidAccelerometer';
var androidGyroscopeIdentifierForJavaScript = 'androidGyroscopeAccess';
var androidGyroscopeIdentifierForFtcJava = 'androidGyroscope';
var androidOrientationIdentifierForJavaScript = 'androidOrientationAccess';
var androidOrientationIdentifierForFtcJava = 'androidOrientation';
var androidSoundPoolIdentifierForJavaScript = 'androidSoundPoolAccess';
var androidSoundPoolIdentifierForFtcJava = 'androidSoundPool';
var androidTextToSpeechIdentifierForJavaScript = 'androidTextToSpeechAccess';
var androidTextToSpeechIdentifierForFtcJava = 'androidTextToSpeech';
var angularVelocityIdentifierForJavaScript = 'angularVelocityAccess';
var blinkinPatternIdentifierForJavaScript = 'blinkinPatternAccess';
var bno055imuParametersIdentifierForJavaScript = 'bno055imuParametersAccess';
var colorIdentifierForJavaScript = 'colorAccess';
var dbgLogIdentifierForJavaScript = 'dbgLogAccess';
var elapsedTimeIdentifierForJavaScript = 'elapsedTimeAccess';
var linearOpModeIdentifierForJavaScript = 'linearOpMode';
var magneticFluxIdentifierForJavaScript = 'magneticFluxAccess';
var matrixFIdentifierForJavaScript = 'matrixFAccess';
var miscIdentifierForJavaScript = 'miscAccess';
var navigationIdentifierForJavaScript = 'navigationAccess';
var openGLMatrixIdentifierForJavaScript = 'openGLMatrixAccess';
var orientationIdentifierForJavaScript = 'orientationAccess';
var pidfCoefficientsIdentifierForJavaScript = 'pidfCoefficientsAccess';
var positionIdentifierForJavaScript = 'positionAccess';
var quaternionIdentifierForJavaScript = 'quaternionAccess';
var rangeIdentifierForJavaScript = 'rangeAccess';
var systemIdentifierForJavaScript = 'systemAccess';
var telemetryIdentifierForJavaScript = 'telemetry';
var temperatureIdentifierForJavaScript = 'temperatureAccess';
var tfodCustomModelIdentifierForJavaScript = 'tfodCustomModelAccess';
var tfodCustomModelIdentifierForFtcJava = 'tfodCustomModel';
var tfodCurrentGameIdentifierForJavaScript = 'tfodCurrentGameAccess';
var tfodCurrentGameIdentifierForFtcJava = 'tfodUltimateGoal';
var tfodRoverRuckusIdentifierForJavaScript = 'tfodRoverRuckusAccess';
var tfodRoverRuckusIdentifierForFtcJava = 'tfodRoverRuckus';
var tfodSkyStoneIdentifierForJavaScript = 'tfodSkyStoneAccess';
var tfodSkyStoneIdentifierForFtcJava = 'tfodSkyStone';
var vectorFIdentifierForJavaScript = 'vectorFAccess';
var velocityIdentifierForJavaScript = 'velocityAccess';
var vuforiaCurrentGameIdentifierForJavaScript = 'vuforiaCurrentGameAccess';
var vuforiaCurrentGameIdentifierForFtcJava = 'vuforiaUltimateGoal';
var vuforiaIdentifierForJavaScript = 'vuforiaAccess';
var vuforiaRelicRecoveryIdentifierForFtcJava = 'vuforiaRelicRecovery';
var vuforiaRoverRuckusIdentifierForJavaScript = 'vuforiaRoverRuckusAccess';
var vuforiaRoverRuckusIdentifierForFtcJava = 'vuforiaRoverRuckus';
var vuforiaSkyStoneIdentifierForJavaScript = 'vuforiaSkyStoneAccess';
var vuforiaSkyStoneIdentifierForFtcJava = 'vuforiaSkyStone';
var vuforiaLocalizerIdentifierForJavaScript = 'vuforiaLocalizerAccess';
var vuforiaLocalizerParametersIdentifierForJavaScript = 'vuforiaLocalizerParametersAccess';
var vuforiaTrackableIdentifierForJavaScript = 'vuforiaTrackableAccess';
var vuforiaTrackableDefaultListenerIdentifierForJavaScript = 'vuforiaTrackableDefaultListenerAccess';
var vuforiaTrackablesIdentifierForJavaScript = 'vuforiaTrackablesAccess';

function createWebcamDeviceNameDropdown() {
  var CHOICES = [
    ['Webcam 1', 'Webcam 1'],
  ];
  return createFieldDropdown(CHOICES);
}

var switchableCameraName = 'Switchable Camera';
function createTfodRoverRuckusLabelDropdown() {
  var CHOICES = [
      ['Gold Mineral', 'Gold Mineral'],
      ['Silver Mineral', 'Silver Mineral'],
  ];
  return createFieldDropdown(CHOICES);
}

var TFOD_ROVER_RUCKUS_LABEL_TOOLTIPS = [
  ['Gold Mineral', 'The Label value Gold Mineral.'],
  ['Silver Mineral', 'The Label value Silver Mineral.'],
];

function createVuforiaRoverRuckusTrackableNameDropdown() {
  var CHOICES = [
      ['BluePerimeter', 'BluePerimeter'],
      ['RedPerimeter', 'RedPerimeter'],
      ['FrontPerimeter', 'FrontPerimeter'],
      ['BackPerimeter', 'BackPerimeter'],
  ];
  return createFieldDropdown(CHOICES);
}

var VUFORIA_ROVER_RUCKUS_TRACKABLE_NAME_TOOLTIPS = [
  ['BluePerimeter', 'The TrackableName value BluePerimeter.'],
  ['RedPerimeter', 'The TrackableName value RedPerimeter.'],
  ['FrontPerimeter', 'The TrackableName value FrontPerimeter.'],
  ['BackPerimeter', 'The TrackableName value BackPerimeter.'],
];

function createTfodSkyStoneLabelDropdown() {
  var CHOICES = [
      ['Stone', 'Stone'],
      ['Skystone', 'Skystone'],
  ];
  return createFieldDropdown(CHOICES);
}

var TFOD_SKY_STONE_LABEL_TOOLTIPS = [
  ['Stone', 'The Label value Stone.'],
  ['Skystone', 'The Label value Skystone.'],
];

function createVuforiaSkyStoneTrackableNameDropdown() {
  var CHOICES = [
      ['Stone Target', 'Stone Target'],
      ['Blue Rear Bridge', 'Blue Rear Bridge'],
      ['Red Rear Bridge', 'Red Rear Bridge'],
      ['Red Front Bridge', 'Red Front Bridge'],
      ['Blue Front Bridge', 'Blue Front Bridge'],
      ['Red Perimeter 1', 'Red Perimeter 1'],
      ['Red Perimeter 2', 'Red Perimeter 2'],
      ['Front Perimeter 1', 'Front Perimeter 1'],
      ['Front Perimeter 2', 'Front Perimeter 2'],
      ['Blue Perimeter 1', 'Blue Perimeter 1'],
      ['Blue Perimeter 2', 'Blue Perimeter 2'],
      ['Rear Perimeter 1', 'Rear Perimeter 1'],
      ['Rear Perimeter 2', 'Rear Perimeter 2'],
  ];
  return createFieldDropdown(CHOICES);
}

var VUFORIA_SKY_STONE_TRACKABLE_NAME_TOOLTIPS = [
  ['Stone Target', 'The TrackableName value Stone Target.'],
  ['Blue Rear Bridge', 'The TrackableName value Blue Rear Bridge.'],
  ['Red Rear Bridge', 'The TrackableName value Red Rear Bridge.'],
  ['Red Front Bridge', 'The TrackableName value Red Front Bridge.'],
  ['Blue Front Bridge', 'The TrackableName value Blue Front Bridge.'],
  ['Red Perimeter 1', 'The TrackableName value Red Perimeter 1.'],
  ['Red Perimeter 2', 'The TrackableName value Red Perimeter 2.'],
  ['Front Perimeter 1', 'The TrackableName value Front Perimeter 1.'],
  ['Front Perimeter 2', 'The TrackableName value Front Perimeter 2.'],
  ['Blue Perimeter 1', 'The TrackableName value Blue Perimeter 1.'],
  ['Blue Perimeter 2', 'The TrackableName value Blue Perimeter 2.'],
  ['Rear Perimeter 1', 'The TrackableName value Rear Perimeter 1.'],
  ['Rear Perimeter 2', 'The TrackableName value Rear Perimeter 2.'],
];

function createTfodCurrentGameLabelDropdown() {
  var CHOICES = [
      ['Quad', 'Quad'],
      ['Single', 'Single'],
  ];
  return createFieldDropdown(CHOICES);
}

var TFOD_CURRENT_GAME_LABEL_TOOLTIPS = [
  ['Quad', 'The Label value Quad.'],
  ['Single', 'The Label value Single.'],
];

function createVuforiaCurrentGameTrackableNameDropdown() {
  var CHOICES = [
      ['Blue Tower Goal Target', 'Blue Tower Goal Target'],
      ['Red Tower Goal Target', 'Red Tower Goal Target'],
      ['Red Alliance Target', 'Red Alliance Target'],
      ['Blue Alliance Target', 'Blue Alliance Target'],
      ['Front Wall Target', 'Front Wall Target'],
  ];
  return createFieldDropdown(CHOICES);
}

var VUFORIA_CURRENT_GAME_TRACKABLE_NAME_TOOLTIPS = [
  ['Blue Tower Goal Target', 'The TrackableName value Blue Tower Goal Target.'],
  ['Red Tower Goal Target', 'The TrackableName value Red Tower Goal Target.'],
  ['Red Alliance Target', 'The TrackableName value Red Alliance Target.'],
  ['Blue Alliance Target', 'The TrackableName value Blue Alliance Target.'],
  ['Front Wall Target', 'The TrackableName value Front Wall Target.'],
];

function createAccelerationSensorDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createAnalogInputDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createAnalogOutputDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createBNO055IMUDropdown() {
  var CHOICES = [
      ['imu 1', 'imu1AsBNO055IMU'],
      ['imu', 'imuAsBNO055IMU'],
  ];
  return createFieldDropdown(CHOICES);
}

function createColorRangeSensorDropdown() {
  var CHOICES = [
      ['Ring Sensor', 'RingSensorAsREVColorRangeSensor'],
      ['Right Line Sensor', 'RightLineSensorAsREVColorRangeSensor'],
      ['Left Line Sensor', 'LeftLineSensorAsREVColorRangeSensor'],
  ];
  return createFieldDropdown(CHOICES);
}

function createColorSensorDropdown() {
  var CHOICES = [
      ['Ring Sensor', 'RingSensorAsColorSensor'],
      ['Right Line Sensor', 'RightLineSensorAsColorSensor'],
      ['Left Line Sensor', 'LeftLineSensorAsColorSensor'],
  ];
  return createFieldDropdown(CHOICES);
}

function createCompassSensorDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createCRServoDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createDcMotorDropdown() {
  var CHOICES = [
      ['Shooter', 'ShooterAsDcMotor'],
      ['Intake 1', 'Intake1AsDcMotor'],
      ['Intake 2', 'Intake2AsDcMotor'],
      ['Wobble Lifter', 'WobbleLifterAsDcMotor'],
      ['FrontLeft', 'FrontLeftAsDcMotor'],
      ['FrontRight', 'FrontRightAsDcMotor'],
      ['BackLeft ', 'BackLeftAsDcMotor'],
      ['BackRight', 'BackRightAsDcMotor'],
  ];
  return createFieldDropdown(CHOICES);
}

function createDcMotorExDropdown() {
  var CHOICES = [
      ['Shooter', 'ShooterAsDcMotor'],
      ['Intake 1', 'Intake1AsDcMotor'],
      ['Intake 2', 'Intake2AsDcMotor'],
      ['Wobble Lifter', 'WobbleLifterAsDcMotor'],
      ['FrontLeft', 'FrontLeftAsDcMotor'],
      ['FrontRight', 'FrontRightAsDcMotor'],
      ['BackLeft ', 'BackLeftAsDcMotor'],
      ['BackRight', 'BackRightAsDcMotor'],
  ];
  return createFieldDropdown(CHOICES);
}

function createDigitalChannelDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createDistanceSensorDropdown() {
  var CHOICES = [
      ['Ring Sensor', 'RingSensorAsDistanceSensor'],
      ['Distance Sensor 2', 'DistanceSensor2AsDistanceSensor'],
      ['Distance Sensor 1', 'DistanceSensor1AsDistanceSensor'],
      ['Right Line Sensor', 'RightLineSensorAsDistanceSensor'],
      ['Left Line Sensor', 'LeftLineSensorAsDistanceSensor'],
  ];
  return createFieldDropdown(CHOICES);
}

function createGyroSensorDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createIrSeekerSensorDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createLedDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createLightSensorDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createMrI2cCompassSensorDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createMrI2cRangeSensorDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createOpticalDistanceSensorDropdown() {
  var CHOICES = [
      ['Ring Sensor', 'RingSensorAsOpticalDistanceSensor'],
      ['Right Line Sensor', 'RightLineSensorAsOpticalDistanceSensor'],
      ['Left Line Sensor', 'LeftLineSensorAsOpticalDistanceSensor'],
  ];
  return createFieldDropdown(CHOICES);
}

function createRevBlinkinLedDriverDropdown() {
  var CHOICES = [
      ['Lights', 'LightsAsRevBlinkinLedDriver'],
  ];
  return createFieldDropdown(CHOICES);
}

function createServoDropdown() {
  var CHOICES = [
      ['Shooter Servo', 'ShooterServoAsServo'],
      ['Wobble Grabber', 'WobbleGrabberAsServo'],
  ];
  return createFieldDropdown(CHOICES);
}

function createServoControllerDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createTouchSensorDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createUltrasonicSensorDropdown() {
  var CHOICES = [
  ];
  return createFieldDropdown(CHOICES);
}

function createVoltageSensorDropdown() {
  var CHOICES = [
      ['Control Hub', 'ControlHubAsVoltageSensor'],
      ['Expansion Hub 1', 'ExpansionHub1AsVoltageSensor'],
  ];
  return createFieldDropdown(CHOICES);
}

function getHardwareIdentifierSuffixes() {
  var suffixes = [
    'AsAccelerationSensor',
    'AsAnalogInput',
    'AsAnalogOutput',
    'AsBNO055IMU',
    'AsREVColorRangeSensor',
    'AsColorSensor',
    'AsCompassSensor',
    'AsCRServo',
    'AsDcMotor',
    'AsDigitalChannel',
    'AsDistanceSensor',
    'AsGyroSensor',
    'AsIrSeekerSensor',
    'AsLED',
    'AsLightSensor',
    'AsREVModule',
    'AsMrI2cCompassSensor',
    'AsMrI2cRangeSensor',
    'AsOpticalDistanceSensor',
    'AsRevBlinkinLedDriver',
    'AsServo',
    'AsServoController',
    'AsTouchSensor',
    'AsUltrasonicSensor',
    'AsVoltageSensor',
    'AsWebcamName',
  ];
  return suffixes;
}

function addReservedWordsForJavaScript() {
  Blockly.JavaScript.addReservedWords('callRunOpMode');
  Blockly.JavaScript.addReservedWords('telemetryAddTextData');
  Blockly.JavaScript.addReservedWords('telemetrySpeak');
  Blockly.JavaScript.addReservedWords('callJava');
  Blockly.JavaScript.addReservedWords('callJava_boolean');
  Blockly.JavaScript.addReservedWords('callJava_String');
  Blockly.JavaScript.addReservedWords('BackLeftAsDcMotor');
  Blockly.JavaScript.addReservedWords('BackRightAsDcMotor');
  Blockly.JavaScript.addReservedWords('ControlHubAsREVModule');
  Blockly.JavaScript.addReservedWords('ControlHubAsVoltageSensor');
  Blockly.JavaScript.addReservedWords('DistanceSensor1AsDistanceSensor');
  Blockly.JavaScript.addReservedWords('DistanceSensor2AsDistanceSensor');
  Blockly.JavaScript.addReservedWords('ExpansionHub1AsREVModule');
  Blockly.JavaScript.addReservedWords('ExpansionHub1AsVoltageSensor');
  Blockly.JavaScript.addReservedWords('FrontLeftAsDcMotor');
  Blockly.JavaScript.addReservedWords('FrontRightAsDcMotor');
  Blockly.JavaScript.addReservedWords('Intake1AsDcMotor');
  Blockly.JavaScript.addReservedWords('Intake2AsDcMotor');
  Blockly.JavaScript.addReservedWords('LeftLineSensorAsColorSensor');
  Blockly.JavaScript.addReservedWords('LeftLineSensorAsDistanceSensor');
  Blockly.JavaScript.addReservedWords('LeftLineSensorAsOpticalDistanceSensor');
  Blockly.JavaScript.addReservedWords('LeftLineSensorAsREVColorRangeSensor');
  Blockly.JavaScript.addReservedWords('LightsAsRevBlinkinLedDriver');
  Blockly.JavaScript.addReservedWords('RightLineSensorAsColorSensor');
  Blockly.JavaScript.addReservedWords('RightLineSensorAsDistanceSensor');
  Blockly.JavaScript.addReservedWords('RightLineSensorAsOpticalDistanceSensor');
  Blockly.JavaScript.addReservedWords('RightLineSensorAsREVColorRangeSensor');
  Blockly.JavaScript.addReservedWords('RingSensorAsColorSensor');
  Blockly.JavaScript.addReservedWords('RingSensorAsDistanceSensor');
  Blockly.JavaScript.addReservedWords('RingSensorAsOpticalDistanceSensor');
  Blockly.JavaScript.addReservedWords('RingSensorAsREVColorRangeSensor');
  Blockly.JavaScript.addReservedWords('ShooterAsDcMotor');
  Blockly.JavaScript.addReservedWords('ShooterServoAsServo');
  Blockly.JavaScript.addReservedWords('Webcam1AsWebcamName');
  Blockly.JavaScript.addReservedWords('WobbleGrabberAsServo');
  Blockly.JavaScript.addReservedWords('WobbleLifterAsDcMotor');
  Blockly.JavaScript.addReservedWords('imu1AsBNO055IMU');
  Blockly.JavaScript.addReservedWords('imuAsBNO055IMU');
  Blockly.JavaScript.addReservedWords('accelerationAccess');
  Blockly.JavaScript.addReservedWords('androidAccelerometerAccess');
  Blockly.JavaScript.addReservedWords('androidGyroscopeAccess');
  Blockly.JavaScript.addReservedWords('androidOrientationAccess');
  Blockly.JavaScript.addReservedWords('androidSoundPoolAccess');
  Blockly.JavaScript.addReservedWords('androidTextToSpeechAccess');
  Blockly.JavaScript.addReservedWords('angularVelocityAccess');
  Blockly.JavaScript.addReservedWords('blinkinPatternAccess');
  Blockly.JavaScript.addReservedWords('blocksOpMode');
  Blockly.JavaScript.addReservedWords('bno055imuParametersAccess');
  Blockly.JavaScript.addReservedWords('colorAccess');
  Blockly.JavaScript.addReservedWords('dbgLogAccess');
  Blockly.JavaScript.addReservedWords('elapsedTimeAccess');
  Blockly.JavaScript.addReservedWords('gamepad1');
  Blockly.JavaScript.addReservedWords('gamepad2');
  Blockly.JavaScript.addReservedWords('linearOpMode');
  Blockly.JavaScript.addReservedWords('magneticFluxAccess');
  Blockly.JavaScript.addReservedWords('matrixFAccess');
  Blockly.JavaScript.addReservedWords('miscAccess');
  Blockly.JavaScript.addReservedWords('navigationAccess');
  Blockly.JavaScript.addReservedWords('openGLMatrixAccess');
  Blockly.JavaScript.addReservedWords('orientationAccess');
  Blockly.JavaScript.addReservedWords('pidfCoefficientsAccess');
  Blockly.JavaScript.addReservedWords('positionAccess');
  Blockly.JavaScript.addReservedWords('quaternionAccess');
  Blockly.JavaScript.addReservedWords('rangeAccess');
  Blockly.JavaScript.addReservedWords('systemAccess');
  Blockly.JavaScript.addReservedWords('telemetry');
  Blockly.JavaScript.addReservedWords('temperatureAccess');
  Blockly.JavaScript.addReservedWords('tfodCurrentGameAccess');
  Blockly.JavaScript.addReservedWords('tfodCustomModelAccess');
  Blockly.JavaScript.addReservedWords('tfodRoverRuckusAccess');
  Blockly.JavaScript.addReservedWords('tfodSkyStoneAccess');
  Blockly.JavaScript.addReservedWords('vectorFAccess');
  Blockly.JavaScript.addReservedWords('velocityAccess');
  Blockly.JavaScript.addReservedWords('vuforiaAccess');
  Blockly.JavaScript.addReservedWords('vuforiaCurrentGameAccess');
  Blockly.JavaScript.addReservedWords('vuforiaLocalizerAccess');
  Blockly.JavaScript.addReservedWords('vuforiaLocalizerParametersAccess');
  Blockly.JavaScript.addReservedWords('vuforiaRoverRuckusAccess');
  Blockly.JavaScript.addReservedWords('vuforiaSkyStoneAccess');
  Blockly.JavaScript.addReservedWords('vuforiaTrackableAccess');
  Blockly.JavaScript.addReservedWords('vuforiaTrackableDefaultListenerAccess');
  Blockly.JavaScript.addReservedWords('vuforiaTrackablesAccess');
}

function getHardwareItemDeviceName(identifier) {
  switch (identifier) {
    case 'BackLeftAsDcMotor':
      return 'BackLeft ';
    case 'BackRightAsDcMotor':
      return 'BackRight';
    case 'ControlHubAsREVModule':
      return 'Control Hub';
    case 'ControlHubAsVoltageSensor':
      return 'Control Hub';
    case 'DistanceSensor1AsDistanceSensor':
      return 'Distance Sensor 1';
    case 'DistanceSensor2AsDistanceSensor':
      return 'Distance Sensor 2';
    case 'ExpansionHub1AsREVModule':
      return 'Expansion Hub 1';
    case 'ExpansionHub1AsVoltageSensor':
      return 'Expansion Hub 1';
    case 'FrontLeftAsDcMotor':
      return 'FrontLeft';
    case 'FrontRightAsDcMotor':
      return 'FrontRight';
    case 'Intake1AsDcMotor':
      return 'Intake 1';
    case 'Intake2AsDcMotor':
      return 'Intake 2';
    case 'LeftLineSensorAsColorSensor':
      return 'Left Line Sensor';
    case 'LeftLineSensorAsDistanceSensor':
      return 'Left Line Sensor';
    case 'LeftLineSensorAsOpticalDistanceSensor':
      return 'Left Line Sensor';
    case 'LeftLineSensorAsREVColorRangeSensor':
      return 'Left Line Sensor';
    case 'LightsAsRevBlinkinLedDriver':
      return 'Lights';
    case 'RightLineSensorAsColorSensor':
      return 'Right Line Sensor';
    case 'RightLineSensorAsDistanceSensor':
      return 'Right Line Sensor';
    case 'RightLineSensorAsOpticalDistanceSensor':
      return 'Right Line Sensor';
    case 'RightLineSensorAsREVColorRangeSensor':
      return 'Right Line Sensor';
    case 'RingSensorAsColorSensor':
      return 'Ring Sensor';
    case 'RingSensorAsDistanceSensor':
      return 'Ring Sensor';
    case 'RingSensorAsOpticalDistanceSensor':
      return 'Ring Sensor';
    case 'RingSensorAsREVColorRangeSensor':
      return 'Ring Sensor';
    case 'ShooterAsDcMotor':
      return 'Shooter';
    case 'ShooterServoAsServo':
      return 'Shooter Servo';
    case 'Webcam1AsWebcamName':
      return 'Webcam 1';
    case 'WobbleGrabberAsServo':
      return 'Wobble Grabber';
    case 'WobbleLifterAsDcMotor':
      return 'Wobble Lifter';
    case 'imu1AsBNO055IMU':
      return 'imu 1';
    case 'imuAsBNO055IMU':
      return 'imu';
  }
  throw 'Unexpected identifier (' + identifier + ').';
}

function getIdentifierForFtcJava(identifier) {
  switch (identifier) {
    case 'BackLeftAsDcMotor':
      return 'BackLeft';
    case 'BackRightAsDcMotor':
      return 'BackRight';
    case 'ControlHubAsREVModule':
      return 'ControlHub';
    case 'ControlHubAsVoltageSensor':
      return 'ControlHub_VoltageSensor';
    case 'DistanceSensor1AsDistanceSensor':
      return 'DistanceSensor1';
    case 'DistanceSensor2AsDistanceSensor':
      return 'DistanceSensor2';
    case 'ExpansionHub1AsREVModule':
      return 'ExpansionHub1';
    case 'ExpansionHub1AsVoltageSensor':
      return 'ExpansionHub1_VoltageSensor';
    case 'FrontLeftAsDcMotor':
      return 'FrontLeft';
    case 'FrontRightAsDcMotor':
      return 'FrontRight';
    case 'Intake1AsDcMotor':
      return 'Intake1';
    case 'Intake2AsDcMotor':
      return 'Intake2';
    case 'LeftLineSensorAsColorSensor':
      return 'LeftLineSensor';
    case 'LeftLineSensorAsDistanceSensor':
      return 'LeftLineSensor_DistanceSensor';
    case 'LeftLineSensorAsOpticalDistanceSensor':
      return 'LeftLineSensor_OpticalDistanceSensor';
    case 'LeftLineSensorAsREVColorRangeSensor':
      return 'LeftLineSensor_REV_ColorRangeSensor';
    case 'LightsAsRevBlinkinLedDriver':
      return 'Lights';
    case 'RightLineSensorAsColorSensor':
      return 'RightLineSensor';
    case 'RightLineSensorAsDistanceSensor':
      return 'RightLineSensor_DistanceSensor';
    case 'RightLineSensorAsOpticalDistanceSensor':
      return 'RightLineSensor_OpticalDistanceSensor';
    case 'RightLineSensorAsREVColorRangeSensor':
      return 'RightLineSensor_REV_ColorRangeSensor';
    case 'RingSensorAsColorSensor':
      return 'RingSensor';
    case 'RingSensorAsDistanceSensor':
      return 'RingSensor_DistanceSensor';
    case 'RingSensorAsOpticalDistanceSensor':
      return 'RingSensor_OpticalDistanceSensor';
    case 'RingSensorAsREVColorRangeSensor':
      return 'RingSensor_REV_ColorRangeSensor';
    case 'ShooterAsDcMotor':
      return 'Shooter';
    case 'ShooterServoAsServo':
      return 'ShooterServo';
    case 'Webcam1AsWebcamName':
      return 'Webcam1';
    case 'WobbleGrabberAsServo':
      return 'WobbleGrabber';
    case 'WobbleLifterAsDcMotor':
      return 'WobbleLifter';
    case 'imu1AsBNO055IMU':
      return 'imu1';
    case 'imuAsBNO055IMU':
      return 'imu';
  }
  throw 'Unexpected identifier (' + identifier + ').';
}

function addReservedWordsForFtcJava() {
  Blockly.FtcJava.addReservedWords('SecurityException');
  Blockly.FtcJava.addReservedWords('VuforiaTrackable');
  Blockly.FtcJava.addReservedWords('sleep');
  Blockly.FtcJava.addReservedWords('updateTelemetry');
  Blockly.FtcJava.addReservedWords('MotorControlAlgorithm');
  Blockly.FtcJava.addReservedWords('AccelerationSensor');
  Blockly.FtcJava.addReservedWords('byte');
  Blockly.FtcJava.addReservedWords('IncompatibleClassChangeError');
  Blockly.FtcJava.addReservedWords('RuntimeException');
  Blockly.FtcJava.addReservedWords('synchronized');
  Blockly.FtcJava.addReservedWords('UnsupportedClassVersionError');
  Blockly.FtcJava.addReservedWords('goto');
  Blockly.FtcJava.addReservedWords('ClassValue');
  Blockly.FtcJava.addReservedWords('LinearOpMode');
  Blockly.FtcJava.addReservedWords('RelicRecoveryVuMark');
  Blockly.FtcJava.addReservedWords('AxesOrder');
  Blockly.FtcJava.addReservedWords('ServoController');
  Blockly.FtcJava.addReservedWords('for');
  Blockly.FtcJava.addReservedWords('StackOverflowError');
  Blockly.FtcJava.addReservedWords('waitForNextHardwareCycle');
  Blockly.FtcJava.addReservedWords('GyroSensor');
  Blockly.FtcJava.addReservedWords('LED');
  Blockly.FtcJava.addReservedWords('continue');
  Blockly.FtcJava.addReservedWords('Runnable');
  Blockly.FtcJava.addReservedWords('ReflectiveOperationException');
  Blockly.FtcJava.addReservedWords('handleLoop');
  Blockly.FtcJava.addReservedWords('Math');
  Blockly.FtcJava.addReservedWords('Character.Subset');
  Blockly.FtcJava.addReservedWords('AppUtil');
  Blockly.FtcJava.addReservedWords('IllegalAccessError');
  Blockly.FtcJava.addReservedWords('DigitalChannel');
  Blockly.FtcJava.addReservedWords('msStuckDetectStart');
  Blockly.FtcJava.addReservedWords('AngularVelocity');
  Blockly.FtcJava.addReservedWords('case');
  Blockly.FtcJava.addReservedWords('AndroidAccelerometer');
  Blockly.FtcJava.addReservedWords('abstract');
  Blockly.FtcJava.addReservedWords('ThreadLocal');
  Blockly.FtcJava.addReservedWords('Temperature');
  Blockly.FtcJava.addReservedWords('transient');
  Blockly.FtcJava.addReservedWords('final');
  Blockly.FtcJava.addReservedWords('I2cAddr');
  Blockly.FtcJava.addReservedWords('implements');
  Blockly.FtcJava.addReservedWords('throw');
  Blockly.FtcJava.addReservedWords('msStuckDetectLoop');
  Blockly.FtcJava.addReservedWords('ClassNotFoundException');
  Blockly.FtcJava.addReservedWords('Collections');
  Blockly.FtcJava.addReservedWords('StrictMath');
  Blockly.FtcJava.addReservedWords('NoSuchMethodError');
  Blockly.FtcJava.addReservedWords('char');
  Blockly.FtcJava.addReservedWords('SafeVarargs');
  Blockly.FtcJava.addReservedWords('ArrayIndexOutOfBoundsException');
  Blockly.FtcJava.addReservedWords('AnalogInput');
  Blockly.FtcJava.addReservedWords('msStuckDetectStop');
  Blockly.FtcJava.addReservedWords('System');
  Blockly.FtcJava.addReservedWords('BootstrapMethodError');
  Blockly.FtcJava.addReservedWords('VuforiaRoverRuckus');
  Blockly.FtcJava.addReservedWords('ColorSensor');
  Blockly.FtcJava.addReservedWords('Double');
  Blockly.FtcJava.addReservedWords('getRuntime');
  Blockly.FtcJava.addReservedWords('DcMotorSimple');
  Blockly.FtcJava.addReservedWords('IllegalAccessException');
  Blockly.FtcJava.addReservedWords('UnknownError');
  Blockly.FtcJava.addReservedWords('CloneNotSupportedException');
  Blockly.FtcJava.addReservedWords('Autonomous');
  Blockly.FtcJava.addReservedWords('TfodBase');
  Blockly.FtcJava.addReservedWords('Quaternion');
  Blockly.FtcJava.addReservedWords('init_loop');
  Blockly.FtcJava.addReservedWords('DcMotorEx');
  Blockly.FtcJava.addReservedWords('NegativeArraySizeException');
  Blockly.FtcJava.addReservedWords('Appendable');
  Blockly.FtcJava.addReservedWords('ClassCircularityError');
  Blockly.FtcJava.addReservedWords('Deprecated');
  Blockly.FtcJava.addReservedWords('float');
  Blockly.FtcJava.addReservedWords('boolean');
  Blockly.FtcJava.addReservedWords('Position');
  Blockly.FtcJava.addReservedWords('SecurityManager');
  Blockly.FtcJava.addReservedWords('ModernRoboticsI2cGyro');
  Blockly.FtcJava.addReservedWords('List');
  Blockly.FtcJava.addReservedWords('OutOfMemoryError');
  Blockly.FtcJava.addReservedWords('waitForStart');
  Blockly.FtcJava.addReservedWords('EnumConstantNotPresentException');
  Blockly.FtcJava.addReservedWords('RevBlinkinLedDriver');
  Blockly.FtcJava.addReservedWords('VuforiaTrackableDefaultListener');
  Blockly.FtcJava.addReservedWords('ArrayStoreException');
  Blockly.FtcJava.addReservedWords('ClassCastException');
  Blockly.FtcJava.addReservedWords('this');
  Blockly.FtcJava.addReservedWords('CRServo');
  Blockly.FtcJava.addReservedWords('Short');
  Blockly.FtcJava.addReservedWords('start');
  Blockly.FtcJava.addReservedWords('Integer');
  Blockly.FtcJava.addReservedWords('RuntimePermission');
  Blockly.FtcJava.addReservedWords('opModeIsActive');
  Blockly.FtcJava.addReservedWords('Number');
  Blockly.FtcJava.addReservedWords('Character');
  Blockly.FtcJava.addReservedWords('public');
  Blockly.FtcJava.addReservedWords('gamepad2');
  Blockly.FtcJava.addReservedWords('PWMOutput');
  Blockly.FtcJava.addReservedWords('AxesReference');
  Blockly.FtcJava.addReservedWords('VoltageSensor');
  Blockly.FtcJava.addReservedWords('internalPostLoop');
  Blockly.FtcJava.addReservedWords('OpMode');
  Blockly.FtcJava.addReservedWords('PIDFCoefficients');
  Blockly.FtcJava.addReservedWords('catch');
  Blockly.FtcJava.addReservedWords('OrientationSensor');
  Blockly.FtcJava.addReservedWords('IrSeekerSensor');
  Blockly.FtcJava.addReservedWords('Light');
  Blockly.FtcJava.addReservedWords('break');
  Blockly.FtcJava.addReservedWords('assert');
  Blockly.FtcJava.addReservedWords('Character.UnicodeBlock');
  Blockly.FtcJava.addReservedWords('ClassFactory');
  Blockly.FtcJava.addReservedWords('UnsupportedOperationException');
  Blockly.FtcJava.addReservedWords('strictfp');
  Blockly.FtcJava.addReservedWords('switch');
  Blockly.FtcJava.addReservedWords('UnnormalizedAngleUnit');
  Blockly.FtcJava.addReservedWords('AndroidSoundPool');
  Blockly.FtcJava.addReservedWords('init');
  Blockly.FtcJava.addReservedWords('isStarted');
  Blockly.FtcJava.addReservedWords('ClassFormatError');
  Blockly.FtcJava.addReservedWords('FunctionalInterface');
  Blockly.FtcJava.addReservedWords('Readable');
  Blockly.FtcJava.addReservedWords('Compiler');
  Blockly.FtcJava.addReservedWords('requestOpModeStop');
  Blockly.FtcJava.addReservedWords('default');
  Blockly.FtcJava.addReservedWords('ProcessBuilder');
  Blockly.FtcJava.addReservedWords('OpenGLMatrix');
  Blockly.FtcJava.addReservedWords('finally');
  Blockly.FtcJava.addReservedWords('ReadWriteFile');
  Blockly.FtcJava.addReservedWords('package');
  Blockly.FtcJava.addReservedWords('AngleUnit');
  Blockly.FtcJava.addReservedWords('Exception');
  Blockly.FtcJava.addReservedWords('VuforiaRelicRecovery');
  Blockly.FtcJava.addReservedWords('instanceof');
  Blockly.FtcJava.addReservedWords('String');
  Blockly.FtcJava.addReservedWords('IndexOutOfBoundsException');
  Blockly.FtcJava.addReservedWords('NoSuchMethodException');
  Blockly.FtcJava.addReservedWords('NormalizedColorSensor');
  Blockly.FtcJava.addReservedWords('Iterable');
  Blockly.FtcJava.addReservedWords('VuforiaTrackables');
  Blockly.FtcJava.addReservedWords('volatile');
  Blockly.FtcJava.addReservedWords('AutoCloseable');
  Blockly.FtcJava.addReservedWords('Byte');
  Blockly.FtcJava.addReservedWords('StringIndexOutOfBoundsException');
  Blockly.FtcJava.addReservedWords('Range');
  Blockly.FtcJava.addReservedWords('TeleOp');
  Blockly.FtcJava.addReservedWords('Disabled');
  Blockly.FtcJava.addReservedWords('isStopRequested');
  Blockly.FtcJava.addReservedWords('JavaUtil');
  Blockly.FtcJava.addReservedWords('ModernRoboticsI2cCompassSensor');
  Blockly.FtcJava.addReservedWords('VectorF');
  Blockly.FtcJava.addReservedWords('try');
  Blockly.FtcJava.addReservedWords('VerifyError');
  Blockly.FtcJava.addReservedWords('Thread');
  Blockly.FtcJava.addReservedWords('WebcamName');
  Blockly.FtcJava.addReservedWords('Process');
  Blockly.FtcJava.addReservedWords('AssertionError');
  Blockly.FtcJava.addReservedWords('InterruptedException');
  Blockly.FtcJava.addReservedWords('AndroidTextToSpeech');
  Blockly.FtcJava.addReservedWords('ElapsedTime');
  Blockly.FtcJava.addReservedWords('Enum');
  Blockly.FtcJava.addReservedWords('ThreadDeath');
  Blockly.FtcJava.addReservedWords('Thread.UncaughtExceptionHandler');
  Blockly.FtcJava.addReservedWords('InstantiationException');
  Blockly.FtcJava.addReservedWords('Error');
  Blockly.FtcJava.addReservedWords('internalPostInitLoop');
  Blockly.FtcJava.addReservedWords('InstantiationError');
  Blockly.FtcJava.addReservedWords('ProcessBuilder.Redirect.Type');
  Blockly.FtcJava.addReservedWords('double');
  Blockly.FtcJava.addReservedWords('TempUnit');
  Blockly.FtcJava.addReservedWords('const');
  Blockly.FtcJava.addReservedWords('Float');
  Blockly.FtcJava.addReservedWords('Runtime');
  Blockly.FtcJava.addReservedWords('TfodRoverRuckus');
  Blockly.FtcJava.addReservedWords('Character.UnicodeScript');
  Blockly.FtcJava.addReservedWords('NoSuchFieldError');
  Blockly.FtcJava.addReservedWords('InheritableThreadLocal');
  Blockly.FtcJava.addReservedWords('Thread.State');
  Blockly.FtcJava.addReservedWords('loop');
  Blockly.FtcJava.addReservedWords('Acceleration');
  Blockly.FtcJava.addReservedWords('PIDCoefficients');
  Blockly.FtcJava.addReservedWords('DcMotor');
  Blockly.FtcJava.addReservedWords('TypeNotPresentException');
  Blockly.FtcJava.addReservedWords('StackTraceElement');
  Blockly.FtcJava.addReservedWords('long');
  Blockly.FtcJava.addReservedWords('IllegalArgumentException');
  Blockly.FtcJava.addReservedWords('Color');
  Blockly.FtcJava.addReservedWords('Boolean');
  Blockly.FtcJava.addReservedWords('MatrixF');
  Blockly.FtcJava.addReservedWords('new');
  Blockly.FtcJava.addReservedWords('void');
  Blockly.FtcJava.addReservedWords('time');
  Blockly.FtcJava.addReservedWords('UnsatisfiedLinkError');
  Blockly.FtcJava.addReservedWords('if');
  Blockly.FtcJava.addReservedWords('VuforiaLocalizer');
  Blockly.FtcJava.addReservedWords('ArrayList');
  Blockly.FtcJava.addReservedWords('IllegalThreadStateException');
  Blockly.FtcJava.addReservedWords('MagneticFlux');
  Blockly.FtcJava.addReservedWords('SoundPlayer');
  Blockly.FtcJava.addReservedWords('return');
  Blockly.FtcJava.addReservedWords('Orientation');
  Blockly.FtcJava.addReservedWords('DistanceSensor');
  Blockly.FtcJava.addReservedWords('stop');
  Blockly.FtcJava.addReservedWords('static');
  Blockly.FtcJava.addReservedWords('waitOneFullHardwareCycle');
  Blockly.FtcJava.addReservedWords('AbstractMethodError');
  Blockly.FtcJava.addReservedWords('NumberFormatException');
  Blockly.FtcJava.addReservedWords('AnalogOutput');
  Blockly.FtcJava.addReservedWords('enum');
  Blockly.FtcJava.addReservedWords('BNO055IMU');
  Blockly.FtcJava.addReservedWords('ModernRoboticsI2cRangeSensor');
  Blockly.FtcJava.addReservedWords('while');
  Blockly.FtcJava.addReservedWords('Gyroscope');
  Blockly.FtcJava.addReservedWords('LinearOpModeHelper');
  Blockly.FtcJava.addReservedWords('class');
  Blockly.FtcJava.addReservedWords('Throwable');
  Blockly.FtcJava.addReservedWords('SuppressWarnings');
  Blockly.FtcJava.addReservedWords('NormalizedRGBA');
  Blockly.FtcJava.addReservedWords('Servo');
  Blockly.FtcJava.addReservedWords('IllegalMonitorStateException');
  Blockly.FtcJava.addReservedWords('super');
  Blockly.FtcJava.addReservedWords('Cloneable');
  Blockly.FtcJava.addReservedWords('LinkageError');
  Blockly.FtcJava.addReservedWords('AndroidGyroscope');
  Blockly.FtcJava.addReservedWords('ProcessBuilder.Redirect');
  Blockly.FtcJava.addReservedWords('gamepad1');
  Blockly.FtcJava.addReservedWords('msStuckDetectInit');
  Blockly.FtcJava.addReservedWords('ExceptionInInitializerError');
  Blockly.FtcJava.addReservedWords('ClassLoader');
  Blockly.FtcJava.addReservedWords('InternalError');
  Blockly.FtcJava.addReservedWords('int');
  Blockly.FtcJava.addReservedWords('I2cAddressableDevice');
  Blockly.FtcJava.addReservedWords('else');
  Blockly.FtcJava.addReservedWords('private');
  Blockly.FtcJava.addReservedWords('internalUpdateTelemetryNow');
  Blockly.FtcJava.addReservedWords('do');
  Blockly.FtcJava.addReservedWords('StringBuffer');
  Blockly.FtcJava.addReservedWords('Long');
  Blockly.FtcJava.addReservedWords('msStuckDetectInitLoop');
  Blockly.FtcJava.addReservedWords('Void');
  Blockly.FtcJava.addReservedWords('NoClassDefFoundError');
  Blockly.FtcJava.addReservedWords('native');
  Blockly.FtcJava.addReservedWords('VirtualMachineError');
  Blockly.FtcJava.addReservedWords('Override');
  Blockly.FtcJava.addReservedWords('idle');
  Blockly.FtcJava.addReservedWords('Class');
  Blockly.FtcJava.addReservedWords('UltrasonicSensor');
  Blockly.FtcJava.addReservedWords('internalOpModeServices');
  Blockly.FtcJava.addReservedWords('AndroidOrientation');
  Blockly.FtcJava.addReservedWords('short');
  Blockly.FtcJava.addReservedWords('Package');
  Blockly.FtcJava.addReservedWords('Recognition');
  Blockly.FtcJava.addReservedWords('SwitchableLight');
  Blockly.FtcJava.addReservedWords('extends');
  Blockly.FtcJava.addReservedWords('resetStartTime');
  Blockly.FtcJava.addReservedWords('Axis');
  Blockly.FtcJava.addReservedWords('DistanceUnit');
  Blockly.FtcJava.addReservedWords('NullPointerException');
  Blockly.FtcJava.addReservedWords('TouchSensor');
  Blockly.FtcJava.addReservedWords('protected');
  Blockly.FtcJava.addReservedWords('internalPreInit');
  Blockly.FtcJava.addReservedWords('LightSensor');
  Blockly.FtcJava.addReservedWords('OpticalDistanceSensor');
  Blockly.FtcJava.addReservedWords('interface');
  Blockly.FtcJava.addReservedWords('I2cAddrConfig');
  Blockly.FtcJava.addReservedWords('telemetry');
  Blockly.FtcJava.addReservedWords('StringBuilder');
  Blockly.FtcJava.addReservedWords('Object');
  Blockly.FtcJava.addReservedWords('IllegalStateException');
  Blockly.FtcJava.addReservedWords('Velocity');
  Blockly.FtcJava.addReservedWords('VuforiaBase');
  Blockly.FtcJava.addReservedWords('CharSequence');
  Blockly.FtcJava.addReservedWords('RobotLog');
  Blockly.FtcJava.addReservedWords('NoSuchFieldException');
  Blockly.FtcJava.addReservedWords('Comparable');
  Blockly.FtcJava.addReservedWords('ThreadGroup');
  Blockly.FtcJava.addReservedWords('ArithmeticException');
  Blockly.FtcJava.addReservedWords('JustLoggingAccelerationIntegrator');
  Blockly.FtcJava.addReservedWords('throws');
  Blockly.FtcJava.addReservedWords('CompassSensor');
  Blockly.FtcJava.addReservedWords('import');
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('BackLeftAsDcMotor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('BackRightAsDcMotor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('ControlHubAsREVModule'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('ControlHubAsVoltageSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('DistanceSensor1AsDistanceSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('DistanceSensor2AsDistanceSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('ExpansionHub1AsREVModule'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('ExpansionHub1AsVoltageSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('FrontLeftAsDcMotor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('FrontRightAsDcMotor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('Intake1AsDcMotor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('Intake2AsDcMotor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('LeftLineSensorAsColorSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('LeftLineSensorAsDistanceSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('LeftLineSensorAsOpticalDistanceSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('LeftLineSensorAsREVColorRangeSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('LightsAsRevBlinkinLedDriver'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('RightLineSensorAsColorSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('RightLineSensorAsDistanceSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('RightLineSensorAsOpticalDistanceSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('RightLineSensorAsREVColorRangeSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('RingSensorAsColorSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('RingSensorAsDistanceSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('RingSensorAsOpticalDistanceSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('RingSensorAsREVColorRangeSensor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('ShooterAsDcMotor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('ShooterServoAsServo'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('Webcam1AsWebcamName'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('WobbleGrabberAsServo'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('WobbleLifterAsDcMotor'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('imu1AsBNO055IMU'));
  Blockly.FtcJava.addReservedWords(getIdentifierForFtcJava('imuAsBNO055IMU'));
  Blockly.FtcJava.addReservedWords('androidAccelerometer');
  Blockly.FtcJava.addReservedWords('androidGyroscope');
  Blockly.FtcJava.addReservedWords('androidOrientation');
  Blockly.FtcJava.addReservedWords('androidSoundPool');
  Blockly.FtcJava.addReservedWords('androidTextToSpeech');
  Blockly.FtcJava.addReservedWords('gamepad1');
  Blockly.FtcJava.addReservedWords('gamepad2');
  Blockly.FtcJava.addReservedWords('tfodCustomModel');
  Blockly.FtcJava.addReservedWords('tfodUltimateGoal');
  Blockly.FtcJava.addReservedWords('tfodRoverRuckus');
  Blockly.FtcJava.addReservedWords('tfodSkyStone');
  Blockly.FtcJava.addReservedWords('vuforiaUltimateGoal');
  Blockly.FtcJava.addReservedWords('vuforiaRelicRecovery');
  Blockly.FtcJava.addReservedWords('vuforiaRoverRuckus');
  Blockly.FtcJava.addReservedWords('vuforiaSkyStone');
}

function getIconClass(categoryName) {
  if (categoryName == 'AccelerationSensor') {
    return 'AccelerationSensor-icon';
  }
  if (categoryName == 'AnalogInput') {
    return 'AnalogInput-icon';
  }
  if (categoryName == 'AnalogOutput') {
    return 'AnalogOutput-icon';
  }
  if (categoryName == 'REV Color/Range Sensor') {
    return 'ColorSensor-icon';
  }
  if (categoryName == 'ColorSensor') {
    return 'ColorSensor-icon';
  }
  if (categoryName == 'CompassSensor') {
    return 'CompassSensor-icon';
  }
  if (categoryName == 'CRServo') {
    return 'CRServo-icon';
  }
  if (categoryName == 'DcMotor') {
    return 'DcMotor-icon';
  }
  if (categoryName == 'DigitalChannel') {
    return 'DigitalChannel-icon';
  }
  if (categoryName == 'DistanceSensor') {
    return 'UltrasonicSensor-icon';
  }
  if (categoryName == 'GyroSensor') {
    return 'GyroSensor-icon';
  }
  if (categoryName == 'IrSeekerSensor') {
    return 'IrSeekerSensor-icon';
  }
  if (categoryName == 'LED') {
    return 'LED-icon';
  }
  if (categoryName == 'LightSensor') {
    return 'LightSensor-icon';
  }
  if (categoryName == 'MrI2cCompassSensor') {
    return 'CompassSensor-icon';
  }
  if (categoryName == 'MrI2cRangeSensor') {
    return 'OpticalDistanceSensor-icon';
  }
  if (categoryName == 'OpticalDistanceSensor') {
    return 'OpticalDistanceSensor-icon';
  }
  if (categoryName == 'RevBlinkinLedDriver') {
    return 'LED-icon';
  }
  if (categoryName == 'Servo') {
    return 'Servo-icon';
  }
  if (categoryName == 'ServoController') {
    return 'ServoController-icon';
  }
  if (categoryName == 'TouchSensor') {
    return 'TouchSensor-icon';
  }
  if (categoryName == 'UltrasonicSensor') {
    return 'UltrasonicSensor-icon';
  }
  if (categoryName == 'VoltageSensor') {
    return 'VoltageSensor-icon';
  }
  if (categoryName == 'Dual') {
    return 'DcMotor-icon';
  }
  if (categoryName == 'Gamepad') {
    return 'Gamepad-icon';
  }
  if (categoryName == 'LinearOpMode') {
    return 'LinearOpMode-icon';
  }
  if (categoryName == 'Color') {
    return 'ColorSensor-icon';
  }
  if (categoryName == 'ElapsedTime') {
    return 'ElapsedTime-icon';
  }
  return '';
}

function getWarningForCapabilityRequestedBySample(capability) {
  switch (capability) {
    case 'SWITCHABLE_CAMERA':
      return 'The current configuration does not have multiple webcams.';
  }
  return '';
}

function getToolbox() {
  return '<xml id="toolbox" style="display: none"><category name="LinearOpMode"><block type="linearOpMode_waitForStart"></block><block type="linearOpMode_idle"></block><block type="linearOpMode_sleep_Number"><value name="MILLISECONDS"><shadow type="math_number"><field name="NUM">1000</field></shadow></value></block><block type="linearOpMode_opModeIsActive"></block><block type="linearOpMode_isStarted"></block><block type="linearOpMode_isStopRequested"></block><block type="linearOpMode_getRuntime_Number"></block></category><category name="Gamepad"><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">A</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">AtRest</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">B</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Back</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Circle</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Cross</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">DpadDown</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">DpadLeft</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">DpadRight</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">DpadUp</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Guide</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftBumper</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickButton</field></block><block type="gamepad_getProperty_Number"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickX</field></block><block type="gamepad_getProperty_Number"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftStickY</field></block><block type="gamepad_getProperty_Number"><field name="IDENTIFIER">gamepad1</field><field name="PROP">LeftTrigger</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Options</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">PS</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightBumper</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickButton</field></block><block type="gamepad_getProperty_Number"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickX</field></block><block type="gamepad_getProperty_Number"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightStickY</field></block><block type="gamepad_getProperty_Number"><field name="IDENTIFIER">gamepad1</field><field name="PROP">RightTrigger</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Share</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Square</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Start</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Touchpad</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Triangle</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">X</field></block><block type="gamepad_getProperty_Boolean"><field name="IDENTIFIER">gamepad1</field><field name="PROP">Y</field></block></category><category name="Actuators"><category name="DcMotor"><block type="dcMotor_getProperty_Number"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">CurrentPosition</field></block><block type="dcMotor_setProperty_Direction"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Direction</field><value name="VALUE"><shadow type="dcMotor_typedEnum_direction"></shadow></value></block><block type="dcMotor_getProperty_Direction"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Direction</field></block><block type="dcMotor_setProperty_RunMode"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field><value name="VALUE"><shadow type="dcMotor_typedEnum_runMode"></shadow></value></block><block type="dcMotor_getProperty_RunMode"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Mode</field></block><block type="dcMotor_setProperty_Number"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><value name="VALUE"><shadow type="math_number"><field name="NUM">1</field></shadow></value></block><block type="dcMotor_setProperty_Number"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field><value name="VALUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="dcMotor_getProperty_Number"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Power</field></block><block type="dcMotor_getProperty_Boolean"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">PowerFloat</field></block><block type="dcMotor_setProperty_Number"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">TargetPosition</field><value name="VALUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="dcMotor_getProperty_Number"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">TargetPosition</field></block><block type="dcMotor_setProperty_ZeroPowerBehavior"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">ZeroPowerBehavior</field><value name="VALUE"><shadow type="dcMotor_typedEnum_zeroPowerBehavior"></shadow></value></block><block type="dcMotor_getProperty_ZeroPowerBehavior"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">ZeroPowerBehavior</field></block><block type="dcMotor_isBusy"><field name="IDENTIFIER">ShooterAsDcMotor</field></block><category name="Dual"><block type="dcMotor_setDualProperty_Number"><field name="PROP">Power</field><field name="IDENTIFIER1">ShooterAsDcMotor</field><field name="IDENTIFIER2">Intake1AsDcMotor</field><value name="VALUE1"><shadow type="math_number"><field name="NUM">1</field></shadow></value><value name="VALUE2"><shadow type="math_number"><field name="NUM">1</field></shadow></value></block><block type="dcMotor_setDualProperty_Number"><field name="PROP">Power</field><field name="IDENTIFIER1">ShooterAsDcMotor</field><field name="IDENTIFIER2">Intake1AsDcMotor</field><value name="VALUE1"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="VALUE2"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="dcMotor_setDualProperty_RunMode"><field name="PROP">Mode</field><field name="IDENTIFIER1">ShooterAsDcMotor</field><field name="IDENTIFIER2">Intake1AsDcMotor</field><value name="VALUE1"><shadow type="dcMotor_typedEnum_runMode"></shadow></value><value name="VALUE2"><shadow type="dcMotor_typedEnum_runMode"></shadow></value></block><block type="dcMotor_setDualProperty_Number"><field name="PROP">TargetPosition</field><field name="IDENTIFIER1">ShooterAsDcMotor</field><field name="IDENTIFIER2">Intake1AsDcMotor</field><value name="VALUE1"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="VALUE2"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="dcMotor_setDualProperty_ZeroPowerBehavior"><field name="PROP">ZeroPowerBehavior</field><field name="IDENTIFIER1">ShooterAsDcMotor</field><field name="IDENTIFIER2">Intake1AsDcMotor</field><value name="VALUE1"><shadow type="dcMotor_typedEnum_zeroPowerBehavior"></shadow></value><value name="VALUE2"><shadow type="dcMotor_typedEnum_zeroPowerBehavior"></shadow></value></block></category><category name="Extended"><block type="dcMotor_setProperty_Number"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">TargetPositionTolerance</field><value name="VALUE"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="dcMotor_getProperty_Number"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">TargetPositionTolerance</field></block><block type="dcMotor_setProperty_Number"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field><value name="VALUE"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="dcMotor_getProperty_Number"><field name="IDENTIFIER">ShooterAsDcMotor</field><field name="PROP">Velocity</field></block><category name="Dual"><block type="dcMotor_setDualProperty_Number"><field name="PROP">TargetPositionTolerance</field><field name="IDENTIFIER1">ShooterAsDcMotor</field><field name="IDENTIFIER2">Intake1AsDcMotor</field><value name="VALUE1"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="VALUE2"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="dcMotor_setDualProperty_Number"><field name="PROP">Velocity</field><field name="IDENTIFIER1">ShooterAsDcMotor</field><field name="IDENTIFIER2">Intake1AsDcMotor</field><value name="VALUE1"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="VALUE2"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block></category><block type="dcMotor_setMotorEnable"><field name="IDENTIFIER">ShooterAsDcMotor</field></block><block type="dcMotor_setMotorDisable"><field name="IDENTIFIER">ShooterAsDcMotor</field></block><block type="dcMotor_isMotorEnabled"><field name="IDENTIFIER">ShooterAsDcMotor</field></block><block type="dcMotor_setVelocity_withAngleUnit"><field name="IDENTIFIER">ShooterAsDcMotor</field><value name="ANGULAR_RATE"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value></block><block type="dcMotor_getVelocity_withAngleUnit"><field name="IDENTIFIER">ShooterAsDcMotor</field><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value></block><block type="dcMotor_setVelocityPIDFCoefficients"><field name="IDENTIFIER">ShooterAsDcMotor</field><value name="P"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="I"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="D"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="F"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="dcMotor_setPositionPIDFCoefficients"><field name="IDENTIFIER">ShooterAsDcMotor</field><value name="P"><shadow type="math_number"><field name="NUM">5</field></shadow></value></block><block type="dcMotor_setPIDFCoefficients"><field name="IDENTIFIER">ShooterAsDcMotor</field><value name="RUN_MODE"><shadow type="dcMotor_typedEnum_runMode"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value></block><block type="dcMotor_getPIDFCoefficients"><field name="IDENTIFIER">ShooterAsDcMotor</field><value name="RUN_MODE"><shadow type="dcMotor_typedEnum_runMode"><field name="RUN_MODE">RUN_USING_ENCODER</field></shadow></value></block><block type="dcMotor_getCurrent"><field name="IDENTIFIER">ShooterAsDcMotor</field><value name="CURRENT_UNIT"><shadow type="navigation_typedEnum_currentUnit"></shadow></value></block><block type="dcMotor_setCurrentAlert"><field name="IDENTIFIER">ShooterAsDcMotor</field><value name="CURRENT"><shadow type="math_number"><field name="NUM">5</field></shadow></value><value name="CURRENT_UNIT"><shadow type="navigation_typedEnum_currentUnit"></shadow></value></block><block type="dcMotor_getCurrentAlert"><field name="IDENTIFIER">ShooterAsDcMotor</field><value name="CURRENT_UNIT"><shadow type="navigation_typedEnum_currentUnit"></shadow></value></block><block type="dcMotor_isOverCurrent"><field name="IDENTIFIER">ShooterAsDcMotor</field></block></category></category><category name="RevBlinkinLedDriver"><block type="revBlinkinLedDriver_setProperty_BlinkinPattern"><field name="PROP">Pattern</field></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryPalette"><field name="CATEGORY">RAINBOW</field></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternRainbowWithGlitter"></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternConfetti"></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternShot"></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryPalette"><field name="CATEGORY">SINELON</field></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryPalette"><field name="CATEGORY">BEATS_PER_MINUTE</field></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternFire"></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryPalette"><field name="CATEGORY">TWINKLES</field></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryPalette"><field name="CATEGORY">COLOR_WAVES</field></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternLarsonScanner"></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryColor"><field name="CATEGORY">LIGHT_CHASE</field></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternHeartbeat"></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryColor"><field name="CATEGORY">BREATH</field></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternStrobe"></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryPattern"><field name="CATEGORY">CP1</field></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternByCategoryPattern"><field name="CATEGORY">CP2</field></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternCP1_2"></block><block type="revBlinkinLedDriver_typedEnum_blinkinPatternSolid"></block><block type="revBlinkinLedDriver_blinkinPattern_fromNumber"><value name="NUMBER"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="revBlinkinLedDriver_blinkinPattern_toNumber"><value name="BLINKIN_PATTERN"><block type="variables_get"><field name="VAR">{patternVariable}</field></block></value></block><block type="revBlinkinLedDriver_blinkinPattern_toText"><value name="BLINKIN_PATTERN"><block type="variables_get"><field name="VAR">{patternVariable}</field></block></value></block><block type="revBlinkinLedDriver_blinkinPattern_next"><value name="BLINKIN_PATTERN"><block type="variables_get"><field name="VAR">{patternVariable}</field></block></value></block><block type="revBlinkinLedDriver_blinkinPattern_previous"><value name="BLINKIN_PATTERN"><block type="variables_get"><field name="VAR">{patternVariable}</field></block></value></block></category><category name="Servo"><block type="servo_setProperty_Direction"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Direction</field><value name="VALUE"><shadow type="servo_typedEnum_direction"></shadow></value></block><block type="servo_getProperty_Direction"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Direction</field></block><block type="servo_setProperty_Number"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field><value name="VALUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="servo_getProperty_Number"><field name="IDENTIFIER">ShooterServoAsServo</field><field name="PROP">Position</field></block><block type="servo_scaleRange_Number"><field name="IDENTIFIER">ShooterServoAsServo</field><value name="MIN"><shadow type="math_number"><field name="NUM">0.2</field></shadow></value><value name="MAX"><shadow type="math_number"><field name="NUM">0.8</field></shadow></value></block></category></category><category name="Sensors"><category name="ColorSensor"><block type="colorSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">Alpha</field></block><block type="colorSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">Argb</field></block><block type="colorSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">Blue</field></block><block type="colorSensor_setProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">Gain</field><value name="VALUE"><shadow type="math_number"><field name="NUM">2</field></shadow></value></block><block type="colorSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">Gain</field></block><block type="colorSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">Green</field></block><block type="colorSensor_setProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">I2cAddress7Bit</field><value name="VALUE"><shadow type="math_number"><field name="NUM">8</field></shadow></value></block><block type="colorSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">I2cAddress7Bit</field></block><block type="colorSensor_setProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">I2cAddress8Bit</field><value name="VALUE"><shadow type="math_number"><field name="NUM">16</field></shadow></value></block><block type="colorSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">I2cAddress8Bit</field></block><block type="colorSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsColorSensor</field><field name="PROP">Red</field></block><block type="colorSensor_enableLed_Boolean"><field name="IDENTIFIER">RingSensorAsColorSensor</field><value name="ENABLE"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value></block><block type="colorSensor_getNormalizedColors"><field name="IDENTIFIER">RingSensorAsColorSensor</field></block><block type="colorSensor_isLightOn"><field name="IDENTIFIER">RingSensorAsColorSensor</field></block><block type="colorSensor_toText"><field name="IDENTIFIER">RingSensorAsColorSensor</field></block></category><category name="DistanceSensor"><block type="distanceSensor_getDistance"><field name="IDENTIFIER">RingSensorAsDistanceSensor</field><value name="DISTANCE_UNIT"><shadow type="navigation_typedEnum_distanceUnit"></shadow></value></block></category><category name="IMU-BNO055"><block type="bno055imu_getProperty_Acceleration"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">Acceleration</field></block><block type="bno055imu_getProperty_Orientation"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">AngularOrientation</field></block><block type="bno055imu_getProperty_Array"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">AngularOrientationAxes</field></block><block type="bno055imu_getProperty_AngularVelocity"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">AngularVelocity</field></block><block type="bno055imu_getProperty_Array"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">AngularVelocityAxes</field></block><block type="bno055imu_getProperty_String"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">CalibrationStatus</field></block><block type="bno055imu_getProperty_Acceleration"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">Gravity</field></block><block type="bno055imu_setProperty_Number"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">I2cAddress7Bit</field><value name="VALUE"><shadow type="math_number"><field name="NUM">8</field></shadow></value></block><block type="bno055imu_getProperty_Number"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">I2cAddress7Bit</field></block><block type="bno055imu_setProperty_Number"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">I2cAddress8Bit</field><value name="VALUE"><shadow type="math_number"><field name="NUM">16</field></shadow></value></block><block type="bno055imu_getProperty_Number"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">I2cAddress8Bit</field></block><block type="bno055imu_getProperty_Acceleration"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">LinearAcceleration</field></block><block type="bno055imu_getProperty_MagneticFlux"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">MagneticFieldStrength</field></block><block type="bno055imu_getProperty_Acceleration"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">OverallAcceleration</field></block><block type="bno055imu_getProperty_Position"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">Position</field></block><block type="bno055imu_getProperty_Quaternion"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">QuaternionOrientation</field></block><block type="bno055imu_getProperty_String"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">SystemError</field></block><block type="bno055imu_getProperty_SystemStatus"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">SystemStatus</field></block><block type="bno055imu_typedEnum_systemStatus"></block><block type="bno055imu_getProperty_Temperature"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">Temperature</field></block><block type="bno055imu_getProperty_Velocity"><field name="IDENTIFIER">imu1AsBNO055IMU</field><field name="PROP">Velocity</field></block><block type="bno055imu_getAngularOrientation"><field name="IDENTIFIER">imu1AsBNO055IMU</field><value name="AXES_REFERENCE"><shadow type="navigation_typedEnum_axesReference"></shadow></value><value name="AXES_ORDER"><shadow type="navigation_typedEnum_axesOrder"></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value></block><block type="bno055imu_getAngularVelocity"><field name="IDENTIFIER">imu1AsBNO055IMU</field><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value></block><block type="bno055imu_initialize"><field name="IDENTIFIER">imu1AsBNO055IMU</field><value name="PARAMETERS"><block type="variables_get"><field name="VAR">{parametersVariable}</field></block></value></block><block type="bno055imu_isAccelerometerCalibrated"><field name="IDENTIFIER">imu1AsBNO055IMU</field></block><block type="bno055imu_isGyroCalibrated"><field name="IDENTIFIER">imu1AsBNO055IMU</field></block><block type="bno055imu_isMagnetometerCalibrated"><field name="IDENTIFIER">imu1AsBNO055IMU</field></block><block type="bno055imu_isSystemCalibrated"><field name="IDENTIFIER">imu1AsBNO055IMU</field></block><block type="bno055imu_saveCalibrationData"><field name="IDENTIFIER">imu1AsBNO055IMU</field><value name="FILE_NAME"><shadow type="text"><field name="TEXT">IMUCalibration.json</field></shadow></value></block><block type="bno055imu_startAccelerationIntegration_with1"><field name="IDENTIFIER">imu1AsBNO055IMU</field><value name="MS_POLL_INTERVAL"><shadow type="math_number"><field name="NUM">1000</field></shadow></value></block><block type="bno055imu_startAccelerationIntegration_with3"><field name="IDENTIFIER">imu1AsBNO055IMU</field><value name="INITIAL_POSITION"><block type="variables_get"><field name="VAR">{positionVariable}</field></block></value><value name="INITIAL_VELOCITY"><block type="variables_get"><field name="VAR">{velocityVariable}</field></block></value><value name="MS_POLL_INTERVAL"><shadow type="math_number"><field name="NUM">1000</field></shadow></value></block><block type="bno055imu_stopAccelerationIntegration"><field name="IDENTIFIER">imu1AsBNO055IMU</field></block></category><category name="IMU-BNO055.Parameters"><block type="bno055imuParameters_create"></block><block type="bno055imuParameters_setAccelUnit"><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value><value name="ACCEL_UNIT"><shadow type="bno055imuParameters_typedEnum_accelUnit"></shadow></value></block><block type="bno055imuParameters_setAccelerationIntegrationAlgorithm"><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value><value name="ACCELERATION_INTEGRATION_ALGORITHM"><shadow type="bno055imuParameters_typedEnum_accelerationIntegrationAlgorithm"></shadow></value></block><block type="bno055imuParameters_setAngleUnit"><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value></block><block type="bno055imuParameters_setCalibrationDataFile"><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value><value name="CALIBRATION_DATA_FILE"><shadow type="text"><field name="TEXT">filename</field></shadow></value></block><block type="bno055imuParameters_setI2cAddress7Bit"><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value><value name="I2C_ADDRESS_7_BIT"><shadow type="math_number"><field name="NUM">8</field></shadow></value></block><block type="bno055imuParameters_setI2cAddress8Bit"><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value><value name="I2C_ADDRESS_8_BIT"><shadow type="math_number"><field name="NUM">16</field></shadow></value></block><block type="bno055imuParameters_setLoggingEnabled"><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value><value name="LOGGING_ENABLED"><shadow type="logic_boolean"><field name="BOOL">true</field></shadow></value></block><block type="bno055imuParameters_setLoggingTag"><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value><value name="LOGGING_TAG"><shadow type="text"><field name="TEXT">text</field></shadow></value></block><block type="bno055imuParameters_setSensorMode"><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value><value name="SENSOR_MODE"><shadow type="bno055imuParameters_typedEnum_sensorMode"></shadow></value></block><block type="bno055imuParameters_setTempUnit"><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value><value name="TEMP_UNIT"><shadow type="navigation_typedEnum_tempUnit"></shadow></value></block><block type="bno055imuParameters_getProperty_AccelUnit"><field name="PROP">AccelUnit</field><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value></block><block type="bno055imuParameters_getProperty_AccelerationIntegrationAlgorithm"><field name="PROP">AccelerationIntegrationAlgorithm</field><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value></block><block type="bno055imuParameters_getProperty_AngleUnit"><field name="PROP">AngleUnit</field><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value></block><block type="bno055imuParameters_getProperty_String"><field name="PROP">CalibrationDataFile</field><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value></block><block type="bno055imuParameters_getProperty_Number"><field name="PROP">I2cAddress7Bit</field><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value></block><block type="bno055imuParameters_getProperty_Number"><field name="PROP">I2cAddress8Bit</field><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value></block><block type="bno055imuParameters_getProperty_Boolean"><field name="PROP">LoggingEnabled</field><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value></block><block type="bno055imuParameters_getProperty_String"><field name="PROP">LoggingTag</field><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value></block><block type="bno055imuParameters_getProperty_SensorMode"><field name="PROP">SensorMode</field><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value></block><block type="bno055imuParameters_getProperty_TempUnit"><field name="PROP">TempUnit</field><value name="BNO055IMU_PARAMETERS"><block type="variables_get"><field name="VAR">{bno055imuParametersVariable}</field></block></value></block></category><category name="OpticalDistanceSensor"><block type="opticalDistanceSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsOpticalDistanceSensor</field><field name="PROP">LightDetected</field></block><block type="opticalDistanceSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsOpticalDistanceSensor</field><field name="PROP">RawLightDetected</field></block><block type="opticalDistanceSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsOpticalDistanceSensor</field><field name="PROP">RawLightDetectedMax</field></block><block type="opticalDistanceSensor_enableLed_Boolean"><field name="IDENTIFIER">RingSensorAsOpticalDistanceSensor</field><value name="ENABLE"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value></block></category><category name="REV Color/Range Sensor"><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">Alpha</field></block><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">Argb</field></block><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">Blue</field></block><block type="lynxI2cColorRangeSensor_setProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">Gain</field><value name="VALUE"><shadow type="math_number"><field name="NUM">2</field></shadow></value></block><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">Gain</field></block><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">Green</field></block><block type="lynxI2cColorRangeSensor_setProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">I2cAddress7Bit</field><value name="VALUE"><shadow type="math_number"><field name="NUM">8</field></shadow></value></block><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">I2cAddress7Bit</field></block><block type="lynxI2cColorRangeSensor_setProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">I2cAddress8Bit</field><value name="VALUE"><shadow type="math_number"><field name="NUM">16</field></shadow></value></block><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">I2cAddress8Bit</field></block><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">LightDetected</field></block><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">RawLightDetected</field></block><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">RawLightDetectedMax</field></block><block type="lynxI2cColorRangeSensor_getProperty_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><field name="PROP">Red</field></block><block type="lynxI2cColorRangeSensor_getDistance_Number"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field><value name="UNIT"><shadow type="navigation_typedEnum_distanceUnit"></shadow></value></block><block type="lynxI2cColorRangeSensor_getNormalizedColors"><field name="IDENTIFIER">RingSensorAsREVColorRangeSensor</field></block></category><category name="VoltageSensor"><block type="voltageSensor_getProperty_Number"><field name="IDENTIFIER">ControlHubAsVoltageSensor</field><field name="PROP">Voltage</field></block></category></category><category name="Other Devices"></category><category name="Android"><category name="SoundPool"><block type="androidSoundPool_initialize"></block><block type="androidSoundPool_preloadSound"><value name="SOUND_NAME"><shadow type="androidSoundPoolSkyStone_typedEnum_soundResource"></shadow></value></block><block type="androidSoundPool_preloadSound"><value name="SOUND_NAME"><shadow type="text"><field name="TEXT">click.wav</field></shadow></value></block><block type="androidSoundPool_play"><value name="SOUND_NAME"><shadow type="androidSoundPoolSkyStone_typedEnum_soundResource"></shadow></value></block><block type="androidSoundPool_play"><value name="SOUND_NAME"><shadow type="text"><field name="TEXT">click.wav</field></shadow></value></block><block type="androidSoundPool_stop"></block><block type="androidSoundPool_setProperty_Number"><field name="PROP">Volume</field><value name="VALUE"><shadow type="math_number"><field name="NUM">1.0</field></shadow></value></block><block type="androidSoundPool_getProperty_Number"><field name="PROP">Volume</field></block><block type="androidSoundPool_setProperty_Number"><field name="PROP">Rate</field><value name="VALUE"><shadow type="math_number"><field name="NUM">2.0</field></shadow></value></block><block type="androidSoundPool_getProperty_Number"><field name="PROP">Rate</field></block><block type="androidSoundPool_setProperty_Number"><field name="PROP">Loop</field><value name="VALUE"><shadow type="math_number"><field name="NUM">3</field></shadow></value></block><block type="androidSoundPool_getProperty_Number"><field name="PROP">Loop</field></block></category><category name="TextToSpeech"><block type="androidTextToSpeech_initialize"></block><block type="androidTextToSpeech_getProperty_String"><field name="PROP">Status</field></block><block type="androidTextToSpeech_getProperty_String"><field name="PROP">LanguageCode</field></block><block type="androidTextToSpeech_getProperty_String"><field name="PROP">CountryCode</field></block><block type="androidTextToSpeech_getProperty_Boolean"><field name="PROP">IsSpeaking</field></block><block type="androidTextToSpeech_setProperty_Number"><field name="PROP">Pitch</field><value name="VALUE"><shadow type="math_number"><field name="NUM">1.0</field></shadow></value></block><block type="androidTextToSpeech_setProperty_Number"><field name="PROP">SpeechRate</field><value name="VALUE"><shadow type="math_number"><field name="NUM">1.0</field></shadow></value></block><block type="androidTextToSpeech_isLanguageAvailable_String"><value name="LANGUAGE_CODE"><shadow type="text"><field name="TEXT">en</field></shadow><block type="locale_languageCode"></block></value></block><block type="androidTextToSpeech_isLanguageAndCountryAvailable_String"><value name="LANGUAGE_CODE"><shadow type="text"><field name="TEXT">en</field></shadow><block type="locale_languageCode"></block></value><value name="COUNTRY_CODE"><shadow type="text"><field name="TEXT">US</field></shadow><block type="locale_countryCode"></block></value></block><block type="androidTextToSpeech_setLanguage_String"><value name="LANGUAGE_CODE"><shadow type="text"><field name="TEXT">en</field></shadow><block type="locale_languageCode"></block></value></block><block type="androidTextToSpeech_setLanguageAndCountry_String"><value name="LANGUAGE_CODE"><shadow type="text"><field name="TEXT">en</field></shadow><block type="locale_languageCode"></block></value><value name="COUNTRY_CODE"><shadow type="text"><field name="TEXT">US</field></shadow><block type="locale_countryCode"></block></value></block><block type="androidTextToSpeech_speak_String"><value name="TEXT"><shadow type="text"><field name="TEXT">Get to the choppa!</field></shadow></value></block></category></category><category name="Utilities"><category name="Acceleration"><block type="acceleration_getProperty_DistanceUnit"><field name="PROP">DistanceUnit</field><value name="ACCELERATION"><block type="variables_get"><field name="VAR">{accelerationVariable}</field></block></value></block><block type="acceleration_getProperty_Number"><field name="PROP">XAccel</field><value name="ACCELERATION"><block type="variables_get"><field name="VAR">{accelerationVariable}</field></block></value></block><block type="acceleration_getProperty_Number"><field name="PROP">YAccel</field><value name="ACCELERATION"><block type="variables_get"><field name="VAR">{accelerationVariable}</field></block></value></block><block type="acceleration_getProperty_Number"><field name="PROP">ZAccel</field><value name="ACCELERATION"><block type="variables_get"><field name="VAR">{accelerationVariable}</field></block></value></block><block type="acceleration_getProperty_Number"><field name="PROP">AcquisitionTime</field><value name="ACCELERATION"><block type="variables_get"><field name="VAR">{accelerationVariable}</field></block></value></block><block type="acceleration_toDistanceUnit"><value name="ACCELERATION"><block type="variables_get"><field name="VAR">{accelerationVariable}</field></block></value><value name="DISTANCE_UNIT"><shadow type="navigation_typedEnum_distanceUnit"></shadow></value></block><block type="acceleration_toText"><value name="ACCELERATION"><block type="variables_get"><field name="VAR">{accelerationVariable}</field></block></value></block><block type="acceleration_create"></block><block type="acceleration_create_withArgs"><value name="DISTANCE_UNIT"><shadow type="navigation_typedEnum_distanceUnit"></shadow></value><value name="X_ACCEL"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="Y_ACCEL"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="Z_ACCEL"><shadow type="math_number"><field name="NUM">30</field></shadow></value><value name="ACQUISITION_TIME"><shadow type="system_nanoTime"></shadow></value></block><block type="acceleration_fromGravity"><value name="GX"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="GY"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="GZ"><shadow type="math_number"><field name="NUM">30</field></shadow></value><value name="ACQUISITION_TIME"><shadow type="system_nanoTime"></shadow></value></block></category><category name="AngleUnit"><block type="navigation_angleUnit_normalize"><value name="ANGLE"><shadow type="math_number"><field name="NUM">360</field></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"><field name="ANGLE_UNIT">DEGREES</field></shadow></value></block><block type="navigation_angleUnit_convert"><value name="ANGLE"><shadow type="math_number"><field name="NUM">3.14</field></shadow></value><value name="FROM_ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"><field name="ANGLE_UNIT">RADIANS</field></shadow></value><value name="TO_ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"><field name="ANGLE_UNIT">DEGREES</field></shadow></value></block></category><category name="AngularVelocity"><block type="angularVelocity_getProperty_AngleUnit"><field name="PROP">AngleUnit</field><value name="ANGULAR_VELOCITY"><block type="variables_get"><field name="VAR">{angularVelocityVariable}</field></block></value></block><block type="angularVelocity_getProperty_Number"><field name="PROP">XRotationRate</field><value name="ANGULAR_VELOCITY"><block type="variables_get"><field name="VAR">{angularVelocityVariable}</field></block></value></block><block type="angularVelocity_getProperty_Number"><field name="PROP">YRotationRate</field><value name="ANGULAR_VELOCITY"><block type="variables_get"><field name="VAR">{angularVelocityVariable}</field></block></value></block><block type="angularVelocity_getProperty_Number"><field name="PROP">ZRotationRate</field><value name="ANGULAR_VELOCITY"><block type="variables_get"><field name="VAR">{angularVelocityVariable}</field></block></value></block><block type="angularVelocity_getRotationRate"><value name="ANGULAR_VELOCITY"><block type="variables_get"><field name="VAR">{angularVelocityVariable}</field></block></value><value name="AXIS"><shadow type="navigation_typedEnum_axis"></shadow></value></block><block type="angularVelocity_getProperty_Number"><field name="PROP">AcquisitionTime</field><value name="ANGULAR_VELOCITY"><block type="variables_get"><field name="VAR">{angularVelocityVariable}</field></block></value></block><block type="angularVelocity_toAngleUnit"><value name="ANGULAR_VELOCITY"><block type="variables_get"><field name="VAR">{angularVelocityVariable}</field></block></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value></block><block type="angularVelocity_create"></block><block type="angularVelocity_create_withArgs"><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value><value name="X_ROTATION_RATE"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="Y_ROTATION_RATE"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="Z_ROTATION_RATE"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="ACQUISITION_TIME"><shadow type="system_nanoTime"></shadow></value></block></category><category name="Axis"><block type="navigation_typedEnum_axis"><field name="AXIS">X</field></block><block type="navigation_typedEnum_axis"><field name="AXIS">Y</field></block><block type="navigation_typedEnum_axis"><field name="AXIS">Z</field></block></category><category name="Color"><block type="color_rgbToHue"><value name="RED"><shadow type="math_number"><field name="NUM">255</field></shadow></value><value name="GREEN"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="BLUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="color_rgbToSaturation"><value name="RED"><shadow type="math_number"><field name="NUM">255</field></shadow></value><value name="GREEN"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="BLUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="color_rgbToValue"><value name="RED"><shadow type="math_number"><field name="NUM">255</field></shadow></value><value name="GREEN"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="BLUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="color_toText"><value name="COLOR"><block type="variables_get"><field name="VAR">{colorVariable}</field></block></value></block><block type="color_showColor"><value name="COLOR"><block type="variables_get"><field name="VAR">{colorVariable}</field></block></value></block><block type="color_getProperty_Number"><field name="PROP">Red</field><value name="COLOR"><block type="variables_get"><field name="VAR">{colorVariable}</field></block></value></block><block type="color_getProperty_Number"><field name="PROP">Green</field><value name="COLOR"><block type="variables_get"><field name="VAR">{colorVariable}</field></block></value></block><block type="color_getProperty_Number"><field name="PROP">Blue</field><value name="COLOR"><block type="variables_get"><field name="VAR">{colorVariable}</field></block></value></block><block type="color_getProperty_Number"><field name="PROP">Alpha</field><value name="COLOR"><block type="variables_get"><field name="VAR">{colorVariable}</field></block></value></block><block type="color_getProperty_Number"><field name="PROP">Hue</field><value name="COLOR"><block type="variables_get"><field name="VAR">{colorVariable}</field></block></value></block><block type="color_getProperty_Number"><field name="PROP">Saturation</field><value name="COLOR"><block type="variables_get"><field name="VAR">{colorVariable}</field></block></value></block><block type="color_getProperty_Number"><field name="PROP">Value</field><value name="COLOR"><block type="variables_get"><field name="VAR">{colorVariable}</field></block></value></block><block type="color_rgbToColor_Number"><value name="RED"><shadow type="math_number"><field name="NUM">255</field></shadow></value><value name="GREEN"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="BLUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="color_argbToColor_Number"><value name="ALPHA"><shadow type="math_number"><field name="NUM">255</field></shadow></value><value name="RED"><shadow type="math_number"><field name="NUM">255</field></shadow></value><value name="GREEN"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="BLUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="color_hsvToColor_Number"><value name="HUE"><shadow type="math_number"><field name="NUM">60</field></shadow></value><value name="SATURATION"><shadow type="math_number"><field name="NUM">1.0</field></shadow></value><value name="VALUE"><shadow type="math_number"><field name="NUM">0.5</field></shadow></value></block><block type="color_ahsvToColor_Number"><value name="ALPHA"><shadow type="math_number"><field name="NUM">255</field></shadow></value><value name="HUE"><shadow type="math_number"><field name="NUM">60</field></shadow></value><value name="SATURATION"><shadow type="math_number"><field name="NUM">1.0</field></shadow></value><value name="VALUE"><shadow type="math_number"><field name="NUM">0.5</field></shadow></value></block><block type="color_textToColor_Number"><value name="TEXT"><shadow type="text"><field name="TEXT">#FFFFFF</field></shadow></value></block><block type="color_textToColor_Number"><value name="TEXT"><shadow type="text"><field name="TEXT">#FFFFFFFF</field></shadow></value></block><block type="color_textToColor_Number"><value name="TEXT"><shadow type="text"><field name="TEXT">red</field></shadow></value></block><block type="normalizedColors_getProperty_Number"><field name="PROP">Red</field><value name="NORMALIZED_COLORS"><block type="variables_get"><field name="VAR">{normalizedColorsVariable}</field></block></value></block><block type="normalizedColors_getProperty_Number"><field name="PROP">Green</field><value name="NORMALIZED_COLORS"><block type="variables_get"><field name="VAR">{normalizedColorsVariable}</field></block></value></block><block type="normalizedColors_getProperty_Number"><field name="PROP">Blue</field><value name="NORMALIZED_COLORS"><block type="variables_get"><field name="VAR">{normalizedColorsVariable}</field></block></value></block><block type="normalizedColors_getProperty_Number"><field name="PROP">Alpha</field><value name="NORMALIZED_COLORS"><block type="variables_get"><field name="VAR">{normalizedColorsVariable}</field></block></value></block><block type="normalizedColors_getProperty_Number"><field name="PROP">Color</field><value name="NORMALIZED_COLORS"><block type="variables_get"><field name="VAR">{normalizedColorsVariable}</field></block></value></block></category><category name="DbgLog"><block type="dbgLog_msg"><value name="MESSAGE"><shadow type="text"><field name="TEXT">abc</field></shadow></value></block><block type="dbgLog_error"><value name="MESSAGE"><shadow type="text"><field name="TEXT">abc</field></shadow></value></block></category><category name="MagneticFlux"><block type="magneticFlux_getProperty_Number"><field name="PROP">X</field><value name="MAGNETIC_FLUX"><block type="variables_get"><field name="VAR">{magneticFluxVariable}</field></block></value></block><block type="magneticFlux_getProperty_Number"><field name="PROP">Y</field><value name="MAGNETIC_FLUX"><block type="variables_get"><field name="VAR">{magneticFluxVariable}</field></block></value></block><block type="magneticFlux_getProperty_Number"><field name="PROP">Z</field><value name="MAGNETIC_FLUX"><block type="variables_get"><field name="VAR">{magneticFluxVariable}</field></block></value></block><block type="magneticFlux_getProperty_Number"><field name="PROP">AcquisitionTime</field><value name="MAGNETIC_FLUX"><block type="variables_get"><field name="VAR">{magneticFluxVariable}</field></block></value></block><block type="magneticFlux_toText"><value name="MAGNETIC_FLUX"><block type="variables_get"><field name="VAR">{magneticFluxVariable}</field></block></value></block><block type="magneticFlux_create"></block><block type="magneticFlux_create_withArgs"><value name="X"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="Z"><shadow type="math_number"><field name="NUM">30</field></shadow></value><value name="ACQUISITION_TIME"><shadow type="system_nanoTime"></shadow></value></block></category><category name="Matrix"><block type="openGLMatrix_identityMatrix"></block><block type="openGLMatrix_multiplied"><value name="MATRIX1"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="MATRIX2"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="openGLMatrix_multiply"><value name="MATRIX1"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="MATRIX2"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="openGLMatrix_rotation"><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value><value name="ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="DX"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="DY"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="DZ"><shadow type="math_number"><field name="NUM">30</field></shadow></value></block><block type="openGLMatrix_rotation_withAxesArgs"><value name="AXES_REFERENCE"><shadow type="navigation_typedEnum_axesReference"></shadow></value><value name="AXES_ORDER"><shadow type="navigation_typedEnum_axesOrder"></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value><value name="FIRST_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="SECOND_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="THIRD_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value></block><block type="openGLMatrix_rotate"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value><value name="ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="DX"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="DY"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="DZ"><shadow type="math_number"><field name="NUM">30</field></shadow></value></block><block type="openGLMatrix_rotate_withAxesArgs"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="AXES_REFERENCE"><shadow type="navigation_typedEnum_axesReference"></shadow></value><value name="AXES_ORDER"><shadow type="navigation_typedEnum_axesOrder"></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value><value name="FIRST_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="SECOND_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="THIRD_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value></block><block type="openGLMatrix_rotated"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value><value name="ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="DX"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="DY"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="DZ"><shadow type="math_number"><field name="NUM">30</field></shadow></value></block><block type="openGLMatrix_rotated_withAxesArgs"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="AXES_REFERENCE"><shadow type="navigation_typedEnum_axesReference"></shadow></value><value name="AXES_ORDER"><shadow type="navigation_typedEnum_axesOrder"></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value><value name="FIRST_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="SECOND_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="THIRD_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value></block><block type="openGLMatrix_scale_with3"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="SCALE_X"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="SCALE_Y"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="SCALE_Z"><shadow type="math_number"><field name="NUM">30</field></shadow></value></block><block type="openGLMatrix_scale_with1"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="SCALE"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="openGLMatrix_scaled_with3"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="SCALE_X"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="SCALE_Y"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="SCALE_Z"><shadow type="math_number"><field name="NUM">30</field></shadow></value></block><block type="openGLMatrix_scaled_with1"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="SCALE"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="openGLMatrix_translation"><value name="DX"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="DY"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="DZ"><shadow type="math_number"><field name="NUM">30</field></shadow></value></block><block type="openGLMatrix_translate"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="DX"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="DY"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="DZ"><shadow type="math_number"><field name="NUM">30</field></shadow></value></block><block type="openGLMatrix_translated"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="DX"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="DY"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="DZ"><shadow type="math_number"><field name="NUM">30</field></shadow></value></block><block type="openGLMatrix_create"></block><block type="openGLMatrix_create_withMatrixF"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_getProperty_Number"><field name="PROP">NumCols</field><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_getProperty_Number"><field name="PROP">NumRows</field><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_diagonalMatrix"><value name="DIM"><shadow type="math_number"><field name="NUM">4</field></shadow></value><value name="SCALE"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="matrixF_diagonalMatrix_withVector"><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="matrixF_identityMatrix"><value name="DIM"><shadow type="math_number"><field name="NUM">4</field></shadow></value></block><block type="matrixF_get"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="ROW"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="COL"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="matrixF_put"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="ROW"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="COL"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="VALUE"><shadow type="math_number"><field name="NUM">123</field></shadow></value></block><block type="matrixF_getRow"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="ROW"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="matrixF_getColumn"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="COL"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="matrixF_added_withMatrix"><value name="MATRIX1"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="MATRIX2"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_added_withVector"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="matrixF_add_withMatrix"><value name="MATRIX1"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="MATRIX2"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_add_withVector"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="matrixF_multiplied_withMatrix"><value name="MATRIX1"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="MATRIX2"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_multiplied_withScale"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="SCALE"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="matrixF_multiplied_withVector"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="matrixF_multiply_withMatrix"><value name="MATRIX1"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="MATRIX2"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_multiply_withScale"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="SCALE"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="matrixF_multiply_withVector"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="matrixF_slice"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="ROW"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="COL"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="NUM_ROWS"><shadow type="math_number"><field name="NUM">2</field></shadow></value><value name="NUM_COLS"><shadow type="math_number"><field name="NUM">2</field></shadow></value></block><block type="matrixF_subtracted_withMatrix"><value name="MATRIX1"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="MATRIX2"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_subtracted_withVector"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="matrixF_subtract_withMatrix"><value name="MATRIX1"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="MATRIX2"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_subtract_withVector"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="matrixF_inverted"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_transform"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="matrixF_transposed"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_toText"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_formatAsTransform"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_formatAsTransform_withArgs"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="AXES_REFERENCE"><shadow type="navigation_typedEnum_axesReference"></shadow></value><value name="AXES_ORDER"><shadow type="navigation_typedEnum_axesOrder"></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value></block><block type="matrixF_toVector"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="matrixF_getTranslation"><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block></category><category name="Orientation"><block type="orientation_getProperty_AxesReference"><field name="PROP">AxesReference</field><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value></block><block type="orientation_getProperty_AxesOrder"><field name="PROP">AxesOrder</field><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value></block><block type="orientation_getProperty_AngleUnit"><field name="PROP">AngleUnit</field><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value></block><block type="orientation_getProperty_Number"><field name="PROP">FirstAngle</field><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value></block><block type="orientation_getProperty_Number"><field name="PROP">SecondAngle</field><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value></block><block type="orientation_getProperty_Number"><field name="PROP">ThirdAngle</field><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value></block><block type="orientation_getProperty_Number"><field name="PROP">AcquisitionTime</field><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value></block><block type="orientation_toAngleUnit"><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value></block><block type="orientation_toAxesReference"><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value><value name="AXES_REFERENCE"><shadow type="navigation_typedEnum_axesReference"></shadow></value></block><block type="orientation_toAxesOrder"><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value><value name="AXES_ORDER"><shadow type="navigation_typedEnum_axesOrder"></shadow></value></block><block type="orientation_toText"><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value></block><block type="orientation_getRotationMatrix"><value name="ORIENTATION"><block type="variables_get"><field name="VAR">{orientationVariable}</field></block></value></block><block type="orientation_getRotationMatrix_withArgs"><value name="AXES_REFERENCE"><shadow type="navigation_typedEnum_axesReference"></shadow></value><value name="AXES_ORDER"><shadow type="navigation_typedEnum_axesOrder"></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value><value name="FIRST_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="SECOND_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="THIRD_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value></block><block type="orientation_create"></block><block type="orientation_create_withArgs"><value name="AXES_REFERENCE"><shadow type="navigation_typedEnum_axesReference"></shadow></value><value name="AXES_ORDER"><shadow type="navigation_typedEnum_axesOrder"></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value><value name="FIRST_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="SECOND_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="THIRD_ANGLE"><shadow type="math_number"><field name="NUM">90</field></shadow></value><value name="ACQUISITION_TIME"><shadow type="system_nanoTime"></shadow></value></block><block type="orientation_getOrientation"><value name="AXES_REFERENCE"><shadow type="navigation_typedEnum_axesReference"></shadow></value><value name="AXES_ORDER"><shadow type="navigation_typedEnum_axesOrder"></shadow></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value></block></category><category name="PIDFCoefficients"><block type="pidfCoefficients_create"></block><block type="pidfCoefficients_create_withPIDFAlgorithm"><value name="P"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="I"><shadow type="math_number"><field name="NUM">3</field></shadow></value><value name="D"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="F"><shadow type="math_number"><field name="NUM">7</field></shadow></value><value name="ALGORITHM"><shadow type="pidfCoefficients_typedEnum_motorControlAlgorithm"><field name="MOTOR_CONTROL_ALGORITHM">PIDF</field></shadow></value></block><block type="pidfCoefficients_create_withPIDF"><value name="P"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="I"><shadow type="math_number"><field name="NUM">3</field></shadow></value><value name="D"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="F"><shadow type="math_number"><field name="NUM">7</field></shadow></value></block><block type="pidfCoefficients_create_withPIDFCoefficients"><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value></block><block type="pidfCoefficients_setProperty_Number"><field name="PROP">P</field><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value><value name="VALUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="pidfCoefficients_getProperty_Number"><field name="PROP">P</field><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value></block><block type="pidfCoefficients_setProperty_Number"><field name="PROP">I</field><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value><value name="VALUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="pidfCoefficients_getProperty_Number"><field name="PROP">I</field><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value></block><block type="pidfCoefficients_setProperty_Number"><field name="PROP">D</field><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value><value name="VALUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="pidfCoefficients_getProperty_Number"><field name="PROP">D</field><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value></block><block type="pidfCoefficients_setProperty_Number"><field name="PROP">F</field><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value><value name="VALUE"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="pidfCoefficients_getProperty_Number"><field name="PROP">F</field><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value></block><block type="pidfCoefficients_setProperty_MotorControlAlgorithm"><field name="PROP">Algorithm</field><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value><value name="VALUE"><shadow type="pidfCoefficients_typedEnum_motorControlAlgorithm"><field name="MOTOR_CONTROL_ALGORITHM">PIDF</field></shadow></value></block><block type="pidfCoefficients_getProperty_MotorControlAlgorithm"><field name="PROP">Algorithm</field><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value></block><block type="pidfCoefficients_toText"><value name="PIDF_COEFFICIENTS"><block type="variables_get"><field name="VAR">{pidfCoefficientsVariable}</field></block></value></block></category><category name="Position"><block type="position_getProperty_DistanceUnit"><field name="PROP">DistanceUnit</field><value name="POSITION"><block type="variables_get"><field name="VAR">{positionVariable}</field></block></value></block><block type="position_getProperty_Number"><field name="PROP">X</field><value name="POSITION"><block type="variables_get"><field name="VAR">{positionVariable}</field></block></value></block><block type="position_getProperty_Number"><field name="PROP">Y</field><value name="POSITION"><block type="variables_get"><field name="VAR">{positionVariable}</field></block></value></block><block type="position_getProperty_Number"><field name="PROP">Z</field><value name="POSITION"><block type="variables_get"><field name="VAR">{positionVariable}</field></block></value></block><block type="position_getProperty_Number"><field name="PROP">AcquisitionTime</field><value name="POSITION"><block type="variables_get"><field name="VAR">{positionVariable}</field></block></value></block><block type="position_toDistanceUnit"><value name="POSITION"><block type="variables_get"><field name="VAR">{positionVariable}</field></block></value><value name="DISTANCE_UNIT"><shadow type="navigation_typedEnum_distanceUnit"></shadow></value></block><block type="position_toText"><value name="POSITION"><block type="variables_get"><field name="VAR">{positionVariable}</field></block></value></block><block type="position_create"></block><block type="position_create_withArgs"><value name="DISTANCE_UNIT"><shadow type="navigation_typedEnum_distanceUnit"></shadow></value><value name="X"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="Z"><shadow type="math_number"><field name="NUM">30</field></shadow></value><value name="ACQUISITION_TIME"><shadow type="system_nanoTime"></shadow></value></block></category><category name="Quaternion"><block type="quaternion_getProperty_Number"><field name="PROP">W</field><value name="QUATERNION"><block type="variables_get"><field name="VAR">{quaternionVariable}</field></block></value></block><block type="quaternion_getProperty_Number"><field name="PROP">X</field><value name="QUATERNION"><block type="variables_get"><field name="VAR">{quaternionVariable}</field></block></value></block><block type="quaternion_getProperty_Number"><field name="PROP">Y</field><value name="QUATERNION"><block type="variables_get"><field name="VAR">{quaternionVariable}</field></block></value></block><block type="quaternion_getProperty_Number"><field name="PROP">Z</field><value name="QUATERNION"><block type="variables_get"><field name="VAR">{quaternionVariable}</field></block></value></block><block type="quaternion_getProperty_Number"><field name="PROP">AcquisitionTime</field><value name="QUATERNION"><block type="variables_get"><field name="VAR">{quaternionVariable}</field></block></value></block><block type="quaternion_normalized"><value name="QUATERNION"><block type="variables_get"><field name="VAR">{quaternionVariable}</field></block></value></block><block type="quaternion_congugate"><value name="QUATERNION"><block type="variables_get"><field name="VAR">{quaternionVariable}</field></block></value></block><block type="quaternion_create"></block><block type="quaternion_create_withArgs"><value name="W"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="X"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="Y"><shadow type="math_number"><field name="NUM">30</field></shadow></value><value name="Z"><shadow type="math_number"><field name="NUM">40</field></shadow></value><value name="ACQUISITION_TIME"><shadow type="system_nanoTime"></shadow></value></block></category><category name="Range"><block type="range_clip"><value name="MIN"><shadow type="math_number"><field name="NUM">-1</field></shadow></value><value name="MAX"><shadow type="math_number"><field name="NUM">1</field></shadow></value></block><block type="range_scale"><value name="X1"><shadow type="math_number"><field name="NUM">-100</field></shadow></value><value name="X2"><shadow type="math_number"><field name="NUM">100</field></shadow></value><value name="Y1"><shadow type="math_number"><field name="NUM">-1</field></shadow></value><value name="Y2"><shadow type="math_number"><field name="NUM">1</field></shadow></value></block></category><category name="Telemetry"><block type="telemetry_addNumericData_Number"><value name="KEY"><shadow type="text"><field name="TEXT">key</field></shadow></value><value name="NUMBER"><shadow type="math_number"><field name="NUM">123</field></shadow></value></block><block type="telemetry_addNumericData_Number"><value name="KEY"><shadow type="text"><field name="TEXT">key</field></shadow></value><value name="NUMBER"><block type="misc_roundDecimal"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow></value><value name="PRECISION"><shadow type="math_number"><field name="NUM">2</field></shadow></value></block></value></block><block type="telemetry_addTextData_All"><value name="KEY"><shadow type="text"><field name="TEXT">key</field></shadow></value><value name="TEXT"><shadow type="text"><field name="TEXT">text</field></shadow></value></block><block type="telemetry_addTextData_All"><value name="KEY"><shadow type="text"><field name="TEXT">key</field></shadow></value><value name="TEXT"><block type="misc_formatNumber"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow></value><value name="PRECISION"><shadow type="math_number"><field name="NUM">2</field></shadow></value></block></value></block><block type="telemetry_update"></block><block type="telemetry_speak"><value name="TEXT"><shadow type="text"><field name="TEXT">text</field></shadow></value></block><block type="telemetry_speak_withLanguage"><value name="TEXT"><shadow type="text"><field name="TEXT">text</field></shadow></value><value name="LANGUAGE_CODE"><shadow type="text"><field name="TEXT">en</field></shadow><block type="locale_languageCode"></block></value><value name="COUNTRY_CODE"><shadow type="text"><field name="TEXT">US</field></shadow><block type="locale_countryCode"></block></value></block><block type="telemetry_setDisplayFormat"><value name="DISPLAY_FORMAT"><shadow type="telemetry_typedEnum_displayFormat"></shadow></value></block></category><category name="Temperature"><block type="temperature_getProperty_TempUnit"><field name="PROP">TempUnit</field><value name="TEMPERATURE"><block type="variables_get"><field name="VAR">{temperatureVariable}</field></block></value></block><block type="temperature_getProperty_Number"><field name="PROP">Temperature</field><value name="TEMPERATURE"><block type="variables_get"><field name="VAR">{temperatureVariable}</field></block></value></block><block type="temperature_getProperty_Number"><field name="PROP">AcquisitionTime</field><value name="TEMPERATURE"><block type="variables_get"><field name="VAR">{temperatureVariable}</field></block></value></block><block type="temperature_create"></block><block type="temperature_create_withArgs"><value name="TEMP_UNIT"><shadow type="navigation_typedEnum_tempUnit"></shadow></value><value name="TEMPERATURE"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="ACQUISITION_TIME"><shadow type="system_nanoTime"></shadow></value></block><block type="temperature_toTempUnit"><value name="TEMPERATURE"><block type="variables_get"><field name="VAR">{temperatureVariable}</field></block></value><value name="TEMP_UNIT"><shadow type="navigation_typedEnum_tempUnit"></shadow></value></block></category><category name="TensorFlow Object Detection"><category name="Optimized for Ultimate Goal"><block type="tfodCurrentGame_initialize"><value name="MINIMUM_CONFIDENCE"><shadow type="math_number"><field name="NUM">0.4</field></shadow></value><value name="USE_OBJECT_TRACKER"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value></block><block type="tfodCurrentGame_activate"></block><block type="tfodCurrentGame_deactivate"></block><block type="tfodCurrentGame_setClippingMargins"><value name="LEFT"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="TOP"><shadow type="math_number"><field name="NUM">200</field></shadow></value><value name="RIGHT"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="BOTTOM"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="tfodCurrentGame_setZoom"><value name="MAGNIFICATION"><shadow type="math_number"><field name="NUM">2.0</field></shadow></value><value name="ASPECT_RATIO"><block type="math_arithmetic"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number"><field name="NUM">16</field></shadow></value><value name="B"><shadow type="math_number"><field name="NUM">9</field></shadow></value></block></value></block><block type="tfodCurrentGame_getRecognitions"></block><block type="tfodCurrentGame_typedEnum_label"><field name="LABEL">Quad</field></block><block type="tfodCurrentGame_typedEnum_label"><field name="LABEL">Single</field></block></category><category name="Custom Model"><block type="tfodCustomModel_setModelFromFile"><value name="TFLITE_MODEL_FILENAME"><shadow type="text"><field name="TEXT"></field></shadow></value><value name="LABELS"><block type="lists_create_with"><mutation items="1"/><value name="ADD0"><block type="text"><field name="TEXT">a</field></block></value></block></value></block><block type="tfodCustomModel_setModelFromAsset"><value name="ASSET_NAME"><shadow type="text"><field name="TEXT"></field></shadow></value><value name="LABELS"><block type="lists_create_with"><mutation items="1"/><value name="ADD0"><block type="text"><field name="TEXT">a</field></block></value></block></value></block><block type="tfodCustomModel_initialize"><value name="MINIMUM_CONFIDENCE"><shadow type="math_number"><field name="NUM">0.4</field></shadow></value><value name="USE_OBJECT_TRACKER"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value></block><block type="tfodCustomModel_activate"></block><block type="tfodCustomModel_deactivate"></block><block type="tfodCustomModel_setClippingMargins"><value name="LEFT"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="TOP"><shadow type="math_number"><field name="NUM">200</field></shadow></value><value name="RIGHT"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="BOTTOM"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="tfodCustomModel_setZoom"><value name="MAGNIFICATION"><shadow type="math_number"><field name="NUM">2.0</field></shadow></value><value name="ASPECT_RATIO"><block type="math_arithmetic"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number"><field name="NUM">16</field></shadow></value><value name="B"><shadow type="math_number"><field name="NUM">9</field></shadow></value></block></value></block><block type="tfodCustomModel_getRecognitions"></block></category><category name="Recognition"><block type="tfodRecognition_getProperty_String"><field name="PROP">Label</field><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_getProperty_Number"><field name="PROP">Confidence</field><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_getProperty_Number"><field name="PROP">Left</field><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_getProperty_Number"><field name="PROP">Right</field><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_getProperty_Number"><field name="PROP">Top</field><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_getProperty_Number"><field name="PROP">Bottom</field><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_getProperty_Number"><field name="PROP">Width</field><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_getProperty_Number"><field name="PROP">Height</field><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_getProperty_Number"><field name="PROP">ImageWidth</field><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_getProperty_Number"><field name="PROP">ImageHeight</field><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_toText"><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value></block><block type="tfodRecognition_estimateAngleToObject"><value name="TFOD_RECOGNITION"><block type="variables_get"><field name="VAR">{tfodRecognitionVariable}</field></block></value><value name="ANGLE_UNIT"><shadow type="navigation_typedEnum_angleUnit"></shadow></value></block></category></category><category name="Time"><block type="system_nanoTime"></block><category name="ElapsedTime"><block type="elapsedTime2_create"></block><block type="elapsedTime2_create_withStartTime"><value name="START_TIME"><shadow type="system_nanoTime"></shadow></value></block><block type="elapsedTime2_create_withResolution"><value name="RESOLUTION"><shadow type="elapsedTime2_typedEnum_resolution"></shadow></value></block><block type="elapsedTime2_getProperty_Number"><field name="PROP">StartTime</field><value name="ELAPSED_TIME"><block type="variables_get"><field name="VAR">{elapsedTimeVariable}</field></block></value></block><block type="elapsedTime2_getProperty_Number"><field name="PROP">Time</field><value name="ELAPSED_TIME"><block type="variables_get"><field name="VAR">{elapsedTimeVariable}</field></block></value></block><block type="elapsedTime2_getProperty_Number"><field name="PROP">Seconds</field><value name="ELAPSED_TIME"><block type="variables_get"><field name="VAR">{elapsedTimeVariable}</field></block></value></block><block type="elapsedTime2_getProperty_Number"><field name="PROP">Milliseconds</field><value name="ELAPSED_TIME"><block type="variables_get"><field name="VAR">{elapsedTimeVariable}</field></block></value></block><block type="elapsedTime2_getProperty_Resolution"><field name="PROP">Resolution</field><value name="ELAPSED_TIME"><block type="variables_get"><field name="VAR">{elapsedTimeVariable}</field></block></value></block><block type="elapsedTime2_reset"><value name="ELAPSED_TIME"><block type="variables_get"><field name="VAR">{elapsedTimeVariable}</field></block></value></block><block type="elapsedTime2_log"><value name="ELAPSED_TIME"><block type="variables_get"><field name="VAR">{elapsedTimeVariable}</field></block></value><value name="LABEL"><shadow type="text"><field name="TEXT">label</field></shadow></value></block><block type="elapsedTime2_toText"><value name="ELAPSED_TIME"><block type="variables_get"><field name="VAR">{elapsedTimeVariable}</field></block></value></block></category></category><category name="Vector"><block type="vectorF_getProperty_Number"><field name="PROP">Length</field><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="vectorF_getProperty_Number"><field name="PROP">Magnitude</field><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="vectorF_get"><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="INDEX"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="vectorF_put"><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="INDEX"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="VALUE"><shadow type="math_number"><field name="NUM">123</field></shadow></value></block><block type="vectorF_toText"><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="vectorF_normalized3D"><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="vectorF_dotProduct"><value name="VECTOR1"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="VECTOR2"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="vectorF_multiplied"><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="vectorF_added_withMatrix"><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="vectorF_added_withVector"><value name="VECTOR1"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="VECTOR2"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="vectorF_add_withVector"><value name="VECTOR1"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="VECTOR2"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="vectorF_subtracted_withMatrix"><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="vectorF_subtracted_withVector"><value name="VECTOR1"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="VECTOR2"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="vectorF_subtract_withVector"><value name="VECTOR1"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="VECTOR2"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value></block><block type="vectorF_multiplied_withScale"><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="SCALE"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="vectorF_multiply_withScale"><value name="VECTOR"><block type="variables_get"><field name="VAR">{vectorVariable}</field></block></value><value name="SCALE"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="vectorF_create"><value name="LENGTH"><shadow type="math_number"><field name="NUM">4</field></shadow></value></block></category><category name="Velocity"><block type="velocity_getProperty_DistanceUnit"><field name="PROP">DistanceUnit</field><value name="VELOCITY"><block type="variables_get"><field name="VAR">{velocityVariable}</field></block></value></block><block type="velocity_getProperty_Number"><field name="PROP">XVeloc</field><value name="VELOCITY"><block type="variables_get"><field name="VAR">{velocityVariable}</field></block></value></block><block type="velocity_getProperty_Number"><field name="PROP">YVeloc</field><value name="VELOCITY"><block type="variables_get"><field name="VAR">{velocityVariable}</field></block></value></block><block type="velocity_getProperty_Number"><field name="PROP">ZVeloc</field><value name="VELOCITY"><block type="variables_get"><field name="VAR">{velocityVariable}</field></block></value></block><block type="velocity_getProperty_Number"><field name="PROP">AcquisitionTime</field><value name="VELOCITY"><block type="variables_get"><field name="VAR">{velocityVariable}</field></block></value></block><block type="velocity_toDistanceUnit"><value name="VELOCITY"><block type="variables_get"><field name="VAR">{velocityVariable}</field></block></value><value name="DISTANCE_UNIT"><shadow type="navigation_typedEnum_distanceUnit"></shadow></value></block><block type="velocity_toText"><value name="VELOCITY"><block type="variables_get"><field name="VAR">{velocityVariable}</field></block></value></block><block type="velocity_create"></block><block type="velocity_create_withArgs"><value name="DISTANCE_UNIT"><shadow type="navigation_typedEnum_distanceUnit"></shadow></value><value name="X_VELOC"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="Y_VELOC"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="Z_VELOC"><shadow type="math_number"><field name="NUM">30</field></shadow></value><value name="ACQUISITION_TIME"><shadow type="system_nanoTime"></shadow></value></block></category><category name="Vuforia"><category name="Optimized for Ultimate Goal"><block type="vuforiaCurrentGame_initialize_withCameraDirection"><value name="CAMERA_DIRECTION"><shadow type="navigation_typedEnum_cameraDirection"></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean"><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DX"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DY"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_DZ"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="PHONE_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value></block><block type="vuforiaCurrentGame_initialize_withWebcam"><value name="CAMERA_NAME"><shadow type="navigation_webcamName"></shadow></value><value name="WEBCAM_CALIBRATION_FILE"><shadow type="text"><field name="TEXT"></field></shadow></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean"><field name="BOOL">FALSE</field></shadow></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DX"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DY"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_DZ"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_X_ANGLE"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Y_ANGLE"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT_Z_ANGLE"><shadow type="math_number"><field name="NUM">0</field></shadow></value><value name="USE_COMPETITION_FIELD_TARGET_LOCATIONS"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value></block><block type="vuforiaCurrentGame_activate"></block><block type="vuforiaCurrentGame_deactivate"></block><block type="vuforiaCurrentGame_track"><value name="TRACKABLE_NAME"><shadow type="vuforiaCurrentGame_typedEnum_trackableName"></shadow></value></block><block type="vuforiaCurrentGame_trackPose"><value name="TRACKABLE_NAME"><shadow type="vuforiaCurrentGame_typedEnum_trackableName"></shadow></value></block><block type="vuforiaCurrentGame_typedEnum_trackableName"></block><block type="vuforiaTrackingResults_getProperty_String"><field name="PROP">Name</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_getProperty_Boolean"><field name="PROP">IsVisible</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_getProperty_Boolean"><field name="PROP">IsUpdatedRobotLocation</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_getProperty_Number"><field name="PROP">X</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_getProperty_Number"><field name="PROP">Y</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_getProperty_Number"><field name="PROP">Z</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_getProperty_Number"><field name="PROP">XAngle</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_getProperty_Number"><field name="PROP">YAngle</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_getProperty_Number"><field name="PROP">ZAngle</field><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_getUpdatedRobotLocation"><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_formatAsTransform"><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block><block type="vuforiaTrackingResults_toText"><value name="VUFORIA_TRACKING_RESULTS"><block type="variables_get"><field name="VAR">{vuforiaTrackingResultsVariable}</field></block></value></block></category><category name="VuforiaLocalizer"><block type="vuforiaLocalizer_create"><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value></block><block type="vuforiaLocalizer_loadTrackablesFromAsset"><value name="VUFORIA_LOCALIZER"><block type="variables_get"><field name="VAR">{vuforiaLocalizerVariable}</field></block></value><value name="ASSET_NAME"><shadow type="text"><field name="TEXT">text</field></shadow></value></block><block type="vuforiaLocalizer_loadTrackablesFromFile"><value name="VUFORIA_LOCALIZER"><block type="variables_get"><field name="VAR">{vuforiaLocalizerVariable}</field></block></value><value name="ABSOLUTE_FILE_NAME"><shadow type="text"><field name="TEXT">text</field></shadow></value></block></category><category name="VuforiaLocalizerParameters"><block type="vuforiaLocalizerParameters_create"></block><block type="vuforiaLocalizerParameters_setVuforiaLicenseKey"><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value><value name="VUFORIA_LICENSE_KEY"><shadow type="text"><field name="TEXT">text</field></shadow></value></block><block type="vuforiaLocalizerParameters_setCameraDirection"><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value><value name="CAMERA_DIRECTION"><shadow type="navigation_typedEnum_cameraDirection"></shadow></value></block><block type="vuforiaLocalizerParameters_setCameraName"><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value><value name="CAMERA_NAME"><shadow type="navigation_webcamName"></shadow></value></block><block type="vuforiaLocalizerParameters_addWebcamCalibrationFile"><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value><value name="WEBCAM_CALIBRATION_FILE"><shadow type="text"><field name="TEXT">MyCamera.xml</field></shadow></value></block><block type="vuforiaLocalizerParameters_setUseExtendedTracking"><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value><value name="USE_EXTENDED_TRACKING"><shadow type="logic_boolean"><field name="BOOL">FALSE</field></shadow></value></block><block type="vuforiaLocalizerParameters_setEnableCameraMonitoring"><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value><value name="ENABLE_CAMERA_MONITORING"><shadow type="logic_boolean"><field name="BOOL">TRUE</field></shadow></value></block><block type="vuforiaLocalizerParameters_setCameraMonitorFeedback"><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value><value name="CAMERA_MONITOR_FEEDBACK"><shadow type="navigation_typedEnum_cameraMonitorFeedback"><field name="CAMERA_MONITOR_FEEDBACK">AXES</field></shadow></value></block><block type="vuforiaLocalizerParameters_setFillCameraMonitorViewParent"><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value><value name="FILL_CAMERA_MONITOR_VIEW_PARENT"><shadow type="logic_boolean"><field name="BOOL">FALSE</field></shadow></value></block><block type="vuforiaLocalizerParameters_getProperty_String"><field name="PROP">VuforiaLicenseKey</field><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value></block><block type="vuforiaLocalizerParameters_getProperty_CameraDirection"><field name="PROP">CameraDirection</field><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value></block><block type="vuforiaLocalizerParameters_getProperty_CameraName"><field name="PROP">CameraName</field><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value></block><block type="vuforiaLocalizerParameters_getProperty_Boolean"><field name="PROP">UseExtendedTracking</field><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value></block><block type="vuforiaLocalizerParameters_getProperty_Boolean"><field name="PROP">EnableCameraMonitoring</field><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value></block><block type="vuforiaLocalizerParameters_getProperty_CameraMonitorFeedback"><field name="PROP">CameraMonitorFeedback</field><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value></block><block type="vuforiaLocalizerParameters_getProperty_Boolean"><field name="PROP">FillCameraMonitorViewParent</field><value name="VUFORIA_LOCALIZER_PARAMETERS"><block type="variables_get"><field name="VAR">{vuforiaLocalizerParametersVariable}</field></block></value></block></category><category name="VuforiaTrackable"><block type="vuforiaTrackable_getProperty_OpenGLMatrix"><field name="PROP">Location</field><value name="VUFORIA_TRACKABLE"><block type="variables_get"><field name="VAR">{vuforiaTrackableVariable}</field></block></value></block><block type="vuforiaTrackable_getProperty_Object"><field name="PROP">UserData</field><value name="VUFORIA_TRACKABLE"><block type="variables_get"><field name="VAR">{vuforiaTrackableVariable}</field></block></value></block><block type="vuforiaTrackable_getProperty_VuforiaTrackables"><field name="PROP">Trackables</field><value name="VUFORIA_TRACKABLE"><block type="variables_get"><field name="VAR">{vuforiaTrackableVariable}</field></block></value></block><block type="vuforiaTrackable_getProperty_String"><field name="PROP">Name</field><value name="VUFORIA_TRACKABLE"><block type="variables_get"><field name="VAR">{vuforiaTrackableVariable}</field></block></value></block><block type="vuforiaTrackable_getProperty_VuforiaTrackableDefaultListener"><field name="PROP">Listener</field><value name="VUFORIA_TRACKABLE"><block type="variables_get"><field name="VAR">{vuforiaTrackableVariable}</field></block></value></block><block type="vuforiaTrackable_setLocation"><value name="VUFORIA_TRACKABLE"><block type="variables_get"><field name="VAR">{vuforiaTrackableVariable}</field></block></value><value name="MATRIX"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="vuforiaTrackable_setUserData"><value name="VUFORIA_TRACKABLE"><block type="variables_get"><field name="VAR">{vuforiaTrackableVariable}</field></block></value></block><block type="vuforiaTrackable_setName"><value name="VUFORIA_TRACKABLE"><block type="variables_get"><field name="VAR">{vuforiaTrackableVariable}</field></block></value><value name="NAME"><shadow type="text"><field name="TEXT">text</field></shadow></value></block></category><category name="VuforiaTrackableDefaultListener"><block type="vuforiaTrackableDefaultListener_setPhoneInformation"><value name="VUFORIA_TRACKABLE_DEFAULT_LISTENER"><block type="variables_get"><field name="VAR">{vuforiaTrackableDefaultListenerVariable}</field></block></value><value name="PHONE_LOCATION_ON_ROBOT"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value><value name="CAMERA_DIRECTION"><shadow type="navigation_typedEnum_cameraDirection"></shadow></value></block><block type="vuforiaTrackableDefaultListener_setCameraLocationOnRobot"><value name="VUFORIA_TRACKABLE_DEFAULT_LISTENER"><block type="variables_get"><field name="VAR">{vuforiaTrackableDefaultListenerVariable}</field></block></value><value name="CAMERA_NAME"><shadow type="navigation_webcamName"></shadow></value><value name="CAMERA_LOCATION_ON_ROBOT"><block type="variables_get"><field name="VAR">{matrixVariable}</field></block></value></block><block type="vuforiaTrackableDefaultListener_isVisible"><value name="VUFORIA_TRACKABLE_DEFAULT_LISTENER"><block type="variables_get"><field name="VAR">{vuforiaTrackableDefaultListenerVariable}</field></block></value></block><block type="vuforiaTrackableDefaultListener_getUpdatedRobotLocation"><value name="VUFORIA_TRACKABLE_DEFAULT_LISTENER"><block type="variables_get"><field name="VAR">{vuforiaTrackableDefaultListenerVariable}</field></block></value></block><block type="vuforiaTrackableDefaultListener_getPose"><value name="VUFORIA_TRACKABLE_DEFAULT_LISTENER"><block type="variables_get"><field name="VAR">{vuforiaTrackableDefaultListenerVariable}</field></block></value></block></category><category name="VuforiaTrackables"><block type="vuforiaTrackables_getProperty_Number"><field name="PROP">Size</field><value name="VUFORIA_TRACKABLES"><block type="variables_get"><field name="VAR">{vuforiaTrackablesVariable}</field></block></value></block><block type="vuforiaTrackables_getProperty_String"><field name="PROP">Name</field><value name="VUFORIA_TRACKABLES"><block type="variables_get"><field name="VAR">{vuforiaTrackablesVariable}</field></block></value></block><block type="vuforiaTrackables_getProperty_VuforiaLocalizer"><field name="PROP">Localizer</field><value name="VUFORIA_TRACKABLES"><block type="variables_get"><field name="VAR">{vuforiaTrackablesVariable}</field></block></value></block><block type="vuforiaTrackables_get"><value name="VUFORIA_TRACKABLES"><block type="variables_get"><field name="VAR">{vuforiaTrackablesVariable}</field></block></value><value name="INDEX"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="vuforiaTrackables_setName"><value name="VUFORIA_TRACKABLES"><block type="variables_get"><field name="VAR">{vuforiaTrackablesVariable}</field></block></value><value name="NAME"><shadow type="text"><field name="TEXT">text</field></shadow></value></block><block type="vuforiaTrackables_activate"><value name="VUFORIA_TRACKABLES"><block type="variables_get"><field name="VAR">{vuforiaTrackablesVariable}</field></block></value></block><block type="vuforiaTrackables_deactivate"><value name="VUFORIA_TRACKABLES"><block type="variables_get"><field name="VAR">{vuforiaTrackablesVariable}</field></block></value></block></category></category></category><sep></sep><!-- Logic is from blockly/demos/code/index.html, with some modification. --><category name="Logic" colour="210"><block type="controls_if"></block><block type="controls_if"><mutation else="1"></mutation></block><block type="controls_if"><mutation elseif="1" else="1"></mutation></block><block type="logic_compare"></block><block type="logic_operation"></block><block type="logic_negate"></block><block type="logic_boolean"></block><block type="logic_null"></block><block type="logic_ternary"></block></category><!-- Loops is from blockly/demos/code/index.html --><category name="Loops" colour="120"><block type="controls_repeat_ext"><value name="TIMES"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="controls_whileUntil"></block><block type="controls_for"><value name="FROM"><shadow type="math_number"><field name="NUM">1</field></shadow></value><value name="TO"><shadow type="math_number"><field name="NUM">10</field></shadow></value><value name="BY"><shadow type="math_number"><field name="NUM">1</field></shadow></value></block><block type="controls_forEach"></block><block type="controls_flow_statements"></block></category><!-- Math is from blockly/demos/code/index.html, with some modifications --><category name="Math" colour="230"><block type="math_number"></block><block type="math_arithmetic"><field name="OP">ADD</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow></value></block><block type="math_arithmetic"><field name="OP">MINUS</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow></value></block><block type="math_arithmetic"><field name="OP">MULTIPLY</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow></value></block><block type="math_arithmetic"><field name="OP">DIVIDE</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow></value></block><block type="math_arithmetic"><field name="OP">POWER</field><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow></value><value name="B"><shadow type="math_number"><field name="NUM">1</field></shadow></value></block><block type="math_single"><field name="OP">NEG</field><value name="NUM"><shadow type="math_number"><field name="NUM">9</field></shadow></value></block><block type="math_single"><field name="OP">ABS</field><value name="NUM"><shadow type="math_number"><field name="NUM">9</field></shadow></value></block><block type="math_single"><field name="OP">ROOT</field><value name="NUM"><shadow type="math_number"><field name="NUM">9</field></shadow></value></block><block type="math_trig"><value name="NUM"><shadow type="math_number"><field name="NUM">45</field></shadow></value></block><block type="misc_atan2"><value name="Y"><shadow type="math_number"><field name="NUM">20</field></shadow></value><value name="X"><shadow type="math_number"><field name="NUM">20</field></shadow></value></block><block type="math_constant"></block><block type="math_number_property"><value name="NUMBER_TO_CHECK"><shadow type="math_number"><field name="NUM">0</field></shadow></value></block><block type="math_round"><value name="NUM"><shadow type="math_number"><field name="NUM">3.1</field></shadow></value></block><block type="math_on_list"></block><block type="math_modulo"><value name="DIVIDEND"><shadow type="math_number"><field name="NUM">64</field></shadow></value><value name="DIVISOR"><shadow type="math_number"><field name="NUM">10</field></shadow></value></block><block type="math_constrain"><value name="VALUE"><shadow type="math_number"><field name="NUM">50</field></shadow></value><value name="LOW"><shadow type="math_number"><field name="NUM">1</field></shadow></value><value name="HIGH"><shadow type="math_number"><field name="NUM">100</field></shadow></value></block><block type="math_random_int"><value name="FROM"><shadow type="math_number"><field name="NUM">1</field></shadow></value><value name="TO"><shadow type="math_number"><field name="NUM">100</field></shadow></value></block><block type="math_random_float"></block></category><!-- Text is from blockly/demos/code/index.html, with some modifications --><category name="Text" colour="160"><block type="text"></block><block type="text_join"></block><block type="text_append"><value name="TEXT"><shadow type="text"></shadow></value></block><block type="text_length"><value name="VALUE"><shadow type="text"><field name="TEXT">abc</field></shadow></value></block><block type="text_isEmpty"><value name="VALUE"><shadow type="text"><field name="TEXT"></field></shadow></value></block><block type="text_indexOf"><value name="VALUE"><block type="variables_get"><field name="VAR">{textVariable}</field></block></value><value name="FIND"><shadow type="text"><field name="TEXT">abc</field></shadow></value></block><block type="text_charAt"><value name="VALUE"><block type="variables_get"><field name="VAR">{textVariable}</field></block></value></block><block type="text_getSubstring"><value name="STRING"><block type="variables_get"><field name="VAR">{textVariable}</field></block></value></block><block type="text_changeCase"><value name="TEXT"><shadow type="text"><field name="TEXT">abc</field></shadow></value></block><block type="text_trim"><value name="TEXT"><shadow type="text"><field name="TEXT">abc</field></shadow></value></block></category><!-- Lists is from blockly/demos/code/index.html --><category name="Lists" colour="260"><block type="lists_create_with"><mutation items="0"></mutation></block><block type="lists_create_with"></block><block type="lists_repeat"><value name="NUM"><shadow type="math_number"><field name="NUM">5</field></shadow></value></block><block type="lists_length"></block><block type="lists_isEmpty"></block><block type="misc_addItemToList"><value name="LIST"><block type="variables_get"><field name="VAR">{listVariable}</field></block></value></block><block type="lists_indexOf"><value name="VALUE"><block type="variables_get"><field name="VAR">{listVariable}</field></block></value></block><block type="lists_getIndex"><value name="VALUE"><block type="variables_get"><field name="VAR">{listVariable}</field></block></value></block><block type="lists_setIndex"><value name="LIST"><block type="variables_get"><field name="VAR">{listVariable}</field></block></value></block><block type="lists_getSublist"><value name="LIST"><block type="variables_get"><field name="VAR">{listVariable}</field></block></value></block><block type="lists_split"><value name="DELIM"><shadow type="text"><field name="TEXT">,</field></shadow></value></block><block type="lists_sort"></block></category><!-- Variables is from blockly/demos/code/index.html --><category name="Variables" colour="330" custom="VARIABLE"></category><!-- Functions is from blockly/demos/code/index.html --><category name="Functions" colour="290" custom="PROCEDURE"></category><category name="Miscellaneous" colour="200"><block type="comment"><field name="COMMENT">Enter your comment here!</field></block><block type="misc_roundDecimal"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow></value><value name="PRECISION"><shadow type="math_number"><field name="NUM">2</field></shadow></value></block><block type="misc_formatNumber"><value name="NUMBER"><shadow type="math_number"><field name="NUM">3.14159265</field></shadow></value><value name="PRECISION"><shadow type="math_number"><field name="NUM">2</field></shadow></value></block><block type="misc_null"></block><block type="misc_isNull"></block><block type="misc_isNotNull"></block></category></xml>';
}

